/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.ListEditorOptionsRequest
 */
export class ListEditorOptionsRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListEditorOptionsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListEditorOptionsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListEditorOptionsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListEditorOptionsRequest, a, b);
    }
}
ListEditorOptionsRequest.runtime = proto3;
ListEditorOptionsRequest.typeName = "gitpod.experimental.v1.ListEditorOptionsRequest";
ListEditorOptionsRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.ListEditorOptionsResponse
 */
export class ListEditorOptionsResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.experimental.v1.EditorOption result = 1;
         */
        this.result = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListEditorOptionsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListEditorOptionsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListEditorOptionsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListEditorOptionsResponse, a, b);
    }
}
ListEditorOptionsResponse.runtime = proto3;
ListEditorOptionsResponse.typeName = "gitpod.experimental.v1.ListEditorOptionsResponse";
ListEditorOptionsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "result", kind: "message", T: EditorOption, repeated: true },
]);
/**
 * @generated from message gitpod.experimental.v1.EditorOption
 */
export class EditorOption extends Message {
    constructor(data) {
        super();
        /**
         * The unique identifier for an editor.
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * Human readable title text of the editor (plain text only).
         *
         * @generated from field: string title = 2;
         */
        this.title = "";
        /**
         * @generated from field: gitpod.experimental.v1.EditorOption.Type type = 3;
         */
        this.type = EditorOption_Type.UNSPECIFIED;
        /**
         * The logo for the editor
         *
         * @generated from field: string logo = 4;
         */
        this.logo = "";
        /**
         * Text of an optional label next to the editor option like “Insiders” (plain
         * text only).
         *
         * @generated from field: string label = 5;
         */
        this.label = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new EditorOption().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new EditorOption().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new EditorOption().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(EditorOption, a, b);
    }
}
EditorOption.runtime = proto3;
EditorOption.typeName = "gitpod.experimental.v1.EditorOption";
EditorOption.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "title", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "type", kind: "enum", T: proto3.getEnumType(EditorOption_Type) },
    { no: 4, name: "logo", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "label", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "stable", kind: "message", T: EditorOption_Kind },
    { no: 7, name: "latest", kind: "message", T: EditorOption_Kind },
]);
/**
 * The type of the editor, currently browser or desktop.
 *
 * @generated from enum gitpod.experimental.v1.EditorOption.Type
 */
export var EditorOption_Type;
(function (EditorOption_Type) {
    /**
     * @generated from enum value: TYPE_UNSPECIFIED = 0;
     */
    EditorOption_Type[EditorOption_Type["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: TYPE_BROWSER = 1;
     */
    EditorOption_Type[EditorOption_Type["BROWSER"] = 1] = "BROWSER";
    /**
     * @generated from enum value: TYPE_DESKTOP = 2;
     */
    EditorOption_Type[EditorOption_Type["DESKTOP"] = 2] = "DESKTOP";
})(EditorOption_Type || (EditorOption_Type = {}));
// Retrieve enum metadata with: proto3.getEnumType(EditorOption_Type)
proto3.util.setEnumType(EditorOption_Type, "gitpod.experimental.v1.EditorOption.Type", [
    { no: 0, name: "TYPE_UNSPECIFIED" },
    { no: 1, name: "TYPE_BROWSER" },
    { no: 2, name: "TYPE_DESKTOP" },
]);
/**
 * @generated from message gitpod.experimental.v1.EditorOption.Kind
 */
export class EditorOption_Kind extends Message {
    constructor(data) {
        super();
        /**
         * The semantic version of the editor.
         *
         * @generated from field: string version = 1;
         */
        this.version = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new EditorOption_Kind().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new EditorOption_Kind().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new EditorOption_Kind().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(EditorOption_Kind, a, b);
    }
}
EditorOption_Kind.runtime = proto3;
EditorOption_Kind.typeName = "gitpod.experimental.v1.EditorOption.Kind";
EditorOption_Kind.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "version", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=editor_service_pb.js.map