/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
import { GitStatus } from "./workspaces_pb.js";
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatRequest
 */
export class SendHeartbeatRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendHeartbeatRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendHeartbeatRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendHeartbeatRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SendHeartbeatRequest, a, b);
    }
}
SendHeartbeatRequest.runtime = proto3;
SendHeartbeatRequest.typeName = "gitpod.experimental.v1.SendHeartbeatRequest";
SendHeartbeatRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatResponse
 */
export class SendHeartbeatResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendHeartbeatResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendHeartbeatResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendHeartbeatResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SendHeartbeatResponse, a, b);
    }
}
SendHeartbeatResponse.runtime = proto3;
SendHeartbeatResponse.typeName = "gitpod.experimental.v1.SendHeartbeatResponse";
SendHeartbeatResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseRequest
 */
export class SendDidCloseRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendDidCloseRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendDidCloseRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendDidCloseRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SendDidCloseRequest, a, b);
    }
}
SendDidCloseRequest.runtime = proto3;
SendDidCloseRequest.typeName = "gitpod.experimental.v1.SendDidCloseRequest";
SendDidCloseRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseResponse
 */
export class SendDidCloseResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendDidCloseResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendDidCloseResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendDidCloseResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SendDidCloseResponse, a, b);
    }
}
SendDidCloseResponse.runtime = proto3;
SendDidCloseResponse.typeName = "gitpod.experimental.v1.SendDidCloseResponse";
SendDidCloseResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusRequest
 */
export class UpdateGitStatusRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateGitStatusRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateGitStatusRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateGitStatusRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateGitStatusRequest, a, b);
    }
}
UpdateGitStatusRequest.runtime = proto3;
UpdateGitStatusRequest.typeName = "gitpod.experimental.v1.UpdateGitStatusRequest";
UpdateGitStatusRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "status", kind: "message", T: GitStatus },
]);
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusResponse
 */
export class UpdateGitStatusResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateGitStatusResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateGitStatusResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateGitStatusResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateGitStatusResponse, a, b);
    }
}
UpdateGitStatusResponse.runtime = proto3;
UpdateGitStatusResponse.typeName = "gitpod.experimental.v1.UpdateGitStatusResponse";
UpdateGitStatusResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=ide_client_pb.js.map