/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.Pagination
 */
export class Pagination extends Message {
    constructor(data) {
        super();
        /**
         * Page size is the maximum number of results to retrieve per page.
         * Defaults to 25. Maximum 100.
         *
         * @generated from field: int32 page_size = 1;
         */
        this.pageSize = 0;
        /**
         * Page is the page number of results to retrieve.
         * The first page starts at 1.
         * Defaults to 1.
         *
         * @generated from field: int32 page = 2;
         */
        this.page = 0;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Pagination().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Pagination().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Pagination().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(Pagination, a, b);
    }
}
Pagination.runtime = proto3;
Pagination.typeName = "gitpod.experimental.v1.Pagination";
Pagination.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "page_size", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 2, name: "page", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
]);
//# sourceMappingURL=pagination_pb.js.map