/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsRequest
 */
export class GetUserStatsRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserStatsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserStatsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserStatsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetUserStatsRequest, a, b);
    }
}
GetUserStatsRequest.runtime = proto3;
GetUserStatsRequest.typeName = "gitpod.experimental.v1.GetUserStatsRequest";
GetUserStatsRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsResponse
 */
export class GetUserStatsResponse extends Message {
    constructor(data) {
        super();
        /**
         * All users that have an active Gitpod (not deleted) account at the time of asking.
         *
         * @generated from field: uint32 registered_users = 1;
         */
        this.registeredUsers = 0;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserStatsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserStatsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserStatsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetUserStatsResponse, a, b);
    }
}
GetUserStatsResponse.runtime = proto3;
GetUserStatsResponse.typeName = "gitpod.experimental.v1.GetUserStatsResponse";
GetUserStatsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "registered_users", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
]);
//# sourceMappingURL=stats_pb.js.map