/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
/**
 * @generated from enum gitpod.experimental.v1.TeamRole
 */
export var TeamRole;
(function (TeamRole) {
    /**
     * TEAM_ROLE_UNKNOWN is the unkwnon state.
     *
     * @generated from enum value: TEAM_ROLE_UNSPECIFIED = 0;
     */
    TeamRole[TeamRole["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * TEAM_ROLE_OWNER is the owner of the team.
     * A team can have multiple owners, but there must always be at least one owner.
     *
     * @generated from enum value: TEAM_ROLE_OWNER = 1;
     */
    TeamRole[TeamRole["OWNER"] = 1] = "OWNER";
    /**
     * TEAM_ROLE_MEMBER is a regular member of a team.
     *
     * @generated from enum value: TEAM_ROLE_MEMBER = 2;
     */
    TeamRole[TeamRole["MEMBER"] = 2] = "MEMBER";
})(TeamRole || (TeamRole = {}));
// Retrieve enum metadata with: proto3.getEnumType(TeamRole)
proto3.util.setEnumType(TeamRole, "gitpod.experimental.v1.TeamRole", [
    { no: 0, name: "TEAM_ROLE_UNSPECIFIED" },
    { no: 1, name: "TEAM_ROLE_OWNER" },
    { no: 2, name: "TEAM_ROLE_MEMBER" },
]);
/**
 * @generated from message gitpod.experimental.v1.Team
 */
export class Team extends Message {
    constructor(data) {
        super();
        /**
         * id is a UUID of the Team
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * name is the name of the Team
         *
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * slug is the slug of the Team
         *
         * @generated from field: string slug = 3;
         */
        this.slug = "";
        /**
         * members are the team members of this Team
         *
         * @generated from field: repeated gitpod.experimental.v1.TeamMember members = 4;
         */
        this.members = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Team().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Team().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Team().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(Team, a, b);
    }
}
Team.runtime = proto3;
Team.typeName = "gitpod.experimental.v1.Team";
Team.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "slug", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "members", kind: "message", T: TeamMember, repeated: true },
    { no: 5, name: "team_invitation", kind: "message", T: TeamInvitation },
]);
/**
 * @generated from message gitpod.experimental.v1.TeamMember
 */
export class TeamMember extends Message {
    constructor(data) {
        super();
        /**
         * user_id is the identifier of the user
         *
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * role is the role this member is assigned
         *
         * @generated from field: gitpod.experimental.v1.TeamRole role = 2;
         */
        this.role = TeamRole.UNSPECIFIED;
        /**
         * avatar_url is the URL for the TeamMember
         *
         * @generated from field: string avatar_url = 4;
         */
        this.avatarUrl = "";
        /**
         * full_name is the name of the TeamMember
         *
         * @generated from field: string full_name = 5;
         */
        this.fullName = "";
        /**
         * primary_email is the primary email of the TeamMember
         *
         * @generated from field: string primary_email = 6;
         */
        this.primaryEmail = "";
        /**
         * owned_by_organization indicates if the TeamMember is owned by the organization
         *
         * @generated from field: bool owned_by_organization = 7;
         */
        this.ownedByOrganization = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new TeamMember().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new TeamMember().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new TeamMember().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(TeamMember, a, b);
    }
}
TeamMember.runtime = proto3;
TeamMember.typeName = "gitpod.experimental.v1.TeamMember";
TeamMember.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "role", kind: "enum", T: proto3.getEnumType(TeamRole) },
    { no: 3, name: "member_since", kind: "message", T: Timestamp },
    { no: 4, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "full_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "primary_email", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "owned_by_organization", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.experimental.v1.TeamInvitation
 */
export class TeamInvitation extends Message {
    constructor(data) {
        super();
        /**
         * id is the invitation ID.
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new TeamInvitation().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new TeamInvitation().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new TeamInvitation().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(TeamInvitation, a, b);
    }
}
TeamInvitation.runtime = proto3;
TeamInvitation.typeName = "gitpod.experimental.v1.TeamInvitation";
TeamInvitation.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.CreateTeamRequest
 */
export class CreateTeamRequest extends Message {
    constructor(data) {
        super();
        /**
         * name is the team name
         *
         * @generated from field: string name = 1;
         */
        this.name = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateTeamRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateTeamRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateTeamRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateTeamRequest, a, b);
    }
}
CreateTeamRequest.runtime = proto3;
CreateTeamRequest.typeName = "gitpod.experimental.v1.CreateTeamRequest";
CreateTeamRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.CreateTeamResponse
 */
export class CreateTeamResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateTeamResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateTeamResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateTeamResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateTeamResponse, a, b);
    }
}
CreateTeamResponse.runtime = proto3;
CreateTeamResponse.typeName = "gitpod.experimental.v1.CreateTeamResponse";
CreateTeamResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team", kind: "message", T: Team },
]);
/**
 * @generated from message gitpod.experimental.v1.GetTeamRequest
 */
export class GetTeamRequest extends Message {
    constructor(data) {
        super();
        /**
         * team_id is the unique identifier of the Team to retreive.
         *
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetTeamRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetTeamRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetTeamRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetTeamRequest, a, b);
    }
}
GetTeamRequest.runtime = proto3;
GetTeamRequest.typeName = "gitpod.experimental.v1.GetTeamRequest";
GetTeamRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.GetTeamResponse
 */
export class GetTeamResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetTeamResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetTeamResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetTeamResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetTeamResponse, a, b);
    }
}
GetTeamResponse.runtime = proto3;
GetTeamResponse.typeName = "gitpod.experimental.v1.GetTeamResponse";
GetTeamResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team", kind: "message", T: Team },
]);
/**
 * TODO: pagination options
 *
 * @generated from message gitpod.experimental.v1.ListTeamsRequest
 */
export class ListTeamsRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListTeamsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListTeamsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListTeamsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListTeamsRequest, a, b);
    }
}
ListTeamsRequest.runtime = proto3;
ListTeamsRequest.typeName = "gitpod.experimental.v1.ListTeamsRequest";
ListTeamsRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.ListTeamsResponse
 */
export class ListTeamsResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.experimental.v1.Team teams = 1;
         */
        this.teams = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListTeamsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListTeamsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListTeamsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListTeamsResponse, a, b);
    }
}
ListTeamsResponse.runtime = proto3;
ListTeamsResponse.typeName = "gitpod.experimental.v1.ListTeamsResponse";
ListTeamsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "teams", kind: "message", T: Team, repeated: true },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteTeamRequest
 */
export class DeleteTeamRequest extends Message {
    constructor(data) {
        super();
        /**
         * team_id is the ID of the team to delete
         *
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteTeamRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteTeamRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteTeamRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteTeamRequest, a, b);
    }
}
DeleteTeamRequest.runtime = proto3;
DeleteTeamRequest.typeName = "gitpod.experimental.v1.DeleteTeamRequest";
DeleteTeamRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteTeamResponse
 */
export class DeleteTeamResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteTeamResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteTeamResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteTeamResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteTeamResponse, a, b);
    }
}
DeleteTeamResponse.runtime = proto3;
DeleteTeamResponse.typeName = "gitpod.experimental.v1.DeleteTeamResponse";
DeleteTeamResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.GetTeamInvitationRequest
 */
export class GetTeamInvitationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetTeamInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetTeamInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetTeamInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetTeamInvitationRequest, a, b);
    }
}
GetTeamInvitationRequest.runtime = proto3;
GetTeamInvitationRequest.typeName = "gitpod.experimental.v1.GetTeamInvitationRequest";
GetTeamInvitationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.GetTeamInvitationResponse
 */
export class GetTeamInvitationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetTeamInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetTeamInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetTeamInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetTeamInvitationResponse, a, b);
    }
}
GetTeamInvitationResponse.runtime = proto3;
GetTeamInvitationResponse.typeName = "gitpod.experimental.v1.GetTeamInvitationResponse";
GetTeamInvitationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_invitation", kind: "message", T: TeamInvitation },
]);
/**
 * @generated from message gitpod.experimental.v1.JoinTeamRequest
 */
export class JoinTeamRequest extends Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the invitation ID for a Team
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinTeamRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinTeamRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinTeamRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(JoinTeamRequest, a, b);
    }
}
JoinTeamRequest.runtime = proto3;
JoinTeamRequest.typeName = "gitpod.experimental.v1.JoinTeamRequest";
JoinTeamRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.JoinTeamResponse
 */
export class JoinTeamResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinTeamResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinTeamResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinTeamResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(JoinTeamResponse, a, b);
    }
}
JoinTeamResponse.runtime = proto3;
JoinTeamResponse.typeName = "gitpod.experimental.v1.JoinTeamResponse";
JoinTeamResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team", kind: "message", T: Team },
]);
/**
 * @generated from message gitpod.experimental.v1.ResetTeamInvitationRequest
 */
export class ResetTeamInvitationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetTeamInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetTeamInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetTeamInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResetTeamInvitationRequest, a, b);
    }
}
ResetTeamInvitationRequest.runtime = proto3;
ResetTeamInvitationRequest.typeName = "gitpod.experimental.v1.ResetTeamInvitationRequest";
ResetTeamInvitationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.ResetTeamInvitationResponse
 */
export class ResetTeamInvitationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetTeamInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetTeamInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetTeamInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResetTeamInvitationResponse, a, b);
    }
}
ResetTeamInvitationResponse.runtime = proto3;
ResetTeamInvitationResponse.typeName = "gitpod.experimental.v1.ResetTeamInvitationResponse";
ResetTeamInvitationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_invitation", kind: "message", T: TeamInvitation },
]);
/**
 * @generated from message gitpod.experimental.v1.ListTeamMembersRequest
 */
export class ListTeamMembersRequest extends Message {
    constructor(data) {
        super();
        /**
         * team_id is the ID of the team that contains the members to list
         *
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListTeamMembersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListTeamMembersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListTeamMembersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListTeamMembersRequest, a, b);
    }
}
ListTeamMembersRequest.runtime = proto3;
ListTeamMembersRequest.typeName = "gitpod.experimental.v1.ListTeamMembersRequest";
ListTeamMembersRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.ListTeamMembersResponse
 */
export class ListTeamMembersResponse extends Message {
    constructor(data) {
        super();
        /**
         * members are the team members of this Team
         *
         * @generated from field: repeated gitpod.experimental.v1.TeamMember members = 1;
         */
        this.members = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListTeamMembersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListTeamMembersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListTeamMembersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListTeamMembersResponse, a, b);
    }
}
ListTeamMembersResponse.runtime = proto3;
ListTeamMembersResponse.typeName = "gitpod.experimental.v1.ListTeamMembersResponse";
ListTeamMembersResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "members", kind: "message", T: TeamMember, repeated: true },
]);
/**
 * @generated from message gitpod.experimental.v1.UpdateTeamMemberRequest
 */
export class UpdateTeamMemberRequest extends Message {
    constructor(data) {
        super();
        /**
         * team_id is the ID of the team in which the role is to be updated
         *
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateTeamMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateTeamMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateTeamMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateTeamMemberRequest, a, b);
    }
}
UpdateTeamMemberRequest.runtime = proto3;
UpdateTeamMemberRequest.typeName = "gitpod.experimental.v1.UpdateTeamMemberRequest";
UpdateTeamMemberRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "team_member", kind: "message", T: TeamMember },
]);
/**
 * @generated from message gitpod.experimental.v1.UpdateTeamMemberResponse
 */
export class UpdateTeamMemberResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateTeamMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateTeamMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateTeamMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateTeamMemberResponse, a, b);
    }
}
UpdateTeamMemberResponse.runtime = proto3;
UpdateTeamMemberResponse.typeName = "gitpod.experimental.v1.UpdateTeamMemberResponse";
UpdateTeamMemberResponse.fields = proto3.util.newFieldList(() => [
    { no: 2, name: "team_member", kind: "message", T: TeamMember },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteTeamMemberRequest
 */
export class DeleteTeamMemberRequest extends Message {
    constructor(data) {
        super();
        /**
         * team_id is the ID of the team in which a member should be deleted.
         *
         * @generated from field: string team_id = 1;
         */
        this.teamId = "";
        /**
         * team_member_id is the ID of the TeamMember that should be deleted from the team.
         *
         * @generated from field: string team_member_id = 2;
         */
        this.teamMemberId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteTeamMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteTeamMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteTeamMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteTeamMemberRequest, a, b);
    }
}
DeleteTeamMemberRequest.runtime = proto3;
DeleteTeamMemberRequest.typeName = "gitpod.experimental.v1.DeleteTeamMemberRequest";
DeleteTeamMemberRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "team_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "team_member_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteTeamMemberResponse
 */
export class DeleteTeamMemberResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteTeamMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteTeamMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteTeamMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteTeamMemberResponse, a, b);
    }
}
DeleteTeamMemberResponse.runtime = proto3;
DeleteTeamMemberResponse.typeName = "gitpod.experimental.v1.DeleteTeamMemberResponse";
DeleteTeamMemberResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=teams_pb.js.map