/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.User
 */
export class User extends Message {
    constructor(data) {
        super();
        /**
         * id is a UUID of the user
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * name is the username
         *
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * avatar_url is a link to the user avatar
         *
         * @generated from field: string avatar_url = 3;
         */
        this.avatarUrl = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(User, a, b);
    }
}
User.runtime = proto3;
User.typeName = "gitpod.experimental.v1.User";
User.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "created_at", kind: "message", T: Timestamp },
]);
/**
 * @generated from message gitpod.experimental.v1.SSHKey
 */
export class SSHKey extends Message {
    constructor(data) {
        super();
        /**
         * id is a UUID of the SSH key
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * name is the name of the SSH key
         *
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * key is the public SSH key
         *
         * @generated from field: string key = 3;
         */
        this.key = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SSHKey().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SSHKey().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SSHKey().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SSHKey, a, b);
    }
}
SSHKey.runtime = proto3;
SSHKey.typeName = "gitpod.experimental.v1.SSHKey";
SSHKey.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "key", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "created_at", kind: "message", T: Timestamp },
]);
/**
 * @generated from message gitpod.experimental.v1.GetAuthenticatedUserRequest
 */
export class GetAuthenticatedUserRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthenticatedUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthenticatedUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthenticatedUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetAuthenticatedUserRequest, a, b);
    }
}
GetAuthenticatedUserRequest.runtime = proto3;
GetAuthenticatedUserRequest.typeName = "gitpod.experimental.v1.GetAuthenticatedUserRequest";
GetAuthenticatedUserRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.GetAuthenticatedUserResponse
 */
export class GetAuthenticatedUserResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthenticatedUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthenticatedUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthenticatedUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetAuthenticatedUserResponse, a, b);
    }
}
GetAuthenticatedUserResponse.runtime = proto3;
GetAuthenticatedUserResponse.typeName = "gitpod.experimental.v1.GetAuthenticatedUserResponse";
GetAuthenticatedUserResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * TODO: pagination options
 *
 * @generated from message gitpod.experimental.v1.ListSSHKeysRequest
 */
export class ListSSHKeysRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSSHKeysRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSSHKeysRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSSHKeysRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListSSHKeysRequest, a, b);
    }
}
ListSSHKeysRequest.runtime = proto3;
ListSSHKeysRequest.typeName = "gitpod.experimental.v1.ListSSHKeysRequest";
ListSSHKeysRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.ListSSHKeysResponse
 */
export class ListSSHKeysResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.experimental.v1.SSHKey keys = 1;
         */
        this.keys = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSSHKeysResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSSHKeysResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSSHKeysResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListSSHKeysResponse, a, b);
    }
}
ListSSHKeysResponse.runtime = proto3;
ListSSHKeysResponse.typeName = "gitpod.experimental.v1.ListSSHKeysResponse";
ListSSHKeysResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "keys", kind: "message", T: SSHKey, repeated: true },
]);
/**
 * @generated from message gitpod.experimental.v1.CreateSSHKeyRequest
 */
export class CreateSSHKeyRequest extends Message {
    constructor(data) {
        super();
        /**
         * name is the SSH key name
         *
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * the public SSH key
         *
         * @generated from field: string key = 2;
         */
        this.key = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateSSHKeyRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateSSHKeyRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateSSHKeyRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateSSHKeyRequest, a, b);
    }
}
CreateSSHKeyRequest.runtime = proto3;
CreateSSHKeyRequest.typeName = "gitpod.experimental.v1.CreateSSHKeyRequest";
CreateSSHKeyRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "key", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.CreateSSHKeyResponse
 */
export class CreateSSHKeyResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateSSHKeyResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateSSHKeyResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateSSHKeyResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateSSHKeyResponse, a, b);
    }
}
CreateSSHKeyResponse.runtime = proto3;
CreateSSHKeyResponse.typeName = "gitpod.experimental.v1.CreateSSHKeyResponse";
CreateSSHKeyResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "key", kind: "message", T: SSHKey },
]);
/**
 * @generated from message gitpod.experimental.v1.GetSSHKeyRequest
 */
export class GetSSHKeyRequest extends Message {
    constructor(data) {
        super();
        /**
         * id is the unique identifier of the SSH key to retreive.
         *
         * @generated from field: string key_id = 1;
         */
        this.keyId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetSSHKeyRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetSSHKeyRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetSSHKeyRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetSSHKeyRequest, a, b);
    }
}
GetSSHKeyRequest.runtime = proto3;
GetSSHKeyRequest.typeName = "gitpod.experimental.v1.GetSSHKeyRequest";
GetSSHKeyRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "key_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.GetSSHKeyResponse
 */
export class GetSSHKeyResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetSSHKeyResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetSSHKeyResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetSSHKeyResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetSSHKeyResponse, a, b);
    }
}
GetSSHKeyResponse.runtime = proto3;
GetSSHKeyResponse.typeName = "gitpod.experimental.v1.GetSSHKeyResponse";
GetSSHKeyResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "key", kind: "message", T: SSHKey },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteSSHKeyRequest
 */
export class DeleteSSHKeyRequest extends Message {
    constructor(data) {
        super();
        /**
         * id is the unique identifier of the SSH key to retreive.
         *
         * @generated from field: string key_id = 1;
         */
        this.keyId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteSSHKeyRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteSSHKeyRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteSSHKeyRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteSSHKeyRequest, a, b);
    }
}
DeleteSSHKeyRequest.runtime = proto3;
DeleteSSHKeyRequest.typeName = "gitpod.experimental.v1.DeleteSSHKeyRequest";
DeleteSSHKeyRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "key_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.DeleteSSHKeyResponse
 */
export class DeleteSSHKeyResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteSSHKeyResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteSSHKeyResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteSSHKeyResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteSSHKeyResponse, a, b);
    }
}
DeleteSSHKeyResponse.runtime = proto3;
DeleteSSHKeyResponse.typeName = "gitpod.experimental.v1.DeleteSSHKeyResponse";
DeleteSSHKeyResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.GetGitTokenRequest
 */
export class GetGitTokenRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string host = 1;
         */
        this.host = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetGitTokenRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetGitTokenRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetGitTokenRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetGitTokenRequest, a, b);
    }
}
GetGitTokenRequest.runtime = proto3;
GetGitTokenRequest.typeName = "gitpod.experimental.v1.GetGitTokenRequest";
GetGitTokenRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.GetGitTokenResponse
 */
export class GetGitTokenResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetGitTokenResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetGitTokenResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetGitTokenResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetGitTokenResponse, a, b);
    }
}
GetGitTokenResponse.runtime = proto3;
GetGitTokenResponse.typeName = "gitpod.experimental.v1.GetGitTokenResponse";
GetGitTokenResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "token", kind: "message", T: GitToken },
]);
/**
 * @generated from message gitpod.experimental.v1.GitToken
 */
export class GitToken extends Message {
    constructor(data) {
        super();
        /**
         * expiry_date is the date when the token will expire
         *
         * @generated from field: string expiry_date = 1;
         */
        this.expiryDate = "";
        /**
         * id_token is the unique identifier for the token
         *
         * @generated from field: string id_token = 2;
         */
        this.idToken = "";
        /**
         * refresh_token is the token used to refresh the git token
         *
         * @generated from field: string refresh_token = 3;
         */
        this.refreshToken = "";
        /**
         * scopes is a list of permissions associated with the token
         *
         * @generated from field: repeated string scopes = 4;
         */
        this.scopes = [];
        /**
         * update_date is the date when the token was last updated
         *
         * @generated from field: string update_date = 5;
         */
        this.updateDate = "";
        /**
         * username is the username associated with the token
         *
         * @generated from field: string username = 6;
         */
        this.username = "";
        /**
         * value is the actual token value for the token
         *
         * @generated from field: string value = 7;
         */
        this.value = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GitToken().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GitToken().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GitToken().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GitToken, a, b);
    }
}
GitToken.runtime = proto3;
GitToken.typeName = "gitpod.experimental.v1.GitToken";
GitToken.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "expiry_date", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "id_token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "refresh_token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 5, name: "update_date", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "username", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.BlockUserRequest
 */
export class BlockUserRequest extends Message {
    constructor(data) {
        super();
        /**
         * the ID of a User to block
         *
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * reason is the reason for blocking the user
         *
         * @generated from field: string reason = 2;
         */
        this.reason = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(BlockUserRequest, a, b);
    }
}
BlockUserRequest.runtime = proto3;
BlockUserRequest.typeName = "gitpod.experimental.v1.BlockUserRequest";
BlockUserRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "reason", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.BlockUserResponse
 */
export class BlockUserResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(BlockUserResponse, a, b);
    }
}
BlockUserResponse.runtime = proto3;
BlockUserResponse.typeName = "gitpod.experimental.v1.BlockUserResponse";
BlockUserResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=user_pb.js.map