/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
/**
 * @generated from enum gitpod.v1.AuthProviderType
 */
export var AuthProviderType;
(function (AuthProviderType) {
    /**
     * This value is not allowed.
     *
     * @generated from enum value: AUTH_PROVIDER_TYPE_UNSPECIFIED = 0;
     */
    AuthProviderType[AuthProviderType["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_GITHUB = 1;
     */
    AuthProviderType[AuthProviderType["GITHUB"] = 1] = "GITHUB";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_GITLAB = 2;
     */
    AuthProviderType[AuthProviderType["GITLAB"] = 2] = "GITLAB";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_BITBUCKET = 3;
     */
    AuthProviderType[AuthProviderType["BITBUCKET"] = 3] = "BITBUCKET";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_BITBUCKET_SERVER = 4;
     */
    AuthProviderType[AuthProviderType["BITBUCKET_SERVER"] = 4] = "BITBUCKET_SERVER";
})(AuthProviderType || (AuthProviderType = {}));
// Retrieve enum metadata with: proto3.getEnumType(AuthProviderType)
proto3.util.setEnumType(AuthProviderType, "gitpod.v1.AuthProviderType", [
    { no: 0, name: "AUTH_PROVIDER_TYPE_UNSPECIFIED" },
    { no: 1, name: "AUTH_PROVIDER_TYPE_GITHUB" },
    { no: 2, name: "AUTH_PROVIDER_TYPE_GITLAB" },
    { no: 3, name: "AUTH_PROVIDER_TYPE_BITBUCKET" },
    { no: 4, name: "AUTH_PROVIDER_TYPE_BITBUCKET_SERVER" },
]);
/**
 * @generated from message gitpod.v1.CreateAuthProviderRequest
 */
export class CreateAuthProviderRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.CreateAuthProviderRequest.owner
         */
        this.owner = { case: undefined };
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 3;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 4;
         */
        this.host = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateAuthProviderRequest, a, b);
    }
}
CreateAuthProviderRequest.runtime = proto3;
CreateAuthProviderRequest.typeName = "gitpod.v1.CreateAuthProviderRequest";
CreateAuthProviderRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "owner_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 3, name: "type", kind: "enum", T: proto3.getEnumType(AuthProviderType) },
    { no: 4, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "oauth2_config", kind: "message", T: OAuth2Config },
]);
/**
 * @generated from message gitpod.v1.CreateAuthProviderResponse
 */
export class CreateAuthProviderResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateAuthProviderResponse, a, b);
    }
}
CreateAuthProviderResponse.runtime = proto3;
CreateAuthProviderResponse.typeName = "gitpod.v1.CreateAuthProviderResponse";
CreateAuthProviderResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.GetAuthProviderRequest
 */
export class GetAuthProviderRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetAuthProviderRequest, a, b);
    }
}
GetAuthProviderRequest.runtime = proto3;
GetAuthProviderRequest.typeName = "gitpod.v1.GetAuthProviderRequest";
GetAuthProviderRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetAuthProviderResponse
 */
export class GetAuthProviderResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetAuthProviderResponse, a, b);
    }
}
GetAuthProviderResponse.runtime = proto3;
GetAuthProviderResponse.typeName = "gitpod.v1.GetAuthProviderResponse";
GetAuthProviderResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.ListAuthProvidersRequest
 */
export class ListAuthProvidersRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.ListAuthProvidersRequest.id
         */
        this.id = { case: undefined };
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProvidersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProvidersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProvidersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListAuthProvidersRequest, a, b);
    }
}
ListAuthProvidersRequest.runtime = proto3;
ListAuthProvidersRequest.typeName = "gitpod.v1.ListAuthProvidersRequest";
ListAuthProvidersRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
]);
/**
 * @generated from message gitpod.v1.ListAuthProvidersResponse
 */
export class ListAuthProvidersResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.AuthProvider auth_providers = 1;
         */
        this.authProviders = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProvidersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProvidersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProvidersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListAuthProvidersResponse, a, b);
    }
}
ListAuthProvidersResponse.runtime = proto3;
ListAuthProvidersResponse.typeName = "gitpod.v1.ListAuthProvidersResponse";
ListAuthProvidersResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_providers", kind: "message", T: AuthProvider, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.ListAuthProviderDescriptionsRequest
 */
export class ListAuthProviderDescriptionsRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.ListAuthProviderDescriptionsRequest.id
         */
        this.id = { case: undefined };
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProviderDescriptionsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProviderDescriptionsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProviderDescriptionsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListAuthProviderDescriptionsRequest, a, b);
    }
}
ListAuthProviderDescriptionsRequest.runtime = proto3;
ListAuthProviderDescriptionsRequest.typeName = "gitpod.v1.ListAuthProviderDescriptionsRequest";
ListAuthProviderDescriptionsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
]);
/**
 * @generated from message gitpod.v1.ListAuthProviderDescriptionsResponse
 */
export class ListAuthProviderDescriptionsResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.AuthProviderDescription descriptions = 1;
         */
        this.descriptions = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProviderDescriptionsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProviderDescriptionsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProviderDescriptionsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListAuthProviderDescriptionsResponse, a, b);
    }
}
ListAuthProviderDescriptionsResponse.runtime = proto3;
ListAuthProviderDescriptionsResponse.typeName = "gitpod.v1.ListAuthProviderDescriptionsResponse";
ListAuthProviderDescriptionsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "descriptions", kind: "message", T: AuthProviderDescription, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateAuthProviderRequest
 */
export class UpdateAuthProviderRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateAuthProviderRequest, a, b);
    }
}
UpdateAuthProviderRequest.runtime = proto3;
UpdateAuthProviderRequest.typeName = "gitpod.v1.UpdateAuthProviderRequest";
UpdateAuthProviderRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "client_id", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "client_secret", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateAuthProviderResponse
 */
export class UpdateAuthProviderResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateAuthProviderResponse, a, b);
    }
}
UpdateAuthProviderResponse.runtime = proto3;
UpdateAuthProviderResponse.typeName = "gitpod.v1.UpdateAuthProviderResponse";
UpdateAuthProviderResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.DeleteAuthProviderRequest
 */
export class DeleteAuthProviderRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteAuthProviderRequest, a, b);
    }
}
DeleteAuthProviderRequest.runtime = proto3;
DeleteAuthProviderRequest.typeName = "gitpod.v1.DeleteAuthProviderRequest";
DeleteAuthProviderRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteAuthProviderResponse
 */
export class DeleteAuthProviderResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteAuthProviderResponse, a, b);
    }
}
DeleteAuthProviderResponse.runtime = proto3;
DeleteAuthProviderResponse.typeName = "gitpod.v1.DeleteAuthProviderResponse";
DeleteAuthProviderResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.AuthProviderDescription
 */
export class AuthProviderDescription extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 4;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 5;
         */
        this.host = "";
        /**
         * @generated from field: string icon = 6;
         */
        this.icon = "";
        /**
         * @generated from field: string description = 7;
         */
        this.description = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new AuthProviderDescription().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new AuthProviderDescription().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new AuthProviderDescription().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(AuthProviderDescription, a, b);
    }
}
AuthProviderDescription.runtime = proto3;
AuthProviderDescription.typeName = "gitpod.v1.AuthProviderDescription";
AuthProviderDescription.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "type", kind: "enum", T: proto3.getEnumType(AuthProviderType) },
    { no: 5, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "icon", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "description", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.AuthProvider
 */
export class AuthProvider extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from oneof gitpod.v1.AuthProvider.owner
         */
        this.owner = { case: undefined };
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 4;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 5;
         */
        this.host = "";
        /**
         * @generated from field: string icon = 6;
         */
        this.icon = "";
        /**
         * @generated from field: string description = 7;
         */
        this.description = "";
        /**
         * @generated from field: string settings_url = 8;
         */
        this.settingsUrl = "";
        /**
         * @generated from field: bool verified = 9;
         */
        this.verified = false;
        /**
         * @generated from field: bool enable_login = 10;
         */
        this.enableLogin = false;
        /**
         * @generated from field: repeated string scopes = 11;
         */
        this.scopes = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new AuthProvider().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new AuthProvider().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new AuthProvider().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(AuthProvider, a, b);
    }
}
AuthProvider.runtime = proto3;
AuthProvider.typeName = "gitpod.v1.AuthProvider";
AuthProvider.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "owner_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 4, name: "type", kind: "enum", T: proto3.getEnumType(AuthProviderType) },
    { no: 5, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "icon", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "description", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 8, name: "settings_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 9, name: "verified", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 10, name: "enable_login", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 11, name: "scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 12, name: "oauth2_config", kind: "message", T: OAuth2Config },
]);
/**
 * @generated from message gitpod.v1.OAuth2Config
 */
export class OAuth2Config extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string client_id = 1;
         */
        this.clientId = "";
        /**
         * @generated from field: string client_secret = 2;
         */
        this.clientSecret = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OAuth2Config().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OAuth2Config().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OAuth2Config().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(OAuth2Config, a, b);
    }
}
OAuth2Config.runtime = proto3;
OAuth2Config.typeName = "gitpod.v1.OAuth2Config";
OAuth2Config.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "client_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "client_secret", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=authprovider_pb.js.map