/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Sort } from "./sorting_pb.js";
/**
 * @generated from enum gitpod.v1.BranchMatchingStrategy
 */
export var BranchMatchingStrategy;
(function (BranchMatchingStrategy) {
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_UNSPECIFIED = 0;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_DEFAULT_BRANCH = 1;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["DEFAULT_BRANCH"] = 1] = "DEFAULT_BRANCH";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_ALL_BRANCHES = 2;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["ALL_BRANCHES"] = 2] = "ALL_BRANCHES";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_MATCHED_BRANCHES = 3;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["MATCHED_BRANCHES"] = 3] = "MATCHED_BRANCHES";
})(BranchMatchingStrategy || (BranchMatchingStrategy = {}));
// Retrieve enum metadata with: proto3.getEnumType(BranchMatchingStrategy)
proto3.util.setEnumType(BranchMatchingStrategy, "gitpod.v1.BranchMatchingStrategy", [
    { no: 0, name: "BRANCH_MATCHING_STRATEGY_UNSPECIFIED" },
    { no: 1, name: "BRANCH_MATCHING_STRATEGY_DEFAULT_BRANCH" },
    { no: 2, name: "BRANCH_MATCHING_STRATEGY_ALL_BRANCHES" },
    { no: 3, name: "BRANCH_MATCHING_STRATEGY_MATCHED_BRANCHES" },
]);
/**
 * @generated from message gitpod.v1.Configuration
 */
export class Configuration extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        /**
         * @generated from field: string name = 3;
         */
        this.name = "";
        /**
         * @generated from field: string clone_url = 4;
         */
        this.cloneUrl = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Configuration().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Configuration().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Configuration().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(Configuration, a, b);
    }
}
Configuration.runtime = proto3;
Configuration.typeName = "gitpod.v1.Configuration";
Configuration.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "creation_time", kind: "message", T: Timestamp },
    { no: 6, name: "prebuild_settings", kind: "message", T: PrebuildSettings },
    { no: 7, name: "workspace_settings", kind: "message", T: WorkspaceSettings },
]);
/**
 * @generated from message gitpod.v1.PrebuildSettings
 */
export class PrebuildSettings extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool enabled = 1;
         */
        this.enabled = false;
        /**
         * @generated from field: string branch_matching_pattern = 2;
         */
        this.branchMatchingPattern = "";
        /**
         * @generated from field: gitpod.v1.BranchMatchingStrategy branch_strategy = 3;
         */
        this.branchStrategy = BranchMatchingStrategy.UNSPECIFIED;
        /**
         * @generated from field: int32 prebuild_interval = 4;
         */
        this.prebuildInterval = 0;
        /**
         * @generated from field: string workspace_class = 5;
         */
        this.workspaceClass = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PrebuildSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PrebuildSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PrebuildSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PrebuildSettings, a, b);
    }
}
PrebuildSettings.runtime = proto3;
PrebuildSettings.typeName = "gitpod.v1.PrebuildSettings";
PrebuildSettings.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 2, name: "branch_matching_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "branch_strategy", kind: "enum", T: proto3.getEnumType(BranchMatchingStrategy) },
    { no: 4, name: "prebuild_interval", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 5, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.WorkspaceSettings
 */
export class WorkspaceSettings extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_class = 1;
         */
        this.workspaceClass = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new WorkspaceSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new WorkspaceSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new WorkspaceSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(WorkspaceSettings, a, b);
    }
}
WorkspaceSettings.runtime = proto3;
WorkspaceSettings.typeName = "gitpod.v1.WorkspaceSettings";
WorkspaceSettings.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationRequest
 */
export class CreateConfigurationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string clone_url = 3;
         */
        this.cloneUrl = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateConfigurationRequest, a, b);
    }
}
CreateConfigurationRequest.runtime = proto3;
CreateConfigurationRequest.typeName = "gitpod.v1.CreateConfigurationRequest";
CreateConfigurationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationResponse
 */
export class CreateConfigurationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateConfigurationResponse, a, b);
    }
}
CreateConfigurationResponse.runtime = proto3;
CreateConfigurationResponse.typeName = "gitpod.v1.CreateConfigurationResponse";
CreateConfigurationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.GetConfigurationRequest
 */
export class GetConfigurationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetConfigurationRequest, a, b);
    }
}
GetConfigurationRequest.runtime = proto3;
GetConfigurationRequest.typeName = "gitpod.v1.GetConfigurationRequest";
GetConfigurationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetConfigurationResponse
 */
export class GetConfigurationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetConfigurationResponse, a, b);
    }
}
GetConfigurationResponse.runtime = proto3;
GetConfigurationResponse.typeName = "gitpod.v1.GetConfigurationResponse";
GetConfigurationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationsRequest
 */
export class ListConfigurationsRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * @generated from field: string search_term = 2;
         */
        this.searchTerm = "";
        /**
         * Configurations can be sorted by "name" OR "creationTime"
         *
         * @generated from field: repeated gitpod.v1.Sort sort = 4;
         */
        this.sort = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListConfigurationsRequest, a, b);
    }
}
ListConfigurationsRequest.runtime = proto3;
ListConfigurationsRequest.typeName = "gitpod.v1.ListConfigurationsRequest";
ListConfigurationsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "search_term", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 4, name: "sort", kind: "message", T: Sort, repeated: true },
    { no: 5, name: "prebuilds_enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationsResponse
 */
export class ListConfigurationsResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.Configuration configurations = 1;
         */
        this.configurations = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListConfigurationsResponse, a, b);
    }
}
ListConfigurationsResponse.runtime = proto3;
ListConfigurationsResponse.typeName = "gitpod.v1.ListConfigurationsResponse";
ListConfigurationsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configurations", kind: "message", T: Configuration, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest
 */
export class UpdateConfigurationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationRequest, a, b);
    }
}
UpdateConfigurationRequest.runtime = proto3;
UpdateConfigurationRequest.typeName = "gitpod.v1.UpdateConfigurationRequest";
UpdateConfigurationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "prebuild_settings", kind: "message", T: UpdateConfigurationRequest_PrebuildSettings, opt: true },
    { no: 4, name: "workspace_settings", kind: "message", T: UpdateConfigurationRequest_WorkspaceSettings, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest.PrebuildSettings
 */
export class UpdateConfigurationRequest_PrebuildSettings extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationRequest_PrebuildSettings, a, b);
    }
}
UpdateConfigurationRequest_PrebuildSettings.runtime = proto3;
UpdateConfigurationRequest_PrebuildSettings.typeName = "gitpod.v1.UpdateConfigurationRequest.PrebuildSettings";
UpdateConfigurationRequest_PrebuildSettings.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 2, name: "branch_matching_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "branch_strategy", kind: "enum", T: proto3.getEnumType(BranchMatchingStrategy), opt: true },
    { no: 4, name: "prebuild_interval", kind: "scalar", T: 5 /* ScalarType.INT32 */, opt: true },
    { no: 5, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest.WorkspaceSettings
 */
export class UpdateConfigurationRequest_WorkspaceSettings extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationRequest_WorkspaceSettings, a, b);
    }
}
UpdateConfigurationRequest_WorkspaceSettings.runtime = proto3;
UpdateConfigurationRequest_WorkspaceSettings.typeName = "gitpod.v1.UpdateConfigurationRequest.WorkspaceSettings";
UpdateConfigurationRequest_WorkspaceSettings.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationResponse
 */
export class UpdateConfigurationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationResponse, a, b);
    }
}
UpdateConfigurationResponse.runtime = proto3;
UpdateConfigurationResponse.typeName = "gitpod.v1.UpdateConfigurationResponse";
UpdateConfigurationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationRequest
 */
export class DeleteConfigurationRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteConfigurationRequest, a, b);
    }
}
DeleteConfigurationRequest.runtime = proto3;
DeleteConfigurationRequest.typeName = "gitpod.v1.DeleteConfigurationRequest";
DeleteConfigurationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationResponse
 */
export class DeleteConfigurationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteConfigurationResponse, a, b);
    }
}
DeleteConfigurationResponse.runtime = proto3;
DeleteConfigurationResponse.typeName = "gitpod.v1.DeleteConfigurationResponse";
DeleteConfigurationResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=configuration_pb.js.map