/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
/**
 * @generated from enum gitpod.v1.EnvironmentVariableAdmission
 */
export var EnvironmentVariableAdmission;
(function (EnvironmentVariableAdmission) {
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_UNSPECIFIED = 0;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_PREBUILD = 1;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["PREBUILD"] = 1] = "PREBUILD";
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_EVERYWHERE = 2;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["EVERYWHERE"] = 2] = "EVERYWHERE";
})(EnvironmentVariableAdmission || (EnvironmentVariableAdmission = {}));
// Retrieve enum metadata with: proto3.getEnumType(EnvironmentVariableAdmission)
proto3.util.setEnumType(EnvironmentVariableAdmission, "gitpod.v1.EnvironmentVariableAdmission", [
    { no: 0, name: "ENVIRONMENT_VARIABLE_ADMISSION_UNSPECIFIED" },
    { no: 1, name: "ENVIRONMENT_VARIABLE_ADMISSION_PREBUILD" },
    { no: 2, name: "ENVIRONMENT_VARIABLE_ADMISSION_EVERYWHERE" },
]);
/**
 * @generated from message gitpod.v1.UserEnvironmentVariable
 */
export class UserEnvironmentVariable extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string value = 3;
         */
        this.value = "";
        /**
         * @generated from field: string repository_pattern = 4;
         */
        this.repositoryPattern = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UserEnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UserEnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UserEnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UserEnvironmentVariable, a, b);
    }
}
UserEnvironmentVariable.runtime = proto3;
UserEnvironmentVariable.typeName = "gitpod.v1.UserEnvironmentVariable";
UserEnvironmentVariable.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesRequest
 */
export class ListUserEnvironmentVariablesRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUserEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUserEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUserEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListUserEnvironmentVariablesRequest, a, b);
    }
}
ListUserEnvironmentVariablesRequest.runtime = proto3;
ListUserEnvironmentVariablesRequest.typeName = "gitpod.v1.ListUserEnvironmentVariablesRequest";
ListUserEnvironmentVariablesRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesResponse
 */
export class ListUserEnvironmentVariablesResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.UserEnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUserEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUserEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUserEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListUserEnvironmentVariablesResponse, a, b);
    }
}
ListUserEnvironmentVariablesResponse.runtime = proto3;
ListUserEnvironmentVariablesResponse.typeName = "gitpod.v1.ListUserEnvironmentVariablesResponse";
ListUserEnvironmentVariablesResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: UserEnvironmentVariable, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableRequest
 */
export class UpdateUserEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateUserEnvironmentVariableRequest, a, b);
    }
}
UpdateUserEnvironmentVariableRequest.runtime = proto3;
UpdateUserEnvironmentVariableRequest.typeName = "gitpod.v1.UpdateUserEnvironmentVariableRequest";
UpdateUserEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableResponse
 */
export class UpdateUserEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateUserEnvironmentVariableResponse, a, b);
    }
}
UpdateUserEnvironmentVariableResponse.runtime = proto3;
UpdateUserEnvironmentVariableResponse.typeName = "gitpod.v1.UpdateUserEnvironmentVariableResponse";
UpdateUserEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: UserEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableRequest
 */
export class CreateUserEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string value = 2;
         */
        this.value = "";
        /**
         * @generated from field: string repository_pattern = 3;
         */
        this.repositoryPattern = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateUserEnvironmentVariableRequest, a, b);
    }
}
CreateUserEnvironmentVariableRequest.runtime = proto3;
CreateUserEnvironmentVariableRequest.typeName = "gitpod.v1.CreateUserEnvironmentVariableRequest";
CreateUserEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableResponse
 */
export class CreateUserEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateUserEnvironmentVariableResponse, a, b);
    }
}
CreateUserEnvironmentVariableResponse.runtime = proto3;
CreateUserEnvironmentVariableResponse.typeName = "gitpod.v1.CreateUserEnvironmentVariableResponse";
CreateUserEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: UserEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableRequest
 */
export class DeleteUserEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteUserEnvironmentVariableRequest, a, b);
    }
}
DeleteUserEnvironmentVariableRequest.runtime = proto3;
DeleteUserEnvironmentVariableRequest.typeName = "gitpod.v1.DeleteUserEnvironmentVariableRequest";
DeleteUserEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableResponse
 */
export class DeleteUserEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteUserEnvironmentVariableResponse, a, b);
    }
}
DeleteUserEnvironmentVariableResponse.runtime = proto3;
DeleteUserEnvironmentVariableResponse.typeName = "gitpod.v1.DeleteUserEnvironmentVariableResponse";
DeleteUserEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ConfigurationEnvironmentVariable
 */
export class ConfigurationEnvironmentVariable extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string configuration_id = 4;
         */
        this.configurationId = "";
        /**
         * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 5;
         */
        this.admission = EnvironmentVariableAdmission.UNSPECIFIED;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ConfigurationEnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ConfigurationEnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ConfigurationEnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ConfigurationEnvironmentVariable, a, b);
    }
}
ConfigurationEnvironmentVariable.runtime = proto3;
ConfigurationEnvironmentVariable.typeName = "gitpod.v1.ConfigurationEnvironmentVariable";
ConfigurationEnvironmentVariable.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "admission", kind: "enum", T: proto3.getEnumType(EnvironmentVariableAdmission) },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesRequest
 */
export class ListConfigurationEnvironmentVariablesRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListConfigurationEnvironmentVariablesRequest, a, b);
    }
}
ListConfigurationEnvironmentVariablesRequest.runtime = proto3;
ListConfigurationEnvironmentVariablesRequest.typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesRequest";
ListConfigurationEnvironmentVariablesRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesResponse
 */
export class ListConfigurationEnvironmentVariablesResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.ConfigurationEnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListConfigurationEnvironmentVariablesResponse, a, b);
    }
}
ListConfigurationEnvironmentVariablesResponse.runtime = proto3;
ListConfigurationEnvironmentVariablesResponse.typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesResponse";
ListConfigurationEnvironmentVariablesResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: ConfigurationEnvironmentVariable, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableRequest
 */
export class UpdateConfigurationEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        /**
         * @generated from field: string environment_variable_id = 2;
         */
        this.environmentVariableId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationEnvironmentVariableRequest, a, b);
    }
}
UpdateConfigurationEnvironmentVariableRequest.runtime = proto3;
UpdateConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableRequest";
UpdateConfigurationEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "admission", kind: "enum", T: proto3.getEnumType(EnvironmentVariableAdmission), opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableResponse
 */
export class UpdateConfigurationEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateConfigurationEnvironmentVariableResponse, a, b);
    }
}
UpdateConfigurationEnvironmentVariableResponse.runtime = proto3;
UpdateConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableResponse";
UpdateConfigurationEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: ConfigurationEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableRequest
 */
export class CreateConfigurationEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string value = 3;
         */
        this.value = "";
        /**
         * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 4;
         */
        this.admission = EnvironmentVariableAdmission.UNSPECIFIED;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateConfigurationEnvironmentVariableRequest, a, b);
    }
}
CreateConfigurationEnvironmentVariableRequest.runtime = proto3;
CreateConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableRequest";
CreateConfigurationEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "admission", kind: "enum", T: proto3.getEnumType(EnvironmentVariableAdmission) },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableResponse
 */
export class CreateConfigurationEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateConfigurationEnvironmentVariableResponse, a, b);
    }
}
CreateConfigurationEnvironmentVariableResponse.runtime = proto3;
CreateConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableResponse";
CreateConfigurationEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: ConfigurationEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableRequest
 */
export class DeleteConfigurationEnvironmentVariableRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteConfigurationEnvironmentVariableRequest, a, b);
    }
}
DeleteConfigurationEnvironmentVariableRequest.runtime = proto3;
DeleteConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableRequest";
DeleteConfigurationEnvironmentVariableRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableResponse
 */
export class DeleteConfigurationEnvironmentVariableResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteConfigurationEnvironmentVariableResponse, a, b);
    }
}
DeleteConfigurationEnvironmentVariableResponse.runtime = proto3;
DeleteConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableResponse";
DeleteConfigurationEnvironmentVariableResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest
 */
export class ResolveWorkspaceEnvironmentVariablesRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResolveWorkspaceEnvironmentVariablesRequest, a, b);
    }
}
ResolveWorkspaceEnvironmentVariablesRequest.runtime = proto3;
ResolveWorkspaceEnvironmentVariablesRequest.typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest";
ResolveWorkspaceEnvironmentVariablesRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse
 */
export class ResolveWorkspaceEnvironmentVariablesResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.EnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResolveWorkspaceEnvironmentVariablesResponse, a, b);
    }
}
ResolveWorkspaceEnvironmentVariablesResponse.runtime = proto3;
ResolveWorkspaceEnvironmentVariablesResponse.typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse";
ResolveWorkspaceEnvironmentVariablesResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: EnvironmentVariable, repeated: true },
]);
/**
 * @generated from message gitpod.v1.EnvironmentVariable
 */
export class EnvironmentVariable extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string value = 2;
         */
        this.value = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new EnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new EnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new EnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(EnvironmentVariable, a, b);
    }
}
EnvironmentVariable.runtime = proto3;
EnvironmentVariable.typeName = "gitpod.v1.EnvironmentVariable";
EnvironmentVariable.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=envvar_pb.js.map