/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * details for PERMISSION_DENIED status code
 *
 * @generated from message gitpod.v1.PermissionDeniedDetails
 */
export class PermissionDeniedDetails extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.PermissionDeniedDetails.reason
         */
        this.reason = { case: undefined };
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PermissionDeniedDetails().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PermissionDeniedDetails().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PermissionDeniedDetails().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PermissionDeniedDetails, a, b);
    }
}
PermissionDeniedDetails.runtime = proto3;
PermissionDeniedDetails.typeName = "gitpod.v1.PermissionDeniedDetails";
PermissionDeniedDetails.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "user_blocked", kind: "message", T: UserBlockedError, oneof: "reason" },
    { no: 2, name: "needs_verification", kind: "message", T: NeedsVerificationError, oneof: "reason" },
]);
/**
 * @generated from message gitpod.v1.UserBlockedError
 */
export class UserBlockedError extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UserBlockedError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UserBlockedError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UserBlockedError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UserBlockedError, a, b);
    }
}
UserBlockedError.runtime = proto3;
UserBlockedError.typeName = "gitpod.v1.UserBlockedError";
UserBlockedError.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.NeedsVerificationError
 */
export class NeedsVerificationError extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new NeedsVerificationError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new NeedsVerificationError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new NeedsVerificationError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(NeedsVerificationError, a, b);
    }
}
NeedsVerificationError.runtime = proto3;
NeedsVerificationError.typeName = "gitpod.v1.NeedsVerificationError";
NeedsVerificationError.fields = proto3.util.newFieldList(() => []);
/**
 * details for FAILED_PRECONDITION status code
 *
 * @generated from message gitpod.v1.FailedPreconditionDetails
 */
export class FailedPreconditionDetails extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.FailedPreconditionDetails.reason
         */
        this.reason = { case: undefined };
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new FailedPreconditionDetails().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new FailedPreconditionDetails().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new FailedPreconditionDetails().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(FailedPreconditionDetails, a, b);
    }
}
FailedPreconditionDetails.runtime = proto3;
FailedPreconditionDetails.typeName = "gitpod.v1.FailedPreconditionDetails";
FailedPreconditionDetails.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "payment_spending_limit_reached", kind: "message", T: PaymentSpendingLimitReachedError, oneof: "reason" },
    { no: 2, name: "invalid_cost_center", kind: "message", T: InvalidCostCenterError, oneof: "reason" },
    { no: 3, name: "too_many_running_workspaces", kind: "message", T: TooManyRunningWorkspacesError, oneof: "reason" },
    { no: 4, name: "invalid_gitpod_yml", kind: "message", T: InvalidGitpodYMLError, oneof: "reason" },
    { no: 5, name: "repository_not_found", kind: "message", T: RepositoryNotFoundError, oneof: "reason" },
    { no: 6, name: "repository_unauthorized", kind: "message", T: RepositoryUnauthorizedError, oneof: "reason" },
    { no: 7, name: "image_build_logs_not_yet_available", kind: "message", T: ImageBuildLogsNotYetAvailableError, oneof: "reason" },
]);
/**
 * @generated from message gitpod.v1.PaymentSpendingLimitReachedError
 */
export class PaymentSpendingLimitReachedError extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PaymentSpendingLimitReachedError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PaymentSpendingLimitReachedError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PaymentSpendingLimitReachedError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PaymentSpendingLimitReachedError, a, b);
    }
}
PaymentSpendingLimitReachedError.runtime = proto3;
PaymentSpendingLimitReachedError.typeName = "gitpod.v1.PaymentSpendingLimitReachedError";
PaymentSpendingLimitReachedError.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.InvalidCostCenterError
 */
export class InvalidCostCenterError extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string attribution_id = 1;
         */
        this.attributionId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new InvalidCostCenterError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new InvalidCostCenterError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new InvalidCostCenterError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(InvalidCostCenterError, a, b);
    }
}
InvalidCostCenterError.runtime = proto3;
InvalidCostCenterError.typeName = "gitpod.v1.InvalidCostCenterError";
InvalidCostCenterError.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "attribution_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.TooManyRunningWorkspacesError
 */
export class TooManyRunningWorkspacesError extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new TooManyRunningWorkspacesError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new TooManyRunningWorkspacesError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new TooManyRunningWorkspacesError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(TooManyRunningWorkspacesError, a, b);
    }
}
TooManyRunningWorkspacesError.runtime = proto3;
TooManyRunningWorkspacesError.typeName = "gitpod.v1.TooManyRunningWorkspacesError";
TooManyRunningWorkspacesError.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.InvalidGitpodYMLError
 */
export class InvalidGitpodYMLError extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated string violations = 1;
         */
        this.violations = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new InvalidGitpodYMLError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new InvalidGitpodYMLError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new InvalidGitpodYMLError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(InvalidGitpodYMLError, a, b);
    }
}
InvalidGitpodYMLError.runtime = proto3;
InvalidGitpodYMLError.typeName = "gitpod.v1.InvalidGitpodYMLError";
InvalidGitpodYMLError.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "violations", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
]);
/**
 * @generated from message gitpod.v1.RepositoryNotFoundError
 */
export class RepositoryNotFoundError extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string host = 1;
         */
        this.host = "";
        /**
         * @generated from field: string owner = 2;
         */
        this.owner = "";
        /**
         * @generated from field: bool user_is_owner = 3;
         */
        this.userIsOwner = false;
        /**
         * @generated from field: repeated string user_scopes = 4;
         */
        this.userScopes = [];
        /**
         * @generated from field: string last_update = 5;
         */
        this.lastUpdate = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new RepositoryNotFoundError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new RepositoryNotFoundError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new RepositoryNotFoundError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(RepositoryNotFoundError, a, b);
    }
}
RepositoryNotFoundError.runtime = proto3;
RepositoryNotFoundError.typeName = "gitpod.v1.RepositoryNotFoundError";
RepositoryNotFoundError.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "owner", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "user_is_owner", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 4, name: "user_scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 5, name: "last_update", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.RepositoryUnauthorizedError
 */
export class RepositoryUnauthorizedError extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string host = 1;
         */
        this.host = "";
        /**
         * @generated from field: repeated string required_scopes = 2;
         */
        this.requiredScopes = [];
        /**
         * @generated from field: string provider_type = 3;
         */
        this.providerType = "";
        /**
         * @generated from field: string repo_name = 4;
         */
        this.repoName = "";
        /**
         * @generated from field: bool provider_is_connected = 5;
         */
        this.providerIsConnected = false;
        /**
         * @generated from field: bool is_missing_scopes = 6;
         */
        this.isMissingScopes = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new RepositoryUnauthorizedError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new RepositoryUnauthorizedError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new RepositoryUnauthorizedError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(RepositoryUnauthorizedError, a, b);
    }
}
RepositoryUnauthorizedError.runtime = proto3;
RepositoryUnauthorizedError.typeName = "gitpod.v1.RepositoryUnauthorizedError";
RepositoryUnauthorizedError.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "required_scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 3, name: "provider_type", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "repo_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "provider_is_connected", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 6, name: "is_missing_scopes", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.ImageBuildLogsNotYetAvailableError
 */
export class ImageBuildLogsNotYetAvailableError extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ImageBuildLogsNotYetAvailableError().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ImageBuildLogsNotYetAvailableError().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ImageBuildLogsNotYetAvailableError().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ImageBuildLogsNotYetAvailableError, a, b);
    }
}
ImageBuildLogsNotYetAvailableError.runtime = proto3;
ImageBuildLogsNotYetAvailableError.typeName = "gitpod.v1.ImageBuildLogsNotYetAvailableError";
ImageBuildLogsNotYetAvailableError.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=error_pb.js.map