/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Sort } from "./sorting_pb.js";
/**
 * @generated from message gitpod.v1.GetOnboardingStateRequest
 */
export class GetOnboardingStateRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOnboardingStateRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOnboardingStateRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOnboardingStateRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOnboardingStateRequest, a, b);
    }
}
GetOnboardingStateRequest.runtime = proto3;
GetOnboardingStateRequest.typeName = "gitpod.v1.GetOnboardingStateRequest";
GetOnboardingStateRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetOnboardingStateResponse
 */
export class GetOnboardingStateResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOnboardingStateResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOnboardingStateResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOnboardingStateResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOnboardingStateResponse, a, b);
    }
}
GetOnboardingStateResponse.runtime = proto3;
GetOnboardingStateResponse.typeName = "gitpod.v1.GetOnboardingStateResponse";
GetOnboardingStateResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "onboarding_state", kind: "message", T: OnboardingState },
]);
/**
 * @generated from message gitpod.v1.OnboardingState
 */
export class OnboardingState extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool completed = 1;
         */
        this.completed = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OnboardingState().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OnboardingState().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OnboardingState().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(OnboardingState, a, b);
    }
}
OnboardingState.runtime = proto3;
OnboardingState.typeName = "gitpod.v1.OnboardingState";
OnboardingState.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "completed", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageRequest
 */
export class GetInstallationWorkspaceDefaultImageRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetInstallationWorkspaceDefaultImageRequest, a, b);
    }
}
GetInstallationWorkspaceDefaultImageRequest.runtime = proto3;
GetInstallationWorkspaceDefaultImageRequest.typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageRequest";
GetInstallationWorkspaceDefaultImageRequest.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageResponse
 */
export class GetInstallationWorkspaceDefaultImageResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string default_workspace_image = 1;
         */
        this.defaultWorkspaceImage = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetInstallationWorkspaceDefaultImageResponse, a, b);
    }
}
GetInstallationWorkspaceDefaultImageResponse.runtime = proto3;
GetInstallationWorkspaceDefaultImageResponse.typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageResponse";
GetInstallationWorkspaceDefaultImageResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesRequest
 */
export class ListBlockedRepositoriesRequest extends Message {
    constructor(data) {
        super();
        /**
         * sort contains the sort options for listing blocked repositories
         * BlockedRepositories can be sorted by "urlRegexp"
         *
         * @generated from field: repeated gitpod.v1.Sort sort = 2;
         */
        this.sort = [];
        /**
         * search_term is a search term to filter blocked repositories by url_regexp
         *
         * @generated from field: string search_term = 3;
         */
        this.searchTerm = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedRepositoriesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedRepositoriesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedRepositoriesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListBlockedRepositoriesRequest, a, b);
    }
}
ListBlockedRepositoriesRequest.runtime = proto3;
ListBlockedRepositoriesRequest.typeName = "gitpod.v1.ListBlockedRepositoriesRequest";
ListBlockedRepositoriesRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "sort", kind: "message", T: Sort, repeated: true },
    { no: 3, name: "search_term", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesResponse
 */
export class ListBlockedRepositoriesResponse extends Message {
    constructor(data) {
        super();
        /**
         * blocked_repositories are the blocked repositories
         *
         * @generated from field: repeated gitpod.v1.BlockedRepository blocked_repositories = 2;
         */
        this.blockedRepositories = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedRepositoriesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedRepositoriesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedRepositoriesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListBlockedRepositoriesResponse, a, b);
    }
}
ListBlockedRepositoriesResponse.runtime = proto3;
ListBlockedRepositoriesResponse.typeName = "gitpod.v1.ListBlockedRepositoriesResponse";
ListBlockedRepositoriesResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationResponse },
    { no: 2, name: "blocked_repositories", kind: "message", T: BlockedRepository, repeated: true },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryRequest
 */
export class CreateBlockedRepositoryRequest extends Message {
    constructor(data) {
        super();
        /**
         * url_regexp is the regular expression for the repository URL
         *
         * @generated from field: string url_regexp = 1;
         */
        this.urlRegexp = "";
        /**
         * block_user indicates if the user should be blocked from accessing the
         * repository
         *
         * @generated from field: bool block_user = 2;
         */
        this.blockUser = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedRepositoryRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedRepositoryRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedRepositoryRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateBlockedRepositoryRequest, a, b);
    }
}
CreateBlockedRepositoryRequest.runtime = proto3;
CreateBlockedRepositoryRequest.typeName = "gitpod.v1.CreateBlockedRepositoryRequest";
CreateBlockedRepositoryRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "url_regexp", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "block_user", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryResponse
 */
export class CreateBlockedRepositoryResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedRepositoryResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedRepositoryResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedRepositoryResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateBlockedRepositoryResponse, a, b);
    }
}
CreateBlockedRepositoryResponse.runtime = proto3;
CreateBlockedRepositoryResponse.typeName = "gitpod.v1.CreateBlockedRepositoryResponse";
CreateBlockedRepositoryResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_repository", kind: "message", T: BlockedRepository },
]);
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryRequest
 */
export class DeleteBlockedRepositoryRequest extends Message {
    constructor(data) {
        super();
        /**
         * blocked_repository_id is the ID of the blocked repository
         *
         * @generated from field: uint32 blocked_repository_id = 1;
         */
        this.blockedRepositoryId = 0;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteBlockedRepositoryRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteBlockedRepositoryRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteBlockedRepositoryRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteBlockedRepositoryRequest, a, b);
    }
}
DeleteBlockedRepositoryRequest.runtime = proto3;
DeleteBlockedRepositoryRequest.typeName = "gitpod.v1.DeleteBlockedRepositoryRequest";
DeleteBlockedRepositoryRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_repository_id", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
]);
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryResponse
 */
export class DeleteBlockedRepositoryResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteBlockedRepositoryResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteBlockedRepositoryResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteBlockedRepositoryResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteBlockedRepositoryResponse, a, b);
    }
}
DeleteBlockedRepositoryResponse.runtime = proto3;
DeleteBlockedRepositoryResponse.typeName = "gitpod.v1.DeleteBlockedRepositoryResponse";
DeleteBlockedRepositoryResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsRequest
 */
export class ListBlockedEmailDomainsRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedEmailDomainsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedEmailDomainsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedEmailDomainsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListBlockedEmailDomainsRequest, a, b);
    }
}
ListBlockedEmailDomainsRequest.runtime = proto3;
ListBlockedEmailDomainsRequest.typeName = "gitpod.v1.ListBlockedEmailDomainsRequest";
ListBlockedEmailDomainsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsResponse
 */
export class ListBlockedEmailDomainsResponse extends Message {
    constructor(data) {
        super();
        /**
         * blocked_email_domains are the blocked email domains
         *
         * @generated from field: repeated gitpod.v1.BlockedEmailDomain blocked_email_domains = 2;
         */
        this.blockedEmailDomains = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedEmailDomainsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedEmailDomainsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedEmailDomainsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListBlockedEmailDomainsResponse, a, b);
    }
}
ListBlockedEmailDomainsResponse.runtime = proto3;
ListBlockedEmailDomainsResponse.typeName = "gitpod.v1.ListBlockedEmailDomainsResponse";
ListBlockedEmailDomainsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationResponse },
    { no: 2, name: "blocked_email_domains", kind: "message", T: BlockedEmailDomain, repeated: true },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainRequest
 */
export class CreateBlockedEmailDomainRequest extends Message {
    constructor(data) {
        super();
        /**
         * domain is the blocked email domain
         *
         * @generated from field: string domain = 1;
         */
        this.domain = "";
        /**
         * @generated from field: bool negative = 2;
         */
        this.negative = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedEmailDomainRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedEmailDomainRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedEmailDomainRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateBlockedEmailDomainRequest, a, b);
    }
}
CreateBlockedEmailDomainRequest.runtime = proto3;
CreateBlockedEmailDomainRequest.typeName = "gitpod.v1.CreateBlockedEmailDomainRequest";
CreateBlockedEmailDomainRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "domain", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "negative", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainResponse
 */
export class CreateBlockedEmailDomainResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedEmailDomainResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedEmailDomainResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedEmailDomainResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateBlockedEmailDomainResponse, a, b);
    }
}
CreateBlockedEmailDomainResponse.runtime = proto3;
CreateBlockedEmailDomainResponse.typeName = "gitpod.v1.CreateBlockedEmailDomainResponse";
CreateBlockedEmailDomainResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_email_domain", kind: "message", T: BlockedEmailDomain },
]);
/**
 * @generated from message gitpod.v1.BlockedRepository
 */
export class BlockedRepository extends Message {
    constructor(data) {
        super();
        /**
         * id is the ID of the blocked repository
         *
         * @generated from field: uint32 id = 1;
         */
        this.id = 0;
        /**
         * url_regexp is the regular expression for the repository URL
         *
         * @generated from field: string url_regexp = 2;
         */
        this.urlRegexp = "";
        /**
         * block_user indicates if the user should be blocked from accessing the
         * repository
         *
         * @generated from field: bool block_user = 3;
         */
        this.blockUser = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockedRepository().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockedRepository().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockedRepository().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(BlockedRepository, a, b);
    }
}
BlockedRepository.runtime = proto3;
BlockedRepository.typeName = "gitpod.v1.BlockedRepository";
BlockedRepository.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
    { no: 2, name: "url_regexp", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "block_user", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 4, name: "creation_time", kind: "message", T: Timestamp },
    { no: 5, name: "update_time", kind: "message", T: Timestamp },
]);
/**
 * @generated from message gitpod.v1.BlockedEmailDomain
 */
export class BlockedEmailDomain extends Message {
    constructor(data) {
        super();
        /**
         * id is the ID of the blocked email domain
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * domain is the blocked email domain
         *
         * @generated from field: string domain = 2;
         */
        this.domain = "";
        /**
         * @generated from field: bool negative = 3;
         */
        this.negative = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockedEmailDomain().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockedEmailDomain().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockedEmailDomain().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(BlockedEmailDomain, a, b);
    }
}
BlockedEmailDomain.runtime = proto3;
BlockedEmailDomain.typeName = "gitpod.v1.BlockedEmailDomain";
BlockedEmailDomain.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "domain", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "negative", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
//# sourceMappingURL=installation_pb.js.map