/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { WorkspaceClass } from "./workspace_pb.js";
/**
 * @generated from enum gitpod.v1.OrganizationRole
 */
export var OrganizationRole;
(function (OrganizationRole) {
    /**
     * @generated from enum value: ORGANIZATION_ROLE_UNSPECIFIED = 0;
     */
    OrganizationRole[OrganizationRole["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_OWNER = 1;
     */
    OrganizationRole[OrganizationRole["OWNER"] = 1] = "OWNER";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_MEMBER = 2;
     */
    OrganizationRole[OrganizationRole["MEMBER"] = 2] = "MEMBER";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_COLLABORATOR = 3;
     */
    OrganizationRole[OrganizationRole["COLLABORATOR"] = 3] = "COLLABORATOR";
})(OrganizationRole || (OrganizationRole = {}));
// Retrieve enum metadata with: proto3.getEnumType(OrganizationRole)
proto3.util.setEnumType(OrganizationRole, "gitpod.v1.OrganizationRole", [
    { no: 0, name: "ORGANIZATION_ROLE_UNSPECIFIED" },
    { no: 1, name: "ORGANIZATION_ROLE_OWNER" },
    { no: 2, name: "ORGANIZATION_ROLE_MEMBER" },
    { no: 3, name: "ORGANIZATION_ROLE_COLLABORATOR" },
]);
/**
 * @generated from message gitpod.v1.Organization
 */
export class Organization extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string slug = 4;
         */
        this.slug = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Organization().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Organization().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Organization().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(Organization, a, b);
    }
}
Organization.runtime = proto3;
Organization.typeName = "gitpod.v1.Organization";
Organization.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "creation_time", kind: "message", T: Timestamp },
    { no: 4, name: "slug", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.OrganizationMember
 */
export class OrganizationMember extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * @generated from field: gitpod.v1.OrganizationRole role = 2;
         */
        this.role = OrganizationRole.UNSPECIFIED;
        /**
         * @generated from field: string avatar_url = 4;
         */
        this.avatarUrl = "";
        /**
         * @generated from field: string full_name = 5;
         */
        this.fullName = "";
        /**
         * @generated from field: string email = 6;
         */
        this.email = "";
        /**
         * @generated from field: bool owned_by_organization = 7;
         */
        this.ownedByOrganization = false;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OrganizationMember().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OrganizationMember().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OrganizationMember().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(OrganizationMember, a, b);
    }
}
OrganizationMember.runtime = proto3;
OrganizationMember.typeName = "gitpod.v1.OrganizationMember";
OrganizationMember.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "role", kind: "enum", T: proto3.getEnumType(OrganizationRole) },
    { no: 3, name: "member_since", kind: "message", T: Timestamp },
    { no: 4, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "full_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "email", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "owned_by_organization", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.OrganizationSettings
 */
export class OrganizationSettings extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool workspace_sharing_disabled = 1;
         */
        this.workspaceSharingDisabled = false;
        /**
         * @generated from field: string default_workspace_image = 2;
         */
        this.defaultWorkspaceImage = "";
        /**
         * @generated from field: repeated string allowed_workspace_classes = 3;
         */
        this.allowedWorkspaceClasses = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OrganizationSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OrganizationSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OrganizationSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(OrganizationSettings, a, b);
    }
}
OrganizationSettings.runtime = proto3;
OrganizationSettings.typeName = "gitpod.v1.OrganizationSettings";
OrganizationSettings.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_sharing_disabled", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 2, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "allowed_workspace_classes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationWorkspaceClassesRequest
 */
export class ListOrganizationWorkspaceClassesRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization.
         *
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationWorkspaceClassesRequest, a, b);
    }
}
ListOrganizationWorkspaceClassesRequest.runtime = proto3;
ListOrganizationWorkspaceClassesRequest.typeName = "gitpod.v1.ListOrganizationWorkspaceClassesRequest";
ListOrganizationWorkspaceClassesRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationWorkspaceClassesResponse
 */
export class ListOrganizationWorkspaceClassesResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.WorkspaceClass workspace_classes = 2;
         */
        this.workspaceClasses = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationWorkspaceClassesResponse, a, b);
    }
}
ListOrganizationWorkspaceClassesResponse.runtime = proto3;
ListOrganizationWorkspaceClassesResponse.typeName = "gitpod.v1.ListOrganizationWorkspaceClassesResponse";
ListOrganizationWorkspaceClassesResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationResponse },
    { no: 2, name: "workspace_classes", kind: "message", T: WorkspaceClass, repeated: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationRequest
 */
export class UpdateOrganizationRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to update the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationRequest, a, b);
    }
}
UpdateOrganizationRequest.runtime = proto3;
UpdateOrganizationRequest.typeName = "gitpod.v1.UpdateOrganizationRequest";
UpdateOrganizationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationResponse
 */
export class UpdateOrganizationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationResponse, a, b);
    }
}
UpdateOrganizationResponse.runtime = proto3;
UpdateOrganizationResponse.typeName = "gitpod.v1.UpdateOrganizationResponse";
UpdateOrganizationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationSettingsRequest
 */
export class UpdateOrganizationSettingsRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to update the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * allowed_workspace_classes are the IDs of classes, which can be used by workspaces in an organization.
         * Pass an empty array to allow all workspace classes
         *
         * @generated from field: repeated string allowed_workspace_classes = 5;
         */
        this.allowedWorkspaceClasses = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationSettingsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationSettingsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationSettingsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationSettingsRequest, a, b);
    }
}
UpdateOrganizationSettingsRequest.runtime = proto3;
UpdateOrganizationSettingsRequest.typeName = "gitpod.v1.UpdateOrganizationSettingsRequest";
UpdateOrganizationSettingsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "workspace_sharing_disabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 4, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "allowed_workspace_classes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationSettingsResponse
 */
export class UpdateOrganizationSettingsResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationSettingsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationSettingsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationSettingsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationSettingsResponse, a, b);
    }
}
UpdateOrganizationSettingsResponse.runtime = proto3;
UpdateOrganizationSettingsResponse.typeName = "gitpod.v1.UpdateOrganizationSettingsResponse";
UpdateOrganizationSettingsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "settings", kind: "message", T: OrganizationSettings },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationSettingsRequest
 */
export class GetOrganizationSettingsRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to retrieve the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationSettingsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationSettingsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationSettingsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationSettingsRequest, a, b);
    }
}
GetOrganizationSettingsRequest.runtime = proto3;
GetOrganizationSettingsRequest.typeName = "gitpod.v1.GetOrganizationSettingsRequest";
GetOrganizationSettingsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationSettingsResponse
 */
export class GetOrganizationSettingsResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationSettingsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationSettingsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationSettingsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationSettingsResponse, a, b);
    }
}
GetOrganizationSettingsResponse.runtime = proto3;
GetOrganizationSettingsResponse.typeName = "gitpod.v1.GetOrganizationSettingsResponse";
GetOrganizationSettingsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "settings", kind: "message", T: OrganizationSettings },
]);
/**
 * @generated from message gitpod.v1.CreateOrganizationRequest
 */
export class CreateOrganizationRequest extends Message {
    constructor(data) {
        super();
        /**
         * name is the organization name
         *
         * @generated from field: string name = 1;
         */
        this.name = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateOrganizationRequest, a, b);
    }
}
CreateOrganizationRequest.runtime = proto3;
CreateOrganizationRequest.typeName = "gitpod.v1.CreateOrganizationRequest";
CreateOrganizationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateOrganizationResponse
 */
export class CreateOrganizationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateOrganizationResponse, a, b);
    }
}
CreateOrganizationResponse.runtime = proto3;
CreateOrganizationResponse.typeName = "gitpod.v1.CreateOrganizationResponse";
CreateOrganizationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationRequest
 */
export class GetOrganizationRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the unique identifier of the Organization to retreive.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationRequest, a, b);
    }
}
GetOrganizationRequest.runtime = proto3;
GetOrganizationRequest.typeName = "gitpod.v1.GetOrganizationRequest";
GetOrganizationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationResponse
 */
export class GetOrganizationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationResponse, a, b);
    }
}
GetOrganizationResponse.runtime = proto3;
GetOrganizationResponse.typeName = "gitpod.v1.GetOrganizationResponse";
GetOrganizationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationsRequest
 */
export class ListOrganizationsRequest extends Message {
    constructor(data) {
        super();
        /**
         * scope is the scope of the organizations to list
         *
         * @generated from field: gitpod.v1.ListOrganizationsRequest.Scope scope = 2;
         */
        this.scope = ListOrganizationsRequest_Scope.UNSPECIFIED;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationsRequest, a, b);
    }
}
ListOrganizationsRequest.runtime = proto3;
ListOrganizationsRequest.typeName = "gitpod.v1.ListOrganizationsRequest";
ListOrganizationsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "scope", kind: "enum", T: proto3.getEnumType(ListOrganizationsRequest_Scope) },
]);
/**
 * @generated from enum gitpod.v1.ListOrganizationsRequest.Scope
 */
export var ListOrganizationsRequest_Scope;
(function (ListOrganizationsRequest_Scope) {
    /**
     * @generated from enum value: SCOPE_UNSPECIFIED = 0;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: SCOPE_MEMBER = 1;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["MEMBER"] = 1] = "MEMBER";
    /**
     * @generated from enum value: SCOPE_ALL = 2;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["ALL"] = 2] = "ALL";
})(ListOrganizationsRequest_Scope || (ListOrganizationsRequest_Scope = {}));
// Retrieve enum metadata with: proto3.getEnumType(ListOrganizationsRequest_Scope)
proto3.util.setEnumType(ListOrganizationsRequest_Scope, "gitpod.v1.ListOrganizationsRequest.Scope", [
    { no: 0, name: "SCOPE_UNSPECIFIED" },
    { no: 1, name: "SCOPE_MEMBER" },
    { no: 2, name: "SCOPE_ALL" },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationsResponse
 */
export class ListOrganizationsResponse extends Message {
    constructor(data) {
        super();
        /**
         * organizations are the organizations that matched the query
         *
         * @generated from field: repeated gitpod.v1.Organization organizations = 1;
         */
        this.organizations = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationsResponse, a, b);
    }
}
ListOrganizationsResponse.runtime = proto3;
ListOrganizationsResponse.typeName = "gitpod.v1.ListOrganizationsResponse";
ListOrganizationsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organizations", kind: "message", T: Organization, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationRequest
 */
export class DeleteOrganizationRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to delete
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteOrganizationRequest, a, b);
    }
}
DeleteOrganizationRequest.runtime = proto3;
DeleteOrganizationRequest.typeName = "gitpod.v1.DeleteOrganizationRequest";
DeleteOrganizationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationResponse
 */
export class DeleteOrganizationResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteOrganizationResponse, a, b);
    }
}
DeleteOrganizationResponse.runtime = proto3;
DeleteOrganizationResponse.typeName = "gitpod.v1.DeleteOrganizationResponse";
DeleteOrganizationResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetOrganizationInvitationRequest
 */
export class GetOrganizationInvitationRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to retrieve the invitation
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationInvitationRequest, a, b);
    }
}
GetOrganizationInvitationRequest.runtime = proto3;
GetOrganizationInvitationRequest.typeName = "gitpod.v1.GetOrganizationInvitationRequest";
GetOrganizationInvitationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationInvitationResponse
 */
export class GetOrganizationInvitationResponse extends Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the invitation ID for an Organization
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetOrganizationInvitationResponse, a, b);
    }
}
GetOrganizationInvitationResponse.runtime = proto3;
GetOrganizationInvitationResponse.typeName = "gitpod.v1.GetOrganizationInvitationResponse";
GetOrganizationInvitationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.JoinOrganizationRequest
 */
export class JoinOrganizationRequest extends Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the invitation ID for an Organization
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(JoinOrganizationRequest, a, b);
    }
}
JoinOrganizationRequest.runtime = proto3;
JoinOrganizationRequest.typeName = "gitpod.v1.JoinOrganizationRequest";
JoinOrganizationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.JoinOrganizationResponse
 */
export class JoinOrganizationResponse extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the id of the organization the user has just joined
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(JoinOrganizationResponse, a, b);
    }
}
JoinOrganizationResponse.runtime = proto3;
JoinOrganizationResponse.typeName = "gitpod.v1.JoinOrganizationResponse";
JoinOrganizationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResetOrganizationInvitationRequest
 */
export class ResetOrganizationInvitationRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to reset the invitation for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetOrganizationInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetOrganizationInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetOrganizationInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResetOrganizationInvitationRequest, a, b);
    }
}
ResetOrganizationInvitationRequest.runtime = proto3;
ResetOrganizationInvitationRequest.typeName = "gitpod.v1.ResetOrganizationInvitationRequest";
ResetOrganizationInvitationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResetOrganizationInvitationResponse
 */
export class ResetOrganizationInvitationResponse extends Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the new invitation id for the organization.
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetOrganizationInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetOrganizationInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetOrganizationInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ResetOrganizationInvitationResponse, a, b);
    }
}
ResetOrganizationInvitationResponse.runtime = proto3;
ResetOrganizationInvitationResponse.typeName = "gitpod.v1.ResetOrganizationInvitationResponse";
ResetOrganizationInvitationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationMembersRequest
 */
export class ListOrganizationMembersRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization that contains the members to
         * list
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationMembersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationMembersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationMembersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationMembersRequest, a, b);
    }
}
ListOrganizationMembersRequest.runtime = proto3;
ListOrganizationMembersRequest.typeName = "gitpod.v1.ListOrganizationMembersRequest";
ListOrganizationMembersRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationMembersResponse
 */
export class ListOrganizationMembersResponse extends Message {
    constructor(data) {
        super();
        /**
         * members are the organization members of this Organization
         *
         * @generated from field: repeated gitpod.v1.OrganizationMember members = 1;
         */
        this.members = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationMembersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationMembersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationMembersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListOrganizationMembersResponse, a, b);
    }
}
ListOrganizationMembersResponse.runtime = proto3;
ListOrganizationMembersResponse.typeName = "gitpod.v1.ListOrganizationMembersResponse";
ListOrganizationMembersResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "members", kind: "message", T: OrganizationMember, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationMemberRequest
 */
export class UpdateOrganizationMemberRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization in which the role is to be
         * updated
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * user_id is the user for which the membership shall be updated.
         *
         * @generated from field: string user_id = 2;
         */
        this.userId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationMemberRequest, a, b);
    }
}
UpdateOrganizationMemberRequest.runtime = proto3;
UpdateOrganizationMemberRequest.typeName = "gitpod.v1.UpdateOrganizationMemberRequest";
UpdateOrganizationMemberRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "role", kind: "enum", T: proto3.getEnumType(OrganizationRole), opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationMemberResponse
 */
export class UpdateOrganizationMemberResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(UpdateOrganizationMemberResponse, a, b);
    }
}
UpdateOrganizationMemberResponse.runtime = proto3;
UpdateOrganizationMemberResponse.typeName = "gitpod.v1.UpdateOrganizationMemberResponse";
UpdateOrganizationMemberResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "member", kind: "message", T: OrganizationMember },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationMemberRequest
 */
export class DeleteOrganizationMemberRequest extends Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization in which a member should be
         * deleted.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * user_id is the ID of the user that should be deleted from the organization.
         *
         * @generated from field: string user_id = 2;
         */
        this.userId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteOrganizationMemberRequest, a, b);
    }
}
DeleteOrganizationMemberRequest.runtime = proto3;
DeleteOrganizationMemberRequest.typeName = "gitpod.v1.DeleteOrganizationMemberRequest";
DeleteOrganizationMemberRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationMemberResponse
 */
export class DeleteOrganizationMemberResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteOrganizationMemberResponse, a, b);
    }
}
DeleteOrganizationMemberResponse.runtime = proto3;
DeleteOrganizationMemberResponse.typeName = "gitpod.v1.DeleteOrganizationMemberResponse";
DeleteOrganizationMemberResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=organization_pb.js.map