/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.v1.PaginationRequest
 */
export class PaginationRequest extends Message {
    constructor(data) {
        super();
        /**
         * Page size is the maximum number of results to retrieve per page.
         * Defaults to 25. Maximum 100.
         *
         * @generated from field: int32 page_size = 1;
         */
        this.pageSize = 0;
        /**
         * Page is the page number of results to retrieve.
         * The first page starts at 1.
         * Defaults to 1.
         *
         * @generated from field: int32 page = 2 [deprecated = true];
         * @deprecated
         */
        this.page = 0;
        /**
         * Token for the next set of results that was returned as next_token of a
         * PaginationResponse
         *
         * @generated from field: string token = 3;
         */
        this.token = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PaginationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PaginationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PaginationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PaginationRequest, a, b);
    }
}
PaginationRequest.runtime = proto3;
PaginationRequest.typeName = "gitpod.v1.PaginationRequest";
PaginationRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "page_size", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 2, name: "page", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 3, name: "token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.PaginationResponse
 */
export class PaginationResponse extends Message {
    constructor(data) {
        super();
        /**
         * Total is the total number of results available.
         *
         * @generated from field: int32 total = 1 [deprecated = true];
         * @deprecated
         */
        this.total = 0;
        /**
         * Token passed for retreiving the next set of results. Empty if there are no
         * more results
         *
         * @generated from field: string next_token = 2;
         */
        this.nextToken = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PaginationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PaginationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PaginationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PaginationResponse, a, b);
    }
}
PaginationResponse.runtime = proto3;
PaginationResponse.typeName = "gitpod.v1.PaginationResponse";
PaginationResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "total", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 2, name: "next_token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=pagination_pb.js.map