/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Commit } from "./scm_pb.js";
/**
 * @generated from message gitpod.v1.GetPrebuildRequest
 */
export class GetPrebuildRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string prebuild_id = 1;
         */
        this.prebuildId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetPrebuildRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetPrebuildRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetPrebuildRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetPrebuildRequest, a, b);
    }
}
GetPrebuildRequest.runtime = proto3;
GetPrebuildRequest.typeName = "gitpod.v1.GetPrebuildRequest";
GetPrebuildRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetPrebuildResponse
 */
export class GetPrebuildResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetPrebuildResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetPrebuildResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetPrebuildResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(GetPrebuildResponse, a, b);
    }
}
GetPrebuildResponse.runtime = proto3;
GetPrebuildResponse.typeName = "gitpod.v1.GetPrebuildResponse";
GetPrebuildResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild", kind: "message", T: Prebuild },
]);
/**
 * @generated from message gitpod.v1.ListPrebuildsRequest
 */
export class ListPrebuildsRequest extends Message {
    constructor(data) {
        super();
        /**
         * it is for backward compatiblity with the current dashboard, use prebuild_id instead
         *
         * @generated from field: string workspace_id = 2 [deprecated = true];
         * @deprecated
         */
        this.workspaceId = "";
        /**
         * @generated from field: string configuration_id = 3;
         */
        this.configurationId = "";
        /**
         * @generated from field: string git_ref = 4;
         */
        this.gitRef = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListPrebuildsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListPrebuildsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListPrebuildsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListPrebuildsRequest, a, b);
    }
}
ListPrebuildsRequest.runtime = proto3;
ListPrebuildsRequest.typeName = "gitpod.v1.ListPrebuildsRequest";
ListPrebuildsRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
    { no: 2, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "git_ref", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListPrebuildsResponse
 */
export class ListPrebuildsResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.Prebuild prebuilds = 2;
         */
        this.prebuilds = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListPrebuildsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListPrebuildsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListPrebuildsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListPrebuildsResponse, a, b);
    }
}
ListPrebuildsResponse.runtime = proto3;
ListPrebuildsResponse.typeName = "gitpod.v1.ListPrebuildsResponse";
ListPrebuildsResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationResponse },
    { no: 2, name: "prebuilds", kind: "message", T: Prebuild, repeated: true },
]);
/**
 * @generated from message gitpod.v1.StartPrebuildRequest
 */
export class StartPrebuildRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        /**
         * @generated from field: string git_ref = 2;
         */
        this.gitRef = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new StartPrebuildRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new StartPrebuildRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new StartPrebuildRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(StartPrebuildRequest, a, b);
    }
}
StartPrebuildRequest.runtime = proto3;
StartPrebuildRequest.typeName = "gitpod.v1.StartPrebuildRequest";
StartPrebuildRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "git_ref", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.StartPrebuildResponse
 */
export class StartPrebuildResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string prebuild_id = 1;
         */
        this.prebuildId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new StartPrebuildResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new StartPrebuildResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new StartPrebuildResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(StartPrebuildResponse, a, b);
    }
}
StartPrebuildResponse.runtime = proto3;
StartPrebuildResponse.typeName = "gitpod.v1.StartPrebuildResponse";
StartPrebuildResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CancelPrebuildRequest
 */
export class CancelPrebuildRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string prebuild_id = 1;
         */
        this.prebuildId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CancelPrebuildRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CancelPrebuildRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CancelPrebuildRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CancelPrebuildRequest, a, b);
    }
}
CancelPrebuildRequest.runtime = proto3;
CancelPrebuildRequest.typeName = "gitpod.v1.CancelPrebuildRequest";
CancelPrebuildRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CancelPrebuildResponse
 */
export class CancelPrebuildResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CancelPrebuildResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CancelPrebuildResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CancelPrebuildResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CancelPrebuildResponse, a, b);
    }
}
CancelPrebuildResponse.runtime = proto3;
CancelPrebuildResponse.typeName = "gitpod.v1.CancelPrebuildResponse";
CancelPrebuildResponse.fields = proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.WatchPrebuildRequest
 */
export class WatchPrebuildRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.WatchPrebuildRequest.scope
         */
        this.scope = { case: undefined };
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new WatchPrebuildRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new WatchPrebuildRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new WatchPrebuildRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(WatchPrebuildRequest, a, b);
    }
}
WatchPrebuildRequest.runtime = proto3;
WatchPrebuildRequest.typeName = "gitpod.v1.WatchPrebuildRequest";
WatchPrebuildRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "scope" },
    { no: 2, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "scope" },
]);
/**
 * @generated from message gitpod.v1.WatchPrebuildResponse
 */
export class WatchPrebuildResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new WatchPrebuildResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new WatchPrebuildResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new WatchPrebuildResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(WatchPrebuildResponse, a, b);
    }
}
WatchPrebuildResponse.runtime = proto3;
WatchPrebuildResponse.typeName = "gitpod.v1.WatchPrebuildResponse";
WatchPrebuildResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "prebuild", kind: "message", T: Prebuild },
]);
/**
 * @generated from message gitpod.v1.Prebuild
 */
export class Prebuild extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * it is for backward compatiblity with the current dashboard, use id instead
         *
         * @generated from field: string workspace_id = 2 [deprecated = true];
         * @deprecated
         */
        this.workspaceId = "";
        /**
         * @generated from field: string based_on_prebuild_id = 3;
         */
        this.basedOnPrebuildId = "";
        /**
         * @generated from field: string configuration_id = 4;
         */
        this.configurationId = "";
        /**
         * @generated from field: string ref = 5;
         */
        this.ref = "";
        /**
         * @generated from field: string context_url = 7;
         */
        this.contextUrl = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Prebuild().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Prebuild().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Prebuild().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(Prebuild, a, b);
    }
}
Prebuild.runtime = proto3;
Prebuild.typeName = "gitpod.v1.Prebuild";
Prebuild.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "based_on_prebuild_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "ref", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "commit", kind: "message", T: Commit },
    { no: 7, name: "context_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 8, name: "status", kind: "message", T: PrebuildStatus },
]);
/**
 * @generated from message gitpod.v1.PrebuildStatus
 */
export class PrebuildStatus extends Message {
    constructor(data) {
        super();
        /**
         * message is an optional human-readable message detailing the current phase
         *
         * @generated from field: string message = 3;
         */
        this.message = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PrebuildStatus().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PrebuildStatus().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PrebuildStatus().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PrebuildStatus, a, b);
    }
}
PrebuildStatus.runtime = proto3;
PrebuildStatus.typeName = "gitpod.v1.PrebuildStatus";
PrebuildStatus.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "phase", kind: "message", T: PrebuildPhase },
    { no: 2, name: "start_time", kind: "message", T: Timestamp },
    { no: 3, name: "message", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.PrebuildPhase
 */
export class PrebuildPhase extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: gitpod.v1.PrebuildPhase.Phase name = 1;
         */
        this.name = PrebuildPhase_Phase.UNSPECIFIED;
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PrebuildPhase().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PrebuildPhase().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PrebuildPhase().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(PrebuildPhase, a, b);
    }
}
PrebuildPhase.runtime = proto3;
PrebuildPhase.typeName = "gitpod.v1.PrebuildPhase";
PrebuildPhase.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "enum", T: proto3.getEnumType(PrebuildPhase_Phase) },
]);
/**
 * @generated from enum gitpod.v1.PrebuildPhase.Phase
 */
export var PrebuildPhase_Phase;
(function (PrebuildPhase_Phase) {
    /**
     * @generated from enum value: PHASE_UNSPECIFIED = 0;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: PHASE_QUEUED = 1;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["QUEUED"] = 1] = "QUEUED";
    /**
     * @generated from enum value: PHASE_BUILDING = 2;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["BUILDING"] = 2] = "BUILDING";
    /**
     * @generated from enum value: PHASE_ABORTED = 3;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["ABORTED"] = 3] = "ABORTED";
    /**
     * @generated from enum value: PHASE_TIMEOUT = 4;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["TIMEOUT"] = 4] = "TIMEOUT";
    /**
     * @generated from enum value: PHASE_AVAILABLE = 5;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["AVAILABLE"] = 5] = "AVAILABLE";
    /**
     * @generated from enum value: PHASE_FAILED = 6;
     */
    PrebuildPhase_Phase[PrebuildPhase_Phase["FAILED"] = 6] = "FAILED";
})(PrebuildPhase_Phase || (PrebuildPhase_Phase = {}));
// Retrieve enum metadata with: proto3.getEnumType(PrebuildPhase_Phase)
proto3.util.setEnumType(PrebuildPhase_Phase, "gitpod.v1.PrebuildPhase.Phase", [
    { no: 0, name: "PHASE_UNSPECIFIED" },
    { no: 1, name: "PHASE_QUEUED" },
    { no: 2, name: "PHASE_BUILDING" },
    { no: 3, name: "PHASE_ABORTED" },
    { no: 4, name: "PHASE_TIMEOUT" },
    { no: 5, name: "PHASE_AVAILABLE" },
    { no: 6, name: "PHASE_FAILED" },
]);
//# sourceMappingURL=prebuild_pb.js.map