/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/scm.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
import { GuessTokenScopesRequest, GuessTokenScopesResponse, ListSuggestedRepositoriesRequest, ListSuggestedRepositoriesResponse, SearchRepositoriesRequest, SearchRepositoriesResponse, SearchSCMTokensRequest, SearchSCMTokensResponse } from "./scm_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.SCMService
 */
export const SCMService = {
    typeName: "gitpod.v1.SCMService",
    methods: {
        /**
         * SearchSCMTokens allows clients to retrieve SCM tokens based on the
         * specified host.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchSCMTokens
         */
        searchSCMTokens: {
            name: "SearchSCMTokens",
            I: SearchSCMTokensRequest,
            O: SearchSCMTokensResponse,
            kind: MethodKind.Unary,
        },
        /**
         * GuessTokenScopes allows clients to retrieve scopes their SCM token would
         * require for the specified git command.
         *
         * @generated from rpc gitpod.v1.SCMService.GuessTokenScopes
         */
        guessTokenScopes: {
            name: "GuessTokenScopes",
            I: GuessTokenScopesRequest,
            O: GuessTokenScopesResponse,
            kind: MethodKind.Unary,
        },
        /**
         * SearchRepositories allows clients to search for suggested repositories of
         * SCM providers they are connected with.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchRepositories
         */
        searchRepositories: {
            name: "SearchRepositories",
            I: SearchRepositoriesRequest,
            O: SearchRepositoriesResponse,
            kind: MethodKind.Unary,
        },
        /**
         * ListSuggestedRepositories allows clients to list suggested repositories
         * based on recent workspaces and accessible repo configurations.
         *
         * @generated from rpc gitpod.v1.SCMService.ListSuggestedRepositories
         */
        listSuggestedRepositories: {
            name: "ListSuggestedRepositories",
            I: ListSuggestedRepositoriesRequest,
            O: ListSuggestedRepositoriesResponse,
            kind: MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=scm_connect.js.map