/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest } from "./pagination_pb.js";
/**
 * @generated from message gitpod.v1.SSHPublicKey
 */
export class SSHPublicKey extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string key = 3;
         */
        this.key = "";
        /**
         * @generated from field: string fingerprint = 4;
         */
        this.fingerprint = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SSHPublicKey().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SSHPublicKey().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SSHPublicKey().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(SSHPublicKey, a, b);
    }
}
SSHPublicKey.runtime = proto3;
SSHPublicKey.typeName = "gitpod.v1.SSHPublicKey";
SSHPublicKey.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "key", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "fingerprint", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "creation_time", kind: "message", T: Timestamp },
    { no: 6, name: "last_used_time", kind: "message", T: Timestamp },
]);
/**
 * @generated from message gitpod.v1.ListSSHPublicKeysRequest
 */
export class ListSSHPublicKeysRequest extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSSHPublicKeysRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSSHPublicKeysRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSSHPublicKeysRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListSSHPublicKeysRequest, a, b);
    }
}
ListSSHPublicKeysRequest.runtime = proto3;
ListSSHPublicKeysRequest.typeName = "gitpod.v1.ListSSHPublicKeysRequest";
ListSSHPublicKeysRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListSSHPublicKeysResponse
 */
export class ListSSHPublicKeysResponse extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.SSHPublicKey ssh_keys = 1;
         */
        this.sshKeys = [];
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSSHPublicKeysResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSSHPublicKeysResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSSHPublicKeysResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(ListSSHPublicKeysResponse, a, b);
    }
}
ListSSHPublicKeysResponse.runtime = proto3;
ListSSHPublicKeysResponse.typeName = "gitpod.v1.ListSSHPublicKeysResponse";
ListSSHPublicKeysResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "ssh_keys", kind: "message", T: SSHPublicKey, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.CreateSSHPublicKeyRequest
 */
export class CreateSSHPublicKeyRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string key = 2;
         */
        this.key = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateSSHPublicKeyRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateSSHPublicKeyRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateSSHPublicKeyRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateSSHPublicKeyRequest, a, b);
    }
}
CreateSSHPublicKeyRequest.runtime = proto3;
CreateSSHPublicKeyRequest.typeName = "gitpod.v1.CreateSSHPublicKeyRequest";
CreateSSHPublicKeyRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "key", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateSSHPublicKeyResponse
 */
export class CreateSSHPublicKeyResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateSSHPublicKeyResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateSSHPublicKeyResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateSSHPublicKeyResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(CreateSSHPublicKeyResponse, a, b);
    }
}
CreateSSHPublicKeyResponse.runtime = proto3;
CreateSSHPublicKeyResponse.typeName = "gitpod.v1.CreateSSHPublicKeyResponse";
CreateSSHPublicKeyResponse.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "ssh_key", kind: "message", T: SSHPublicKey },
]);
/**
 * @generated from message gitpod.v1.DeleteSSHPublicKeyRequest
 */
export class DeleteSSHPublicKeyRequest extends Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string ssh_key_id = 1;
         */
        this.sshKeyId = "";
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteSSHPublicKeyRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteSSHPublicKeyRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteSSHPublicKeyRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteSSHPublicKeyRequest, a, b);
    }
}
DeleteSSHPublicKeyRequest.runtime = proto3;
DeleteSSHPublicKeyRequest.typeName = "gitpod.v1.DeleteSSHPublicKeyRequest";
DeleteSSHPublicKeyRequest.fields = proto3.util.newFieldList(() => [
    { no: 1, name: "ssh_key_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteSSHPublicKeyResponse
 */
export class DeleteSSHPublicKeyResponse extends Message {
    constructor(data) {
        super();
        proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteSSHPublicKeyResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteSSHPublicKeyResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteSSHPublicKeyResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return proto3.util.equals(DeleteSSHPublicKeyResponse, a, b);
    }
}
DeleteSSHPublicKeyResponse.runtime = proto3;
DeleteSSHPublicKeyResponse.typeName = "gitpod.v1.DeleteSSHPublicKeyResponse";
DeleteSSHPublicKeyResponse.fields = proto3.util.newFieldList(() => []);
//# sourceMappingURL=ssh_pb.js.map