/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/workspace.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
import { CreateAndStartWorkspaceRequest, CreateAndStartWorkspaceResponse, CreateWorkspaceSnapshotRequest, CreateWorkspaceSnapshotResponse, DeleteWorkspaceRequest, DeleteWorkspaceResponse, GetWorkspaceDefaultImageRequest, GetWorkspaceDefaultImageResponse, GetWorkspaceEditorCredentialsRequest, GetWorkspaceEditorCredentialsResponse, GetWorkspaceOwnerTokenRequest, GetWorkspaceOwnerTokenResponse, GetWorkspaceRequest, GetWorkspaceResponse, ListWorkspaceClassesRequest, ListWorkspaceClassesResponse, ListWorkspacesRequest, ListWorkspacesResponse, ParseContextURLRequest, ParseContextURLResponse, SendHeartBeatRequest, SendHeartBeatResponse, StartWorkspaceRequest, StartWorkspaceResponse, StopWorkspaceRequest, StopWorkspaceResponse, UpdateWorkspacePortRequest, UpdateWorkspacePortResponse, UpdateWorkspaceRequest, UpdateWorkspaceResponse, WaitForWorkspaceSnapshotRequest, WaitForWorkspaceSnapshotResponse, WatchWorkspaceStatusRequest, WatchWorkspaceStatusResponse } from "./workspace_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.WorkspaceService
 */
export const WorkspaceService = {
    typeName: "gitpod.v1.WorkspaceService",
    methods: {
        /**
         * GetWorkspace returns a single workspace.
         *
         * +return NOT_FOUND User does not have access to a workspace with the given
         * ID +return NOT_FOUND Workspace does not exist
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspace
         */
        getWorkspace: {
            name: "GetWorkspace",
            I: GetWorkspaceRequest,
            O: GetWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * WatchWorkspaceStatus watches the workspaces status changes
         *
         * workspace_id +return NOT_FOUND Workspace does not exist
         *
         * @generated from rpc gitpod.v1.WorkspaceService.WatchWorkspaceStatus
         */
        watchWorkspaceStatus: {
            name: "WatchWorkspaceStatus",
            I: WatchWorkspaceStatusRequest,
            O: WatchWorkspaceStatusResponse,
            kind: MethodKind.ServerStreaming,
        },
        /**
         * ListWorkspaces returns a list of workspaces that match the query.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ListWorkspaces
         */
        listWorkspaces: {
            name: "ListWorkspaces",
            I: ListWorkspacesRequest,
            O: ListWorkspacesResponse,
            kind: MethodKind.Unary,
        },
        /**
         * CreateAndStartWorkspace creates a new workspace and starts it.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.CreateAndStartWorkspace
         */
        createAndStartWorkspace: {
            name: "CreateAndStartWorkspace",
            I: CreateAndStartWorkspaceRequest,
            O: CreateAndStartWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * StartWorkspace starts an existing workspace.
         * If the specified workspace is not in stopped phase, this will return the workspace as is.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.StartWorkspace
         */
        startWorkspace: {
            name: "StartWorkspace",
            I: StartWorkspaceRequest,
            O: StartWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * UpdateWorkspace updates the workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.UpdateWorkspace
         */
        updateWorkspace: {
            name: "UpdateWorkspace",
            I: UpdateWorkspaceRequest,
            O: UpdateWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * StopWorkspace stops a running workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.StopWorkspace
         */
        stopWorkspace: {
            name: "StopWorkspace",
            I: StopWorkspaceRequest,
            O: StopWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * DeleteWorkspace deletes a workspace.
         * When the workspace is running, it will be stopped as well.
         * Deleted workspaces cannot be started again.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.DeleteWorkspace
         */
        deleteWorkspace: {
            name: "DeleteWorkspace",
            I: DeleteWorkspaceRequest,
            O: DeleteWorkspaceResponse,
            kind: MethodKind.Unary,
        },
        /**
         * ListWorkspaceClasses enumerates all available workspace classes.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ListWorkspaceClasses
         */
        listWorkspaceClasses: {
            name: "ListWorkspaceClasses",
            I: ListWorkspaceClassesRequest,
            O: ListWorkspaceClassesResponse,
            kind: MethodKind.Unary,
        },
        /**
         * ParseContextURL parses a context URL and returns the workspace metadata and spec.
         * Not implemented yet.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ParseContextURL
         */
        parseContextURL: {
            name: "ParseContextURL",
            I: ParseContextURLRequest,
            O: ParseContextURLResponse,
            kind: MethodKind.Unary,
        },
        /**
         * GetWorkspaceDefaultImage returns the default workspace image of specified
         * workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceDefaultImage
         */
        getWorkspaceDefaultImage: {
            name: "GetWorkspaceDefaultImage",
            I: GetWorkspaceDefaultImageRequest,
            O: GetWorkspaceDefaultImageResponse,
            kind: MethodKind.Unary,
        },
        /**
         * SendHeartBeat sends a heartbeat to activate the workspace
         *
         * @generated from rpc gitpod.v1.WorkspaceService.SendHeartBeat
         */
        sendHeartBeat: {
            name: "SendHeartBeat",
            I: SendHeartBeatRequest,
            O: SendHeartBeatResponse,
            kind: MethodKind.Unary,
        },
        /**
         * GetWorkspaceOwnerToken returns an owner token of workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceOwnerToken
         */
        getWorkspaceOwnerToken: {
            name: "GetWorkspaceOwnerToken",
            I: GetWorkspaceOwnerTokenRequest,
            O: GetWorkspaceOwnerTokenResponse,
            kind: MethodKind.Unary,
        },
        /**
         * GetWorkspaceEditorCredentials returns an credentials that is used in editor
         * to encrypt and decrypt secrets
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceEditorCredentials
         */
        getWorkspaceEditorCredentials: {
            name: "GetWorkspaceEditorCredentials",
            I: GetWorkspaceEditorCredentialsRequest,
            O: GetWorkspaceEditorCredentialsResponse,
            kind: MethodKind.Unary,
        },
        /**
         * CreateWorkspaceSnapshot creates a snapshot of the workspace that can be
         * shared with others.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.CreateWorkspaceSnapshot
         */
        createWorkspaceSnapshot: {
            name: "CreateWorkspaceSnapshot",
            I: CreateWorkspaceSnapshotRequest,
            O: CreateWorkspaceSnapshotResponse,
            kind: MethodKind.Unary,
        },
        /**
         * WaitWorkspaceSnapshot waits for the snapshot to be available or failed.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.WaitForWorkspaceSnapshot
         */
        waitForWorkspaceSnapshot: {
            name: "WaitForWorkspaceSnapshot",
            I: WaitForWorkspaceSnapshotRequest,
            O: WaitForWorkspaceSnapshotResponse,
            kind: MethodKind.Unary,
        },
        /**
         * UpdateWorkspacePort updates the port of workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.UpdateWorkspacePort
         */
        updateWorkspacePort: {
            name: "UpdateWorkspacePort",
            I: UpdateWorkspacePortRequest,
            O: UpdateWorkspacePortResponse,
            kind: MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=workspace_connect.js.map