/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { LotsOfRepliesRequest, LotsOfRepliesResponse, SayHelloRequest, SayHelloResponse } from "./dummy_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * HelloService is a dummy service that says hello. It is used for reliability
 * testing.
 *
 * @generated from service gitpod.experimental.v1.HelloService
 */
export declare const HelloService: {
    readonly typeName: "gitpod.experimental.v1.HelloService";
    readonly methods: {
        /**
         * Unary RPCs where the client sends a single request to the server and gets a
         * single response back, just like a normal function call.
         *
         * @generated from rpc gitpod.experimental.v1.HelloService.SayHello
         */
        readonly sayHello: {
            readonly name: "SayHello";
            readonly I: typeof SayHelloRequest;
            readonly O: typeof SayHelloResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Server streaming RPCs where the client sends a request to the server and
         * gets a stream to read a sequence of messages back.
         *
         * @generated from rpc gitpod.experimental.v1.HelloService.LotsOfReplies
         */
        readonly lotsOfReplies: {
            readonly name: "LotsOfReplies";
            readonly I: typeof LotsOfRepliesRequest;
            readonly O: typeof LotsOfRepliesResponse;
            readonly kind: MethodKind.ServerStreaming;
        };
    };
};
//# sourceMappingURL=dummy_connect.d.ts.map