/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.SayHelloRequest
 */
export declare class SayHelloRequest extends Message<SayHelloRequest> {
    constructor(data?: PartialMessage<SayHelloRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SayHelloRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SayHelloRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SayHelloRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SayHelloRequest;
    static equals(a: SayHelloRequest | PlainMessage<SayHelloRequest> | undefined, b: SayHelloRequest | PlainMessage<SayHelloRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.SayHelloResponse
 */
export declare class SayHelloResponse extends Message<SayHelloResponse> {
    /**
     * @generated from field: string reply = 1;
     */
    reply: string;
    constructor(data?: PartialMessage<SayHelloResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SayHelloResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SayHelloResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SayHelloResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SayHelloResponse;
    static equals(a: SayHelloResponse | PlainMessage<SayHelloResponse> | undefined, b: SayHelloResponse | PlainMessage<SayHelloResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.LotsOfRepliesRequest
 */
export declare class LotsOfRepliesRequest extends Message<LotsOfRepliesRequest> {
    /**
     * @generated from field: int32 previous_count = 1;
     */
    previousCount: number;
    constructor(data?: PartialMessage<LotsOfRepliesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.LotsOfRepliesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): LotsOfRepliesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): LotsOfRepliesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): LotsOfRepliesRequest;
    static equals(a: LotsOfRepliesRequest | PlainMessage<LotsOfRepliesRequest> | undefined, b: LotsOfRepliesRequest | PlainMessage<LotsOfRepliesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.LotsOfRepliesResponse
 */
export declare class LotsOfRepliesResponse extends Message<LotsOfRepliesResponse> {
    /**
     * @generated from field: string reply = 1;
     */
    reply: string;
    /**
     * @generated from field: int32 count = 2;
     */
    count: number;
    constructor(data?: PartialMessage<LotsOfRepliesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.LotsOfRepliesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): LotsOfRepliesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): LotsOfRepliesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): LotsOfRepliesResponse;
    static equals(a: LotsOfRepliesResponse | PlainMessage<LotsOfRepliesResponse> | undefined, b: LotsOfRepliesResponse | PlainMessage<LotsOfRepliesResponse> | undefined): boolean;
}
//# sourceMappingURL=dummy_pb.d.ts.map