/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.ListEditorOptionsRequest
 */
export declare class ListEditorOptionsRequest extends Message<ListEditorOptionsRequest> {
    constructor(data?: PartialMessage<ListEditorOptionsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.ListEditorOptionsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListEditorOptionsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListEditorOptionsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListEditorOptionsRequest;
    static equals(a: ListEditorOptionsRequest | PlainMessage<ListEditorOptionsRequest> | undefined, b: ListEditorOptionsRequest | PlainMessage<ListEditorOptionsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.ListEditorOptionsResponse
 */
export declare class ListEditorOptionsResponse extends Message<ListEditorOptionsResponse> {
    /**
     * @generated from field: repeated gitpod.experimental.v1.EditorOption result = 1;
     */
    result: EditorOption[];
    constructor(data?: PartialMessage<ListEditorOptionsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.ListEditorOptionsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListEditorOptionsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListEditorOptionsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListEditorOptionsResponse;
    static equals(a: ListEditorOptionsResponse | PlainMessage<ListEditorOptionsResponse> | undefined, b: ListEditorOptionsResponse | PlainMessage<ListEditorOptionsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.EditorOption
 */
export declare class EditorOption extends Message<EditorOption> {
    /**
     * The unique identifier for an editor.
     *
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * Human readable title text of the editor (plain text only).
     *
     * @generated from field: string title = 2;
     */
    title: string;
    /**
     * @generated from field: gitpod.experimental.v1.EditorOption.Type type = 3;
     */
    type: EditorOption_Type;
    /**
     * The logo for the editor
     *
     * @generated from field: string logo = 4;
     */
    logo: string;
    /**
     * Text of an optional label next to the editor option like “Insiders” (plain
     * text only).
     *
     * @generated from field: string label = 5;
     */
    label: string;
    /**
     * @generated from field: gitpod.experimental.v1.EditorOption.Kind stable = 6;
     */
    stable?: EditorOption_Kind;
    /**
     * @generated from field: gitpod.experimental.v1.EditorOption.Kind latest = 7;
     */
    latest?: EditorOption_Kind;
    constructor(data?: PartialMessage<EditorOption>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.EditorOption";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): EditorOption;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): EditorOption;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): EditorOption;
    static equals(a: EditorOption | PlainMessage<EditorOption> | undefined, b: EditorOption | PlainMessage<EditorOption> | undefined): boolean;
}
/**
 * The type of the editor, currently browser or desktop.
 *
 * @generated from enum gitpod.experimental.v1.EditorOption.Type
 */
export declare enum EditorOption_Type {
    /**
     * @generated from enum value: TYPE_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: TYPE_BROWSER = 1;
     */
    BROWSER = 1,
    /**
     * @generated from enum value: TYPE_DESKTOP = 2;
     */
    DESKTOP = 2
}
/**
 * @generated from message gitpod.experimental.v1.EditorOption.Kind
 */
export declare class EditorOption_Kind extends Message<EditorOption_Kind> {
    /**
     * The semantic version of the editor.
     *
     * @generated from field: string version = 1;
     */
    version: string;
    constructor(data?: PartialMessage<EditorOption_Kind>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.EditorOption.Kind";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): EditorOption_Kind;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): EditorOption_Kind;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): EditorOption_Kind;
    static equals(a: EditorOption_Kind | PlainMessage<EditorOption_Kind> | undefined, b: EditorOption_Kind | PlainMessage<EditorOption_Kind> | undefined): boolean;
}
//# sourceMappingURL=editor_service_pb.d.ts.map