/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { SendDidCloseRequest, SendDidCloseResponse, SendHeartbeatRequest, SendHeartbeatResponse, UpdateGitStatusRequest, UpdateGitStatusResponse } from "./ide_client_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.IDEClientService
 */
export declare const IDEClientService: {
    readonly typeName: "gitpod.experimental.v1.IDEClientService";
    readonly methods: {
        /**
         * SendHeartbeat sends a clientheartbeat signal for a running workspace.
         *
         * @generated from rpc gitpod.experimental.v1.IDEClientService.SendHeartbeat
         */
        readonly sendHeartbeat: {
            readonly name: "SendHeartbeat";
            readonly I: typeof SendHeartbeatRequest;
            readonly O: typeof SendHeartbeatResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * SendDidClose sends a client close signal for a running workspace.
         *
         * @generated from rpc gitpod.experimental.v1.IDEClientService.SendDidClose
         */
        readonly sendDidClose: {
            readonly name: "SendDidClose";
            readonly I: typeof SendDidCloseRequest;
            readonly O: typeof SendDidCloseResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateGitStatus updates the status of a repository in a workspace.
         *
         * @generated from rpc gitpod.experimental.v1.IDEClientService.UpdateGitStatus
         */
        readonly updateGitStatus: {
            readonly name: "UpdateGitStatus";
            readonly I: typeof UpdateGitStatusRequest;
            readonly O: typeof UpdateGitStatusResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=ide_client_connect.d.ts.map