/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
import { GitStatus } from "./workspaces_pb.js";
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatRequest
 */
export declare class SendHeartbeatRequest extends Message<SendHeartbeatRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    constructor(data?: PartialMessage<SendHeartbeatRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SendHeartbeatRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendHeartbeatRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendHeartbeatRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendHeartbeatRequest;
    static equals(a: SendHeartbeatRequest | PlainMessage<SendHeartbeatRequest> | undefined, b: SendHeartbeatRequest | PlainMessage<SendHeartbeatRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatResponse
 */
export declare class SendHeartbeatResponse extends Message<SendHeartbeatResponse> {
    constructor(data?: PartialMessage<SendHeartbeatResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SendHeartbeatResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendHeartbeatResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendHeartbeatResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendHeartbeatResponse;
    static equals(a: SendHeartbeatResponse | PlainMessage<SendHeartbeatResponse> | undefined, b: SendHeartbeatResponse | PlainMessage<SendHeartbeatResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseRequest
 */
export declare class SendDidCloseRequest extends Message<SendDidCloseRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    constructor(data?: PartialMessage<SendDidCloseRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SendDidCloseRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendDidCloseRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendDidCloseRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendDidCloseRequest;
    static equals(a: SendDidCloseRequest | PlainMessage<SendDidCloseRequest> | undefined, b: SendDidCloseRequest | PlainMessage<SendDidCloseRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseResponse
 */
export declare class SendDidCloseResponse extends Message<SendDidCloseResponse> {
    constructor(data?: PartialMessage<SendDidCloseResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SendDidCloseResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendDidCloseResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendDidCloseResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendDidCloseResponse;
    static equals(a: SendDidCloseResponse | PlainMessage<SendDidCloseResponse> | undefined, b: SendDidCloseResponse | PlainMessage<SendDidCloseResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusRequest
 */
export declare class UpdateGitStatusRequest extends Message<UpdateGitStatusRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    /**
     * @generated from field: gitpod.experimental.v1.GitStatus status = 2;
     */
    status?: GitStatus;
    constructor(data?: PartialMessage<UpdateGitStatusRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.UpdateGitStatusRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateGitStatusRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateGitStatusRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateGitStatusRequest;
    static equals(a: UpdateGitStatusRequest | PlainMessage<UpdateGitStatusRequest> | undefined, b: UpdateGitStatusRequest | PlainMessage<UpdateGitStatusRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusResponse
 */
export declare class UpdateGitStatusResponse extends Message<UpdateGitStatusResponse> {
    constructor(data?: PartialMessage<UpdateGitStatusResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.UpdateGitStatusResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateGitStatusResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateGitStatusResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateGitStatusResponse;
    static equals(a: UpdateGitStatusResponse | PlainMessage<UpdateGitStatusResponse> | undefined, b: UpdateGitStatusResponse | PlainMessage<UpdateGitStatusResponse> | undefined): boolean;
}
//# sourceMappingURL=ide_client_pb.d.ts.map