"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateGitStatusResponse = exports.UpdateGitStatusRequest = exports.SendDidCloseResponse = exports.SendDidCloseRequest = exports.SendHeartbeatResponse = exports.SendHeartbeatRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const workspaces_pb_js_1 = require("./workspaces_pb.js");
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatRequest
 */
class SendHeartbeatRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendHeartbeatRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendHeartbeatRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendHeartbeatRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendHeartbeatRequest, a, b);
    }
}
exports.SendHeartbeatRequest = SendHeartbeatRequest;
SendHeartbeatRequest.runtime = protobuf_1.proto3;
SendHeartbeatRequest.typeName = "gitpod.experimental.v1.SendHeartbeatRequest";
SendHeartbeatRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.SendHeartbeatResponse
 */
class SendHeartbeatResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendHeartbeatResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendHeartbeatResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendHeartbeatResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendHeartbeatResponse, a, b);
    }
}
exports.SendHeartbeatResponse = SendHeartbeatResponse;
SendHeartbeatResponse.runtime = protobuf_1.proto3;
SendHeartbeatResponse.typeName = "gitpod.experimental.v1.SendHeartbeatResponse";
SendHeartbeatResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseRequest
 */
class SendDidCloseRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendDidCloseRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendDidCloseRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendDidCloseRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendDidCloseRequest, a, b);
    }
}
exports.SendDidCloseRequest = SendDidCloseRequest;
SendDidCloseRequest.runtime = protobuf_1.proto3;
SendDidCloseRequest.typeName = "gitpod.experimental.v1.SendDidCloseRequest";
SendDidCloseRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.SendDidCloseResponse
 */
class SendDidCloseResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendDidCloseResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendDidCloseResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendDidCloseResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendDidCloseResponse, a, b);
    }
}
exports.SendDidCloseResponse = SendDidCloseResponse;
SendDidCloseResponse.runtime = protobuf_1.proto3;
SendDidCloseResponse.typeName = "gitpod.experimental.v1.SendDidCloseResponse";
SendDidCloseResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusRequest
 */
class UpdateGitStatusRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateGitStatusRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateGitStatusRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateGitStatusRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateGitStatusRequest, a, b);
    }
}
exports.UpdateGitStatusRequest = UpdateGitStatusRequest;
UpdateGitStatusRequest.runtime = protobuf_1.proto3;
UpdateGitStatusRequest.typeName = "gitpod.experimental.v1.UpdateGitStatusRequest";
UpdateGitStatusRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "status", kind: "message", T: workspaces_pb_js_1.GitStatus },
]);
/**
 * @generated from message gitpod.experimental.v1.UpdateGitStatusResponse
 */
class UpdateGitStatusResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateGitStatusResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateGitStatusResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateGitStatusResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateGitStatusResponse, a, b);
    }
}
exports.UpdateGitStatusResponse = UpdateGitStatusResponse;
UpdateGitStatusResponse.runtime = protobuf_1.proto3;
UpdateGitStatusResponse.typeName = "gitpod.experimental.v1.UpdateGitStatusResponse";
UpdateGitStatusResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
//# sourceMappingURL=ide_client_pb.js.map