/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { GetIDTokenRequest, GetIDTokenResponse } from "./identityprovider_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.IdentityProviderService
 */
export declare const IdentityProviderService: {
    readonly typeName: "gitpod.experimental.v1.IdentityProviderService";
    readonly methods: {
        /**
         * GetIDToken produces a new OIDC ID token (https://openid.net/specs/openid-connect-core-1_0.html#ImplicitIDToken)
         *
         * @generated from rpc gitpod.experimental.v1.IdentityProviderService.GetIDToken
         */
        readonly getIDToken: {
            readonly name: "GetIDToken";
            readonly I: typeof GetIDTokenRequest;
            readonly O: typeof GetIDTokenResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=identityprovider_connect.d.ts.map