/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateClientConfigRequest, CreateClientConfigResponse, DeleteClientConfigRequest, DeleteClientConfigResponse, GetClientConfigRequest, GetClientConfigResponse, ListClientConfigsRequest, ListClientConfigsResponse, SetClientConfigActivationRequest, SetClientConfigActivationResponse, UpdateClientConfigRequest, UpdateClientConfigResponse } from "./oidc_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.OIDCService
 */
export declare const OIDCService: {
    readonly typeName: "gitpod.experimental.v1.OIDCService";
    readonly methods: {
        /**
         * Creates a new OIDC client configuration.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.CreateClientConfig
         */
        readonly createClientConfig: {
            readonly name: "CreateClientConfig";
            readonly I: typeof CreateClientConfigRequest;
            readonly O: typeof CreateClientConfigResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Retrieves an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.GetClientConfig
         */
        readonly getClientConfig: {
            readonly name: "GetClientConfig";
            readonly I: typeof GetClientConfigRequest;
            readonly O: typeof GetClientConfigResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Lists OIDC client configurations.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.ListClientConfigs
         */
        readonly listClientConfigs: {
            readonly name: "ListClientConfigs";
            readonly I: typeof ListClientConfigsRequest;
            readonly O: typeof ListClientConfigsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Updates modifiable properties of an existing OIDC client configuration.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.UpdateClientConfig
         */
        readonly updateClientConfig: {
            readonly name: "UpdateClientConfig";
            readonly I: typeof UpdateClientConfigRequest;
            readonly O: typeof UpdateClientConfigResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Removes an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.DeleteClientConfig
         */
        readonly deleteClientConfig: {
            readonly name: "DeleteClientConfig";
            readonly I: typeof DeleteClientConfigRequest;
            readonly O: typeof DeleteClientConfigResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Activates an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.SetClientConfigActivation
         */
        readonly setClientConfigActivation: {
            readonly name: "SetClientConfigActivation";
            readonly I: typeof SetClientConfigActivationRequest;
            readonly O: typeof SetClientConfigActivationResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=oidc_connect.d.ts.map