"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OIDCService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/experimental/v1/oidc.proto (package gitpod.experimental.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const oidc_pb_js_1 = require("./oidc_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.experimental.v1.OIDCService
 */
exports.OIDCService = {
    typeName: "gitpod.experimental.v1.OIDCService",
    methods: {
        /**
         * Creates a new OIDC client configuration.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.CreateClientConfig
         */
        createClientConfig: {
            name: "CreateClientConfig",
            I: oidc_pb_js_1.CreateClientConfigRequest,
            O: oidc_pb_js_1.CreateClientConfigResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * Retrieves an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.GetClientConfig
         */
        getClientConfig: {
            name: "GetClientConfig",
            I: oidc_pb_js_1.GetClientConfigRequest,
            O: oidc_pb_js_1.GetClientConfigResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * Lists OIDC client configurations.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.ListClientConfigs
         */
        listClientConfigs: {
            name: "ListClientConfigs",
            I: oidc_pb_js_1.ListClientConfigsRequest,
            O: oidc_pb_js_1.ListClientConfigsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * Updates modifiable properties of an existing OIDC client configuration.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.UpdateClientConfig
         */
        updateClientConfig: {
            name: "UpdateClientConfig",
            I: oidc_pb_js_1.UpdateClientConfigRequest,
            O: oidc_pb_js_1.UpdateClientConfigResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * Removes an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.DeleteClientConfig
         */
        deleteClientConfig: {
            name: "DeleteClientConfig",
            I: oidc_pb_js_1.DeleteClientConfigRequest,
            O: oidc_pb_js_1.DeleteClientConfigResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * Activates an OIDC client configuration by ID.
         *
         * @generated from rpc gitpod.experimental.v1.OIDCService.SetClientConfigActivation
         */
        setClientConfigActivation: {
            name: "SetClientConfigActivation",
            I: oidc_pb_js_1.SetClientConfigActivationRequest,
            O: oidc_pb_js_1.SetClientConfigActivationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=oidc_connect.js.map