/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.Pagination
 */
export declare class Pagination extends Message<Pagination> {
    /**
     * Page size is the maximum number of results to retrieve per page.
     * Defaults to 25. Maximum 100.
     *
     * @generated from field: int32 page_size = 1;
     */
    pageSize: number;
    /**
     * Page is the page number of results to retrieve.
     * The first page starts at 1.
     * Defaults to 1.
     *
     * @generated from field: int32 page = 2;
     */
    page: number;
    constructor(data?: PartialMessage<Pagination>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.Pagination";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Pagination;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Pagination;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Pagination;
    static equals(a: Pagination | PlainMessage<Pagination> | undefined, b: Pagination | PlainMessage<Pagination> | undefined): boolean;
}
//# sourceMappingURL=pagination_pb.d.ts.map