/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateProjectRequest, CreateProjectResponse, DeleteProjectRequest, DeleteProjectResponse, GetProjectRequest, GetProjectResponse, ListProjectsRequest, ListProjectsResponse } from "./projects_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.ProjectsService
 */
export declare const ProjectsService: {
    readonly typeName: "gitpod.experimental.v1.ProjectsService";
    readonly methods: {
        /**
         * Creates a new project.
         *
         * @generated from rpc gitpod.experimental.v1.ProjectsService.CreateProject
         */
        readonly createProject: {
            readonly name: "CreateProject";
            readonly I: typeof CreateProjectRequest;
            readonly O: typeof CreateProjectResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Retrieves a project.
         *
         * @generated from rpc gitpod.experimental.v1.ProjectsService.GetProject
         */
        readonly getProject: {
            readonly name: "GetProject";
            readonly I: typeof GetProjectRequest;
            readonly O: typeof GetProjectResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Lists projects.
         *
         * @generated from rpc gitpod.experimental.v1.ProjectsService.ListProjects
         */
        readonly listProjects: {
            readonly name: "ListProjects";
            readonly I: typeof ListProjectsRequest;
            readonly O: typeof ListProjectsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Deletes a project.
         *
         * @generated from rpc gitpod.experimental.v1.ProjectsService.DeleteProject
         */
        readonly deleteProject: {
            readonly name: "DeleteProject";
            readonly I: typeof DeleteProjectRequest;
            readonly O: typeof DeleteProjectResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=projects_connect.d.ts.map