/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsRequest
 */
export declare class GetUserStatsRequest extends Message<GetUserStatsRequest> {
    constructor(data?: PartialMessage<GetUserStatsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetUserStatsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetUserStatsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetUserStatsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetUserStatsRequest;
    static equals(a: GetUserStatsRequest | PlainMessage<GetUserStatsRequest> | undefined, b: GetUserStatsRequest | PlainMessage<GetUserStatsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsResponse
 */
export declare class GetUserStatsResponse extends Message<GetUserStatsResponse> {
    /**
     * All users that have an active Gitpod (not deleted) account at the time of asking.
     *
     * @generated from field: uint32 registered_users = 1;
     */
    registeredUsers: number;
    constructor(data?: PartialMessage<GetUserStatsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetUserStatsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetUserStatsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetUserStatsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetUserStatsResponse;
    static equals(a: GetUserStatsResponse | PlainMessage<GetUserStatsResponse> | undefined, b: GetUserStatsResponse | PlainMessage<GetUserStatsResponse> | undefined): boolean;
}
//# sourceMappingURL=stats_pb.d.ts.map