"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetUserStatsResponse = exports.GetUserStatsRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsRequest
 */
class GetUserStatsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserStatsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserStatsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserStatsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetUserStatsRequest, a, b);
    }
}
exports.GetUserStatsRequest = GetUserStatsRequest;
GetUserStatsRequest.runtime = protobuf_1.proto3;
GetUserStatsRequest.typeName = "gitpod.experimental.v1.GetUserStatsRequest";
GetUserStatsRequest.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.experimental.v1.GetUserStatsResponse
 */
class GetUserStatsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * All users that have an active Gitpod (not deleted) account at the time of asking.
         *
         * @generated from field: uint32 registered_users = 1;
         */
        this.registeredUsers = 0;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserStatsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserStatsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserStatsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetUserStatsResponse, a, b);
    }
}
exports.GetUserStatsResponse = GetUserStatsResponse;
GetUserStatsResponse.runtime = protobuf_1.proto3;
GetUserStatsResponse.typeName = "gitpod.experimental.v1.GetUserStatsResponse";
GetUserStatsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "registered_users", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
]);
//# sourceMappingURL=stats_pb.js.map