/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateTeamRequest, CreateTeamResponse, DeleteTeamMemberRequest, DeleteTeamMemberResponse, DeleteTeamRequest, DeleteTeamResponse, GetTeamInvitationRequest, GetTeamInvitationResponse, GetTeamRequest, GetTeamResponse, JoinTeamRequest, JoinTeamResponse, ListTeamMembersRequest, ListTeamMembersResponse, ListTeamsRequest, ListTeamsResponse, ResetTeamInvitationRequest, ResetTeamInvitationResponse, UpdateTeamMemberRequest, UpdateTeamMemberResponse } from "./teams_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.TeamsService
 */
export declare const TeamsService: {
    readonly typeName: "gitpod.experimental.v1.TeamsService";
    readonly methods: {
        /**
         * CreateTeam creates a new Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.CreateTeam
         */
        readonly createTeam: {
            readonly name: "CreateTeam";
            readonly I: typeof CreateTeamRequest;
            readonly O: typeof CreateTeamResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetTeam retrieves a single Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.GetTeam
         */
        readonly getTeam: {
            readonly name: "GetTeam";
            readonly I: typeof GetTeamRequest;
            readonly O: typeof GetTeamResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListTeams lists the caller has access to.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ListTeams
         */
        readonly listTeams: {
            readonly name: "ListTeams";
            readonly I: typeof ListTeamsRequest;
            readonly O: typeof ListTeamsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteTeam deletes the specified team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.DeleteTeam
         */
        readonly deleteTeam: {
            readonly name: "DeleteTeam";
            readonly I: typeof DeleteTeamRequest;
            readonly O: typeof DeleteTeamResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetTeamInvitation retrieves the invitation for a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.GetTeamInvitation
         */
        readonly getTeamInvitation: {
            readonly name: "GetTeamInvitation";
            readonly I: typeof GetTeamInvitationRequest;
            readonly O: typeof GetTeamInvitationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * JoinTeam makes the caller a TeamMember of the Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.JoinTeam
         */
        readonly joinTeam: {
            readonly name: "JoinTeam";
            readonly I: typeof JoinTeamRequest;
            readonly O: typeof JoinTeamResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ResetTeamInvitation resets the invitation_id for a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ResetTeamInvitation
         */
        readonly resetTeamInvitation: {
            readonly name: "ResetTeamInvitation";
            readonly I: typeof ResetTeamInvitationRequest;
            readonly O: typeof ResetTeamInvitationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListTeamMembers lists the members of a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ListTeamMembers
         */
        readonly listTeamMembers: {
            readonly name: "ListTeamMembers";
            readonly I: typeof ListTeamMembersRequest;
            readonly O: typeof ListTeamMembersResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateTeamMember updates team membership properties.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.UpdateTeamMember
         */
        readonly updateTeamMember: {
            readonly name: "UpdateTeamMember";
            readonly I: typeof UpdateTeamMemberRequest;
            readonly O: typeof UpdateTeamMemberResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteTeamMember removes a TeamMember from the Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.DeleteTeamMember
         */
        readonly deleteTeamMember: {
            readonly name: "DeleteTeamMember";
            readonly I: typeof DeleteTeamMemberRequest;
            readonly O: typeof DeleteTeamMemberResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=teams_connect.d.ts.map