"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamsService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/experimental/v1/teams.proto (package gitpod.experimental.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const teams_pb_js_1 = require("./teams_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.experimental.v1.TeamsService
 */
exports.TeamsService = {
    typeName: "gitpod.experimental.v1.TeamsService",
    methods: {
        /**
         * CreateTeam creates a new Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.CreateTeam
         */
        createTeam: {
            name: "CreateTeam",
            I: teams_pb_js_1.CreateTeamRequest,
            O: teams_pb_js_1.CreateTeamResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetTeam retrieves a single Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.GetTeam
         */
        getTeam: {
            name: "GetTeam",
            I: teams_pb_js_1.GetTeamRequest,
            O: teams_pb_js_1.GetTeamResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListTeams lists the caller has access to.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ListTeams
         */
        listTeams: {
            name: "ListTeams",
            I: teams_pb_js_1.ListTeamsRequest,
            O: teams_pb_js_1.ListTeamsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteTeam deletes the specified team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.DeleteTeam
         */
        deleteTeam: {
            name: "DeleteTeam",
            I: teams_pb_js_1.DeleteTeamRequest,
            O: teams_pb_js_1.DeleteTeamResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetTeamInvitation retrieves the invitation for a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.GetTeamInvitation
         */
        getTeamInvitation: {
            name: "GetTeamInvitation",
            I: teams_pb_js_1.GetTeamInvitationRequest,
            O: teams_pb_js_1.GetTeamInvitationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * JoinTeam makes the caller a TeamMember of the Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.JoinTeam
         */
        joinTeam: {
            name: "JoinTeam",
            I: teams_pb_js_1.JoinTeamRequest,
            O: teams_pb_js_1.JoinTeamResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ResetTeamInvitation resets the invitation_id for a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ResetTeamInvitation
         */
        resetTeamInvitation: {
            name: "ResetTeamInvitation",
            I: teams_pb_js_1.ResetTeamInvitationRequest,
            O: teams_pb_js_1.ResetTeamInvitationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListTeamMembers lists the members of a Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.ListTeamMembers
         */
        listTeamMembers: {
            name: "ListTeamMembers",
            I: teams_pb_js_1.ListTeamMembersRequest,
            O: teams_pb_js_1.ListTeamMembersResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateTeamMember updates team membership properties.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.UpdateTeamMember
         */
        updateTeamMember: {
            name: "UpdateTeamMember",
            I: teams_pb_js_1.UpdateTeamMemberRequest,
            O: teams_pb_js_1.UpdateTeamMemberResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteTeamMember removes a TeamMember from the Team.
         *
         * @generated from rpc gitpod.experimental.v1.TeamsService.DeleteTeamMember
         */
        deleteTeamMember: {
            name: "DeleteTeamMember",
            I: teams_pb_js_1.DeleteTeamMemberRequest,
            O: teams_pb_js_1.DeleteTeamMemberResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=teams_connect.js.map