/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreatePersonalAccessTokenRequest, CreatePersonalAccessTokenResponse, DeletePersonalAccessTokenRequest, DeletePersonalAccessTokenResponse, GetPersonalAccessTokenRequest, GetPersonalAccessTokenResponse, ListPersonalAccessTokensRequest, ListPersonalAccessTokensResponse, RegeneratePersonalAccessTokenRequest, RegeneratePersonalAccessTokenResponse, UpdatePersonalAccessTokenRequest, UpdatePersonalAccessTokenResponse } from "./tokens_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.TokensService
 */
export declare const TokensService: {
    readonly typeName: "gitpod.experimental.v1.TokensService";
    readonly methods: {
        /**
         * CreatePersonalAccessTokenRequest creates a new token.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.CreatePersonalAccessToken
         */
        readonly createPersonalAccessToken: {
            readonly name: "CreatePersonalAccessToken";
            readonly I: typeof CreatePersonalAccessTokenRequest;
            readonly O: typeof CreatePersonalAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListPersonalAccessTokens returns token by ID.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.GetPersonalAccessToken
         */
        readonly getPersonalAccessToken: {
            readonly name: "GetPersonalAccessToken";
            readonly I: typeof GetPersonalAccessTokenRequest;
            readonly O: typeof GetPersonalAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListPersonalAccessTokens returns a list of tokens.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.ListPersonalAccessTokens
         */
        readonly listPersonalAccessTokens: {
            readonly name: "ListPersonalAccessTokens";
            readonly I: typeof ListPersonalAccessTokensRequest;
            readonly O: typeof ListPersonalAccessTokensResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * RegeneratePersonalAccessToken generates a new token and replaces the previous one.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.RegeneratePersonalAccessToken
         */
        readonly regeneratePersonalAccessToken: {
            readonly name: "RegeneratePersonalAccessToken";
            readonly I: typeof RegeneratePersonalAccessTokenRequest;
            readonly O: typeof RegeneratePersonalAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdatePersonalAccessToken updates writable properties of a PersonalAccessToken.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.UpdatePersonalAccessToken
         */
        readonly updatePersonalAccessToken: {
            readonly name: "UpdatePersonalAccessToken";
            readonly I: typeof UpdatePersonalAccessTokenRequest;
            readonly O: typeof UpdatePersonalAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeletePersonalAccessToken removes token by ID.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.DeletePersonalAccessToken
         */
        readonly deletePersonalAccessToken: {
            readonly name: "DeletePersonalAccessToken";
            readonly I: typeof DeletePersonalAccessTokenRequest;
            readonly O: typeof DeletePersonalAccessTokenResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=tokens_connect.d.ts.map