"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokensService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/experimental/v1/tokens.proto (package gitpod.experimental.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const tokens_pb_js_1 = require("./tokens_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.experimental.v1.TokensService
 */
exports.TokensService = {
    typeName: "gitpod.experimental.v1.TokensService",
    methods: {
        /**
         * CreatePersonalAccessTokenRequest creates a new token.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.CreatePersonalAccessToken
         */
        createPersonalAccessToken: {
            name: "CreatePersonalAccessToken",
            I: tokens_pb_js_1.CreatePersonalAccessTokenRequest,
            O: tokens_pb_js_1.CreatePersonalAccessTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListPersonalAccessTokens returns token by ID.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.GetPersonalAccessToken
         */
        getPersonalAccessToken: {
            name: "GetPersonalAccessToken",
            I: tokens_pb_js_1.GetPersonalAccessTokenRequest,
            O: tokens_pb_js_1.GetPersonalAccessTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListPersonalAccessTokens returns a list of tokens.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.ListPersonalAccessTokens
         */
        listPersonalAccessTokens: {
            name: "ListPersonalAccessTokens",
            I: tokens_pb_js_1.ListPersonalAccessTokensRequest,
            O: tokens_pb_js_1.ListPersonalAccessTokensResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * RegeneratePersonalAccessToken generates a new token and replaces the previous one.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.RegeneratePersonalAccessToken
         */
        regeneratePersonalAccessToken: {
            name: "RegeneratePersonalAccessToken",
            I: tokens_pb_js_1.RegeneratePersonalAccessTokenRequest,
            O: tokens_pb_js_1.RegeneratePersonalAccessTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdatePersonalAccessToken updates writable properties of a PersonalAccessToken.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.UpdatePersonalAccessToken
         */
        updatePersonalAccessToken: {
            name: "UpdatePersonalAccessToken",
            I: tokens_pb_js_1.UpdatePersonalAccessTokenRequest,
            O: tokens_pb_js_1.UpdatePersonalAccessTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeletePersonalAccessToken removes token by ID.
         *
         * @generated from rpc gitpod.experimental.v1.TokensService.DeletePersonalAccessToken
         */
        deletePersonalAccessToken: {
            name: "DeletePersonalAccessToken",
            I: tokens_pb_js_1.DeletePersonalAccessTokenRequest,
            O: tokens_pb_js_1.DeletePersonalAccessTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=tokens_connect.js.map