/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { BlockUserRequest, BlockUserResponse, CreateSSHKeyRequest, CreateSSHKeyResponse, DeleteSSHKeyRequest, DeleteSSHKeyResponse, GetAuthenticatedUserRequest, GetAuthenticatedUserResponse, GetGitTokenRequest, GetGitTokenResponse, GetSSHKeyRequest, GetSSHKeyResponse, ListSSHKeysRequest, ListSSHKeysResponse } from "./user_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.experimental.v1.UserService
 */
export declare const UserService: {
    readonly typeName: "gitpod.experimental.v1.UserService";
    readonly methods: {
        /**
         * GetAuthenticatedUser gets the user info.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.GetAuthenticatedUser
         */
        readonly getAuthenticatedUser: {
            readonly name: "GetAuthenticatedUser";
            readonly I: typeof GetAuthenticatedUserRequest;
            readonly O: typeof GetAuthenticatedUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListSSHKeys lists the public SSH keys.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.ListSSHKeys
         */
        readonly listSSHKeys: {
            readonly name: "ListSSHKeys";
            readonly I: typeof ListSSHKeysRequest;
            readonly O: typeof ListSSHKeysResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateSSHKey adds a public SSH key.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.CreateSSHKey
         */
        readonly createSSHKey: {
            readonly name: "CreateSSHKey";
            readonly I: typeof CreateSSHKeyRequest;
            readonly O: typeof CreateSSHKeyResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetSSHKey retrieves an ssh key by ID.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.GetSSHKey
         */
        readonly getSSHKey: {
            readonly name: "GetSSHKey";
            readonly I: typeof GetSSHKeyRequest;
            readonly O: typeof GetSSHKeyResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteSSHKey removes a public SSH key.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.DeleteSSHKey
         */
        readonly deleteSSHKey: {
            readonly name: "DeleteSSHKey";
            readonly I: typeof DeleteSSHKeyRequest;
            readonly O: typeof DeleteSSHKeyResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.experimental.v1.UserService.GetGitToken
         */
        readonly getGitToken: {
            readonly name: "GetGitToken";
            readonly I: typeof GetGitTokenRequest;
            readonly O: typeof GetGitTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.experimental.v1.UserService.BlockUser
         */
        readonly blockUser: {
            readonly name: "BlockUser";
            readonly I: typeof BlockUserRequest;
            readonly O: typeof BlockUserResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=user_connect.d.ts.map