"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/experimental/v1/user.proto (package gitpod.experimental.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const user_pb_js_1 = require("./user_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.experimental.v1.UserService
 */
exports.UserService = {
    typeName: "gitpod.experimental.v1.UserService",
    methods: {
        /**
         * GetAuthenticatedUser gets the user info.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.GetAuthenticatedUser
         */
        getAuthenticatedUser: {
            name: "GetAuthenticatedUser",
            I: user_pb_js_1.GetAuthenticatedUserRequest,
            O: user_pb_js_1.GetAuthenticatedUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListSSHKeys lists the public SSH keys.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.ListSSHKeys
         */
        listSSHKeys: {
            name: "ListSSHKeys",
            I: user_pb_js_1.ListSSHKeysRequest,
            O: user_pb_js_1.ListSSHKeysResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateSSHKey adds a public SSH key.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.CreateSSHKey
         */
        createSSHKey: {
            name: "CreateSSHKey",
            I: user_pb_js_1.CreateSSHKeyRequest,
            O: user_pb_js_1.CreateSSHKeyResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetSSHKey retrieves an ssh key by ID.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.GetSSHKey
         */
        getSSHKey: {
            name: "GetSSHKey",
            I: user_pb_js_1.GetSSHKeyRequest,
            O: user_pb_js_1.GetSSHKeyResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteSSHKey removes a public SSH key.
         *
         * @generated from rpc gitpod.experimental.v1.UserService.DeleteSSHKey
         */
        deleteSSHKey: {
            name: "DeleteSSHKey",
            I: user_pb_js_1.DeleteSSHKeyRequest,
            O: user_pb_js_1.DeleteSSHKeyResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * @generated from rpc gitpod.experimental.v1.UserService.GetGitToken
         */
        getGitToken: {
            name: "GetGitToken",
            I: user_pb_js_1.GetGitTokenRequest,
            O: user_pb_js_1.GetGitTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * @generated from rpc gitpod.experimental.v1.UserService.BlockUser
         */
        blockUser: {
            name: "BlockUser",
            I: user_pb_js_1.BlockUserRequest,
            O: user_pb_js_1.BlockUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=user_connect.js.map