/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.experimental.v1.User
 */
export declare class User extends Message<User> {
    /**
     * id is a UUID of the user
     *
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * name is the username
     *
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * avatar_url is a link to the user avatar
     *
     * @generated from field: string avatar_url = 3;
     */
    avatarUrl: string;
    /**
     * created_at is the creation time
     *
     * @generated from field: google.protobuf.Timestamp created_at = 5;
     */
    createdAt?: Timestamp;
    constructor(data?: PartialMessage<User>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.User";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User;
    static equals(a: User | PlainMessage<User> | undefined, b: User | PlainMessage<User> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.SSHKey
 */
export declare class SSHKey extends Message<SSHKey> {
    /**
     * id is a UUID of the SSH key
     *
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * name is the name of the SSH key
     *
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * key is the public SSH key
     *
     * @generated from field: string key = 3;
     */
    key: string;
    /**
     * created_at is the creation time
     *
     * @generated from field: google.protobuf.Timestamp created_at = 4;
     */
    createdAt?: Timestamp;
    constructor(data?: PartialMessage<SSHKey>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.SSHKey";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SSHKey;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SSHKey;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SSHKey;
    static equals(a: SSHKey | PlainMessage<SSHKey> | undefined, b: SSHKey | PlainMessage<SSHKey> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetAuthenticatedUserRequest
 */
export declare class GetAuthenticatedUserRequest extends Message<GetAuthenticatedUserRequest> {
    constructor(data?: PartialMessage<GetAuthenticatedUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetAuthenticatedUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetAuthenticatedUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetAuthenticatedUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetAuthenticatedUserRequest;
    static equals(a: GetAuthenticatedUserRequest | PlainMessage<GetAuthenticatedUserRequest> | undefined, b: GetAuthenticatedUserRequest | PlainMessage<GetAuthenticatedUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetAuthenticatedUserResponse
 */
export declare class GetAuthenticatedUserResponse extends Message<GetAuthenticatedUserResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<GetAuthenticatedUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetAuthenticatedUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetAuthenticatedUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetAuthenticatedUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetAuthenticatedUserResponse;
    static equals(a: GetAuthenticatedUserResponse | PlainMessage<GetAuthenticatedUserResponse> | undefined, b: GetAuthenticatedUserResponse | PlainMessage<GetAuthenticatedUserResponse> | undefined): boolean;
}
/**
 * TODO: pagination options
 *
 * @generated from message gitpod.experimental.v1.ListSSHKeysRequest
 */
export declare class ListSSHKeysRequest extends Message<ListSSHKeysRequest> {
    constructor(data?: PartialMessage<ListSSHKeysRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.ListSSHKeysRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSSHKeysRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSSHKeysRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSSHKeysRequest;
    static equals(a: ListSSHKeysRequest | PlainMessage<ListSSHKeysRequest> | undefined, b: ListSSHKeysRequest | PlainMessage<ListSSHKeysRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.ListSSHKeysResponse
 */
export declare class ListSSHKeysResponse extends Message<ListSSHKeysResponse> {
    /**
     * @generated from field: repeated gitpod.experimental.v1.SSHKey keys = 1;
     */
    keys: SSHKey[];
    constructor(data?: PartialMessage<ListSSHKeysResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.ListSSHKeysResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSSHKeysResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSSHKeysResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSSHKeysResponse;
    static equals(a: ListSSHKeysResponse | PlainMessage<ListSSHKeysResponse> | undefined, b: ListSSHKeysResponse | PlainMessage<ListSSHKeysResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.CreateSSHKeyRequest
 */
export declare class CreateSSHKeyRequest extends Message<CreateSSHKeyRequest> {
    /**
     * name is the SSH key name
     *
     * @generated from field: string name = 1;
     */
    name: string;
    /**
     * the public SSH key
     *
     * @generated from field: string key = 2;
     */
    key: string;
    constructor(data?: PartialMessage<CreateSSHKeyRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.CreateSSHKeyRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateSSHKeyRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateSSHKeyRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateSSHKeyRequest;
    static equals(a: CreateSSHKeyRequest | PlainMessage<CreateSSHKeyRequest> | undefined, b: CreateSSHKeyRequest | PlainMessage<CreateSSHKeyRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.CreateSSHKeyResponse
 */
export declare class CreateSSHKeyResponse extends Message<CreateSSHKeyResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.SSHKey key = 1;
     */
    key?: SSHKey;
    constructor(data?: PartialMessage<CreateSSHKeyResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.CreateSSHKeyResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateSSHKeyResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateSSHKeyResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateSSHKeyResponse;
    static equals(a: CreateSSHKeyResponse | PlainMessage<CreateSSHKeyResponse> | undefined, b: CreateSSHKeyResponse | PlainMessage<CreateSSHKeyResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetSSHKeyRequest
 */
export declare class GetSSHKeyRequest extends Message<GetSSHKeyRequest> {
    /**
     * id is the unique identifier of the SSH key to retreive.
     *
     * @generated from field: string key_id = 1;
     */
    keyId: string;
    constructor(data?: PartialMessage<GetSSHKeyRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetSSHKeyRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetSSHKeyRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetSSHKeyRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetSSHKeyRequest;
    static equals(a: GetSSHKeyRequest | PlainMessage<GetSSHKeyRequest> | undefined, b: GetSSHKeyRequest | PlainMessage<GetSSHKeyRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetSSHKeyResponse
 */
export declare class GetSSHKeyResponse extends Message<GetSSHKeyResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.SSHKey key = 1;
     */
    key?: SSHKey;
    constructor(data?: PartialMessage<GetSSHKeyResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetSSHKeyResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetSSHKeyResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetSSHKeyResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetSSHKeyResponse;
    static equals(a: GetSSHKeyResponse | PlainMessage<GetSSHKeyResponse> | undefined, b: GetSSHKeyResponse | PlainMessage<GetSSHKeyResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.DeleteSSHKeyRequest
 */
export declare class DeleteSSHKeyRequest extends Message<DeleteSSHKeyRequest> {
    /**
     * id is the unique identifier of the SSH key to retreive.
     *
     * @generated from field: string key_id = 1;
     */
    keyId: string;
    constructor(data?: PartialMessage<DeleteSSHKeyRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.DeleteSSHKeyRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteSSHKeyRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteSSHKeyRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteSSHKeyRequest;
    static equals(a: DeleteSSHKeyRequest | PlainMessage<DeleteSSHKeyRequest> | undefined, b: DeleteSSHKeyRequest | PlainMessage<DeleteSSHKeyRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.DeleteSSHKeyResponse
 */
export declare class DeleteSSHKeyResponse extends Message<DeleteSSHKeyResponse> {
    constructor(data?: PartialMessage<DeleteSSHKeyResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.DeleteSSHKeyResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteSSHKeyResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteSSHKeyResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteSSHKeyResponse;
    static equals(a: DeleteSSHKeyResponse | PlainMessage<DeleteSSHKeyResponse> | undefined, b: DeleteSSHKeyResponse | PlainMessage<DeleteSSHKeyResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetGitTokenRequest
 */
export declare class GetGitTokenRequest extends Message<GetGitTokenRequest> {
    /**
     * @generated from field: string host = 1;
     */
    host: string;
    constructor(data?: PartialMessage<GetGitTokenRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetGitTokenRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetGitTokenRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetGitTokenRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetGitTokenRequest;
    static equals(a: GetGitTokenRequest | PlainMessage<GetGitTokenRequest> | undefined, b: GetGitTokenRequest | PlainMessage<GetGitTokenRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetGitTokenResponse
 */
export declare class GetGitTokenResponse extends Message<GetGitTokenResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.GitToken token = 1;
     */
    token?: GitToken;
    constructor(data?: PartialMessage<GetGitTokenResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GetGitTokenResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetGitTokenResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetGitTokenResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetGitTokenResponse;
    static equals(a: GetGitTokenResponse | PlainMessage<GetGitTokenResponse> | undefined, b: GetGitTokenResponse | PlainMessage<GetGitTokenResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GitToken
 */
export declare class GitToken extends Message<GitToken> {
    /**
     * expiry_date is the date when the token will expire
     *
     * @generated from field: string expiry_date = 1;
     */
    expiryDate: string;
    /**
     * id_token is the unique identifier for the token
     *
     * @generated from field: string id_token = 2;
     */
    idToken: string;
    /**
     * refresh_token is the token used to refresh the git token
     *
     * @generated from field: string refresh_token = 3;
     */
    refreshToken: string;
    /**
     * scopes is a list of permissions associated with the token
     *
     * @generated from field: repeated string scopes = 4;
     */
    scopes: string[];
    /**
     * update_date is the date when the token was last updated
     *
     * @generated from field: string update_date = 5;
     */
    updateDate: string;
    /**
     * username is the username associated with the token
     *
     * @generated from field: string username = 6;
     */
    username: string;
    /**
     * value is the actual token value for the token
     *
     * @generated from field: string value = 7;
     */
    value: string;
    constructor(data?: PartialMessage<GitToken>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.GitToken";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GitToken;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GitToken;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GitToken;
    static equals(a: GitToken | PlainMessage<GitToken> | undefined, b: GitToken | PlainMessage<GitToken> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.BlockUserRequest
 */
export declare class BlockUserRequest extends Message<BlockUserRequest> {
    /**
     * the ID of a User to block
     *
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * reason is the reason for blocking the user
     *
     * @generated from field: string reason = 2;
     */
    reason: string;
    constructor(data?: PartialMessage<BlockUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.BlockUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockUserRequest;
    static equals(a: BlockUserRequest | PlainMessage<BlockUserRequest> | undefined, b: BlockUserRequest | PlainMessage<BlockUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.BlockUserResponse
 */
export declare class BlockUserResponse extends Message<BlockUserResponse> {
    constructor(data?: PartialMessage<BlockUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.experimental.v1.BlockUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockUserResponse;
    static equals(a: BlockUserResponse | PlainMessage<BlockUserResponse> | undefined, b: BlockUserResponse | PlainMessage<BlockUserResponse> | undefined): boolean;
}
//# sourceMappingURL=user_pb.d.ts.map