/**
 * Copyright (c) 2022 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message } from "@bufbuild/protobuf";
import { WorkspaceInstance } from "./workspaces_pb.js";
/**
 * @generated from enum gitpod.experimental.v1.PortVisibility
 */
export declare enum PortVisibility {
    /**
     * @generated from enum value: PORT_VISIBILITY_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: PORT_VISIBILITY_PUBLIC = 1;
     */
    PUBLIC = 1,
    /**
     * @generated from enum value: PORT_VISIBILITY_PRIVATE = 2;
     */
    PRIVATE = 2
}
/**
 * @generated from message gitpod.experimental.v1.OpenPortRequest
 */
export declare class OpenPortRequest extends Message<OpenPortRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    constructor(data?: PartialMessage<OpenPortRequest>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.OpenPortRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): OpenPortRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): OpenPortRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): OpenPortRequest;
    static equals(a: OpenPortRequest | PlainMessage<OpenPortRequest> | undefined, b: OpenPortRequest | PlainMessage<OpenPortRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.OpenPortResponse
 */
export declare class OpenPortResponse extends Message<OpenPortResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.WorkspaceInstancePort port = 1;
     */
    port?: WorkspaceInstancePort;
    constructor(data?: PartialMessage<OpenPortResponse>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.OpenPortResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): OpenPortResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): OpenPortResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): OpenPortResponse;
    static equals(a: OpenPortResponse | PlainMessage<OpenPortResponse> | undefined, b: OpenPortResponse | PlainMessage<OpenPortResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.WorkspaceInstancePort
 */
export declare class WorkspaceInstancePort extends Message<WorkspaceInstancePort> {
    /**
     * @generated from field: int32 port = 1;
     */
    port: number;
    /**
     * @generated from field: string url = 2;
     */
    url: string;
    /**
     * @generated from field: gitpod.experimental.v1.PortVisibility visibility = 3;
     */
    visibility: PortVisibility;
    constructor(data?: PartialMessage<WorkspaceInstancePort>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.WorkspaceInstancePort";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): WorkspaceInstancePort;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): WorkspaceInstancePort;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): WorkspaceInstancePort;
    static equals(a: WorkspaceInstancePort | PlainMessage<WorkspaceInstancePort> | undefined, b: WorkspaceInstancePort | PlainMessage<WorkspaceInstancePort> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetOpenPortsRequest
 */
export declare class GetOpenPortsRequest extends Message<GetOpenPortsRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    constructor(data?: PartialMessage<GetOpenPortsRequest>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.GetOpenPortsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetOpenPortsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetOpenPortsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetOpenPortsRequest;
    static equals(a: GetOpenPortsRequest | PlainMessage<GetOpenPortsRequest> | undefined, b: GetOpenPortsRequest | PlainMessage<GetOpenPortsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.GetOpenPortsResponse
 */
export declare class GetOpenPortsResponse extends Message<GetOpenPortsResponse> {
    /**
     * @generated from field: repeated gitpod.experimental.v1.WorkspaceInstancePort ports = 1;
     */
    ports: WorkspaceInstancePort[];
    constructor(data?: PartialMessage<GetOpenPortsResponse>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.GetOpenPortsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetOpenPortsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetOpenPortsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetOpenPortsResponse;
    static equals(a: GetOpenPortsResponse | PlainMessage<GetOpenPortsResponse> | undefined, b: GetOpenPortsResponse | PlainMessage<GetOpenPortsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.InstanceUpdatesRequest
 */
export declare class InstanceUpdatesRequest extends Message<InstanceUpdatesRequest> {
    /**
     * @generated from field: string instance_id = 1;
     */
    instanceId: string;
    constructor(data?: PartialMessage<InstanceUpdatesRequest>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.InstanceUpdatesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): InstanceUpdatesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): InstanceUpdatesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): InstanceUpdatesRequest;
    static equals(a: InstanceUpdatesRequest | PlainMessage<InstanceUpdatesRequest> | undefined, b: InstanceUpdatesRequest | PlainMessage<InstanceUpdatesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.experimental.v1.InstanceUpdatesResponse
 */
export declare class InstanceUpdatesResponse extends Message<InstanceUpdatesResponse> {
    /**
     * @generated from field: gitpod.experimental.v1.WorkspaceInstance instance = 1;
     */
    instance?: WorkspaceInstance;
    constructor(data?: PartialMessage<InstanceUpdatesResponse>);
    static readonly runtime: import("@bufbuild/protobuf/dist/cjs/private/proto-runtime").ProtoRuntime;
    static readonly typeName = "gitpod.experimental.v1.InstanceUpdatesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): InstanceUpdatesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): InstanceUpdatesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): InstanceUpdatesResponse;
    static equals(a: InstanceUpdatesResponse | PlainMessage<InstanceUpdatesResponse> | undefined, b: InstanceUpdatesResponse | PlainMessage<InstanceUpdatesResponse> | undefined): boolean;
}
//# sourceMappingURL=workspace_pb.d.ts.map