"use strict";
/**
 * Copyright (c) 2022 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstanceUpdatesResponse = exports.InstanceUpdatesRequest = exports.GetOpenPortsResponse = exports.GetOpenPortsRequest = exports.WorkspaceInstancePort = exports.OpenPortResponse = exports.OpenPortRequest = exports.PortVisibility = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const workspaces_pb_js_1 = require("./workspaces_pb.js");
/**
 * @generated from enum gitpod.experimental.v1.PortVisibility
 */
var PortVisibility;
(function (PortVisibility) {
    /**
     * @generated from enum value: PORT_VISIBILITY_UNSPECIFIED = 0;
     */
    PortVisibility[PortVisibility["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: PORT_VISIBILITY_PUBLIC = 1;
     */
    PortVisibility[PortVisibility["PUBLIC"] = 1] = "PUBLIC";
    /**
     * @generated from enum value: PORT_VISIBILITY_PRIVATE = 2;
     */
    PortVisibility[PortVisibility["PRIVATE"] = 2] = "PRIVATE";
})(PortVisibility = exports.PortVisibility || (exports.PortVisibility = {}));
// Retrieve enum metadata with: proto3.getEnumType(PortVisibility)
protobuf_1.proto3.util.setEnumType(PortVisibility, "gitpod.experimental.v1.PortVisibility", [
    { no: 0, name: "PORT_VISIBILITY_UNSPECIFIED" },
    { no: 1, name: "PORT_VISIBILITY_PUBLIC" },
    { no: 2, name: "PORT_VISIBILITY_PRIVATE" },
]);
/**
 * @generated from message gitpod.experimental.v1.OpenPortRequest
 */
class OpenPortRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OpenPortRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OpenPortRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OpenPortRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OpenPortRequest, a, b);
    }
}
exports.OpenPortRequest = OpenPortRequest;
OpenPortRequest.runtime = protobuf_1.proto3;
OpenPortRequest.typeName = "gitpod.experimental.v1.OpenPortRequest";
OpenPortRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.OpenPortResponse
 */
class OpenPortResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OpenPortResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OpenPortResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OpenPortResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OpenPortResponse, a, b);
    }
}
exports.OpenPortResponse = OpenPortResponse;
OpenPortResponse.runtime = protobuf_1.proto3;
OpenPortResponse.typeName = "gitpod.experimental.v1.OpenPortResponse";
OpenPortResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "port", kind: "message", T: WorkspaceInstancePort },
]);
/**
 * @generated from message gitpod.experimental.v1.WorkspaceInstancePort
 */
class WorkspaceInstancePort extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: int32 port = 1;
         */
        this.port = 0;
        /**
         * @generated from field: string url = 2;
         */
        this.url = "";
        /**
         * @generated from field: gitpod.experimental.v1.PortVisibility visibility = 3;
         */
        this.visibility = PortVisibility.UNSPECIFIED;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new WorkspaceInstancePort().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new WorkspaceInstancePort().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new WorkspaceInstancePort().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(WorkspaceInstancePort, a, b);
    }
}
exports.WorkspaceInstancePort = WorkspaceInstancePort;
WorkspaceInstancePort.runtime = protobuf_1.proto3;
WorkspaceInstancePort.typeName = "gitpod.experimental.v1.WorkspaceInstancePort";
WorkspaceInstancePort.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "port", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 2, name: "url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "visibility", kind: "enum", T: protobuf_1.proto3.getEnumType(PortVisibility) },
]);
/**
 * @generated from message gitpod.experimental.v1.GetOpenPortsRequest
 */
class GetOpenPortsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOpenPortsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOpenPortsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOpenPortsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOpenPortsRequest, a, b);
    }
}
exports.GetOpenPortsRequest = GetOpenPortsRequest;
GetOpenPortsRequest.runtime = protobuf_1.proto3;
GetOpenPortsRequest.typeName = "gitpod.experimental.v1.GetOpenPortsRequest";
GetOpenPortsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.GetOpenPortsResponse
 */
class GetOpenPortsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.experimental.v1.WorkspaceInstancePort ports = 1;
         */
        this.ports = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOpenPortsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOpenPortsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOpenPortsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOpenPortsResponse, a, b);
    }
}
exports.GetOpenPortsResponse = GetOpenPortsResponse;
GetOpenPortsResponse.runtime = protobuf_1.proto3;
GetOpenPortsResponse.typeName = "gitpod.experimental.v1.GetOpenPortsResponse";
GetOpenPortsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "ports", kind: "message", T: WorkspaceInstancePort, repeated: true },
]);
/**
 * @generated from message gitpod.experimental.v1.InstanceUpdatesRequest
 */
class InstanceUpdatesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string instance_id = 1;
         */
        this.instanceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new InstanceUpdatesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new InstanceUpdatesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new InstanceUpdatesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(InstanceUpdatesRequest, a, b);
    }
}
exports.InstanceUpdatesRequest = InstanceUpdatesRequest;
InstanceUpdatesRequest.runtime = protobuf_1.proto3;
InstanceUpdatesRequest.typeName = "gitpod.experimental.v1.InstanceUpdatesRequest";
InstanceUpdatesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "instance_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.experimental.v1.InstanceUpdatesResponse
 */
class InstanceUpdatesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new InstanceUpdatesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new InstanceUpdatesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new InstanceUpdatesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(InstanceUpdatesResponse, a, b);
    }
}
exports.InstanceUpdatesResponse = InstanceUpdatesResponse;
InstanceUpdatesResponse.runtime = protobuf_1.proto3;
InstanceUpdatesResponse.typeName = "gitpod.experimental.v1.InstanceUpdatesResponse";
InstanceUpdatesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "instance", kind: "message", T: workspaces_pb_js_1.WorkspaceInstance },
]);
//# sourceMappingURL=workspace_pb.js.map