"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspacesService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/experimental/v1/workspaces.proto (package gitpod.experimental.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const workspaces_pb_js_1 = require("./workspaces_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.experimental.v1.WorkspacesService
 */
exports.WorkspacesService = {
    typeName: "gitpod.experimental.v1.WorkspacesService",
    methods: {
        /**
         * ListWorkspaces enumerates all workspaces belonging to the authenticated user.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.ListWorkspaces
         */
        listWorkspaces: {
            name: "ListWorkspaces",
            I: workspaces_pb_js_1.ListWorkspacesRequest,
            O: workspaces_pb_js_1.ListWorkspacesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetWorkspace returns a single workspace.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.GetWorkspace
         */
        getWorkspace: {
            name: "GetWorkspace",
            I: workspaces_pb_js_1.GetWorkspaceRequest,
            O: workspaces_pb_js_1.GetWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * StreamWorkspaceStatus returns workspace status once it changed.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.StreamWorkspaceStatus
         */
        streamWorkspaceStatus: {
            name: "StreamWorkspaceStatus",
            I: workspaces_pb_js_1.StreamWorkspaceStatusRequest,
            O: workspaces_pb_js_1.StreamWorkspaceStatusResponse,
            kind: protobuf_1.MethodKind.ServerStreaming,
        },
        /**
         * GetOwnerToken returns an owner token.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.GetOwnerToken
         */
        getOwnerToken: {
            name: "GetOwnerToken",
            I: workspaces_pb_js_1.GetOwnerTokenRequest,
            O: workspaces_pb_js_1.GetOwnerTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateAndStartWorkspace creates a new workspace and starts it.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.CreateAndStartWorkspace
         */
        createAndStartWorkspace: {
            name: "CreateAndStartWorkspace",
            I: workspaces_pb_js_1.CreateAndStartWorkspaceRequest,
            O: workspaces_pb_js_1.CreateAndStartWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * StartWorkspace starts an existing workspace.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.StartWorkspace
         */
        startWorkspace: {
            name: "StartWorkspace",
            I: workspaces_pb_js_1.StartWorkspaceRequest,
            O: workspaces_pb_js_1.StartWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * StopWorkspace stops a running workspace (instance).
         * Errors:
         *   NOT_FOUND:           the workspace_id is unkown
         *   FAILED_PRECONDITION: if there's no running instance
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.StopWorkspace
         */
        stopWorkspace: {
            name: "StopWorkspace",
            I: workspaces_pb_js_1.StopWorkspaceRequest,
            O: workspaces_pb_js_1.StopWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteWorkspace deletes a workspace.
         * When the workspace is running, it will be stopped as well.
         * Deleted workspaces cannot be started again.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.DeleteWorkspace
         */
        deleteWorkspace: {
            name: "DeleteWorkspace",
            I: workspaces_pb_js_1.DeleteWorkspaceRequest,
            O: workspaces_pb_js_1.DeleteWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.UpdatePort
         */
        updatePort: {
            name: "UpdatePort",
            I: workspaces_pb_js_1.UpdatePortRequest,
            O: workspaces_pb_js_1.UpdatePortResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListWorkspaceClasses enumerates all available workspace classes.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.ListWorkspaceClasses
         */
        listWorkspaceClasses: {
            name: "ListWorkspaceClasses",
            I: workspaces_pb_js_1.ListWorkspaceClassesRequest,
            O: workspaces_pb_js_1.ListWorkspaceClassesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetDefaultWorkspaceImage returns the default workspace image from different sources.
         *
         * @generated from rpc gitpod.experimental.v1.WorkspacesService.GetDefaultWorkspaceImage
         */
        getDefaultWorkspaceImage: {
            name: "GetDefaultWorkspaceImage",
            I: workspaces_pb_js_1.GetDefaultWorkspaceImageRequest,
            O: workspaces_pb_js_1.GetDefaultWorkspaceImageResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=workspaces_connect.js.map