/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateAuthProviderRequest, CreateAuthProviderResponse, DeleteAuthProviderRequest, DeleteAuthProviderResponse, GetAuthProviderRequest, GetAuthProviderResponse, ListAuthProviderDescriptionsRequest, ListAuthProviderDescriptionsResponse, ListAuthProvidersRequest, ListAuthProvidersResponse, UpdateAuthProviderRequest, UpdateAuthProviderResponse } from "./authprovider_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.AuthProviderService
 */
export declare const AuthProviderService: {
    readonly typeName: "gitpod.v1.AuthProviderService";
    readonly methods: {
        /**
         * CreateAuthProvider creates a new auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.CreateAuthProvider
         */
        readonly createAuthProvider: {
            readonly name: "CreateAuthProvider";
            readonly I: typeof CreateAuthProviderRequest;
            readonly O: typeof CreateAuthProviderResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetAuthProvider returns a single auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.GetAuthProvider
         */
        readonly getAuthProvider: {
            readonly name: "GetAuthProvider";
            readonly I: typeof GetAuthProviderRequest;
            readonly O: typeof GetAuthProviderResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListAuthProviders lists auth providers.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.ListAuthProviders
         */
        readonly listAuthProviders: {
            readonly name: "ListAuthProviders";
            readonly I: typeof ListAuthProvidersRequest;
            readonly O: typeof ListAuthProvidersResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListAuthProviderDescriptions lists publicly available descriptions of
         * authproviders.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.ListAuthProviderDescriptions
         */
        readonly listAuthProviderDescriptions: {
            readonly name: "ListAuthProviderDescriptions";
            readonly I: typeof ListAuthProviderDescriptionsRequest;
            readonly O: typeof ListAuthProviderDescriptionsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateAuthProvider updates an auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.UpdateAuthProvider
         */
        readonly updateAuthProvider: {
            readonly name: "UpdateAuthProvider";
            readonly I: typeof UpdateAuthProviderRequest;
            readonly O: typeof UpdateAuthProviderResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteAuthProvider deletes the specified auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.DeleteAuthProvider
         */
        readonly deleteAuthProvider: {
            readonly name: "DeleteAuthProvider";
            readonly I: typeof DeleteAuthProviderRequest;
            readonly O: typeof DeleteAuthProviderResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=authprovider_connect.d.ts.map