"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthProviderService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/authprovider.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const authprovider_pb_js_1 = require("./authprovider_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.AuthProviderService
 */
exports.AuthProviderService = {
    typeName: "gitpod.v1.AuthProviderService",
    methods: {
        /**
         * CreateAuthProvider creates a new auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.CreateAuthProvider
         */
        createAuthProvider: {
            name: "CreateAuthProvider",
            I: authprovider_pb_js_1.CreateAuthProviderRequest,
            O: authprovider_pb_js_1.CreateAuthProviderResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetAuthProvider returns a single auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.GetAuthProvider
         */
        getAuthProvider: {
            name: "GetAuthProvider",
            I: authprovider_pb_js_1.GetAuthProviderRequest,
            O: authprovider_pb_js_1.GetAuthProviderResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListAuthProviders lists auth providers.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.ListAuthProviders
         */
        listAuthProviders: {
            name: "ListAuthProviders",
            I: authprovider_pb_js_1.ListAuthProvidersRequest,
            O: authprovider_pb_js_1.ListAuthProvidersResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListAuthProviderDescriptions lists publicly available descriptions of
         * authproviders.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.ListAuthProviderDescriptions
         */
        listAuthProviderDescriptions: {
            name: "ListAuthProviderDescriptions",
            I: authprovider_pb_js_1.ListAuthProviderDescriptionsRequest,
            O: authprovider_pb_js_1.ListAuthProviderDescriptionsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateAuthProvider updates an auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.UpdateAuthProvider
         */
        updateAuthProvider: {
            name: "UpdateAuthProvider",
            I: authprovider_pb_js_1.UpdateAuthProviderRequest,
            O: authprovider_pb_js_1.UpdateAuthProviderResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteAuthProvider deletes the specified auth provider.
         *
         * @generated from rpc gitpod.v1.AuthProviderService.DeleteAuthProvider
         */
        deleteAuthProvider: {
            name: "DeleteAuthProvider",
            I: authprovider_pb_js_1.DeleteAuthProviderRequest,
            O: authprovider_pb_js_1.DeleteAuthProviderResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=authprovider_connect.js.map