"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAuth2Config = exports.AuthProvider = exports.AuthProviderDescription = exports.DeleteAuthProviderResponse = exports.DeleteAuthProviderRequest = exports.UpdateAuthProviderResponse = exports.UpdateAuthProviderRequest = exports.ListAuthProviderDescriptionsResponse = exports.ListAuthProviderDescriptionsRequest = exports.ListAuthProvidersResponse = exports.ListAuthProvidersRequest = exports.GetAuthProviderResponse = exports.GetAuthProviderRequest = exports.CreateAuthProviderResponse = exports.CreateAuthProviderRequest = exports.AuthProviderType = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
/**
 * @generated from enum gitpod.v1.AuthProviderType
 */
var AuthProviderType;
(function (AuthProviderType) {
    /**
     * This value is not allowed.
     *
     * @generated from enum value: AUTH_PROVIDER_TYPE_UNSPECIFIED = 0;
     */
    AuthProviderType[AuthProviderType["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_GITHUB = 1;
     */
    AuthProviderType[AuthProviderType["GITHUB"] = 1] = "GITHUB";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_GITLAB = 2;
     */
    AuthProviderType[AuthProviderType["GITLAB"] = 2] = "GITLAB";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_BITBUCKET = 3;
     */
    AuthProviderType[AuthProviderType["BITBUCKET"] = 3] = "BITBUCKET";
    /**
     * @generated from enum value: AUTH_PROVIDER_TYPE_BITBUCKET_SERVER = 4;
     */
    AuthProviderType[AuthProviderType["BITBUCKET_SERVER"] = 4] = "BITBUCKET_SERVER";
})(AuthProviderType = exports.AuthProviderType || (exports.AuthProviderType = {}));
// Retrieve enum metadata with: proto3.getEnumType(AuthProviderType)
protobuf_1.proto3.util.setEnumType(AuthProviderType, "gitpod.v1.AuthProviderType", [
    { no: 0, name: "AUTH_PROVIDER_TYPE_UNSPECIFIED" },
    { no: 1, name: "AUTH_PROVIDER_TYPE_GITHUB" },
    { no: 2, name: "AUTH_PROVIDER_TYPE_GITLAB" },
    { no: 3, name: "AUTH_PROVIDER_TYPE_BITBUCKET" },
    { no: 4, name: "AUTH_PROVIDER_TYPE_BITBUCKET_SERVER" },
]);
/**
 * @generated from message gitpod.v1.CreateAuthProviderRequest
 */
class CreateAuthProviderRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.CreateAuthProviderRequest.owner
         */
        this.owner = { case: undefined };
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 3;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 4;
         */
        this.host = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateAuthProviderRequest, a, b);
    }
}
exports.CreateAuthProviderRequest = CreateAuthProviderRequest;
CreateAuthProviderRequest.runtime = protobuf_1.proto3;
CreateAuthProviderRequest.typeName = "gitpod.v1.CreateAuthProviderRequest";
CreateAuthProviderRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "owner_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 3, name: "type", kind: "enum", T: protobuf_1.proto3.getEnumType(AuthProviderType) },
    { no: 4, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "oauth2_config", kind: "message", T: OAuth2Config },
]);
/**
 * @generated from message gitpod.v1.CreateAuthProviderResponse
 */
class CreateAuthProviderResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateAuthProviderResponse, a, b);
    }
}
exports.CreateAuthProviderResponse = CreateAuthProviderResponse;
CreateAuthProviderResponse.runtime = protobuf_1.proto3;
CreateAuthProviderResponse.typeName = "gitpod.v1.CreateAuthProviderResponse";
CreateAuthProviderResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.GetAuthProviderRequest
 */
class GetAuthProviderRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetAuthProviderRequest, a, b);
    }
}
exports.GetAuthProviderRequest = GetAuthProviderRequest;
GetAuthProviderRequest.runtime = protobuf_1.proto3;
GetAuthProviderRequest.typeName = "gitpod.v1.GetAuthProviderRequest";
GetAuthProviderRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetAuthProviderResponse
 */
class GetAuthProviderResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetAuthProviderResponse, a, b);
    }
}
exports.GetAuthProviderResponse = GetAuthProviderResponse;
GetAuthProviderResponse.runtime = protobuf_1.proto3;
GetAuthProviderResponse.typeName = "gitpod.v1.GetAuthProviderResponse";
GetAuthProviderResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.ListAuthProvidersRequest
 */
class ListAuthProvidersRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.ListAuthProvidersRequest.id
         */
        this.id = { case: undefined };
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProvidersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProvidersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProvidersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListAuthProvidersRequest, a, b);
    }
}
exports.ListAuthProvidersRequest = ListAuthProvidersRequest;
ListAuthProvidersRequest.runtime = protobuf_1.proto3;
ListAuthProvidersRequest.typeName = "gitpod.v1.ListAuthProvidersRequest";
ListAuthProvidersRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
]);
/**
 * @generated from message gitpod.v1.ListAuthProvidersResponse
 */
class ListAuthProvidersResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.AuthProvider auth_providers = 1;
         */
        this.authProviders = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProvidersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProvidersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProvidersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListAuthProvidersResponse, a, b);
    }
}
exports.ListAuthProvidersResponse = ListAuthProvidersResponse;
ListAuthProvidersResponse.runtime = protobuf_1.proto3;
ListAuthProvidersResponse.typeName = "gitpod.v1.ListAuthProvidersResponse";
ListAuthProvidersResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_providers", kind: "message", T: AuthProvider, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.ListAuthProviderDescriptionsRequest
 */
class ListAuthProviderDescriptionsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from oneof gitpod.v1.ListAuthProviderDescriptionsRequest.id
         */
        this.id = { case: undefined };
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProviderDescriptionsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProviderDescriptionsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProviderDescriptionsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListAuthProviderDescriptionsRequest, a, b);
    }
}
exports.ListAuthProviderDescriptionsRequest = ListAuthProviderDescriptionsRequest;
ListAuthProviderDescriptionsRequest.runtime = protobuf_1.proto3;
ListAuthProviderDescriptionsRequest.typeName = "gitpod.v1.ListAuthProviderDescriptionsRequest";
ListAuthProviderDescriptionsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "id" },
]);
/**
 * @generated from message gitpod.v1.ListAuthProviderDescriptionsResponse
 */
class ListAuthProviderDescriptionsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.AuthProviderDescription descriptions = 1;
         */
        this.descriptions = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListAuthProviderDescriptionsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListAuthProviderDescriptionsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListAuthProviderDescriptionsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListAuthProviderDescriptionsResponse, a, b);
    }
}
exports.ListAuthProviderDescriptionsResponse = ListAuthProviderDescriptionsResponse;
ListAuthProviderDescriptionsResponse.runtime = protobuf_1.proto3;
ListAuthProviderDescriptionsResponse.typeName = "gitpod.v1.ListAuthProviderDescriptionsResponse";
ListAuthProviderDescriptionsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "descriptions", kind: "message", T: AuthProviderDescription, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateAuthProviderRequest
 */
class UpdateAuthProviderRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateAuthProviderRequest, a, b);
    }
}
exports.UpdateAuthProviderRequest = UpdateAuthProviderRequest;
UpdateAuthProviderRequest.runtime = protobuf_1.proto3;
UpdateAuthProviderRequest.typeName = "gitpod.v1.UpdateAuthProviderRequest";
UpdateAuthProviderRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "client_id", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "client_secret", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateAuthProviderResponse
 */
class UpdateAuthProviderResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateAuthProviderResponse, a, b);
    }
}
exports.UpdateAuthProviderResponse = UpdateAuthProviderResponse;
UpdateAuthProviderResponse.runtime = protobuf_1.proto3;
UpdateAuthProviderResponse.typeName = "gitpod.v1.UpdateAuthProviderResponse";
UpdateAuthProviderResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider", kind: "message", T: AuthProvider },
]);
/**
 * @generated from message gitpod.v1.DeleteAuthProviderRequest
 */
class DeleteAuthProviderRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteAuthProviderRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteAuthProviderRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteAuthProviderRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteAuthProviderRequest, a, b);
    }
}
exports.DeleteAuthProviderRequest = DeleteAuthProviderRequest;
DeleteAuthProviderRequest.runtime = protobuf_1.proto3;
DeleteAuthProviderRequest.typeName = "gitpod.v1.DeleteAuthProviderRequest";
DeleteAuthProviderRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteAuthProviderResponse
 */
class DeleteAuthProviderResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteAuthProviderResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteAuthProviderResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteAuthProviderResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteAuthProviderResponse, a, b);
    }
}
exports.DeleteAuthProviderResponse = DeleteAuthProviderResponse;
DeleteAuthProviderResponse.runtime = protobuf_1.proto3;
DeleteAuthProviderResponse.typeName = "gitpod.v1.DeleteAuthProviderResponse";
DeleteAuthProviderResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.AuthProviderDescription
 */
class AuthProviderDescription extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 4;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 5;
         */
        this.host = "";
        /**
         * @generated from field: string icon = 6;
         */
        this.icon = "";
        /**
         * @generated from field: string description = 7;
         */
        this.description = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new AuthProviderDescription().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new AuthProviderDescription().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new AuthProviderDescription().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(AuthProviderDescription, a, b);
    }
}
exports.AuthProviderDescription = AuthProviderDescription;
AuthProviderDescription.runtime = protobuf_1.proto3;
AuthProviderDescription.typeName = "gitpod.v1.AuthProviderDescription";
AuthProviderDescription.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "type", kind: "enum", T: protobuf_1.proto3.getEnumType(AuthProviderType) },
    { no: 5, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "icon", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "description", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.AuthProvider
 */
class AuthProvider extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from oneof gitpod.v1.AuthProvider.owner
         */
        this.owner = { case: undefined };
        /**
         * @generated from field: gitpod.v1.AuthProviderType type = 4;
         */
        this.type = AuthProviderType.UNSPECIFIED;
        /**
         * @generated from field: string host = 5;
         */
        this.host = "";
        /**
         * @generated from field: string icon = 6;
         */
        this.icon = "";
        /**
         * @generated from field: string description = 7;
         */
        this.description = "";
        /**
         * @generated from field: string settings_url = 8;
         */
        this.settingsUrl = "";
        /**
         * @generated from field: bool verified = 9;
         */
        this.verified = false;
        /**
         * @generated from field: bool enable_login = 10;
         */
        this.enableLogin = false;
        /**
         * @generated from field: repeated string scopes = 11;
         */
        this.scopes = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new AuthProvider().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new AuthProvider().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new AuthProvider().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(AuthProvider, a, b);
    }
}
exports.AuthProvider = AuthProvider;
AuthProvider.runtime = protobuf_1.proto3;
AuthProvider.typeName = "gitpod.v1.AuthProvider";
AuthProvider.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "owner_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 3, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */, oneof: "owner" },
    { no: 4, name: "type", kind: "enum", T: protobuf_1.proto3.getEnumType(AuthProviderType) },
    { no: 5, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "icon", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "description", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 8, name: "settings_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 9, name: "verified", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 10, name: "enable_login", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 11, name: "scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 12, name: "oauth2_config", kind: "message", T: OAuth2Config },
]);
/**
 * @generated from message gitpod.v1.OAuth2Config
 */
class OAuth2Config extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string client_id = 1;
         */
        this.clientId = "";
        /**
         * @generated from field: string client_secret = 2;
         */
        this.clientSecret = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OAuth2Config().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OAuth2Config().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OAuth2Config().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OAuth2Config, a, b);
    }
}
exports.OAuth2Config = OAuth2Config;
OAuth2Config.runtime = protobuf_1.proto3;
OAuth2Config.typeName = "gitpod.v1.OAuth2Config";
OAuth2Config.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "client_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "client_secret", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=authprovider_pb.js.map