/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateConfigurationRequest, CreateConfigurationResponse, DeleteConfigurationRequest, DeleteConfigurationResponse, GetConfigurationRequest, GetConfigurationResponse, ListConfigurationsRequest, ListConfigurationsResponse, UpdateConfigurationRequest, UpdateConfigurationResponse } from "./configuration_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.ConfigurationService
 */
export declare const ConfigurationService: {
    readonly typeName: "gitpod.v1.ConfigurationService";
    readonly methods: {
        /**
         * Creates a new configuration.
         *
         * @generated from rpc gitpod.v1.ConfigurationService.CreateConfiguration
         */
        readonly createConfiguration: {
            readonly name: "CreateConfiguration";
            readonly I: typeof CreateConfigurationRequest;
            readonly O: typeof CreateConfigurationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Retrieves a configuration.
         *
         * @generated from rpc gitpod.v1.ConfigurationService.GetConfiguration
         */
        readonly getConfiguration: {
            readonly name: "GetConfiguration";
            readonly I: typeof GetConfigurationRequest;
            readonly O: typeof GetConfigurationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Lists configurations.
         *
         * @generated from rpc gitpod.v1.ConfigurationService.ListConfigurations
         */
        readonly listConfigurations: {
            readonly name: "ListConfigurations";
            readonly I: typeof ListConfigurationsRequest;
            readonly O: typeof ListConfigurationsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Updates a configuration.
         *
         * @generated from rpc gitpod.v1.ConfigurationService.UpdateConfiguration
         */
        readonly updateConfiguration: {
            readonly name: "UpdateConfiguration";
            readonly I: typeof UpdateConfigurationRequest;
            readonly O: typeof UpdateConfigurationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * Deletes a configuration.
         *
         * @generated from rpc gitpod.v1.ConfigurationService.DeleteConfiguration
         */
        readonly deleteConfiguration: {
            readonly name: "DeleteConfiguration";
            readonly I: typeof DeleteConfigurationRequest;
            readonly O: typeof DeleteConfigurationResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=configuration_connect.d.ts.map