"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteConfigurationResponse = exports.DeleteConfigurationRequest = exports.UpdateConfigurationResponse = exports.UpdateConfigurationRequest_WorkspaceSettings = exports.UpdateConfigurationRequest_PrebuildSettings = exports.UpdateConfigurationRequest = exports.ListConfigurationsResponse = exports.ListConfigurationsRequest = exports.GetConfigurationResponse = exports.GetConfigurationRequest = exports.CreateConfigurationResponse = exports.CreateConfigurationRequest = exports.WorkspaceSettings = exports.PrebuildSettings = exports.Configuration = exports.BranchMatchingStrategy = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
const sorting_pb_js_1 = require("./sorting_pb.js");
/**
 * @generated from enum gitpod.v1.BranchMatchingStrategy
 */
var BranchMatchingStrategy;
(function (BranchMatchingStrategy) {
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_UNSPECIFIED = 0;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_DEFAULT_BRANCH = 1;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["DEFAULT_BRANCH"] = 1] = "DEFAULT_BRANCH";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_ALL_BRANCHES = 2;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["ALL_BRANCHES"] = 2] = "ALL_BRANCHES";
    /**
     * @generated from enum value: BRANCH_MATCHING_STRATEGY_MATCHED_BRANCHES = 3;
     */
    BranchMatchingStrategy[BranchMatchingStrategy["MATCHED_BRANCHES"] = 3] = "MATCHED_BRANCHES";
})(BranchMatchingStrategy = exports.BranchMatchingStrategy || (exports.BranchMatchingStrategy = {}));
// Retrieve enum metadata with: proto3.getEnumType(BranchMatchingStrategy)
protobuf_1.proto3.util.setEnumType(BranchMatchingStrategy, "gitpod.v1.BranchMatchingStrategy", [
    { no: 0, name: "BRANCH_MATCHING_STRATEGY_UNSPECIFIED" },
    { no: 1, name: "BRANCH_MATCHING_STRATEGY_DEFAULT_BRANCH" },
    { no: 2, name: "BRANCH_MATCHING_STRATEGY_ALL_BRANCHES" },
    { no: 3, name: "BRANCH_MATCHING_STRATEGY_MATCHED_BRANCHES" },
]);
/**
 * @generated from message gitpod.v1.Configuration
 */
class Configuration extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        /**
         * @generated from field: string name = 3;
         */
        this.name = "";
        /**
         * @generated from field: string clone_url = 4;
         */
        this.cloneUrl = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Configuration().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Configuration().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Configuration().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Configuration, a, b);
    }
}
exports.Configuration = Configuration;
Configuration.runtime = protobuf_1.proto3;
Configuration.typeName = "gitpod.v1.Configuration";
Configuration.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "creation_time", kind: "message", T: protobuf_1.Timestamp },
    { no: 6, name: "prebuild_settings", kind: "message", T: PrebuildSettings },
    { no: 7, name: "workspace_settings", kind: "message", T: WorkspaceSettings },
]);
/**
 * @generated from message gitpod.v1.PrebuildSettings
 */
class PrebuildSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool enabled = 1;
         */
        this.enabled = false;
        /**
         * @generated from field: string branch_matching_pattern = 2;
         */
        this.branchMatchingPattern = "";
        /**
         * @generated from field: gitpod.v1.BranchMatchingStrategy branch_strategy = 3;
         */
        this.branchStrategy = BranchMatchingStrategy.UNSPECIFIED;
        /**
         * @generated from field: int32 prebuild_interval = 4;
         */
        this.prebuildInterval = 0;
        /**
         * @generated from field: string workspace_class = 5;
         */
        this.workspaceClass = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new PrebuildSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new PrebuildSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new PrebuildSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(PrebuildSettings, a, b);
    }
}
exports.PrebuildSettings = PrebuildSettings;
PrebuildSettings.runtime = protobuf_1.proto3;
PrebuildSettings.typeName = "gitpod.v1.PrebuildSettings";
PrebuildSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 2, name: "branch_matching_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "branch_strategy", kind: "enum", T: protobuf_1.proto3.getEnumType(BranchMatchingStrategy) },
    { no: 4, name: "prebuild_interval", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
    { no: 5, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.WorkspaceSettings
 */
class WorkspaceSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_class = 1;
         */
        this.workspaceClass = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new WorkspaceSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new WorkspaceSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new WorkspaceSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(WorkspaceSettings, a, b);
    }
}
exports.WorkspaceSettings = WorkspaceSettings;
WorkspaceSettings.runtime = protobuf_1.proto3;
WorkspaceSettings.typeName = "gitpod.v1.WorkspaceSettings";
WorkspaceSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationRequest
 */
class CreateConfigurationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string clone_url = 3;
         */
        this.cloneUrl = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateConfigurationRequest, a, b);
    }
}
exports.CreateConfigurationRequest = CreateConfigurationRequest;
CreateConfigurationRequest.runtime = protobuf_1.proto3;
CreateConfigurationRequest.typeName = "gitpod.v1.CreateConfigurationRequest";
CreateConfigurationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationResponse
 */
class CreateConfigurationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateConfigurationResponse, a, b);
    }
}
exports.CreateConfigurationResponse = CreateConfigurationResponse;
CreateConfigurationResponse.runtime = protobuf_1.proto3;
CreateConfigurationResponse.typeName = "gitpod.v1.CreateConfigurationResponse";
CreateConfigurationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.GetConfigurationRequest
 */
class GetConfigurationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetConfigurationRequest, a, b);
    }
}
exports.GetConfigurationRequest = GetConfigurationRequest;
GetConfigurationRequest.runtime = protobuf_1.proto3;
GetConfigurationRequest.typeName = "gitpod.v1.GetConfigurationRequest";
GetConfigurationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetConfigurationResponse
 */
class GetConfigurationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetConfigurationResponse, a, b);
    }
}
exports.GetConfigurationResponse = GetConfigurationResponse;
GetConfigurationResponse.runtime = protobuf_1.proto3;
GetConfigurationResponse.typeName = "gitpod.v1.GetConfigurationResponse";
GetConfigurationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationsRequest
 */
class ListConfigurationsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * @generated from field: string search_term = 2;
         */
        this.searchTerm = "";
        /**
         * Configurations can be sorted by "name" OR "creationTime"
         *
         * @generated from field: repeated gitpod.v1.Sort sort = 4;
         */
        this.sort = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListConfigurationsRequest, a, b);
    }
}
exports.ListConfigurationsRequest = ListConfigurationsRequest;
ListConfigurationsRequest.runtime = protobuf_1.proto3;
ListConfigurationsRequest.typeName = "gitpod.v1.ListConfigurationsRequest";
ListConfigurationsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "search_term", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 4, name: "sort", kind: "message", T: sorting_pb_js_1.Sort, repeated: true },
    { no: 5, name: "prebuilds_enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationsResponse
 */
class ListConfigurationsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.Configuration configurations = 1;
         */
        this.configurations = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListConfigurationsResponse, a, b);
    }
}
exports.ListConfigurationsResponse = ListConfigurationsResponse;
ListConfigurationsResponse.runtime = protobuf_1.proto3;
ListConfigurationsResponse.typeName = "gitpod.v1.ListConfigurationsResponse";
ListConfigurationsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configurations", kind: "message", T: Configuration, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest
 */
class UpdateConfigurationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationRequest, a, b);
    }
}
exports.UpdateConfigurationRequest = UpdateConfigurationRequest;
UpdateConfigurationRequest.runtime = protobuf_1.proto3;
UpdateConfigurationRequest.typeName = "gitpod.v1.UpdateConfigurationRequest";
UpdateConfigurationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "prebuild_settings", kind: "message", T: UpdateConfigurationRequest_PrebuildSettings, opt: true },
    { no: 4, name: "workspace_settings", kind: "message", T: UpdateConfigurationRequest_WorkspaceSettings, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest.PrebuildSettings
 */
class UpdateConfigurationRequest_PrebuildSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest_PrebuildSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationRequest_PrebuildSettings, a, b);
    }
}
exports.UpdateConfigurationRequest_PrebuildSettings = UpdateConfigurationRequest_PrebuildSettings;
UpdateConfigurationRequest_PrebuildSettings.runtime = protobuf_1.proto3;
UpdateConfigurationRequest_PrebuildSettings.typeName = "gitpod.v1.UpdateConfigurationRequest.PrebuildSettings";
UpdateConfigurationRequest_PrebuildSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "enabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 2, name: "branch_matching_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "branch_strategy", kind: "enum", T: protobuf_1.proto3.getEnumType(BranchMatchingStrategy), opt: true },
    { no: 4, name: "prebuild_interval", kind: "scalar", T: 5 /* ScalarType.INT32 */, opt: true },
    { no: 5, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationRequest.WorkspaceSettings
 */
class UpdateConfigurationRequest_WorkspaceSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationRequest_WorkspaceSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationRequest_WorkspaceSettings, a, b);
    }
}
exports.UpdateConfigurationRequest_WorkspaceSettings = UpdateConfigurationRequest_WorkspaceSettings;
UpdateConfigurationRequest_WorkspaceSettings.runtime = protobuf_1.proto3;
UpdateConfigurationRequest_WorkspaceSettings.typeName = "gitpod.v1.UpdateConfigurationRequest.WorkspaceSettings";
UpdateConfigurationRequest_WorkspaceSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationResponse
 */
class UpdateConfigurationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationResponse, a, b);
    }
}
exports.UpdateConfigurationResponse = UpdateConfigurationResponse;
UpdateConfigurationResponse.runtime = protobuf_1.proto3;
UpdateConfigurationResponse.typeName = "gitpod.v1.UpdateConfigurationResponse";
UpdateConfigurationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration", kind: "message", T: Configuration },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationRequest
 */
class DeleteConfigurationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteConfigurationRequest, a, b);
    }
}
exports.DeleteConfigurationRequest = DeleteConfigurationRequest;
DeleteConfigurationRequest.runtime = protobuf_1.proto3;
DeleteConfigurationRequest.typeName = "gitpod.v1.DeleteConfigurationRequest";
DeleteConfigurationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationResponse
 */
class DeleteConfigurationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteConfigurationResponse, a, b);
    }
}
exports.DeleteConfigurationResponse = DeleteConfigurationResponse;
DeleteConfigurationResponse.runtime = protobuf_1.proto3;
DeleteConfigurationResponse.typeName = "gitpod.v1.DeleteConfigurationResponse";
DeleteConfigurationResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
//# sourceMappingURL=configuration_pb.js.map