/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateConfigurationEnvironmentVariableRequest, CreateConfigurationEnvironmentVariableResponse, CreateUserEnvironmentVariableRequest, CreateUserEnvironmentVariableResponse, DeleteConfigurationEnvironmentVariableRequest, DeleteConfigurationEnvironmentVariableResponse, DeleteUserEnvironmentVariableRequest, DeleteUserEnvironmentVariableResponse, ListConfigurationEnvironmentVariablesRequest, ListConfigurationEnvironmentVariablesResponse, ListUserEnvironmentVariablesRequest, ListUserEnvironmentVariablesResponse, ResolveWorkspaceEnvironmentVariablesRequest, ResolveWorkspaceEnvironmentVariablesResponse, UpdateConfigurationEnvironmentVariableRequest, UpdateConfigurationEnvironmentVariableResponse, UpdateUserEnvironmentVariableRequest, UpdateUserEnvironmentVariableResponse } from "./envvar_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.EnvironmentVariableService
 */
export declare const EnvironmentVariableService: {
    readonly typeName: "gitpod.v1.EnvironmentVariableService";
    readonly methods: {
        /**
         * ListUserEnvironmentVariables returns all environment variables for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ListUserEnvironmentVariables
         */
        readonly listUserEnvironmentVariables: {
            readonly name: "ListUserEnvironmentVariables";
            readonly I: typeof ListUserEnvironmentVariablesRequest;
            readonly O: typeof ListUserEnvironmentVariablesResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateUserEnvironmentVariable updates an environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.UpdateUserEnvironmentVariable
         */
        readonly updateUserEnvironmentVariable: {
            readonly name: "UpdateUserEnvironmentVariable";
            readonly I: typeof UpdateUserEnvironmentVariableRequest;
            readonly O: typeof UpdateUserEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateUserEnvironmentVariable creates a new environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.CreateUserEnvironmentVariable
         */
        readonly createUserEnvironmentVariable: {
            readonly name: "CreateUserEnvironmentVariable";
            readonly I: typeof CreateUserEnvironmentVariableRequest;
            readonly O: typeof CreateUserEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteUserEnvironmentVariable deletes an environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.DeleteUserEnvironmentVariable
         */
        readonly deleteUserEnvironmentVariable: {
            readonly name: "DeleteUserEnvironmentVariable";
            readonly I: typeof DeleteUserEnvironmentVariableRequest;
            readonly O: typeof DeleteUserEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListConfigurationEnvironmentVariables returns all environment variables in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ListConfigurationEnvironmentVariables
         */
        readonly listConfigurationEnvironmentVariables: {
            readonly name: "ListConfigurationEnvironmentVariables";
            readonly I: typeof ListConfigurationEnvironmentVariablesRequest;
            readonly O: typeof ListConfigurationEnvironmentVariablesResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateConfigurationEnvironmentVariable updates an environment variable in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.UpdateConfigurationEnvironmentVariable
         */
        readonly updateConfigurationEnvironmentVariable: {
            readonly name: "UpdateConfigurationEnvironmentVariable";
            readonly I: typeof UpdateConfigurationEnvironmentVariableRequest;
            readonly O: typeof UpdateConfigurationEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateConfigurationEnvironmentVariable creates a new environment variable
         * in a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.CreateConfigurationEnvironmentVariable
         */
        readonly createConfigurationEnvironmentVariable: {
            readonly name: "CreateConfigurationEnvironmentVariable";
            readonly I: typeof CreateConfigurationEnvironmentVariableRequest;
            readonly O: typeof CreateConfigurationEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteConfigurationEnvironmentVariable deletes an environment variable in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.DeleteConfigurationEnvironmentVariable
         */
        readonly deleteConfigurationEnvironmentVariable: {
            readonly name: "DeleteConfigurationEnvironmentVariable";
            readonly I: typeof DeleteConfigurationEnvironmentVariableRequest;
            readonly O: typeof DeleteConfigurationEnvironmentVariableResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ResolveWorkspaceEnvironmentVariables
         */
        readonly resolveWorkspaceEnvironmentVariables: {
            readonly name: "ResolveWorkspaceEnvironmentVariables";
            readonly I: typeof ResolveWorkspaceEnvironmentVariablesRequest;
            readonly O: typeof ResolveWorkspaceEnvironmentVariablesResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=envvar_connect.d.ts.map