"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvironmentVariableService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/envvar.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const envvar_pb_js_1 = require("./envvar_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.EnvironmentVariableService
 */
exports.EnvironmentVariableService = {
    typeName: "gitpod.v1.EnvironmentVariableService",
    methods: {
        /**
         * ListUserEnvironmentVariables returns all environment variables for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ListUserEnvironmentVariables
         */
        listUserEnvironmentVariables: {
            name: "ListUserEnvironmentVariables",
            I: envvar_pb_js_1.ListUserEnvironmentVariablesRequest,
            O: envvar_pb_js_1.ListUserEnvironmentVariablesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateUserEnvironmentVariable updates an environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.UpdateUserEnvironmentVariable
         */
        updateUserEnvironmentVariable: {
            name: "UpdateUserEnvironmentVariable",
            I: envvar_pb_js_1.UpdateUserEnvironmentVariableRequest,
            O: envvar_pb_js_1.UpdateUserEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateUserEnvironmentVariable creates a new environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.CreateUserEnvironmentVariable
         */
        createUserEnvironmentVariable: {
            name: "CreateUserEnvironmentVariable",
            I: envvar_pb_js_1.CreateUserEnvironmentVariableRequest,
            O: envvar_pb_js_1.CreateUserEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteUserEnvironmentVariable deletes an environment variable for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.DeleteUserEnvironmentVariable
         */
        deleteUserEnvironmentVariable: {
            name: "DeleteUserEnvironmentVariable",
            I: envvar_pb_js_1.DeleteUserEnvironmentVariableRequest,
            O: envvar_pb_js_1.DeleteUserEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListConfigurationEnvironmentVariables returns all environment variables in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ListConfigurationEnvironmentVariables
         */
        listConfigurationEnvironmentVariables: {
            name: "ListConfigurationEnvironmentVariables",
            I: envvar_pb_js_1.ListConfigurationEnvironmentVariablesRequest,
            O: envvar_pb_js_1.ListConfigurationEnvironmentVariablesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateConfigurationEnvironmentVariable updates an environment variable in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.UpdateConfigurationEnvironmentVariable
         */
        updateConfigurationEnvironmentVariable: {
            name: "UpdateConfigurationEnvironmentVariable",
            I: envvar_pb_js_1.UpdateConfigurationEnvironmentVariableRequest,
            O: envvar_pb_js_1.UpdateConfigurationEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateConfigurationEnvironmentVariable creates a new environment variable
         * in a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.CreateConfigurationEnvironmentVariable
         */
        createConfigurationEnvironmentVariable: {
            name: "CreateConfigurationEnvironmentVariable",
            I: envvar_pb_js_1.CreateConfigurationEnvironmentVariableRequest,
            O: envvar_pb_js_1.CreateConfigurationEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteConfigurationEnvironmentVariable deletes an environment variable in
         * a configuration.
         *
         * @generated from rpc gitpod.v1.EnvironmentVariableService.DeleteConfigurationEnvironmentVariable
         */
        deleteConfigurationEnvironmentVariable: {
            name: "DeleteConfigurationEnvironmentVariable",
            I: envvar_pb_js_1.DeleteConfigurationEnvironmentVariableRequest,
            O: envvar_pb_js_1.DeleteConfigurationEnvironmentVariableResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * @generated from rpc gitpod.v1.EnvironmentVariableService.ResolveWorkspaceEnvironmentVariables
         */
        resolveWorkspaceEnvironmentVariables: {
            name: "ResolveWorkspaceEnvironmentVariables",
            I: envvar_pb_js_1.ResolveWorkspaceEnvironmentVariablesRequest,
            O: envvar_pb_js_1.ResolveWorkspaceEnvironmentVariablesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=envvar_connect.js.map