/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
/**
 * @generated from enum gitpod.v1.EnvironmentVariableAdmission
 */
export declare enum EnvironmentVariableAdmission {
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_PREBUILD = 1;
     */
    PREBUILD = 1,
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_EVERYWHERE = 2;
     */
    EVERYWHERE = 2
}
/**
 * @generated from message gitpod.v1.UserEnvironmentVariable
 */
export declare class UserEnvironmentVariable extends Message<UserEnvironmentVariable> {
    /**
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * @generated from field: string value = 3;
     */
    value: string;
    /**
     * @generated from field: string repository_pattern = 4;
     */
    repositoryPattern: string;
    constructor(data?: PartialMessage<UserEnvironmentVariable>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UserEnvironmentVariable";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UserEnvironmentVariable;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UserEnvironmentVariable;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UserEnvironmentVariable;
    static equals(a: UserEnvironmentVariable | PlainMessage<UserEnvironmentVariable> | undefined, b: UserEnvironmentVariable | PlainMessage<UserEnvironmentVariable> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesRequest
 */
export declare class ListUserEnvironmentVariablesRequest extends Message<ListUserEnvironmentVariablesRequest> {
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    constructor(data?: PartialMessage<ListUserEnvironmentVariablesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListUserEnvironmentVariablesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListUserEnvironmentVariablesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListUserEnvironmentVariablesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListUserEnvironmentVariablesRequest;
    static equals(a: ListUserEnvironmentVariablesRequest | PlainMessage<ListUserEnvironmentVariablesRequest> | undefined, b: ListUserEnvironmentVariablesRequest | PlainMessage<ListUserEnvironmentVariablesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesResponse
 */
export declare class ListUserEnvironmentVariablesResponse extends Message<ListUserEnvironmentVariablesResponse> {
    /**
     * @generated from field: repeated gitpod.v1.UserEnvironmentVariable environment_variables = 1;
     */
    environmentVariables: UserEnvironmentVariable[];
    /**
     * @generated from field: gitpod.v1.PaginationResponse pagination = 2;
     */
    pagination?: PaginationResponse;
    constructor(data?: PartialMessage<ListUserEnvironmentVariablesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListUserEnvironmentVariablesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListUserEnvironmentVariablesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListUserEnvironmentVariablesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListUserEnvironmentVariablesResponse;
    static equals(a: ListUserEnvironmentVariablesResponse | PlainMessage<ListUserEnvironmentVariablesResponse> | undefined, b: ListUserEnvironmentVariablesResponse | PlainMessage<ListUserEnvironmentVariablesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableRequest
 */
export declare class UpdateUserEnvironmentVariableRequest extends Message<UpdateUserEnvironmentVariableRequest> {
    /**
     * @generated from field: string environment_variable_id = 1;
     */
    environmentVariableId: string;
    /**
     * @generated from field: optional string name = 2;
     */
    name?: string;
    /**
     * @generated from field: optional string value = 3;
     */
    value?: string;
    /**
     * @generated from field: optional string repository_pattern = 4;
     */
    repositoryPattern?: string;
    constructor(data?: PartialMessage<UpdateUserEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserEnvironmentVariableRequest;
    static equals(a: UpdateUserEnvironmentVariableRequest | PlainMessage<UpdateUserEnvironmentVariableRequest> | undefined, b: UpdateUserEnvironmentVariableRequest | PlainMessage<UpdateUserEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableResponse
 */
export declare class UpdateUserEnvironmentVariableResponse extends Message<UpdateUserEnvironmentVariableResponse> {
    /**
     * @generated from field: gitpod.v1.UserEnvironmentVariable environment_variable = 1;
     */
    environmentVariable?: UserEnvironmentVariable;
    constructor(data?: PartialMessage<UpdateUserEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserEnvironmentVariableResponse;
    static equals(a: UpdateUserEnvironmentVariableResponse | PlainMessage<UpdateUserEnvironmentVariableResponse> | undefined, b: UpdateUserEnvironmentVariableResponse | PlainMessage<UpdateUserEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableRequest
 */
export declare class CreateUserEnvironmentVariableRequest extends Message<CreateUserEnvironmentVariableRequest> {
    /**
     * @generated from field: string name = 1;
     */
    name: string;
    /**
     * @generated from field: string value = 2;
     */
    value: string;
    /**
     * @generated from field: string repository_pattern = 3;
     */
    repositoryPattern: string;
    constructor(data?: PartialMessage<CreateUserEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateUserEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateUserEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateUserEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateUserEnvironmentVariableRequest;
    static equals(a: CreateUserEnvironmentVariableRequest | PlainMessage<CreateUserEnvironmentVariableRequest> | undefined, b: CreateUserEnvironmentVariableRequest | PlainMessage<CreateUserEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableResponse
 */
export declare class CreateUserEnvironmentVariableResponse extends Message<CreateUserEnvironmentVariableResponse> {
    /**
     * @generated from field: gitpod.v1.UserEnvironmentVariable environment_variable = 1;
     */
    environmentVariable?: UserEnvironmentVariable;
    constructor(data?: PartialMessage<CreateUserEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateUserEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateUserEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateUserEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateUserEnvironmentVariableResponse;
    static equals(a: CreateUserEnvironmentVariableResponse | PlainMessage<CreateUserEnvironmentVariableResponse> | undefined, b: CreateUserEnvironmentVariableResponse | PlainMessage<CreateUserEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableRequest
 */
export declare class DeleteUserEnvironmentVariableRequest extends Message<DeleteUserEnvironmentVariableRequest> {
    /**
     * @generated from field: string environment_variable_id = 1;
     */
    environmentVariableId: string;
    constructor(data?: PartialMessage<DeleteUserEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteUserEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteUserEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteUserEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteUserEnvironmentVariableRequest;
    static equals(a: DeleteUserEnvironmentVariableRequest | PlainMessage<DeleteUserEnvironmentVariableRequest> | undefined, b: DeleteUserEnvironmentVariableRequest | PlainMessage<DeleteUserEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableResponse
 */
export declare class DeleteUserEnvironmentVariableResponse extends Message<DeleteUserEnvironmentVariableResponse> {
    constructor(data?: PartialMessage<DeleteUserEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteUserEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteUserEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteUserEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteUserEnvironmentVariableResponse;
    static equals(a: DeleteUserEnvironmentVariableResponse | PlainMessage<DeleteUserEnvironmentVariableResponse> | undefined, b: DeleteUserEnvironmentVariableResponse | PlainMessage<DeleteUserEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ConfigurationEnvironmentVariable
 */
export declare class ConfigurationEnvironmentVariable extends Message<ConfigurationEnvironmentVariable> {
    /**
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * @generated from field: string configuration_id = 4;
     */
    configurationId: string;
    /**
     * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 5;
     */
    admission: EnvironmentVariableAdmission;
    constructor(data?: PartialMessage<ConfigurationEnvironmentVariable>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ConfigurationEnvironmentVariable";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ConfigurationEnvironmentVariable;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ConfigurationEnvironmentVariable;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ConfigurationEnvironmentVariable;
    static equals(a: ConfigurationEnvironmentVariable | PlainMessage<ConfigurationEnvironmentVariable> | undefined, b: ConfigurationEnvironmentVariable | PlainMessage<ConfigurationEnvironmentVariable> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesRequest
 */
export declare class ListConfigurationEnvironmentVariablesRequest extends Message<ListConfigurationEnvironmentVariablesRequest> {
    /**
     * @generated from field: string configuration_id = 1;
     */
    configurationId: string;
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 2;
     */
    pagination?: PaginationRequest;
    constructor(data?: PartialMessage<ListConfigurationEnvironmentVariablesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListConfigurationEnvironmentVariablesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListConfigurationEnvironmentVariablesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListConfigurationEnvironmentVariablesRequest;
    static equals(a: ListConfigurationEnvironmentVariablesRequest | PlainMessage<ListConfigurationEnvironmentVariablesRequest> | undefined, b: ListConfigurationEnvironmentVariablesRequest | PlainMessage<ListConfigurationEnvironmentVariablesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesResponse
 */
export declare class ListConfigurationEnvironmentVariablesResponse extends Message<ListConfigurationEnvironmentVariablesResponse> {
    /**
     * @generated from field: repeated gitpod.v1.ConfigurationEnvironmentVariable environment_variables = 1;
     */
    environmentVariables: ConfigurationEnvironmentVariable[];
    /**
     * @generated from field: gitpod.v1.PaginationResponse pagination = 2;
     */
    pagination?: PaginationResponse;
    constructor(data?: PartialMessage<ListConfigurationEnvironmentVariablesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListConfigurationEnvironmentVariablesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListConfigurationEnvironmentVariablesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListConfigurationEnvironmentVariablesResponse;
    static equals(a: ListConfigurationEnvironmentVariablesResponse | PlainMessage<ListConfigurationEnvironmentVariablesResponse> | undefined, b: ListConfigurationEnvironmentVariablesResponse | PlainMessage<ListConfigurationEnvironmentVariablesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableRequest
 */
export declare class UpdateConfigurationEnvironmentVariableRequest extends Message<UpdateConfigurationEnvironmentVariableRequest> {
    /**
     * @generated from field: string configuration_id = 1;
     */
    configurationId: string;
    /**
     * @generated from field: string environment_variable_id = 2;
     */
    environmentVariableId: string;
    /**
     * @generated from field: optional string name = 3;
     */
    name?: string;
    /**
     * @generated from field: optional string value = 4;
     */
    value?: string;
    /**
     * @generated from field: optional gitpod.v1.EnvironmentVariableAdmission admission = 5;
     */
    admission?: EnvironmentVariableAdmission;
    constructor(data?: PartialMessage<UpdateConfigurationEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateConfigurationEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateConfigurationEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateConfigurationEnvironmentVariableRequest;
    static equals(a: UpdateConfigurationEnvironmentVariableRequest | PlainMessage<UpdateConfigurationEnvironmentVariableRequest> | undefined, b: UpdateConfigurationEnvironmentVariableRequest | PlainMessage<UpdateConfigurationEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableResponse
 */
export declare class UpdateConfigurationEnvironmentVariableResponse extends Message<UpdateConfigurationEnvironmentVariableResponse> {
    /**
     * @generated from field: gitpod.v1.ConfigurationEnvironmentVariable environment_variable = 1;
     */
    environmentVariable?: ConfigurationEnvironmentVariable;
    constructor(data?: PartialMessage<UpdateConfigurationEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateConfigurationEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateConfigurationEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateConfigurationEnvironmentVariableResponse;
    static equals(a: UpdateConfigurationEnvironmentVariableResponse | PlainMessage<UpdateConfigurationEnvironmentVariableResponse> | undefined, b: UpdateConfigurationEnvironmentVariableResponse | PlainMessage<UpdateConfigurationEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableRequest
 */
export declare class CreateConfigurationEnvironmentVariableRequest extends Message<CreateConfigurationEnvironmentVariableRequest> {
    /**
     * @generated from field: string configuration_id = 1;
     */
    configurationId: string;
    /**
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * @generated from field: string value = 3;
     */
    value: string;
    /**
     * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 4;
     */
    admission: EnvironmentVariableAdmission;
    constructor(data?: PartialMessage<CreateConfigurationEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateConfigurationEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateConfigurationEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateConfigurationEnvironmentVariableRequest;
    static equals(a: CreateConfigurationEnvironmentVariableRequest | PlainMessage<CreateConfigurationEnvironmentVariableRequest> | undefined, b: CreateConfigurationEnvironmentVariableRequest | PlainMessage<CreateConfigurationEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableResponse
 */
export declare class CreateConfigurationEnvironmentVariableResponse extends Message<CreateConfigurationEnvironmentVariableResponse> {
    /**
     * @generated from field: gitpod.v1.ConfigurationEnvironmentVariable environment_variable = 1;
     */
    environmentVariable?: ConfigurationEnvironmentVariable;
    constructor(data?: PartialMessage<CreateConfigurationEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateConfigurationEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateConfigurationEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateConfigurationEnvironmentVariableResponse;
    static equals(a: CreateConfigurationEnvironmentVariableResponse | PlainMessage<CreateConfigurationEnvironmentVariableResponse> | undefined, b: CreateConfigurationEnvironmentVariableResponse | PlainMessage<CreateConfigurationEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableRequest
 */
export declare class DeleteConfigurationEnvironmentVariableRequest extends Message<DeleteConfigurationEnvironmentVariableRequest> {
    /**
     * @generated from field: string environment_variable_id = 1;
     */
    environmentVariableId: string;
    constructor(data?: PartialMessage<DeleteConfigurationEnvironmentVariableRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteConfigurationEnvironmentVariableRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteConfigurationEnvironmentVariableRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteConfigurationEnvironmentVariableRequest;
    static equals(a: DeleteConfigurationEnvironmentVariableRequest | PlainMessage<DeleteConfigurationEnvironmentVariableRequest> | undefined, b: DeleteConfigurationEnvironmentVariableRequest | PlainMessage<DeleteConfigurationEnvironmentVariableRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableResponse
 */
export declare class DeleteConfigurationEnvironmentVariableResponse extends Message<DeleteConfigurationEnvironmentVariableResponse> {
    constructor(data?: PartialMessage<DeleteConfigurationEnvironmentVariableResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteConfigurationEnvironmentVariableResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteConfigurationEnvironmentVariableResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteConfigurationEnvironmentVariableResponse;
    static equals(a: DeleteConfigurationEnvironmentVariableResponse | PlainMessage<DeleteConfigurationEnvironmentVariableResponse> | undefined, b: DeleteConfigurationEnvironmentVariableResponse | PlainMessage<DeleteConfigurationEnvironmentVariableResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest
 */
export declare class ResolveWorkspaceEnvironmentVariablesRequest extends Message<ResolveWorkspaceEnvironmentVariablesRequest> {
    /**
     * @generated from field: string workspace_id = 1;
     */
    workspaceId: string;
    constructor(data?: PartialMessage<ResolveWorkspaceEnvironmentVariablesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ResolveWorkspaceEnvironmentVariablesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ResolveWorkspaceEnvironmentVariablesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ResolveWorkspaceEnvironmentVariablesRequest;
    static equals(a: ResolveWorkspaceEnvironmentVariablesRequest | PlainMessage<ResolveWorkspaceEnvironmentVariablesRequest> | undefined, b: ResolveWorkspaceEnvironmentVariablesRequest | PlainMessage<ResolveWorkspaceEnvironmentVariablesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse
 */
export declare class ResolveWorkspaceEnvironmentVariablesResponse extends Message<ResolveWorkspaceEnvironmentVariablesResponse> {
    /**
     * @generated from field: repeated gitpod.v1.EnvironmentVariable environment_variables = 1;
     */
    environmentVariables: EnvironmentVariable[];
    constructor(data?: PartialMessage<ResolveWorkspaceEnvironmentVariablesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ResolveWorkspaceEnvironmentVariablesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ResolveWorkspaceEnvironmentVariablesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ResolveWorkspaceEnvironmentVariablesResponse;
    static equals(a: ResolveWorkspaceEnvironmentVariablesResponse | PlainMessage<ResolveWorkspaceEnvironmentVariablesResponse> | undefined, b: ResolveWorkspaceEnvironmentVariablesResponse | PlainMessage<ResolveWorkspaceEnvironmentVariablesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.EnvironmentVariable
 */
export declare class EnvironmentVariable extends Message<EnvironmentVariable> {
    /**
     * @generated from field: string name = 1;
     */
    name: string;
    /**
     * @generated from field: string value = 2;
     */
    value: string;
    constructor(data?: PartialMessage<EnvironmentVariable>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.EnvironmentVariable";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): EnvironmentVariable;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): EnvironmentVariable;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): EnvironmentVariable;
    static equals(a: EnvironmentVariable | PlainMessage<EnvironmentVariable> | undefined, b: EnvironmentVariable | PlainMessage<EnvironmentVariable> | undefined): boolean;
}
//# sourceMappingURL=envvar_pb.d.ts.map