"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvironmentVariable = exports.ResolveWorkspaceEnvironmentVariablesResponse = exports.ResolveWorkspaceEnvironmentVariablesRequest = exports.DeleteConfigurationEnvironmentVariableResponse = exports.DeleteConfigurationEnvironmentVariableRequest = exports.CreateConfigurationEnvironmentVariableResponse = exports.CreateConfigurationEnvironmentVariableRequest = exports.UpdateConfigurationEnvironmentVariableResponse = exports.UpdateConfigurationEnvironmentVariableRequest = exports.ListConfigurationEnvironmentVariablesResponse = exports.ListConfigurationEnvironmentVariablesRequest = exports.ConfigurationEnvironmentVariable = exports.DeleteUserEnvironmentVariableResponse = exports.DeleteUserEnvironmentVariableRequest = exports.CreateUserEnvironmentVariableResponse = exports.CreateUserEnvironmentVariableRequest = exports.UpdateUserEnvironmentVariableResponse = exports.UpdateUserEnvironmentVariableRequest = exports.ListUserEnvironmentVariablesResponse = exports.ListUserEnvironmentVariablesRequest = exports.UserEnvironmentVariable = exports.EnvironmentVariableAdmission = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
/**
 * @generated from enum gitpod.v1.EnvironmentVariableAdmission
 */
var EnvironmentVariableAdmission;
(function (EnvironmentVariableAdmission) {
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_UNSPECIFIED = 0;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_PREBUILD = 1;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["PREBUILD"] = 1] = "PREBUILD";
    /**
     * @generated from enum value: ENVIRONMENT_VARIABLE_ADMISSION_EVERYWHERE = 2;
     */
    EnvironmentVariableAdmission[EnvironmentVariableAdmission["EVERYWHERE"] = 2] = "EVERYWHERE";
})(EnvironmentVariableAdmission = exports.EnvironmentVariableAdmission || (exports.EnvironmentVariableAdmission = {}));
// Retrieve enum metadata with: proto3.getEnumType(EnvironmentVariableAdmission)
protobuf_1.proto3.util.setEnumType(EnvironmentVariableAdmission, "gitpod.v1.EnvironmentVariableAdmission", [
    { no: 0, name: "ENVIRONMENT_VARIABLE_ADMISSION_UNSPECIFIED" },
    { no: 1, name: "ENVIRONMENT_VARIABLE_ADMISSION_PREBUILD" },
    { no: 2, name: "ENVIRONMENT_VARIABLE_ADMISSION_EVERYWHERE" },
]);
/**
 * @generated from message gitpod.v1.UserEnvironmentVariable
 */
class UserEnvironmentVariable extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string value = 3;
         */
        this.value = "";
        /**
         * @generated from field: string repository_pattern = 4;
         */
        this.repositoryPattern = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UserEnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UserEnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UserEnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UserEnvironmentVariable, a, b);
    }
}
exports.UserEnvironmentVariable = UserEnvironmentVariable;
UserEnvironmentVariable.runtime = protobuf_1.proto3;
UserEnvironmentVariable.typeName = "gitpod.v1.UserEnvironmentVariable";
UserEnvironmentVariable.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesRequest
 */
class ListUserEnvironmentVariablesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUserEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUserEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUserEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListUserEnvironmentVariablesRequest, a, b);
    }
}
exports.ListUserEnvironmentVariablesRequest = ListUserEnvironmentVariablesRequest;
ListUserEnvironmentVariablesRequest.runtime = protobuf_1.proto3;
ListUserEnvironmentVariablesRequest.typeName = "gitpod.v1.ListUserEnvironmentVariablesRequest";
ListUserEnvironmentVariablesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListUserEnvironmentVariablesResponse
 */
class ListUserEnvironmentVariablesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.UserEnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUserEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUserEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUserEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListUserEnvironmentVariablesResponse, a, b);
    }
}
exports.ListUserEnvironmentVariablesResponse = ListUserEnvironmentVariablesResponse;
ListUserEnvironmentVariablesResponse.runtime = protobuf_1.proto3;
ListUserEnvironmentVariablesResponse.typeName = "gitpod.v1.ListUserEnvironmentVariablesResponse";
ListUserEnvironmentVariablesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: UserEnvironmentVariable, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableRequest
 */
class UpdateUserEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserEnvironmentVariableRequest, a, b);
    }
}
exports.UpdateUserEnvironmentVariableRequest = UpdateUserEnvironmentVariableRequest;
UpdateUserEnvironmentVariableRequest.runtime = protobuf_1.proto3;
UpdateUserEnvironmentVariableRequest.typeName = "gitpod.v1.UpdateUserEnvironmentVariableRequest";
UpdateUserEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserEnvironmentVariableResponse
 */
class UpdateUserEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserEnvironmentVariableResponse, a, b);
    }
}
exports.UpdateUserEnvironmentVariableResponse = UpdateUserEnvironmentVariableResponse;
UpdateUserEnvironmentVariableResponse.runtime = protobuf_1.proto3;
UpdateUserEnvironmentVariableResponse.typeName = "gitpod.v1.UpdateUserEnvironmentVariableResponse";
UpdateUserEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: UserEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableRequest
 */
class CreateUserEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string value = 2;
         */
        this.value = "";
        /**
         * @generated from field: string repository_pattern = 3;
         */
        this.repositoryPattern = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateUserEnvironmentVariableRequest, a, b);
    }
}
exports.CreateUserEnvironmentVariableRequest = CreateUserEnvironmentVariableRequest;
CreateUserEnvironmentVariableRequest.runtime = protobuf_1.proto3;
CreateUserEnvironmentVariableRequest.typeName = "gitpod.v1.CreateUserEnvironmentVariableRequest";
CreateUserEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "repository_pattern", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateUserEnvironmentVariableResponse
 */
class CreateUserEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateUserEnvironmentVariableResponse, a, b);
    }
}
exports.CreateUserEnvironmentVariableResponse = CreateUserEnvironmentVariableResponse;
CreateUserEnvironmentVariableResponse.runtime = protobuf_1.proto3;
CreateUserEnvironmentVariableResponse.typeName = "gitpod.v1.CreateUserEnvironmentVariableResponse";
CreateUserEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: UserEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableRequest
 */
class DeleteUserEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteUserEnvironmentVariableRequest, a, b);
    }
}
exports.DeleteUserEnvironmentVariableRequest = DeleteUserEnvironmentVariableRequest;
DeleteUserEnvironmentVariableRequest.runtime = protobuf_1.proto3;
DeleteUserEnvironmentVariableRequest.typeName = "gitpod.v1.DeleteUserEnvironmentVariableRequest";
DeleteUserEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteUserEnvironmentVariableResponse
 */
class DeleteUserEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteUserEnvironmentVariableResponse, a, b);
    }
}
exports.DeleteUserEnvironmentVariableResponse = DeleteUserEnvironmentVariableResponse;
DeleteUserEnvironmentVariableResponse.runtime = protobuf_1.proto3;
DeleteUserEnvironmentVariableResponse.typeName = "gitpod.v1.DeleteUserEnvironmentVariableResponse";
DeleteUserEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ConfigurationEnvironmentVariable
 */
class ConfigurationEnvironmentVariable extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string configuration_id = 4;
         */
        this.configurationId = "";
        /**
         * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 5;
         */
        this.admission = EnvironmentVariableAdmission.UNSPECIFIED;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ConfigurationEnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ConfigurationEnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ConfigurationEnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ConfigurationEnvironmentVariable, a, b);
    }
}
exports.ConfigurationEnvironmentVariable = ConfigurationEnvironmentVariable;
ConfigurationEnvironmentVariable.runtime = protobuf_1.proto3;
ConfigurationEnvironmentVariable.typeName = "gitpod.v1.ConfigurationEnvironmentVariable";
ConfigurationEnvironmentVariable.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "admission", kind: "enum", T: protobuf_1.proto3.getEnumType(EnvironmentVariableAdmission) },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesRequest
 */
class ListConfigurationEnvironmentVariablesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListConfigurationEnvironmentVariablesRequest, a, b);
    }
}
exports.ListConfigurationEnvironmentVariablesRequest = ListConfigurationEnvironmentVariablesRequest;
ListConfigurationEnvironmentVariablesRequest.runtime = protobuf_1.proto3;
ListConfigurationEnvironmentVariablesRequest.typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesRequest";
ListConfigurationEnvironmentVariablesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListConfigurationEnvironmentVariablesResponse
 */
class ListConfigurationEnvironmentVariablesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.ConfigurationEnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListConfigurationEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListConfigurationEnvironmentVariablesResponse, a, b);
    }
}
exports.ListConfigurationEnvironmentVariablesResponse = ListConfigurationEnvironmentVariablesResponse;
ListConfigurationEnvironmentVariablesResponse.runtime = protobuf_1.proto3;
ListConfigurationEnvironmentVariablesResponse.typeName = "gitpod.v1.ListConfigurationEnvironmentVariablesResponse";
ListConfigurationEnvironmentVariablesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: ConfigurationEnvironmentVariable, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableRequest
 */
class UpdateConfigurationEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        /**
         * @generated from field: string environment_variable_id = 2;
         */
        this.environmentVariableId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationEnvironmentVariableRequest, a, b);
    }
}
exports.UpdateConfigurationEnvironmentVariableRequest = UpdateConfigurationEnvironmentVariableRequest;
UpdateConfigurationEnvironmentVariableRequest.runtime = protobuf_1.proto3;
UpdateConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableRequest";
UpdateConfigurationEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "admission", kind: "enum", T: protobuf_1.proto3.getEnumType(EnvironmentVariableAdmission), opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateConfigurationEnvironmentVariableResponse
 */
class UpdateConfigurationEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateConfigurationEnvironmentVariableResponse, a, b);
    }
}
exports.UpdateConfigurationEnvironmentVariableResponse = UpdateConfigurationEnvironmentVariableResponse;
UpdateConfigurationEnvironmentVariableResponse.runtime = protobuf_1.proto3;
UpdateConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.UpdateConfigurationEnvironmentVariableResponse";
UpdateConfigurationEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: ConfigurationEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableRequest
 */
class CreateConfigurationEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string configuration_id = 1;
         */
        this.configurationId = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string value = 3;
         */
        this.value = "";
        /**
         * @generated from field: gitpod.v1.EnvironmentVariableAdmission admission = 4;
         */
        this.admission = EnvironmentVariableAdmission.UNSPECIFIED;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateConfigurationEnvironmentVariableRequest, a, b);
    }
}
exports.CreateConfigurationEnvironmentVariableRequest = CreateConfigurationEnvironmentVariableRequest;
CreateConfigurationEnvironmentVariableRequest.runtime = protobuf_1.proto3;
CreateConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableRequest";
CreateConfigurationEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "admission", kind: "enum", T: protobuf_1.proto3.getEnumType(EnvironmentVariableAdmission) },
]);
/**
 * @generated from message gitpod.v1.CreateConfigurationEnvironmentVariableResponse
 */
class CreateConfigurationEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateConfigurationEnvironmentVariableResponse, a, b);
    }
}
exports.CreateConfigurationEnvironmentVariableResponse = CreateConfigurationEnvironmentVariableResponse;
CreateConfigurationEnvironmentVariableResponse.runtime = protobuf_1.proto3;
CreateConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.CreateConfigurationEnvironmentVariableResponse";
CreateConfigurationEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable", kind: "message", T: ConfigurationEnvironmentVariable },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableRequest
 */
class DeleteConfigurationEnvironmentVariableRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string environment_variable_id = 1;
         */
        this.environmentVariableId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationEnvironmentVariableRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteConfigurationEnvironmentVariableRequest, a, b);
    }
}
exports.DeleteConfigurationEnvironmentVariableRequest = DeleteConfigurationEnvironmentVariableRequest;
DeleteConfigurationEnvironmentVariableRequest.runtime = protobuf_1.proto3;
DeleteConfigurationEnvironmentVariableRequest.typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableRequest";
DeleteConfigurationEnvironmentVariableRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variable_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteConfigurationEnvironmentVariableResponse
 */
class DeleteConfigurationEnvironmentVariableResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteConfigurationEnvironmentVariableResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteConfigurationEnvironmentVariableResponse, a, b);
    }
}
exports.DeleteConfigurationEnvironmentVariableResponse = DeleteConfigurationEnvironmentVariableResponse;
DeleteConfigurationEnvironmentVariableResponse.runtime = protobuf_1.proto3;
DeleteConfigurationEnvironmentVariableResponse.typeName = "gitpod.v1.DeleteConfigurationEnvironmentVariableResponse";
DeleteConfigurationEnvironmentVariableResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest
 */
class ResolveWorkspaceEnvironmentVariablesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string workspace_id = 1;
         */
        this.workspaceId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResolveWorkspaceEnvironmentVariablesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ResolveWorkspaceEnvironmentVariablesRequest, a, b);
    }
}
exports.ResolveWorkspaceEnvironmentVariablesRequest = ResolveWorkspaceEnvironmentVariablesRequest;
ResolveWorkspaceEnvironmentVariablesRequest.runtime = protobuf_1.proto3;
ResolveWorkspaceEnvironmentVariablesRequest.typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesRequest";
ResolveWorkspaceEnvironmentVariablesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse
 */
class ResolveWorkspaceEnvironmentVariablesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.EnvironmentVariable environment_variables = 1;
         */
        this.environmentVariables = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResolveWorkspaceEnvironmentVariablesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ResolveWorkspaceEnvironmentVariablesResponse, a, b);
    }
}
exports.ResolveWorkspaceEnvironmentVariablesResponse = ResolveWorkspaceEnvironmentVariablesResponse;
ResolveWorkspaceEnvironmentVariablesResponse.runtime = protobuf_1.proto3;
ResolveWorkspaceEnvironmentVariablesResponse.typeName = "gitpod.v1.ResolveWorkspaceEnvironmentVariablesResponse";
ResolveWorkspaceEnvironmentVariablesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "environment_variables", kind: "message", T: EnvironmentVariable, repeated: true },
]);
/**
 * @generated from message gitpod.v1.EnvironmentVariable
 */
class EnvironmentVariable extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string value = 2;
         */
        this.value = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new EnvironmentVariable().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new EnvironmentVariable().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new EnvironmentVariable().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(EnvironmentVariable, a, b);
    }
}
exports.EnvironmentVariable = EnvironmentVariable;
EnvironmentVariable.runtime = protobuf_1.proto3;
EnvironmentVariable.typeName = "gitpod.v1.EnvironmentVariable";
EnvironmentVariable.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=envvar_pb.js.map