/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * details for PERMISSION_DENIED status code
 *
 * @generated from message gitpod.v1.PermissionDeniedDetails
 */
export declare class PermissionDeniedDetails extends Message<PermissionDeniedDetails> {
    /**
     * @generated from oneof gitpod.v1.PermissionDeniedDetails.reason
     */
    reason: {
        /**
         * @generated from field: gitpod.v1.UserBlockedError user_blocked = 1;
         */
        value: UserBlockedError;
        case: "userBlocked";
    } | {
        /**
         * @generated from field: gitpod.v1.NeedsVerificationError needs_verification = 2;
         */
        value: NeedsVerificationError;
        case: "needsVerification";
    } | {
        case: undefined;
        value?: undefined;
    };
    constructor(data?: PartialMessage<PermissionDeniedDetails>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PermissionDeniedDetails";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PermissionDeniedDetails;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PermissionDeniedDetails;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PermissionDeniedDetails;
    static equals(a: PermissionDeniedDetails | PlainMessage<PermissionDeniedDetails> | undefined, b: PermissionDeniedDetails | PlainMessage<PermissionDeniedDetails> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UserBlockedError
 */
export declare class UserBlockedError extends Message<UserBlockedError> {
    constructor(data?: PartialMessage<UserBlockedError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UserBlockedError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UserBlockedError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UserBlockedError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UserBlockedError;
    static equals(a: UserBlockedError | PlainMessage<UserBlockedError> | undefined, b: UserBlockedError | PlainMessage<UserBlockedError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.NeedsVerificationError
 */
export declare class NeedsVerificationError extends Message<NeedsVerificationError> {
    constructor(data?: PartialMessage<NeedsVerificationError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.NeedsVerificationError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): NeedsVerificationError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): NeedsVerificationError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): NeedsVerificationError;
    static equals(a: NeedsVerificationError | PlainMessage<NeedsVerificationError> | undefined, b: NeedsVerificationError | PlainMessage<NeedsVerificationError> | undefined): boolean;
}
/**
 * details for FAILED_PRECONDITION status code
 *
 * @generated from message gitpod.v1.FailedPreconditionDetails
 */
export declare class FailedPreconditionDetails extends Message<FailedPreconditionDetails> {
    /**
     * @generated from oneof gitpod.v1.FailedPreconditionDetails.reason
     */
    reason: {
        /**
         * @generated from field: gitpod.v1.PaymentSpendingLimitReachedError payment_spending_limit_reached = 1;
         */
        value: PaymentSpendingLimitReachedError;
        case: "paymentSpendingLimitReached";
    } | {
        /**
         * @generated from field: gitpod.v1.InvalidCostCenterError invalid_cost_center = 2;
         */
        value: InvalidCostCenterError;
        case: "invalidCostCenter";
    } | {
        /**
         * @generated from field: gitpod.v1.TooManyRunningWorkspacesError too_many_running_workspaces = 3;
         */
        value: TooManyRunningWorkspacesError;
        case: "tooManyRunningWorkspaces";
    } | {
        /**
         * @generated from field: gitpod.v1.InvalidGitpodYMLError invalid_gitpod_yml = 4;
         */
        value: InvalidGitpodYMLError;
        case: "invalidGitpodYml";
    } | {
        /**
         * @generated from field: gitpod.v1.RepositoryNotFoundError repository_not_found = 5;
         */
        value: RepositoryNotFoundError;
        case: "repositoryNotFound";
    } | {
        /**
         * @generated from field: gitpod.v1.RepositoryUnauthorizedError repository_unauthorized = 6;
         */
        value: RepositoryUnauthorizedError;
        case: "repositoryUnauthorized";
    } | {
        /**
         * @generated from field: gitpod.v1.ImageBuildLogsNotYetAvailableError image_build_logs_not_yet_available = 7;
         */
        value: ImageBuildLogsNotYetAvailableError;
        case: "imageBuildLogsNotYetAvailable";
    } | {
        case: undefined;
        value?: undefined;
    };
    constructor(data?: PartialMessage<FailedPreconditionDetails>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.FailedPreconditionDetails";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): FailedPreconditionDetails;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): FailedPreconditionDetails;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): FailedPreconditionDetails;
    static equals(a: FailedPreconditionDetails | PlainMessage<FailedPreconditionDetails> | undefined, b: FailedPreconditionDetails | PlainMessage<FailedPreconditionDetails> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.PaymentSpendingLimitReachedError
 */
export declare class PaymentSpendingLimitReachedError extends Message<PaymentSpendingLimitReachedError> {
    constructor(data?: PartialMessage<PaymentSpendingLimitReachedError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PaymentSpendingLimitReachedError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PaymentSpendingLimitReachedError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PaymentSpendingLimitReachedError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PaymentSpendingLimitReachedError;
    static equals(a: PaymentSpendingLimitReachedError | PlainMessage<PaymentSpendingLimitReachedError> | undefined, b: PaymentSpendingLimitReachedError | PlainMessage<PaymentSpendingLimitReachedError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.InvalidCostCenterError
 */
export declare class InvalidCostCenterError extends Message<InvalidCostCenterError> {
    /**
     * @generated from field: string attribution_id = 1;
     */
    attributionId: string;
    constructor(data?: PartialMessage<InvalidCostCenterError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.InvalidCostCenterError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): InvalidCostCenterError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): InvalidCostCenterError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): InvalidCostCenterError;
    static equals(a: InvalidCostCenterError | PlainMessage<InvalidCostCenterError> | undefined, b: InvalidCostCenterError | PlainMessage<InvalidCostCenterError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.TooManyRunningWorkspacesError
 */
export declare class TooManyRunningWorkspacesError extends Message<TooManyRunningWorkspacesError> {
    constructor(data?: PartialMessage<TooManyRunningWorkspacesError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.TooManyRunningWorkspacesError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): TooManyRunningWorkspacesError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): TooManyRunningWorkspacesError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): TooManyRunningWorkspacesError;
    static equals(a: TooManyRunningWorkspacesError | PlainMessage<TooManyRunningWorkspacesError> | undefined, b: TooManyRunningWorkspacesError | PlainMessage<TooManyRunningWorkspacesError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.InvalidGitpodYMLError
 */
export declare class InvalidGitpodYMLError extends Message<InvalidGitpodYMLError> {
    /**
     * @generated from field: repeated string violations = 1;
     */
    violations: string[];
    constructor(data?: PartialMessage<InvalidGitpodYMLError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.InvalidGitpodYMLError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): InvalidGitpodYMLError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): InvalidGitpodYMLError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): InvalidGitpodYMLError;
    static equals(a: InvalidGitpodYMLError | PlainMessage<InvalidGitpodYMLError> | undefined, b: InvalidGitpodYMLError | PlainMessage<InvalidGitpodYMLError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.RepositoryNotFoundError
 */
export declare class RepositoryNotFoundError extends Message<RepositoryNotFoundError> {
    /**
     * @generated from field: string host = 1;
     */
    host: string;
    /**
     * @generated from field: string owner = 2;
     */
    owner: string;
    /**
     * @generated from field: bool user_is_owner = 3;
     */
    userIsOwner: boolean;
    /**
     * @generated from field: repeated string user_scopes = 4;
     */
    userScopes: string[];
    /**
     * @generated from field: string last_update = 5;
     */
    lastUpdate: string;
    constructor(data?: PartialMessage<RepositoryNotFoundError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.RepositoryNotFoundError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): RepositoryNotFoundError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): RepositoryNotFoundError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): RepositoryNotFoundError;
    static equals(a: RepositoryNotFoundError | PlainMessage<RepositoryNotFoundError> | undefined, b: RepositoryNotFoundError | PlainMessage<RepositoryNotFoundError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.RepositoryUnauthorizedError
 */
export declare class RepositoryUnauthorizedError extends Message<RepositoryUnauthorizedError> {
    /**
     * @generated from field: string host = 1;
     */
    host: string;
    /**
     * @generated from field: repeated string required_scopes = 2;
     */
    requiredScopes: string[];
    /**
     * @generated from field: string provider_type = 3;
     */
    providerType: string;
    /**
     * @generated from field: string repo_name = 4;
     */
    repoName: string;
    /**
     * @generated from field: bool provider_is_connected = 5;
     */
    providerIsConnected: boolean;
    /**
     * @generated from field: bool is_missing_scopes = 6;
     */
    isMissingScopes: boolean;
    constructor(data?: PartialMessage<RepositoryUnauthorizedError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.RepositoryUnauthorizedError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): RepositoryUnauthorizedError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): RepositoryUnauthorizedError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): RepositoryUnauthorizedError;
    static equals(a: RepositoryUnauthorizedError | PlainMessage<RepositoryUnauthorizedError> | undefined, b: RepositoryUnauthorizedError | PlainMessage<RepositoryUnauthorizedError> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ImageBuildLogsNotYetAvailableError
 */
export declare class ImageBuildLogsNotYetAvailableError extends Message<ImageBuildLogsNotYetAvailableError> {
    constructor(data?: PartialMessage<ImageBuildLogsNotYetAvailableError>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ImageBuildLogsNotYetAvailableError";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ImageBuildLogsNotYetAvailableError;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ImageBuildLogsNotYetAvailableError;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ImageBuildLogsNotYetAvailableError;
    static equals(a: ImageBuildLogsNotYetAvailableError | PlainMessage<ImageBuildLogsNotYetAvailableError> | undefined, b: ImageBuildLogsNotYetAvailableError | PlainMessage<ImageBuildLogsNotYetAvailableError> | undefined): boolean;
}
//# sourceMappingURL=error_pb.d.ts.map