/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateBlockedEmailDomainRequest, CreateBlockedEmailDomainResponse, CreateBlockedRepositoryRequest, CreateBlockedRepositoryResponse, DeleteBlockedRepositoryRequest, DeleteBlockedRepositoryResponse, GetInstallationWorkspaceDefaultImageRequest, GetInstallationWorkspaceDefaultImageResponse, GetOnboardingStateRequest, GetOnboardingStateResponse, ListBlockedEmailDomainsRequest, ListBlockedEmailDomainsResponse, ListBlockedRepositoriesRequest, ListBlockedRepositoriesResponse } from "./installation_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.InstallationService
 */
export declare const InstallationService: {
    readonly typeName: "gitpod.v1.InstallationService";
    readonly methods: {
        /**
         * GetInstallationWorkspaceDefaultImage returns the default image for current
         * Gitpod Installation.
         *
         * @generated from rpc gitpod.v1.InstallationService.GetInstallationWorkspaceDefaultImage
         */
        readonly getInstallationWorkspaceDefaultImage: {
            readonly name: "GetInstallationWorkspaceDefaultImage";
            readonly I: typeof GetInstallationWorkspaceDefaultImageRequest;
            readonly O: typeof GetInstallationWorkspaceDefaultImageResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListBlockedRepositories lists blocked repositories.
         *
         * @generated from rpc gitpod.v1.InstallationService.ListBlockedRepositories
         */
        readonly listBlockedRepositories: {
            readonly name: "ListBlockedRepositories";
            readonly I: typeof ListBlockedRepositoriesRequest;
            readonly O: typeof ListBlockedRepositoriesResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateBlockedRepository creates a new blocked repository.
         *
         * @generated from rpc gitpod.v1.InstallationService.CreateBlockedRepository
         */
        readonly createBlockedRepository: {
            readonly name: "CreateBlockedRepository";
            readonly I: typeof CreateBlockedRepositoryRequest;
            readonly O: typeof CreateBlockedRepositoryResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteBlockedRepository deletes a blocked repository.
         *
         * @generated from rpc gitpod.v1.InstallationService.DeleteBlockedRepository
         */
        readonly deleteBlockedRepository: {
            readonly name: "DeleteBlockedRepository";
            readonly I: typeof DeleteBlockedRepositoryRequest;
            readonly O: typeof DeleteBlockedRepositoryResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListBlockedEmailDomains lists blocked email domains.
         *
         * @generated from rpc gitpod.v1.InstallationService.ListBlockedEmailDomains
         */
        readonly listBlockedEmailDomains: {
            readonly name: "ListBlockedEmailDomains";
            readonly I: typeof ListBlockedEmailDomainsRequest;
            readonly O: typeof ListBlockedEmailDomainsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateBlockedEmailDomain creates a new blocked email domain.
         *
         * @generated from rpc gitpod.v1.InstallationService.CreateBlockedEmailDomain
         */
        readonly createBlockedEmailDomain: {
            readonly name: "CreateBlockedEmailDomain";
            readonly I: typeof CreateBlockedEmailDomainRequest;
            readonly O: typeof CreateBlockedEmailDomainResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetOnboardingState returns the onboarding state of the installation.
         *
         * @generated from rpc gitpod.v1.InstallationService.GetOnboardingState
         */
        readonly getOnboardingState: {
            readonly name: "GetOnboardingState";
            readonly I: typeof GetOnboardingStateRequest;
            readonly O: typeof GetOnboardingStateResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=installation_connect.d.ts.map