"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstallationService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/installation.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const installation_pb_js_1 = require("./installation_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.InstallationService
 */
exports.InstallationService = {
    typeName: "gitpod.v1.InstallationService",
    methods: {
        /**
         * GetInstallationWorkspaceDefaultImage returns the default image for current
         * Gitpod Installation.
         *
         * @generated from rpc gitpod.v1.InstallationService.GetInstallationWorkspaceDefaultImage
         */
        getInstallationWorkspaceDefaultImage: {
            name: "GetInstallationWorkspaceDefaultImage",
            I: installation_pb_js_1.GetInstallationWorkspaceDefaultImageRequest,
            O: installation_pb_js_1.GetInstallationWorkspaceDefaultImageResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListBlockedRepositories lists blocked repositories.
         *
         * @generated from rpc gitpod.v1.InstallationService.ListBlockedRepositories
         */
        listBlockedRepositories: {
            name: "ListBlockedRepositories",
            I: installation_pb_js_1.ListBlockedRepositoriesRequest,
            O: installation_pb_js_1.ListBlockedRepositoriesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateBlockedRepository creates a new blocked repository.
         *
         * @generated from rpc gitpod.v1.InstallationService.CreateBlockedRepository
         */
        createBlockedRepository: {
            name: "CreateBlockedRepository",
            I: installation_pb_js_1.CreateBlockedRepositoryRequest,
            O: installation_pb_js_1.CreateBlockedRepositoryResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteBlockedRepository deletes a blocked repository.
         *
         * @generated from rpc gitpod.v1.InstallationService.DeleteBlockedRepository
         */
        deleteBlockedRepository: {
            name: "DeleteBlockedRepository",
            I: installation_pb_js_1.DeleteBlockedRepositoryRequest,
            O: installation_pb_js_1.DeleteBlockedRepositoryResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListBlockedEmailDomains lists blocked email domains.
         *
         * @generated from rpc gitpod.v1.InstallationService.ListBlockedEmailDomains
         */
        listBlockedEmailDomains: {
            name: "ListBlockedEmailDomains",
            I: installation_pb_js_1.ListBlockedEmailDomainsRequest,
            O: installation_pb_js_1.ListBlockedEmailDomainsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateBlockedEmailDomain creates a new blocked email domain.
         *
         * @generated from rpc gitpod.v1.InstallationService.CreateBlockedEmailDomain
         */
        createBlockedEmailDomain: {
            name: "CreateBlockedEmailDomain",
            I: installation_pb_js_1.CreateBlockedEmailDomainRequest,
            O: installation_pb_js_1.CreateBlockedEmailDomainResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetOnboardingState returns the onboarding state of the installation.
         *
         * @generated from rpc gitpod.v1.InstallationService.GetOnboardingState
         */
        getOnboardingState: {
            name: "GetOnboardingState",
            I: installation_pb_js_1.GetOnboardingStateRequest,
            O: installation_pb_js_1.GetOnboardingStateResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=installation_connect.js.map