/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Sort } from "./sorting_pb.js";
/**
 * @generated from message gitpod.v1.GetOnboardingStateRequest
 */
export declare class GetOnboardingStateRequest extends Message<GetOnboardingStateRequest> {
    constructor(data?: PartialMessage<GetOnboardingStateRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetOnboardingStateRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetOnboardingStateRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetOnboardingStateRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetOnboardingStateRequest;
    static equals(a: GetOnboardingStateRequest | PlainMessage<GetOnboardingStateRequest> | undefined, b: GetOnboardingStateRequest | PlainMessage<GetOnboardingStateRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetOnboardingStateResponse
 */
export declare class GetOnboardingStateResponse extends Message<GetOnboardingStateResponse> {
    /**
     * @generated from field: gitpod.v1.OnboardingState onboarding_state = 1;
     */
    onboardingState?: OnboardingState;
    constructor(data?: PartialMessage<GetOnboardingStateResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetOnboardingStateResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetOnboardingStateResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetOnboardingStateResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetOnboardingStateResponse;
    static equals(a: GetOnboardingStateResponse | PlainMessage<GetOnboardingStateResponse> | undefined, b: GetOnboardingStateResponse | PlainMessage<GetOnboardingStateResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.OnboardingState
 */
export declare class OnboardingState extends Message<OnboardingState> {
    /**
     * @generated from field: bool completed = 1;
     */
    completed: boolean;
    constructor(data?: PartialMessage<OnboardingState>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.OnboardingState";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): OnboardingState;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): OnboardingState;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): OnboardingState;
    static equals(a: OnboardingState | PlainMessage<OnboardingState> | undefined, b: OnboardingState | PlainMessage<OnboardingState> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageRequest
 */
export declare class GetInstallationWorkspaceDefaultImageRequest extends Message<GetInstallationWorkspaceDefaultImageRequest> {
    constructor(data?: PartialMessage<GetInstallationWorkspaceDefaultImageRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetInstallationWorkspaceDefaultImageRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetInstallationWorkspaceDefaultImageRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetInstallationWorkspaceDefaultImageRequest;
    static equals(a: GetInstallationWorkspaceDefaultImageRequest | PlainMessage<GetInstallationWorkspaceDefaultImageRequest> | undefined, b: GetInstallationWorkspaceDefaultImageRequest | PlainMessage<GetInstallationWorkspaceDefaultImageRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageResponse
 */
export declare class GetInstallationWorkspaceDefaultImageResponse extends Message<GetInstallationWorkspaceDefaultImageResponse> {
    /**
     * @generated from field: string default_workspace_image = 1;
     */
    defaultWorkspaceImage: string;
    constructor(data?: PartialMessage<GetInstallationWorkspaceDefaultImageResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetInstallationWorkspaceDefaultImageResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetInstallationWorkspaceDefaultImageResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetInstallationWorkspaceDefaultImageResponse;
    static equals(a: GetInstallationWorkspaceDefaultImageResponse | PlainMessage<GetInstallationWorkspaceDefaultImageResponse> | undefined, b: GetInstallationWorkspaceDefaultImageResponse | PlainMessage<GetInstallationWorkspaceDefaultImageResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesRequest
 */
export declare class ListBlockedRepositoriesRequest extends Message<ListBlockedRepositoriesRequest> {
    /**
     * pagination contains the pagination options for listing blocked repositories
     *
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    /**
     * sort contains the sort options for listing blocked repositories
     * BlockedRepositories can be sorted by "urlRegexp"
     *
     * @generated from field: repeated gitpod.v1.Sort sort = 2;
     */
    sort: Sort[];
    /**
     * search_term is a search term to filter blocked repositories by url_regexp
     *
     * @generated from field: string search_term = 3;
     */
    searchTerm: string;
    constructor(data?: PartialMessage<ListBlockedRepositoriesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListBlockedRepositoriesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListBlockedRepositoriesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListBlockedRepositoriesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListBlockedRepositoriesRequest;
    static equals(a: ListBlockedRepositoriesRequest | PlainMessage<ListBlockedRepositoriesRequest> | undefined, b: ListBlockedRepositoriesRequest | PlainMessage<ListBlockedRepositoriesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesResponse
 */
export declare class ListBlockedRepositoriesResponse extends Message<ListBlockedRepositoriesResponse> {
    /**
     * pagination contains the pagination options for listing blocked repositories
     *
     * @generated from field: gitpod.v1.PaginationResponse pagination = 1;
     */
    pagination?: PaginationResponse;
    /**
     * blocked_repositories are the blocked repositories
     *
     * @generated from field: repeated gitpod.v1.BlockedRepository blocked_repositories = 2;
     */
    blockedRepositories: BlockedRepository[];
    constructor(data?: PartialMessage<ListBlockedRepositoriesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListBlockedRepositoriesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListBlockedRepositoriesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListBlockedRepositoriesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListBlockedRepositoriesResponse;
    static equals(a: ListBlockedRepositoriesResponse | PlainMessage<ListBlockedRepositoriesResponse> | undefined, b: ListBlockedRepositoriesResponse | PlainMessage<ListBlockedRepositoriesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryRequest
 */
export declare class CreateBlockedRepositoryRequest extends Message<CreateBlockedRepositoryRequest> {
    /**
     * url_regexp is the regular expression for the repository URL
     *
     * @generated from field: string url_regexp = 1;
     */
    urlRegexp: string;
    /**
     * block_user indicates if the user should be blocked from accessing the
     * repository
     *
     * @generated from field: bool block_user = 2;
     */
    blockUser: boolean;
    constructor(data?: PartialMessage<CreateBlockedRepositoryRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateBlockedRepositoryRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateBlockedRepositoryRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateBlockedRepositoryRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateBlockedRepositoryRequest;
    static equals(a: CreateBlockedRepositoryRequest | PlainMessage<CreateBlockedRepositoryRequest> | undefined, b: CreateBlockedRepositoryRequest | PlainMessage<CreateBlockedRepositoryRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryResponse
 */
export declare class CreateBlockedRepositoryResponse extends Message<CreateBlockedRepositoryResponse> {
    /**
     * @generated from field: gitpod.v1.BlockedRepository blocked_repository = 1;
     */
    blockedRepository?: BlockedRepository;
    constructor(data?: PartialMessage<CreateBlockedRepositoryResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateBlockedRepositoryResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateBlockedRepositoryResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateBlockedRepositoryResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateBlockedRepositoryResponse;
    static equals(a: CreateBlockedRepositoryResponse | PlainMessage<CreateBlockedRepositoryResponse> | undefined, b: CreateBlockedRepositoryResponse | PlainMessage<CreateBlockedRepositoryResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryRequest
 */
export declare class DeleteBlockedRepositoryRequest extends Message<DeleteBlockedRepositoryRequest> {
    /**
     * blocked_repository_id is the ID of the blocked repository
     *
     * @generated from field: uint32 blocked_repository_id = 1;
     */
    blockedRepositoryId: number;
    constructor(data?: PartialMessage<DeleteBlockedRepositoryRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteBlockedRepositoryRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteBlockedRepositoryRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteBlockedRepositoryRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteBlockedRepositoryRequest;
    static equals(a: DeleteBlockedRepositoryRequest | PlainMessage<DeleteBlockedRepositoryRequest> | undefined, b: DeleteBlockedRepositoryRequest | PlainMessage<DeleteBlockedRepositoryRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryResponse
 */
export declare class DeleteBlockedRepositoryResponse extends Message<DeleteBlockedRepositoryResponse> {
    constructor(data?: PartialMessage<DeleteBlockedRepositoryResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteBlockedRepositoryResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteBlockedRepositoryResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteBlockedRepositoryResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteBlockedRepositoryResponse;
    static equals(a: DeleteBlockedRepositoryResponse | PlainMessage<DeleteBlockedRepositoryResponse> | undefined, b: DeleteBlockedRepositoryResponse | PlainMessage<DeleteBlockedRepositoryResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsRequest
 */
export declare class ListBlockedEmailDomainsRequest extends Message<ListBlockedEmailDomainsRequest> {
    /**
     * pagination contains the pagination options for listing blocked email
     * domains
     *
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    constructor(data?: PartialMessage<ListBlockedEmailDomainsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListBlockedEmailDomainsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListBlockedEmailDomainsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListBlockedEmailDomainsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListBlockedEmailDomainsRequest;
    static equals(a: ListBlockedEmailDomainsRequest | PlainMessage<ListBlockedEmailDomainsRequest> | undefined, b: ListBlockedEmailDomainsRequest | PlainMessage<ListBlockedEmailDomainsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsResponse
 */
export declare class ListBlockedEmailDomainsResponse extends Message<ListBlockedEmailDomainsResponse> {
    /**
     * pagination contains the pagination options for listing blocked email
     * domains
     *
     * @generated from field: gitpod.v1.PaginationResponse pagination = 1;
     */
    pagination?: PaginationResponse;
    /**
     * blocked_email_domains are the blocked email domains
     *
     * @generated from field: repeated gitpod.v1.BlockedEmailDomain blocked_email_domains = 2;
     */
    blockedEmailDomains: BlockedEmailDomain[];
    constructor(data?: PartialMessage<ListBlockedEmailDomainsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListBlockedEmailDomainsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListBlockedEmailDomainsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListBlockedEmailDomainsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListBlockedEmailDomainsResponse;
    static equals(a: ListBlockedEmailDomainsResponse | PlainMessage<ListBlockedEmailDomainsResponse> | undefined, b: ListBlockedEmailDomainsResponse | PlainMessage<ListBlockedEmailDomainsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainRequest
 */
export declare class CreateBlockedEmailDomainRequest extends Message<CreateBlockedEmailDomainRequest> {
    /**
     * domain is the blocked email domain
     *
     * @generated from field: string domain = 1;
     */
    domain: string;
    /**
     * @generated from field: bool negative = 2;
     */
    negative: boolean;
    constructor(data?: PartialMessage<CreateBlockedEmailDomainRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateBlockedEmailDomainRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateBlockedEmailDomainRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateBlockedEmailDomainRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateBlockedEmailDomainRequest;
    static equals(a: CreateBlockedEmailDomainRequest | PlainMessage<CreateBlockedEmailDomainRequest> | undefined, b: CreateBlockedEmailDomainRequest | PlainMessage<CreateBlockedEmailDomainRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainResponse
 */
export declare class CreateBlockedEmailDomainResponse extends Message<CreateBlockedEmailDomainResponse> {
    /**
     * @generated from field: gitpod.v1.BlockedEmailDomain blocked_email_domain = 1;
     */
    blockedEmailDomain?: BlockedEmailDomain;
    constructor(data?: PartialMessage<CreateBlockedEmailDomainResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateBlockedEmailDomainResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateBlockedEmailDomainResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateBlockedEmailDomainResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateBlockedEmailDomainResponse;
    static equals(a: CreateBlockedEmailDomainResponse | PlainMessage<CreateBlockedEmailDomainResponse> | undefined, b: CreateBlockedEmailDomainResponse | PlainMessage<CreateBlockedEmailDomainResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.BlockedRepository
 */
export declare class BlockedRepository extends Message<BlockedRepository> {
    /**
     * id is the ID of the blocked repository
     *
     * @generated from field: uint32 id = 1;
     */
    id: number;
    /**
     * url_regexp is the regular expression for the repository URL
     *
     * @generated from field: string url_regexp = 2;
     */
    urlRegexp: string;
    /**
     * block_user indicates if the user should be blocked from accessing the
     * repository
     *
     * @generated from field: bool block_user = 3;
     */
    blockUser: boolean;
    /**
     * @generated from field: google.protobuf.Timestamp creation_time = 4;
     */
    creationTime?: Timestamp;
    /**
     * @generated from field: google.protobuf.Timestamp update_time = 5;
     */
    updateTime?: Timestamp;
    constructor(data?: PartialMessage<BlockedRepository>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.BlockedRepository";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockedRepository;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockedRepository;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockedRepository;
    static equals(a: BlockedRepository | PlainMessage<BlockedRepository> | undefined, b: BlockedRepository | PlainMessage<BlockedRepository> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.BlockedEmailDomain
 */
export declare class BlockedEmailDomain extends Message<BlockedEmailDomain> {
    /**
     * id is the ID of the blocked email domain
     *
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * domain is the blocked email domain
     *
     * @generated from field: string domain = 2;
     */
    domain: string;
    /**
     * @generated from field: bool negative = 3;
     */
    negative: boolean;
    constructor(data?: PartialMessage<BlockedEmailDomain>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.BlockedEmailDomain";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockedEmailDomain;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockedEmailDomain;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockedEmailDomain;
    static equals(a: BlockedEmailDomain | PlainMessage<BlockedEmailDomain> | undefined, b: BlockedEmailDomain | PlainMessage<BlockedEmailDomain> | undefined): boolean;
}
//# sourceMappingURL=installation_pb.d.ts.map