"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockedEmailDomain = exports.BlockedRepository = exports.CreateBlockedEmailDomainResponse = exports.CreateBlockedEmailDomainRequest = exports.ListBlockedEmailDomainsResponse = exports.ListBlockedEmailDomainsRequest = exports.DeleteBlockedRepositoryResponse = exports.DeleteBlockedRepositoryRequest = exports.CreateBlockedRepositoryResponse = exports.CreateBlockedRepositoryRequest = exports.ListBlockedRepositoriesResponse = exports.ListBlockedRepositoriesRequest = exports.GetInstallationWorkspaceDefaultImageResponse = exports.GetInstallationWorkspaceDefaultImageRequest = exports.OnboardingState = exports.GetOnboardingStateResponse = exports.GetOnboardingStateRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
const sorting_pb_js_1 = require("./sorting_pb.js");
/**
 * @generated from message gitpod.v1.GetOnboardingStateRequest
 */
class GetOnboardingStateRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOnboardingStateRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOnboardingStateRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOnboardingStateRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOnboardingStateRequest, a, b);
    }
}
exports.GetOnboardingStateRequest = GetOnboardingStateRequest;
GetOnboardingStateRequest.runtime = protobuf_1.proto3;
GetOnboardingStateRequest.typeName = "gitpod.v1.GetOnboardingStateRequest";
GetOnboardingStateRequest.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetOnboardingStateResponse
 */
class GetOnboardingStateResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOnboardingStateResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOnboardingStateResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOnboardingStateResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOnboardingStateResponse, a, b);
    }
}
exports.GetOnboardingStateResponse = GetOnboardingStateResponse;
GetOnboardingStateResponse.runtime = protobuf_1.proto3;
GetOnboardingStateResponse.typeName = "gitpod.v1.GetOnboardingStateResponse";
GetOnboardingStateResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "onboarding_state", kind: "message", T: OnboardingState },
]);
/**
 * @generated from message gitpod.v1.OnboardingState
 */
class OnboardingState extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool completed = 1;
         */
        this.completed = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OnboardingState().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OnboardingState().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OnboardingState().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OnboardingState, a, b);
    }
}
exports.OnboardingState = OnboardingState;
OnboardingState.runtime = protobuf_1.proto3;
OnboardingState.typeName = "gitpod.v1.OnboardingState";
OnboardingState.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "completed", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageRequest
 */
class GetInstallationWorkspaceDefaultImageRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetInstallationWorkspaceDefaultImageRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetInstallationWorkspaceDefaultImageRequest, a, b);
    }
}
exports.GetInstallationWorkspaceDefaultImageRequest = GetInstallationWorkspaceDefaultImageRequest;
GetInstallationWorkspaceDefaultImageRequest.runtime = protobuf_1.proto3;
GetInstallationWorkspaceDefaultImageRequest.typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageRequest";
GetInstallationWorkspaceDefaultImageRequest.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetInstallationWorkspaceDefaultImageResponse
 */
class GetInstallationWorkspaceDefaultImageResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string default_workspace_image = 1;
         */
        this.defaultWorkspaceImage = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetInstallationWorkspaceDefaultImageResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetInstallationWorkspaceDefaultImageResponse, a, b);
    }
}
exports.GetInstallationWorkspaceDefaultImageResponse = GetInstallationWorkspaceDefaultImageResponse;
GetInstallationWorkspaceDefaultImageResponse.runtime = protobuf_1.proto3;
GetInstallationWorkspaceDefaultImageResponse.typeName = "gitpod.v1.GetInstallationWorkspaceDefaultImageResponse";
GetInstallationWorkspaceDefaultImageResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesRequest
 */
class ListBlockedRepositoriesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * sort contains the sort options for listing blocked repositories
         * BlockedRepositories can be sorted by "urlRegexp"
         *
         * @generated from field: repeated gitpod.v1.Sort sort = 2;
         */
        this.sort = [];
        /**
         * search_term is a search term to filter blocked repositories by url_regexp
         *
         * @generated from field: string search_term = 3;
         */
        this.searchTerm = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedRepositoriesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedRepositoriesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedRepositoriesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListBlockedRepositoriesRequest, a, b);
    }
}
exports.ListBlockedRepositoriesRequest = ListBlockedRepositoriesRequest;
ListBlockedRepositoriesRequest.runtime = protobuf_1.proto3;
ListBlockedRepositoriesRequest.typeName = "gitpod.v1.ListBlockedRepositoriesRequest";
ListBlockedRepositoriesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "sort", kind: "message", T: sorting_pb_js_1.Sort, repeated: true },
    { no: 3, name: "search_term", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListBlockedRepositoriesResponse
 */
class ListBlockedRepositoriesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * blocked_repositories are the blocked repositories
         *
         * @generated from field: repeated gitpod.v1.BlockedRepository blocked_repositories = 2;
         */
        this.blockedRepositories = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedRepositoriesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedRepositoriesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedRepositoriesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListBlockedRepositoriesResponse, a, b);
    }
}
exports.ListBlockedRepositoriesResponse = ListBlockedRepositoriesResponse;
ListBlockedRepositoriesResponse.runtime = protobuf_1.proto3;
ListBlockedRepositoriesResponse.typeName = "gitpod.v1.ListBlockedRepositoriesResponse";
ListBlockedRepositoriesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
    { no: 2, name: "blocked_repositories", kind: "message", T: BlockedRepository, repeated: true },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryRequest
 */
class CreateBlockedRepositoryRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * url_regexp is the regular expression for the repository URL
         *
         * @generated from field: string url_regexp = 1;
         */
        this.urlRegexp = "";
        /**
         * block_user indicates if the user should be blocked from accessing the
         * repository
         *
         * @generated from field: bool block_user = 2;
         */
        this.blockUser = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedRepositoryRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedRepositoryRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedRepositoryRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateBlockedRepositoryRequest, a, b);
    }
}
exports.CreateBlockedRepositoryRequest = CreateBlockedRepositoryRequest;
CreateBlockedRepositoryRequest.runtime = protobuf_1.proto3;
CreateBlockedRepositoryRequest.typeName = "gitpod.v1.CreateBlockedRepositoryRequest";
CreateBlockedRepositoryRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "url_regexp", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "block_user", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedRepositoryResponse
 */
class CreateBlockedRepositoryResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedRepositoryResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedRepositoryResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedRepositoryResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateBlockedRepositoryResponse, a, b);
    }
}
exports.CreateBlockedRepositoryResponse = CreateBlockedRepositoryResponse;
CreateBlockedRepositoryResponse.runtime = protobuf_1.proto3;
CreateBlockedRepositoryResponse.typeName = "gitpod.v1.CreateBlockedRepositoryResponse";
CreateBlockedRepositoryResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_repository", kind: "message", T: BlockedRepository },
]);
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryRequest
 */
class DeleteBlockedRepositoryRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * blocked_repository_id is the ID of the blocked repository
         *
         * @generated from field: uint32 blocked_repository_id = 1;
         */
        this.blockedRepositoryId = 0;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteBlockedRepositoryRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteBlockedRepositoryRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteBlockedRepositoryRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteBlockedRepositoryRequest, a, b);
    }
}
exports.DeleteBlockedRepositoryRequest = DeleteBlockedRepositoryRequest;
DeleteBlockedRepositoryRequest.runtime = protobuf_1.proto3;
DeleteBlockedRepositoryRequest.typeName = "gitpod.v1.DeleteBlockedRepositoryRequest";
DeleteBlockedRepositoryRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_repository_id", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
]);
/**
 * @generated from message gitpod.v1.DeleteBlockedRepositoryResponse
 */
class DeleteBlockedRepositoryResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteBlockedRepositoryResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteBlockedRepositoryResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteBlockedRepositoryResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteBlockedRepositoryResponse, a, b);
    }
}
exports.DeleteBlockedRepositoryResponse = DeleteBlockedRepositoryResponse;
DeleteBlockedRepositoryResponse.runtime = protobuf_1.proto3;
DeleteBlockedRepositoryResponse.typeName = "gitpod.v1.DeleteBlockedRepositoryResponse";
DeleteBlockedRepositoryResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsRequest
 */
class ListBlockedEmailDomainsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedEmailDomainsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedEmailDomainsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedEmailDomainsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListBlockedEmailDomainsRequest, a, b);
    }
}
exports.ListBlockedEmailDomainsRequest = ListBlockedEmailDomainsRequest;
ListBlockedEmailDomainsRequest.runtime = protobuf_1.proto3;
ListBlockedEmailDomainsRequest.typeName = "gitpod.v1.ListBlockedEmailDomainsRequest";
ListBlockedEmailDomainsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListBlockedEmailDomainsResponse
 */
class ListBlockedEmailDomainsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * blocked_email_domains are the blocked email domains
         *
         * @generated from field: repeated gitpod.v1.BlockedEmailDomain blocked_email_domains = 2;
         */
        this.blockedEmailDomains = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListBlockedEmailDomainsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListBlockedEmailDomainsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListBlockedEmailDomainsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListBlockedEmailDomainsResponse, a, b);
    }
}
exports.ListBlockedEmailDomainsResponse = ListBlockedEmailDomainsResponse;
ListBlockedEmailDomainsResponse.runtime = protobuf_1.proto3;
ListBlockedEmailDomainsResponse.typeName = "gitpod.v1.ListBlockedEmailDomainsResponse";
ListBlockedEmailDomainsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
    { no: 2, name: "blocked_email_domains", kind: "message", T: BlockedEmailDomain, repeated: true },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainRequest
 */
class CreateBlockedEmailDomainRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * domain is the blocked email domain
         *
         * @generated from field: string domain = 1;
         */
        this.domain = "";
        /**
         * @generated from field: bool negative = 2;
         */
        this.negative = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedEmailDomainRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedEmailDomainRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedEmailDomainRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateBlockedEmailDomainRequest, a, b);
    }
}
exports.CreateBlockedEmailDomainRequest = CreateBlockedEmailDomainRequest;
CreateBlockedEmailDomainRequest.runtime = protobuf_1.proto3;
CreateBlockedEmailDomainRequest.typeName = "gitpod.v1.CreateBlockedEmailDomainRequest";
CreateBlockedEmailDomainRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "domain", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "negative", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.CreateBlockedEmailDomainResponse
 */
class CreateBlockedEmailDomainResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateBlockedEmailDomainResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateBlockedEmailDomainResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateBlockedEmailDomainResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateBlockedEmailDomainResponse, a, b);
    }
}
exports.CreateBlockedEmailDomainResponse = CreateBlockedEmailDomainResponse;
CreateBlockedEmailDomainResponse.runtime = protobuf_1.proto3;
CreateBlockedEmailDomainResponse.typeName = "gitpod.v1.CreateBlockedEmailDomainResponse";
CreateBlockedEmailDomainResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "blocked_email_domain", kind: "message", T: BlockedEmailDomain },
]);
/**
 * @generated from message gitpod.v1.BlockedRepository
 */
class BlockedRepository extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * id is the ID of the blocked repository
         *
         * @generated from field: uint32 id = 1;
         */
        this.id = 0;
        /**
         * url_regexp is the regular expression for the repository URL
         *
         * @generated from field: string url_regexp = 2;
         */
        this.urlRegexp = "";
        /**
         * block_user indicates if the user should be blocked from accessing the
         * repository
         *
         * @generated from field: bool block_user = 3;
         */
        this.blockUser = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockedRepository().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockedRepository().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockedRepository().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(BlockedRepository, a, b);
    }
}
exports.BlockedRepository = BlockedRepository;
BlockedRepository.runtime = protobuf_1.proto3;
BlockedRepository.typeName = "gitpod.v1.BlockedRepository";
BlockedRepository.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 13 /* ScalarType.UINT32 */ },
    { no: 2, name: "url_regexp", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "block_user", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 4, name: "creation_time", kind: "message", T: protobuf_1.Timestamp },
    { no: 5, name: "update_time", kind: "message", T: protobuf_1.Timestamp },
]);
/**
 * @generated from message gitpod.v1.BlockedEmailDomain
 */
class BlockedEmailDomain extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * id is the ID of the blocked email domain
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * domain is the blocked email domain
         *
         * @generated from field: string domain = 2;
         */
        this.domain = "";
        /**
         * @generated from field: bool negative = 3;
         */
        this.negative = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockedEmailDomain().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockedEmailDomain().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockedEmailDomain().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(BlockedEmailDomain, a, b);
    }
}
exports.BlockedEmailDomain = BlockedEmailDomain;
BlockedEmailDomain.runtime = protobuf_1.proto3;
BlockedEmailDomain.typeName = "gitpod.v1.BlockedEmailDomain";
BlockedEmailDomain.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "domain", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "negative", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
//# sourceMappingURL=installation_pb.js.map