/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateOrganizationRequest, CreateOrganizationResponse, DeleteOrganizationMemberRequest, DeleteOrganizationMemberResponse, DeleteOrganizationRequest, DeleteOrganizationResponse, GetOrganizationInvitationRequest, GetOrganizationInvitationResponse, GetOrganizationRequest, GetOrganizationResponse, GetOrganizationSettingsRequest, GetOrganizationSettingsResponse, JoinOrganizationRequest, JoinOrganizationResponse, ListOrganizationMembersRequest, ListOrganizationMembersResponse, ListOrganizationsRequest, ListOrganizationsResponse, ListOrganizationWorkspaceClassesRequest, ListOrganizationWorkspaceClassesResponse, ResetOrganizationInvitationRequest, ResetOrganizationInvitationResponse, UpdateOrganizationMemberRequest, UpdateOrganizationMemberResponse, UpdateOrganizationRequest, UpdateOrganizationResponse, UpdateOrganizationSettingsRequest, UpdateOrganizationSettingsResponse } from "./organization_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.OrganizationService
 */
export declare const OrganizationService: {
    readonly typeName: "gitpod.v1.OrganizationService";
    readonly methods: {
        /**
         * CreateOrganization creates a new Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.CreateOrganization
         */
        readonly createOrganization: {
            readonly name: "CreateOrganization";
            readonly I: typeof CreateOrganizationRequest;
            readonly O: typeof CreateOrganizationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetOrganization retrieves a single Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganization
         */
        readonly getOrganization: {
            readonly name: "GetOrganization";
            readonly I: typeof GetOrganizationRequest;
            readonly O: typeof GetOrganizationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateOrganization updates the properties of an Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganization
         */
        readonly updateOrganization: {
            readonly name: "UpdateOrganization";
            readonly I: typeof UpdateOrganizationRequest;
            readonly O: typeof UpdateOrganizationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListOrganizations lists all organization the caller has access to.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizations
         */
        readonly listOrganizations: {
            readonly name: "ListOrganizations";
            readonly I: typeof ListOrganizationsRequest;
            readonly O: typeof ListOrganizationsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteOrganization deletes the specified organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.DeleteOrganization
         */
        readonly deleteOrganization: {
            readonly name: "DeleteOrganization";
            readonly I: typeof DeleteOrganizationRequest;
            readonly O: typeof DeleteOrganizationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetOrganizationInvitation retrieves the invitation for a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganizationInvitation
         */
        readonly getOrganizationInvitation: {
            readonly name: "GetOrganizationInvitation";
            readonly I: typeof GetOrganizationInvitationRequest;
            readonly O: typeof GetOrganizationInvitationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * JoinOrganization makes the caller a OrganizationMember of the Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.JoinOrganization
         */
        readonly joinOrganization: {
            readonly name: "JoinOrganization";
            readonly I: typeof JoinOrganizationRequest;
            readonly O: typeof JoinOrganizationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ResetOrganizationInvitation resets the invitation_id for a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ResetOrganizationInvitation
         */
        readonly resetOrganizationInvitation: {
            readonly name: "ResetOrganizationInvitation";
            readonly I: typeof ResetOrganizationInvitationRequest;
            readonly O: typeof ResetOrganizationInvitationResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListOrganizationMembers lists the members of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizationMembers
         */
        readonly listOrganizationMembers: {
            readonly name: "ListOrganizationMembers";
            readonly I: typeof ListOrganizationMembersRequest;
            readonly O: typeof ListOrganizationMembersResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateOrganizationMember updates organization membership properties.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganizationMember
         */
        readonly updateOrganizationMember: {
            readonly name: "UpdateOrganizationMember";
            readonly I: typeof UpdateOrganizationMemberRequest;
            readonly O: typeof UpdateOrganizationMemberResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteOrganizationMember removes a OrganizationMember from the
         * Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.DeleteOrganizationMember
         */
        readonly deleteOrganizationMember: {
            readonly name: "DeleteOrganizationMember";
            readonly I: typeof DeleteOrganizationMemberRequest;
            readonly O: typeof DeleteOrganizationMemberResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetOrganizationSettings retrieves the settings of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganizationSettings
         */
        readonly getOrganizationSettings: {
            readonly name: "GetOrganizationSettings";
            readonly I: typeof GetOrganizationSettingsRequest;
            readonly O: typeof GetOrganizationSettingsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateOrganizationSettings updates the settings of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganizationSettings
         */
        readonly updateOrganizationSettings: {
            readonly name: "UpdateOrganizationSettings";
            readonly I: typeof UpdateOrganizationSettingsRequest;
            readonly O: typeof UpdateOrganizationSettingsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListOrganizationWorkspaceClasses lists workspace classes of a
         * Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizationWorkspaceClasses
         */
        readonly listOrganizationWorkspaceClasses: {
            readonly name: "ListOrganizationWorkspaceClasses";
            readonly I: typeof ListOrganizationWorkspaceClassesRequest;
            readonly O: typeof ListOrganizationWorkspaceClassesResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=organization_connect.d.ts.map