"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrganizationService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/organization.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const organization_pb_js_1 = require("./organization_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.OrganizationService
 */
exports.OrganizationService = {
    typeName: "gitpod.v1.OrganizationService",
    methods: {
        /**
         * CreateOrganization creates a new Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.CreateOrganization
         */
        createOrganization: {
            name: "CreateOrganization",
            I: organization_pb_js_1.CreateOrganizationRequest,
            O: organization_pb_js_1.CreateOrganizationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetOrganization retrieves a single Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganization
         */
        getOrganization: {
            name: "GetOrganization",
            I: organization_pb_js_1.GetOrganizationRequest,
            O: organization_pb_js_1.GetOrganizationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateOrganization updates the properties of an Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganization
         */
        updateOrganization: {
            name: "UpdateOrganization",
            I: organization_pb_js_1.UpdateOrganizationRequest,
            O: organization_pb_js_1.UpdateOrganizationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListOrganizations lists all organization the caller has access to.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizations
         */
        listOrganizations: {
            name: "ListOrganizations",
            I: organization_pb_js_1.ListOrganizationsRequest,
            O: organization_pb_js_1.ListOrganizationsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteOrganization deletes the specified organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.DeleteOrganization
         */
        deleteOrganization: {
            name: "DeleteOrganization",
            I: organization_pb_js_1.DeleteOrganizationRequest,
            O: organization_pb_js_1.DeleteOrganizationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetOrganizationInvitation retrieves the invitation for a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganizationInvitation
         */
        getOrganizationInvitation: {
            name: "GetOrganizationInvitation",
            I: organization_pb_js_1.GetOrganizationInvitationRequest,
            O: organization_pb_js_1.GetOrganizationInvitationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * JoinOrganization makes the caller a OrganizationMember of the Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.JoinOrganization
         */
        joinOrganization: {
            name: "JoinOrganization",
            I: organization_pb_js_1.JoinOrganizationRequest,
            O: organization_pb_js_1.JoinOrganizationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ResetOrganizationInvitation resets the invitation_id for a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ResetOrganizationInvitation
         */
        resetOrganizationInvitation: {
            name: "ResetOrganizationInvitation",
            I: organization_pb_js_1.ResetOrganizationInvitationRequest,
            O: organization_pb_js_1.ResetOrganizationInvitationResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListOrganizationMembers lists the members of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizationMembers
         */
        listOrganizationMembers: {
            name: "ListOrganizationMembers",
            I: organization_pb_js_1.ListOrganizationMembersRequest,
            O: organization_pb_js_1.ListOrganizationMembersResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateOrganizationMember updates organization membership properties.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganizationMember
         */
        updateOrganizationMember: {
            name: "UpdateOrganizationMember",
            I: organization_pb_js_1.UpdateOrganizationMemberRequest,
            O: organization_pb_js_1.UpdateOrganizationMemberResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteOrganizationMember removes a OrganizationMember from the
         * Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.DeleteOrganizationMember
         */
        deleteOrganizationMember: {
            name: "DeleteOrganizationMember",
            I: organization_pb_js_1.DeleteOrganizationMemberRequest,
            O: organization_pb_js_1.DeleteOrganizationMemberResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetOrganizationSettings retrieves the settings of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.GetOrganizationSettings
         */
        getOrganizationSettings: {
            name: "GetOrganizationSettings",
            I: organization_pb_js_1.GetOrganizationSettingsRequest,
            O: organization_pb_js_1.GetOrganizationSettingsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateOrganizationSettings updates the settings of a Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.UpdateOrganizationSettings
         */
        updateOrganizationSettings: {
            name: "UpdateOrganizationSettings",
            I: organization_pb_js_1.UpdateOrganizationSettingsRequest,
            O: organization_pb_js_1.UpdateOrganizationSettingsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListOrganizationWorkspaceClasses lists workspace classes of a
         * Organization.
         *
         * @generated from rpc gitpod.v1.OrganizationService.ListOrganizationWorkspaceClasses
         */
        listOrganizationWorkspaceClasses: {
            name: "ListOrganizationWorkspaceClasses",
            I: organization_pb_js_1.ListOrganizationWorkspaceClassesRequest,
            O: organization_pb_js_1.ListOrganizationWorkspaceClassesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=organization_connect.js.map