"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteOrganizationMemberResponse = exports.DeleteOrganizationMemberRequest = exports.UpdateOrganizationMemberResponse = exports.UpdateOrganizationMemberRequest = exports.ListOrganizationMembersResponse = exports.ListOrganizationMembersRequest = exports.ResetOrganizationInvitationResponse = exports.ResetOrganizationInvitationRequest = exports.JoinOrganizationResponse = exports.JoinOrganizationRequest = exports.GetOrganizationInvitationResponse = exports.GetOrganizationInvitationRequest = exports.DeleteOrganizationResponse = exports.DeleteOrganizationRequest = exports.ListOrganizationsResponse = exports.ListOrganizationsRequest_Scope = exports.ListOrganizationsRequest = exports.GetOrganizationResponse = exports.GetOrganizationRequest = exports.CreateOrganizationResponse = exports.CreateOrganizationRequest = exports.GetOrganizationSettingsResponse = exports.GetOrganizationSettingsRequest = exports.UpdateOrganizationSettingsResponse = exports.UpdateOrganizationSettingsRequest = exports.UpdateOrganizationResponse = exports.UpdateOrganizationRequest = exports.ListOrganizationWorkspaceClassesResponse = exports.ListOrganizationWorkspaceClassesRequest = exports.OrganizationSettings = exports.OrganizationMember = exports.Organization = exports.OrganizationRole = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
const workspace_pb_js_1 = require("./workspace_pb.js");
/**
 * @generated from enum gitpod.v1.OrganizationRole
 */
var OrganizationRole;
(function (OrganizationRole) {
    /**
     * @generated from enum value: ORGANIZATION_ROLE_UNSPECIFIED = 0;
     */
    OrganizationRole[OrganizationRole["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_OWNER = 1;
     */
    OrganizationRole[OrganizationRole["OWNER"] = 1] = "OWNER";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_MEMBER = 2;
     */
    OrganizationRole[OrganizationRole["MEMBER"] = 2] = "MEMBER";
    /**
     * @generated from enum value: ORGANIZATION_ROLE_COLLABORATOR = 3;
     */
    OrganizationRole[OrganizationRole["COLLABORATOR"] = 3] = "COLLABORATOR";
})(OrganizationRole = exports.OrganizationRole || (exports.OrganizationRole = {}));
// Retrieve enum metadata with: proto3.getEnumType(OrganizationRole)
protobuf_1.proto3.util.setEnumType(OrganizationRole, "gitpod.v1.OrganizationRole", [
    { no: 0, name: "ORGANIZATION_ROLE_UNSPECIFIED" },
    { no: 1, name: "ORGANIZATION_ROLE_OWNER" },
    { no: 2, name: "ORGANIZATION_ROLE_MEMBER" },
    { no: 3, name: "ORGANIZATION_ROLE_COLLABORATOR" },
]);
/**
 * @generated from message gitpod.v1.Organization
 */
class Organization extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * @generated from field: string name = 2;
         */
        this.name = "";
        /**
         * @generated from field: string slug = 4;
         */
        this.slug = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Organization().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Organization().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Organization().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Organization, a, b);
    }
}
exports.Organization = Organization;
Organization.runtime = protobuf_1.proto3;
Organization.typeName = "gitpod.v1.Organization";
Organization.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "creation_time", kind: "message", T: protobuf_1.Timestamp },
    { no: 4, name: "slug", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.OrganizationMember
 */
class OrganizationMember extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * @generated from field: gitpod.v1.OrganizationRole role = 2;
         */
        this.role = OrganizationRole.UNSPECIFIED;
        /**
         * @generated from field: string avatar_url = 4;
         */
        this.avatarUrl = "";
        /**
         * @generated from field: string full_name = 5;
         */
        this.fullName = "";
        /**
         * @generated from field: string email = 6;
         */
        this.email = "";
        /**
         * @generated from field: bool owned_by_organization = 7;
         */
        this.ownedByOrganization = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OrganizationMember().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OrganizationMember().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OrganizationMember().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OrganizationMember, a, b);
    }
}
exports.OrganizationMember = OrganizationMember;
OrganizationMember.runtime = protobuf_1.proto3;
OrganizationMember.typeName = "gitpod.v1.OrganizationMember";
OrganizationMember.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "role", kind: "enum", T: protobuf_1.proto3.getEnumType(OrganizationRole) },
    { no: 3, name: "member_since", kind: "message", T: protobuf_1.Timestamp },
    { no: 4, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "full_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "email", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "owned_by_organization", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.OrganizationSettings
 */
class OrganizationSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: bool workspace_sharing_disabled = 1;
         */
        this.workspaceSharingDisabled = false;
        /**
         * @generated from field: string default_workspace_image = 2;
         */
        this.defaultWorkspaceImage = "";
        /**
         * @generated from field: repeated string allowed_workspace_classes = 3;
         */
        this.allowedWorkspaceClasses = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new OrganizationSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new OrganizationSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new OrganizationSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(OrganizationSettings, a, b);
    }
}
exports.OrganizationSettings = OrganizationSettings;
OrganizationSettings.runtime = protobuf_1.proto3;
OrganizationSettings.typeName = "gitpod.v1.OrganizationSettings";
OrganizationSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "workspace_sharing_disabled", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 2, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "allowed_workspace_classes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationWorkspaceClassesRequest
 */
class ListOrganizationWorkspaceClassesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization.
         *
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationWorkspaceClassesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationWorkspaceClassesRequest, a, b);
    }
}
exports.ListOrganizationWorkspaceClassesRequest = ListOrganizationWorkspaceClassesRequest;
ListOrganizationWorkspaceClassesRequest.runtime = protobuf_1.proto3;
ListOrganizationWorkspaceClassesRequest.typeName = "gitpod.v1.ListOrganizationWorkspaceClassesRequest";
ListOrganizationWorkspaceClassesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationWorkspaceClassesResponse
 */
class ListOrganizationWorkspaceClassesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.WorkspaceClass workspace_classes = 2;
         */
        this.workspaceClasses = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationWorkspaceClassesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationWorkspaceClassesResponse, a, b);
    }
}
exports.ListOrganizationWorkspaceClassesResponse = ListOrganizationWorkspaceClassesResponse;
ListOrganizationWorkspaceClassesResponse.runtime = protobuf_1.proto3;
ListOrganizationWorkspaceClassesResponse.typeName = "gitpod.v1.ListOrganizationWorkspaceClassesResponse";
ListOrganizationWorkspaceClassesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
    { no: 2, name: "workspace_classes", kind: "message", T: workspace_pb_js_1.WorkspaceClass, repeated: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationRequest
 */
class UpdateOrganizationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to update the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationRequest, a, b);
    }
}
exports.UpdateOrganizationRequest = UpdateOrganizationRequest;
UpdateOrganizationRequest.runtime = protobuf_1.proto3;
UpdateOrganizationRequest.typeName = "gitpod.v1.UpdateOrganizationRequest";
UpdateOrganizationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationResponse
 */
class UpdateOrganizationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationResponse, a, b);
    }
}
exports.UpdateOrganizationResponse = UpdateOrganizationResponse;
UpdateOrganizationResponse.runtime = protobuf_1.proto3;
UpdateOrganizationResponse.typeName = "gitpod.v1.UpdateOrganizationResponse";
UpdateOrganizationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationSettingsRequest
 */
class UpdateOrganizationSettingsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to update the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * allowed_workspace_classes are the IDs of classes, which can be used by workspaces in an organization.
         * Pass an empty array to allow all workspace classes
         *
         * @generated from field: repeated string allowed_workspace_classes = 5;
         */
        this.allowedWorkspaceClasses = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationSettingsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationSettingsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationSettingsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationSettingsRequest, a, b);
    }
}
exports.UpdateOrganizationSettingsRequest = UpdateOrganizationSettingsRequest;
UpdateOrganizationSettingsRequest.runtime = protobuf_1.proto3;
UpdateOrganizationSettingsRequest.typeName = "gitpod.v1.UpdateOrganizationSettingsRequest";
UpdateOrganizationSettingsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "workspace_sharing_disabled", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 4, name: "default_workspace_image", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "allowed_workspace_classes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationSettingsResponse
 */
class UpdateOrganizationSettingsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationSettingsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationSettingsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationSettingsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationSettingsResponse, a, b);
    }
}
exports.UpdateOrganizationSettingsResponse = UpdateOrganizationSettingsResponse;
UpdateOrganizationSettingsResponse.runtime = protobuf_1.proto3;
UpdateOrganizationSettingsResponse.typeName = "gitpod.v1.UpdateOrganizationSettingsResponse";
UpdateOrganizationSettingsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "settings", kind: "message", T: OrganizationSettings },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationSettingsRequest
 */
class GetOrganizationSettingsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to retrieve the settings for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationSettingsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationSettingsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationSettingsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationSettingsRequest, a, b);
    }
}
exports.GetOrganizationSettingsRequest = GetOrganizationSettingsRequest;
GetOrganizationSettingsRequest.runtime = protobuf_1.proto3;
GetOrganizationSettingsRequest.typeName = "gitpod.v1.GetOrganizationSettingsRequest";
GetOrganizationSettingsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationSettingsResponse
 */
class GetOrganizationSettingsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationSettingsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationSettingsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationSettingsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationSettingsResponse, a, b);
    }
}
exports.GetOrganizationSettingsResponse = GetOrganizationSettingsResponse;
GetOrganizationSettingsResponse.runtime = protobuf_1.proto3;
GetOrganizationSettingsResponse.typeName = "gitpod.v1.GetOrganizationSettingsResponse";
GetOrganizationSettingsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "settings", kind: "message", T: OrganizationSettings },
]);
/**
 * @generated from message gitpod.v1.CreateOrganizationRequest
 */
class CreateOrganizationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * name is the organization name
         *
         * @generated from field: string name = 1;
         */
        this.name = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateOrganizationRequest, a, b);
    }
}
exports.CreateOrganizationRequest = CreateOrganizationRequest;
CreateOrganizationRequest.runtime = protobuf_1.proto3;
CreateOrganizationRequest.typeName = "gitpod.v1.CreateOrganizationRequest";
CreateOrganizationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.CreateOrganizationResponse
 */
class CreateOrganizationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateOrganizationResponse, a, b);
    }
}
exports.CreateOrganizationResponse = CreateOrganizationResponse;
CreateOrganizationResponse.runtime = protobuf_1.proto3;
CreateOrganizationResponse.typeName = "gitpod.v1.CreateOrganizationResponse";
CreateOrganizationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationRequest
 */
class GetOrganizationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the unique identifier of the Organization to retreive.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationRequest, a, b);
    }
}
exports.GetOrganizationRequest = GetOrganizationRequest;
GetOrganizationRequest.runtime = protobuf_1.proto3;
GetOrganizationRequest.typeName = "gitpod.v1.GetOrganizationRequest";
GetOrganizationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationResponse
 */
class GetOrganizationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationResponse, a, b);
    }
}
exports.GetOrganizationResponse = GetOrganizationResponse;
GetOrganizationResponse.runtime = protobuf_1.proto3;
GetOrganizationResponse.typeName = "gitpod.v1.GetOrganizationResponse";
GetOrganizationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization", kind: "message", T: Organization },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationsRequest
 */
class ListOrganizationsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * scope is the scope of the organizations to list
         *
         * @generated from field: gitpod.v1.ListOrganizationsRequest.Scope scope = 2;
         */
        this.scope = ListOrganizationsRequest_Scope.UNSPECIFIED;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationsRequest, a, b);
    }
}
exports.ListOrganizationsRequest = ListOrganizationsRequest;
ListOrganizationsRequest.runtime = protobuf_1.proto3;
ListOrganizationsRequest.typeName = "gitpod.v1.ListOrganizationsRequest";
ListOrganizationsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "scope", kind: "enum", T: protobuf_1.proto3.getEnumType(ListOrganizationsRequest_Scope) },
]);
/**
 * @generated from enum gitpod.v1.ListOrganizationsRequest.Scope
 */
var ListOrganizationsRequest_Scope;
(function (ListOrganizationsRequest_Scope) {
    /**
     * @generated from enum value: SCOPE_UNSPECIFIED = 0;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: SCOPE_MEMBER = 1;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["MEMBER"] = 1] = "MEMBER";
    /**
     * @generated from enum value: SCOPE_ALL = 2;
     */
    ListOrganizationsRequest_Scope[ListOrganizationsRequest_Scope["ALL"] = 2] = "ALL";
})(ListOrganizationsRequest_Scope = exports.ListOrganizationsRequest_Scope || (exports.ListOrganizationsRequest_Scope = {}));
// Retrieve enum metadata with: proto3.getEnumType(ListOrganizationsRequest_Scope)
protobuf_1.proto3.util.setEnumType(ListOrganizationsRequest_Scope, "gitpod.v1.ListOrganizationsRequest.Scope", [
    { no: 0, name: "SCOPE_UNSPECIFIED" },
    { no: 1, name: "SCOPE_MEMBER" },
    { no: 2, name: "SCOPE_ALL" },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationsResponse
 */
class ListOrganizationsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organizations are the organizations that matched the query
         *
         * @generated from field: repeated gitpod.v1.Organization organizations = 1;
         */
        this.organizations = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationsResponse, a, b);
    }
}
exports.ListOrganizationsResponse = ListOrganizationsResponse;
ListOrganizationsResponse.runtime = protobuf_1.proto3;
ListOrganizationsResponse.typeName = "gitpod.v1.ListOrganizationsResponse";
ListOrganizationsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organizations", kind: "message", T: Organization, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationRequest
 */
class DeleteOrganizationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to delete
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteOrganizationRequest, a, b);
    }
}
exports.DeleteOrganizationRequest = DeleteOrganizationRequest;
DeleteOrganizationRequest.runtime = protobuf_1.proto3;
DeleteOrganizationRequest.typeName = "gitpod.v1.DeleteOrganizationRequest";
DeleteOrganizationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationResponse
 */
class DeleteOrganizationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteOrganizationResponse, a, b);
    }
}
exports.DeleteOrganizationResponse = DeleteOrganizationResponse;
DeleteOrganizationResponse.runtime = protobuf_1.proto3;
DeleteOrganizationResponse.typeName = "gitpod.v1.DeleteOrganizationResponse";
DeleteOrganizationResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetOrganizationInvitationRequest
 */
class GetOrganizationInvitationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to retrieve the invitation
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationInvitationRequest, a, b);
    }
}
exports.GetOrganizationInvitationRequest = GetOrganizationInvitationRequest;
GetOrganizationInvitationRequest.runtime = protobuf_1.proto3;
GetOrganizationInvitationRequest.typeName = "gitpod.v1.GetOrganizationInvitationRequest";
GetOrganizationInvitationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetOrganizationInvitationResponse
 */
class GetOrganizationInvitationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the invitation ID for an Organization
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetOrganizationInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetOrganizationInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetOrganizationInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetOrganizationInvitationResponse, a, b);
    }
}
exports.GetOrganizationInvitationResponse = GetOrganizationInvitationResponse;
GetOrganizationInvitationResponse.runtime = protobuf_1.proto3;
GetOrganizationInvitationResponse.typeName = "gitpod.v1.GetOrganizationInvitationResponse";
GetOrganizationInvitationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.JoinOrganizationRequest
 */
class JoinOrganizationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the invitation ID for an Organization
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinOrganizationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinOrganizationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinOrganizationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(JoinOrganizationRequest, a, b);
    }
}
exports.JoinOrganizationRequest = JoinOrganizationRequest;
JoinOrganizationRequest.runtime = protobuf_1.proto3;
JoinOrganizationRequest.typeName = "gitpod.v1.JoinOrganizationRequest";
JoinOrganizationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.JoinOrganizationResponse
 */
class JoinOrganizationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the id of the organization the user has just joined
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new JoinOrganizationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new JoinOrganizationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new JoinOrganizationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(JoinOrganizationResponse, a, b);
    }
}
exports.JoinOrganizationResponse = JoinOrganizationResponse;
JoinOrganizationResponse.runtime = protobuf_1.proto3;
JoinOrganizationResponse.typeName = "gitpod.v1.JoinOrganizationResponse";
JoinOrganizationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResetOrganizationInvitationRequest
 */
class ResetOrganizationInvitationRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization to reset the invitation for.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetOrganizationInvitationRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetOrganizationInvitationRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetOrganizationInvitationRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ResetOrganizationInvitationRequest, a, b);
    }
}
exports.ResetOrganizationInvitationRequest = ResetOrganizationInvitationRequest;
ResetOrganizationInvitationRequest.runtime = protobuf_1.proto3;
ResetOrganizationInvitationRequest.typeName = "gitpod.v1.ResetOrganizationInvitationRequest";
ResetOrganizationInvitationRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ResetOrganizationInvitationResponse
 */
class ResetOrganizationInvitationResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * invitation_id is the new invitation id for the organization.
         *
         * @generated from field: string invitation_id = 1;
         */
        this.invitationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ResetOrganizationInvitationResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ResetOrganizationInvitationResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ResetOrganizationInvitationResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ResetOrganizationInvitationResponse, a, b);
    }
}
exports.ResetOrganizationInvitationResponse = ResetOrganizationInvitationResponse;
ResetOrganizationInvitationResponse.runtime = protobuf_1.proto3;
ResetOrganizationInvitationResponse.typeName = "gitpod.v1.ResetOrganizationInvitationResponse";
ResetOrganizationInvitationResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "invitation_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationMembersRequest
 */
class ListOrganizationMembersRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization that contains the members to
         * list
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationMembersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationMembersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationMembersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationMembersRequest, a, b);
    }
}
exports.ListOrganizationMembersRequest = ListOrganizationMembersRequest;
ListOrganizationMembersRequest.runtime = protobuf_1.proto3;
ListOrganizationMembersRequest.typeName = "gitpod.v1.ListOrganizationMembersRequest";
ListOrganizationMembersRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
]);
/**
 * @generated from message gitpod.v1.ListOrganizationMembersResponse
 */
class ListOrganizationMembersResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * members are the organization members of this Organization
         *
         * @generated from field: repeated gitpod.v1.OrganizationMember members = 1;
         */
        this.members = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListOrganizationMembersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListOrganizationMembersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListOrganizationMembersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListOrganizationMembersResponse, a, b);
    }
}
exports.ListOrganizationMembersResponse = ListOrganizationMembersResponse;
ListOrganizationMembersResponse.runtime = protobuf_1.proto3;
ListOrganizationMembersResponse.typeName = "gitpod.v1.ListOrganizationMembersResponse";
ListOrganizationMembersResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "members", kind: "message", T: OrganizationMember, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationMemberRequest
 */
class UpdateOrganizationMemberRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization in which the role is to be
         * updated
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * user_id is the user for which the membership shall be updated.
         *
         * @generated from field: string user_id = 2;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationMemberRequest, a, b);
    }
}
exports.UpdateOrganizationMemberRequest = UpdateOrganizationMemberRequest;
UpdateOrganizationMemberRequest.runtime = protobuf_1.proto3;
UpdateOrganizationMemberRequest.typeName = "gitpod.v1.UpdateOrganizationMemberRequest";
UpdateOrganizationMemberRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "role", kind: "enum", T: protobuf_1.proto3.getEnumType(OrganizationRole), opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateOrganizationMemberResponse
 */
class UpdateOrganizationMemberResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateOrganizationMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateOrganizationMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateOrganizationMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateOrganizationMemberResponse, a, b);
    }
}
exports.UpdateOrganizationMemberResponse = UpdateOrganizationMemberResponse;
UpdateOrganizationMemberResponse.runtime = protobuf_1.proto3;
UpdateOrganizationMemberResponse.typeName = "gitpod.v1.UpdateOrganizationMemberResponse";
UpdateOrganizationMemberResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "member", kind: "message", T: OrganizationMember },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationMemberRequest
 */
class DeleteOrganizationMemberRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * organization_id is the ID of the organization in which a member should be
         * deleted.
         *
         * @generated from field: string organization_id = 1;
         */
        this.organizationId = "";
        /**
         * user_id is the ID of the user that should be deleted from the organization.
         *
         * @generated from field: string user_id = 2;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationMemberRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationMemberRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationMemberRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteOrganizationMemberRequest, a, b);
    }
}
exports.DeleteOrganizationMemberRequest = DeleteOrganizationMemberRequest;
DeleteOrganizationMemberRequest.runtime = protobuf_1.proto3;
DeleteOrganizationMemberRequest.typeName = "gitpod.v1.DeleteOrganizationMemberRequest";
DeleteOrganizationMemberRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteOrganizationMemberResponse
 */
class DeleteOrganizationMemberResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteOrganizationMemberResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteOrganizationMemberResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteOrganizationMemberResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteOrganizationMemberResponse, a, b);
    }
}
exports.DeleteOrganizationMemberResponse = DeleteOrganizationMemberResponse;
DeleteOrganizationMemberResponse.runtime = protobuf_1.proto3;
DeleteOrganizationMemberResponse.typeName = "gitpod.v1.DeleteOrganizationMemberResponse";
DeleteOrganizationMemberResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
//# sourceMappingURL=organization_pb.js.map