/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.v1.PaginationRequest
 */
export declare class PaginationRequest extends Message<PaginationRequest> {
    /**
     * Page size is the maximum number of results to retrieve per page.
     * Defaults to 25. Maximum 100.
     *
     * @generated from field: int32 page_size = 1;
     */
    pageSize: number;
    /**
     * Page is the page number of results to retrieve.
     * The first page starts at 1.
     * Defaults to 1.
     *
     * @generated from field: int32 page = 2 [deprecated = true];
     * @deprecated
     */
    page: number;
    /**
     * Token for the next set of results that was returned as next_token of a
     * PaginationResponse
     *
     * @generated from field: string token = 3;
     */
    token: string;
    constructor(data?: PartialMessage<PaginationRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PaginationRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PaginationRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PaginationRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PaginationRequest;
    static equals(a: PaginationRequest | PlainMessage<PaginationRequest> | undefined, b: PaginationRequest | PlainMessage<PaginationRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.PaginationResponse
 */
export declare class PaginationResponse extends Message<PaginationResponse> {
    /**
     * Total is the total number of results available.
     *
     * @generated from field: int32 total = 1 [deprecated = true];
     * @deprecated
     */
    total: number;
    /**
     * Token passed for retreiving the next set of results. Empty if there are no
     * more results
     *
     * @generated from field: string next_token = 2;
     */
    nextToken: string;
    constructor(data?: PartialMessage<PaginationResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PaginationResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PaginationResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PaginationResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PaginationResponse;
    static equals(a: PaginationResponse | PlainMessage<PaginationResponse> | undefined, b: PaginationResponse | PlainMessage<PaginationResponse> | undefined): boolean;
}
//# sourceMappingURL=pagination_pb.d.ts.map