/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CancelPrebuildRequest, CancelPrebuildResponse, GetPrebuildRequest, GetPrebuildResponse, ListPrebuildsRequest, ListPrebuildsResponse, StartPrebuildRequest, StartPrebuildResponse, WatchPrebuildRequest, WatchPrebuildResponse } from "./prebuild_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.PrebuildService
 */
export declare const PrebuildService: {
    readonly typeName: "gitpod.v1.PrebuildService";
    readonly methods: {
        /**
         * @generated from rpc gitpod.v1.PrebuildService.StartPrebuild
         */
        readonly startPrebuild: {
            readonly name: "StartPrebuild";
            readonly I: typeof StartPrebuildRequest;
            readonly O: typeof StartPrebuildResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.v1.PrebuildService.CancelPrebuild
         */
        readonly cancelPrebuild: {
            readonly name: "CancelPrebuild";
            readonly I: typeof CancelPrebuildRequest;
            readonly O: typeof CancelPrebuildResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.v1.PrebuildService.GetPrebuild
         */
        readonly getPrebuild: {
            readonly name: "GetPrebuild";
            readonly I: typeof GetPrebuildRequest;
            readonly O: typeof GetPrebuildResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.v1.PrebuildService.ListPrebuilds
         */
        readonly listPrebuilds: {
            readonly name: "ListPrebuilds";
            readonly I: typeof ListPrebuildsRequest;
            readonly O: typeof ListPrebuildsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * @generated from rpc gitpod.v1.PrebuildService.WatchPrebuild
         */
        readonly watchPrebuild: {
            readonly name: "WatchPrebuild";
            readonly I: typeof WatchPrebuildRequest;
            readonly O: typeof WatchPrebuildResponse;
            readonly kind: MethodKind.ServerStreaming;
        };
    };
};
//# sourceMappingURL=prebuild_connect.d.ts.map