/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Commit } from "./scm_pb.js";
/**
 * @generated from message gitpod.v1.GetPrebuildRequest
 */
export declare class GetPrebuildRequest extends Message<GetPrebuildRequest> {
    /**
     * @generated from field: string prebuild_id = 1;
     */
    prebuildId: string;
    constructor(data?: PartialMessage<GetPrebuildRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetPrebuildRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetPrebuildRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetPrebuildRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetPrebuildRequest;
    static equals(a: GetPrebuildRequest | PlainMessage<GetPrebuildRequest> | undefined, b: GetPrebuildRequest | PlainMessage<GetPrebuildRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetPrebuildResponse
 */
export declare class GetPrebuildResponse extends Message<GetPrebuildResponse> {
    /**
     * @generated from field: gitpod.v1.Prebuild prebuild = 1;
     */
    prebuild?: Prebuild;
    constructor(data?: PartialMessage<GetPrebuildResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetPrebuildResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetPrebuildResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetPrebuildResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetPrebuildResponse;
    static equals(a: GetPrebuildResponse | PlainMessage<GetPrebuildResponse> | undefined, b: GetPrebuildResponse | PlainMessage<GetPrebuildResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListPrebuildsRequest
 */
export declare class ListPrebuildsRequest extends Message<ListPrebuildsRequest> {
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    /**
     * it is for backward compatiblity with the current dashboard, use prebuild_id instead
     *
     * @generated from field: string workspace_id = 2 [deprecated = true];
     * @deprecated
     */
    workspaceId: string;
    /**
     * @generated from field: string configuration_id = 3;
     */
    configurationId: string;
    /**
     * @generated from field: string git_ref = 4;
     */
    gitRef: string;
    constructor(data?: PartialMessage<ListPrebuildsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListPrebuildsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListPrebuildsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListPrebuildsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListPrebuildsRequest;
    static equals(a: ListPrebuildsRequest | PlainMessage<ListPrebuildsRequest> | undefined, b: ListPrebuildsRequest | PlainMessage<ListPrebuildsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListPrebuildsResponse
 */
export declare class ListPrebuildsResponse extends Message<ListPrebuildsResponse> {
    /**
     * @generated from field: gitpod.v1.PaginationResponse pagination = 1;
     */
    pagination?: PaginationResponse;
    /**
     * @generated from field: repeated gitpod.v1.Prebuild prebuilds = 2;
     */
    prebuilds: Prebuild[];
    constructor(data?: PartialMessage<ListPrebuildsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListPrebuildsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListPrebuildsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListPrebuildsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListPrebuildsResponse;
    static equals(a: ListPrebuildsResponse | PlainMessage<ListPrebuildsResponse> | undefined, b: ListPrebuildsResponse | PlainMessage<ListPrebuildsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.StartPrebuildRequest
 */
export declare class StartPrebuildRequest extends Message<StartPrebuildRequest> {
    /**
     * @generated from field: string configuration_id = 1;
     */
    configurationId: string;
    /**
     * @generated from field: string git_ref = 2;
     */
    gitRef: string;
    constructor(data?: PartialMessage<StartPrebuildRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.StartPrebuildRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): StartPrebuildRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): StartPrebuildRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): StartPrebuildRequest;
    static equals(a: StartPrebuildRequest | PlainMessage<StartPrebuildRequest> | undefined, b: StartPrebuildRequest | PlainMessage<StartPrebuildRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.StartPrebuildResponse
 */
export declare class StartPrebuildResponse extends Message<StartPrebuildResponse> {
    /**
     * @generated from field: string prebuild_id = 1;
     */
    prebuildId: string;
    constructor(data?: PartialMessage<StartPrebuildResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.StartPrebuildResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): StartPrebuildResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): StartPrebuildResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): StartPrebuildResponse;
    static equals(a: StartPrebuildResponse | PlainMessage<StartPrebuildResponse> | undefined, b: StartPrebuildResponse | PlainMessage<StartPrebuildResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CancelPrebuildRequest
 */
export declare class CancelPrebuildRequest extends Message<CancelPrebuildRequest> {
    /**
     * @generated from field: string prebuild_id = 1;
     */
    prebuildId: string;
    constructor(data?: PartialMessage<CancelPrebuildRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CancelPrebuildRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CancelPrebuildRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CancelPrebuildRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CancelPrebuildRequest;
    static equals(a: CancelPrebuildRequest | PlainMessage<CancelPrebuildRequest> | undefined, b: CancelPrebuildRequest | PlainMessage<CancelPrebuildRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CancelPrebuildResponse
 */
export declare class CancelPrebuildResponse extends Message<CancelPrebuildResponse> {
    constructor(data?: PartialMessage<CancelPrebuildResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CancelPrebuildResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CancelPrebuildResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CancelPrebuildResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CancelPrebuildResponse;
    static equals(a: CancelPrebuildResponse | PlainMessage<CancelPrebuildResponse> | undefined, b: CancelPrebuildResponse | PlainMessage<CancelPrebuildResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.WatchPrebuildRequest
 */
export declare class WatchPrebuildRequest extends Message<WatchPrebuildRequest> {
    /**
     * @generated from oneof gitpod.v1.WatchPrebuildRequest.scope
     */
    scope: {
        /**
         * @generated from field: string prebuild_id = 1;
         */
        value: string;
        case: "prebuildId";
    } | {
        /**
         * @generated from field: string configuration_id = 2;
         */
        value: string;
        case: "configurationId";
    } | {
        case: undefined;
        value?: undefined;
    };
    constructor(data?: PartialMessage<WatchPrebuildRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.WatchPrebuildRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): WatchPrebuildRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): WatchPrebuildRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): WatchPrebuildRequest;
    static equals(a: WatchPrebuildRequest | PlainMessage<WatchPrebuildRequest> | undefined, b: WatchPrebuildRequest | PlainMessage<WatchPrebuildRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.WatchPrebuildResponse
 */
export declare class WatchPrebuildResponse extends Message<WatchPrebuildResponse> {
    /**
     * @generated from field: gitpod.v1.Prebuild prebuild = 1;
     */
    prebuild?: Prebuild;
    constructor(data?: PartialMessage<WatchPrebuildResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.WatchPrebuildResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): WatchPrebuildResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): WatchPrebuildResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): WatchPrebuildResponse;
    static equals(a: WatchPrebuildResponse | PlainMessage<WatchPrebuildResponse> | undefined, b: WatchPrebuildResponse | PlainMessage<WatchPrebuildResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.Prebuild
 */
export declare class Prebuild extends Message<Prebuild> {
    /**
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * it is for backward compatiblity with the current dashboard, use id instead
     *
     * @generated from field: string workspace_id = 2 [deprecated = true];
     * @deprecated
     */
    workspaceId: string;
    /**
     * @generated from field: string based_on_prebuild_id = 3;
     */
    basedOnPrebuildId: string;
    /**
     * @generated from field: string configuration_id = 4;
     */
    configurationId: string;
    /**
     * @generated from field: string ref = 5;
     */
    ref: string;
    /**
     * @generated from field: gitpod.v1.Commit commit = 6;
     */
    commit?: Commit;
    /**
     * @generated from field: string context_url = 7;
     */
    contextUrl: string;
    /**
     * @generated from field: gitpod.v1.PrebuildStatus status = 8;
     */
    status?: PrebuildStatus;
    constructor(data?: PartialMessage<Prebuild>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.Prebuild";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Prebuild;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Prebuild;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Prebuild;
    static equals(a: Prebuild | PlainMessage<Prebuild> | undefined, b: Prebuild | PlainMessage<Prebuild> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.PrebuildStatus
 */
export declare class PrebuildStatus extends Message<PrebuildStatus> {
    /**
     * @generated from field: gitpod.v1.PrebuildPhase phase = 1;
     */
    phase?: PrebuildPhase;
    /**
     * @generated from field: google.protobuf.Timestamp start_time = 2;
     */
    startTime?: Timestamp;
    /**
     * message is an optional human-readable message detailing the current phase
     *
     * @generated from field: string message = 3;
     */
    message: string;
    constructor(data?: PartialMessage<PrebuildStatus>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PrebuildStatus";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PrebuildStatus;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PrebuildStatus;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PrebuildStatus;
    static equals(a: PrebuildStatus | PlainMessage<PrebuildStatus> | undefined, b: PrebuildStatus | PlainMessage<PrebuildStatus> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.PrebuildPhase
 */
export declare class PrebuildPhase extends Message<PrebuildPhase> {
    /**
     * @generated from field: gitpod.v1.PrebuildPhase.Phase name = 1;
     */
    name: PrebuildPhase_Phase;
    constructor(data?: PartialMessage<PrebuildPhase>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.PrebuildPhase";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): PrebuildPhase;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): PrebuildPhase;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): PrebuildPhase;
    static equals(a: PrebuildPhase | PlainMessage<PrebuildPhase> | undefined, b: PrebuildPhase | PlainMessage<PrebuildPhase> | undefined): boolean;
}
/**
 * @generated from enum gitpod.v1.PrebuildPhase.Phase
 */
export declare enum PrebuildPhase_Phase {
    /**
     * @generated from enum value: PHASE_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: PHASE_QUEUED = 1;
     */
    QUEUED = 1,
    /**
     * @generated from enum value: PHASE_BUILDING = 2;
     */
    BUILDING = 2,
    /**
     * @generated from enum value: PHASE_ABORTED = 3;
     */
    ABORTED = 3,
    /**
     * @generated from enum value: PHASE_TIMEOUT = 4;
     */
    TIMEOUT = 4,
    /**
     * @generated from enum value: PHASE_AVAILABLE = 5;
     */
    AVAILABLE = 5,
    /**
     * @generated from enum value: PHASE_FAILED = 6;
     */
    FAILED = 6
}
//# sourceMappingURL=prebuild_pb.d.ts.map