/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { GuessTokenScopesRequest, GuessTokenScopesResponse, ListSuggestedRepositoriesRequest, ListSuggestedRepositoriesResponse, SearchRepositoriesRequest, SearchRepositoriesResponse, SearchSCMTokensRequest, SearchSCMTokensResponse } from "./scm_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.SCMService
 */
export declare const SCMService: {
    readonly typeName: "gitpod.v1.SCMService";
    readonly methods: {
        /**
         * SearchSCMTokens allows clients to retrieve SCM tokens based on the
         * specified host.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchSCMTokens
         */
        readonly searchSCMTokens: {
            readonly name: "SearchSCMTokens";
            readonly I: typeof SearchSCMTokensRequest;
            readonly O: typeof SearchSCMTokensResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GuessTokenScopes allows clients to retrieve scopes their SCM token would
         * require for the specified git command.
         *
         * @generated from rpc gitpod.v1.SCMService.GuessTokenScopes
         */
        readonly guessTokenScopes: {
            readonly name: "GuessTokenScopes";
            readonly I: typeof GuessTokenScopesRequest;
            readonly O: typeof GuessTokenScopesResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * SearchRepositories allows clients to search for suggested repositories of
         * SCM providers they are connected with.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchRepositories
         */
        readonly searchRepositories: {
            readonly name: "SearchRepositories";
            readonly I: typeof SearchRepositoriesRequest;
            readonly O: typeof SearchRepositoriesResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListSuggestedRepositories allows clients to list suggested repositories
         * based on recent workspaces and accessible repo configurations.
         *
         * @generated from rpc gitpod.v1.SCMService.ListSuggestedRepositories
         */
        readonly listSuggestedRepositories: {
            readonly name: "ListSuggestedRepositories";
            readonly I: typeof ListSuggestedRepositoriesRequest;
            readonly O: typeof ListSuggestedRepositoriesResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=scm_connect.d.ts.map