"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCMService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/scm.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const scm_pb_js_1 = require("./scm_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.SCMService
 */
exports.SCMService = {
    typeName: "gitpod.v1.SCMService",
    methods: {
        /**
         * SearchSCMTokens allows clients to retrieve SCM tokens based on the
         * specified host.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchSCMTokens
         */
        searchSCMTokens: {
            name: "SearchSCMTokens",
            I: scm_pb_js_1.SearchSCMTokensRequest,
            O: scm_pb_js_1.SearchSCMTokensResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GuessTokenScopes allows clients to retrieve scopes their SCM token would
         * require for the specified git command.
         *
         * @generated from rpc gitpod.v1.SCMService.GuessTokenScopes
         */
        guessTokenScopes: {
            name: "GuessTokenScopes",
            I: scm_pb_js_1.GuessTokenScopesRequest,
            O: scm_pb_js_1.GuessTokenScopesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * SearchRepositories allows clients to search for suggested repositories of
         * SCM providers they are connected with.
         *
         * @generated from rpc gitpod.v1.SCMService.SearchRepositories
         */
        searchRepositories: {
            name: "SearchRepositories",
            I: scm_pb_js_1.SearchRepositoriesRequest,
            O: scm_pb_js_1.SearchRepositoriesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListSuggestedRepositories allows clients to list suggested repositories
         * based on recent workspaces and accessible repo configurations.
         *
         * @generated from rpc gitpod.v1.SCMService.ListSuggestedRepositories
         */
        listSuggestedRepositories: {
            name: "ListSuggestedRepositories",
            I: scm_pb_js_1.ListSuggestedRepositoriesRequest,
            O: scm_pb_js_1.ListSuggestedRepositoriesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=scm_connect.js.map