/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
/**
 * @generated from message gitpod.v1.SearchSCMTokensRequest
 */
export declare class SearchSCMTokensRequest extends Message<SearchSCMTokensRequest> {
    /**
     * @generated from field: string host = 1;
     */
    host: string;
    constructor(data?: PartialMessage<SearchSCMTokensRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SearchSCMTokensRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SearchSCMTokensRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SearchSCMTokensRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SearchSCMTokensRequest;
    static equals(a: SearchSCMTokensRequest | PlainMessage<SearchSCMTokensRequest> | undefined, b: SearchSCMTokensRequest | PlainMessage<SearchSCMTokensRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SearchSCMTokensResponse
 */
export declare class SearchSCMTokensResponse extends Message<SearchSCMTokensResponse> {
    /**
     * @generated from field: repeated gitpod.v1.SCMToken tokens = 1;
     */
    tokens: SCMToken[];
    constructor(data?: PartialMessage<SearchSCMTokensResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SearchSCMTokensResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SearchSCMTokensResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SearchSCMTokensResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SearchSCMTokensResponse;
    static equals(a: SearchSCMTokensResponse | PlainMessage<SearchSCMTokensResponse> | undefined, b: SearchSCMTokensResponse | PlainMessage<SearchSCMTokensResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GuessTokenScopesRequest
 */
export declare class GuessTokenScopesRequest extends Message<GuessTokenScopesRequest> {
    /**
     * @generated from field: string host = 1;
     */
    host: string;
    /**
     * @generated from field: string repo_url = 2;
     */
    repoUrl: string;
    /**
     * @generated from field: string git_command = 3;
     */
    gitCommand: string;
    constructor(data?: PartialMessage<GuessTokenScopesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GuessTokenScopesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GuessTokenScopesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GuessTokenScopesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GuessTokenScopesRequest;
    static equals(a: GuessTokenScopesRequest | PlainMessage<GuessTokenScopesRequest> | undefined, b: GuessTokenScopesRequest | PlainMessage<GuessTokenScopesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GuessTokenScopesResponse
 */
export declare class GuessTokenScopesResponse extends Message<GuessTokenScopesResponse> {
    /**
     * @generated from field: repeated string scopes = 1;
     */
    scopes: string[];
    /**
     * @generated from field: string message = 2;
     */
    message: string;
    constructor(data?: PartialMessage<GuessTokenScopesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GuessTokenScopesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GuessTokenScopesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GuessTokenScopesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GuessTokenScopesResponse;
    static equals(a: GuessTokenScopesResponse | PlainMessage<GuessTokenScopesResponse> | undefined, b: GuessTokenScopesResponse | PlainMessage<GuessTokenScopesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SearchRepositoriesRequest
 */
export declare class SearchRepositoriesRequest extends Message<SearchRepositoriesRequest> {
    /**
     * @generated from field: string search_string = 1;
     */
    searchString: string;
    /**
     * @generated from field: int32 limit = 2;
     */
    limit: number;
    constructor(data?: PartialMessage<SearchRepositoriesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SearchRepositoriesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SearchRepositoriesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SearchRepositoriesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SearchRepositoriesRequest;
    static equals(a: SearchRepositoriesRequest | PlainMessage<SearchRepositoriesRequest> | undefined, b: SearchRepositoriesRequest | PlainMessage<SearchRepositoriesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SearchRepositoriesResponse
 */
export declare class SearchRepositoriesResponse extends Message<SearchRepositoriesResponse> {
    /**
     * @generated from field: repeated gitpod.v1.SuggestedRepository repositories = 1;
     */
    repositories: SuggestedRepository[];
    constructor(data?: PartialMessage<SearchRepositoriesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SearchRepositoriesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SearchRepositoriesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SearchRepositoriesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SearchRepositoriesResponse;
    static equals(a: SearchRepositoriesResponse | PlainMessage<SearchRepositoriesResponse> | undefined, b: SearchRepositoriesResponse | PlainMessage<SearchRepositoriesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListSuggestedRepositoriesRequest
 */
export declare class ListSuggestedRepositoriesRequest extends Message<ListSuggestedRepositoriesRequest> {
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    /**
     * @generated from field: string organization_id = 2;
     */
    organizationId: string;
    constructor(data?: PartialMessage<ListSuggestedRepositoriesRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListSuggestedRepositoriesRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSuggestedRepositoriesRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSuggestedRepositoriesRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSuggestedRepositoriesRequest;
    static equals(a: ListSuggestedRepositoriesRequest | PlainMessage<ListSuggestedRepositoriesRequest> | undefined, b: ListSuggestedRepositoriesRequest | PlainMessage<ListSuggestedRepositoriesRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListSuggestedRepositoriesResponse
 */
export declare class ListSuggestedRepositoriesResponse extends Message<ListSuggestedRepositoriesResponse> {
    /**
     * @generated from field: gitpod.v1.PaginationResponse pagination = 1;
     */
    pagination?: PaginationResponse;
    /**
     * @generated from field: repeated gitpod.v1.SuggestedRepository repositories = 2;
     */
    repositories: SuggestedRepository[];
    constructor(data?: PartialMessage<ListSuggestedRepositoriesResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListSuggestedRepositoriesResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSuggestedRepositoriesResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSuggestedRepositoriesResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSuggestedRepositoriesResponse;
    static equals(a: ListSuggestedRepositoriesResponse | PlainMessage<ListSuggestedRepositoriesResponse> | undefined, b: ListSuggestedRepositoriesResponse | PlainMessage<ListSuggestedRepositoriesResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SCMToken
 */
export declare class SCMToken extends Message<SCMToken> {
    /**
     * @generated from field: string username = 1;
     */
    username: string;
    /**
     * @generated from field: string value = 2;
     */
    value: string;
    /**
     * @generated from field: string id_token = 3;
     */
    idToken: string;
    /**
     * @generated from field: string refresh_token = 4;
     */
    refreshToken: string;
    /**
     * @generated from field: repeated string scopes = 5;
     */
    scopes: string[];
    /**
     * @generated from field: google.protobuf.Timestamp update_date = 6;
     */
    updateDate?: Timestamp;
    /**
     * @generated from field: google.protobuf.Timestamp expiry_date = 7;
     */
    expiryDate?: Timestamp;
    constructor(data?: PartialMessage<SCMToken>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SCMToken";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SCMToken;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SCMToken;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SCMToken;
    static equals(a: SCMToken | PlainMessage<SCMToken> | undefined, b: SCMToken | PlainMessage<SCMToken> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SuggestedRepository
 */
export declare class SuggestedRepository extends Message<SuggestedRepository> {
    /**
     * @generated from field: string url = 1;
     */
    url: string;
    /**
     * @generated from field: string repo_name = 2;
     */
    repoName: string;
    /**
     * @generated from field: string configuration_id = 3;
     */
    configurationId: string;
    /**
     * @generated from field: string configuration_name = 4;
     */
    configurationName: string;
    constructor(data?: PartialMessage<SuggestedRepository>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SuggestedRepository";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SuggestedRepository;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SuggestedRepository;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SuggestedRepository;
    static equals(a: SuggestedRepository | PlainMessage<SuggestedRepository> | undefined, b: SuggestedRepository | PlainMessage<SuggestedRepository> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.Author
 */
export declare class Author extends Message<Author> {
    /**
     * @generated from field: string name = 1;
     */
    name: string;
    /**
     * @generated from field: string avatar_url = 2;
     */
    avatarUrl: string;
    constructor(data?: PartialMessage<Author>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.Author";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Author;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Author;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Author;
    static equals(a: Author | PlainMessage<Author> | undefined, b: Author | PlainMessage<Author> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.Commit
 */
export declare class Commit extends Message<Commit> {
    /**
     * @generated from field: string message = 1;
     */
    message: string;
    /**
     * @generated from field: gitpod.v1.Author author = 2;
     */
    author?: Author;
    /**
     * @generated from field: google.protobuf.Timestamp author_date = 3;
     */
    authorDate?: Timestamp;
    /**
     * @generated from field: string sha = 4;
     */
    sha: string;
    constructor(data?: PartialMessage<Commit>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.Commit";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Commit;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Commit;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Commit;
    static equals(a: Commit | PlainMessage<Commit> | undefined, b: Commit | PlainMessage<Commit> | undefined): boolean;
}
//# sourceMappingURL=scm_pb.d.ts.map