"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Commit = exports.Author = exports.SuggestedRepository = exports.SCMToken = exports.ListSuggestedRepositoriesResponse = exports.ListSuggestedRepositoriesRequest = exports.SearchRepositoriesResponse = exports.SearchRepositoriesRequest = exports.GuessTokenScopesResponse = exports.GuessTokenScopesRequest = exports.SearchSCMTokensResponse = exports.SearchSCMTokensRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const pagination_pb_js_1 = require("./pagination_pb.js");
/**
 * @generated from message gitpod.v1.SearchSCMTokensRequest
 */
class SearchSCMTokensRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string host = 1;
         */
        this.host = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SearchSCMTokensRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SearchSCMTokensRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SearchSCMTokensRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SearchSCMTokensRequest, a, b);
    }
}
exports.SearchSCMTokensRequest = SearchSCMTokensRequest;
SearchSCMTokensRequest.runtime = protobuf_1.proto3;
SearchSCMTokensRequest.typeName = "gitpod.v1.SearchSCMTokensRequest";
SearchSCMTokensRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.SearchSCMTokensResponse
 */
class SearchSCMTokensResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.SCMToken tokens = 1;
         */
        this.tokens = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SearchSCMTokensResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SearchSCMTokensResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SearchSCMTokensResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SearchSCMTokensResponse, a, b);
    }
}
exports.SearchSCMTokensResponse = SearchSCMTokensResponse;
SearchSCMTokensResponse.runtime = protobuf_1.proto3;
SearchSCMTokensResponse.typeName = "gitpod.v1.SearchSCMTokensResponse";
SearchSCMTokensResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "tokens", kind: "message", T: SCMToken, repeated: true },
]);
/**
 * @generated from message gitpod.v1.GuessTokenScopesRequest
 */
class GuessTokenScopesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string host = 1;
         */
        this.host = "";
        /**
         * @generated from field: string repo_url = 2;
         */
        this.repoUrl = "";
        /**
         * @generated from field: string git_command = 3;
         */
        this.gitCommand = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GuessTokenScopesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GuessTokenScopesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GuessTokenScopesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GuessTokenScopesRequest, a, b);
    }
}
exports.GuessTokenScopesRequest = GuessTokenScopesRequest;
GuessTokenScopesRequest.runtime = protobuf_1.proto3;
GuessTokenScopesRequest.typeName = "gitpod.v1.GuessTokenScopesRequest";
GuessTokenScopesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "host", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "repo_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "git_command", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GuessTokenScopesResponse
 */
class GuessTokenScopesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated string scopes = 1;
         */
        this.scopes = [];
        /**
         * @generated from field: string message = 2;
         */
        this.message = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GuessTokenScopesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GuessTokenScopesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GuessTokenScopesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GuessTokenScopesResponse, a, b);
    }
}
exports.GuessTokenScopesResponse = GuessTokenScopesResponse;
GuessTokenScopesResponse.runtime = protobuf_1.proto3;
GuessTokenScopesResponse.typeName = "gitpod.v1.GuessTokenScopesResponse";
GuessTokenScopesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 2, name: "message", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.SearchRepositoriesRequest
 */
class SearchRepositoriesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string search_string = 1;
         */
        this.searchString = "";
        /**
         * @generated from field: int32 limit = 2;
         */
        this.limit = 0;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SearchRepositoriesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SearchRepositoriesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SearchRepositoriesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SearchRepositoriesRequest, a, b);
    }
}
exports.SearchRepositoriesRequest = SearchRepositoriesRequest;
SearchRepositoriesRequest.runtime = protobuf_1.proto3;
SearchRepositoriesRequest.typeName = "gitpod.v1.SearchRepositoriesRequest";
SearchRepositoriesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "search_string", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "limit", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
]);
/**
 * @generated from message gitpod.v1.SearchRepositoriesResponse
 */
class SearchRepositoriesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.SuggestedRepository repositories = 1;
         */
        this.repositories = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SearchRepositoriesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SearchRepositoriesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SearchRepositoriesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SearchRepositoriesResponse, a, b);
    }
}
exports.SearchRepositoriesResponse = SearchRepositoriesResponse;
SearchRepositoriesResponse.runtime = protobuf_1.proto3;
SearchRepositoriesResponse.typeName = "gitpod.v1.SearchRepositoriesResponse";
SearchRepositoriesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "repositories", kind: "message", T: SuggestedRepository, repeated: true },
]);
/**
 * @generated from message gitpod.v1.ListSuggestedRepositoriesRequest
 */
class ListSuggestedRepositoriesRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSuggestedRepositoriesRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSuggestedRepositoriesRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSuggestedRepositoriesRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListSuggestedRepositoriesRequest, a, b);
    }
}
exports.ListSuggestedRepositoriesRequest = ListSuggestedRepositoriesRequest;
ListSuggestedRepositoriesRequest.runtime = protobuf_1.proto3;
ListSuggestedRepositoriesRequest.typeName = "gitpod.v1.ListSuggestedRepositoriesRequest";
ListSuggestedRepositoriesRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.ListSuggestedRepositoriesResponse
 */
class ListSuggestedRepositoriesResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.SuggestedRepository repositories = 2;
         */
        this.repositories = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListSuggestedRepositoriesResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListSuggestedRepositoriesResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListSuggestedRepositoriesResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListSuggestedRepositoriesResponse, a, b);
    }
}
exports.ListSuggestedRepositoriesResponse = ListSuggestedRepositoriesResponse;
ListSuggestedRepositoriesResponse.runtime = protobuf_1.proto3;
ListSuggestedRepositoriesResponse.typeName = "gitpod.v1.ListSuggestedRepositoriesResponse";
ListSuggestedRepositoriesResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
    { no: 2, name: "repositories", kind: "message", T: SuggestedRepository, repeated: true },
]);
/**
 * @generated from message gitpod.v1.SCMToken
 */
class SCMToken extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string username = 1;
         */
        this.username = "";
        /**
         * @generated from field: string value = 2;
         */
        this.value = "";
        /**
         * @generated from field: string id_token = 3;
         */
        this.idToken = "";
        /**
         * @generated from field: string refresh_token = 4;
         */
        this.refreshToken = "";
        /**
         * @generated from field: repeated string scopes = 5;
         */
        this.scopes = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SCMToken().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SCMToken().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SCMToken().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SCMToken, a, b);
    }
}
exports.SCMToken = SCMToken;
SCMToken.runtime = protobuf_1.proto3;
SCMToken.typeName = "gitpod.v1.SCMToken";
SCMToken.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "username", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "value", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "id_token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "refresh_token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "scopes", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 6, name: "update_date", kind: "message", T: protobuf_1.Timestamp },
    { no: 7, name: "expiry_date", kind: "message", T: protobuf_1.Timestamp },
]);
/**
 * @generated from message gitpod.v1.SuggestedRepository
 */
class SuggestedRepository extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string url = 1;
         */
        this.url = "";
        /**
         * @generated from field: string repo_name = 2;
         */
        this.repoName = "";
        /**
         * @generated from field: string configuration_id = 3;
         */
        this.configurationId = "";
        /**
         * @generated from field: string configuration_name = 4;
         */
        this.configurationName = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SuggestedRepository().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SuggestedRepository().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SuggestedRepository().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SuggestedRepository, a, b);
    }
}
exports.SuggestedRepository = SuggestedRepository;
SuggestedRepository.runtime = protobuf_1.proto3;
SuggestedRepository.typeName = "gitpod.v1.SuggestedRepository";
SuggestedRepository.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "repo_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "configuration_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "configuration_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.Author
 */
class Author extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string name = 1;
         */
        this.name = "";
        /**
         * @generated from field: string avatar_url = 2;
         */
        this.avatarUrl = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Author().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Author().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Author().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Author, a, b);
    }
}
exports.Author = Author;
Author.runtime = protobuf_1.proto3;
Author.typeName = "gitpod.v1.Author";
Author.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.Commit
 */
class Commit extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string message = 1;
         */
        this.message = "";
        /**
         * @generated from field: string sha = 4;
         */
        this.sha = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Commit().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Commit().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Commit().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Commit, a, b);
    }
}
exports.Commit = Commit;
Commit.runtime = protobuf_1.proto3;
Commit.typeName = "gitpod.v1.Commit";
Commit.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "message", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "author", kind: "message", T: Author },
    { no: 3, name: "author_date", kind: "message", T: protobuf_1.Timestamp },
    { no: 4, name: "sha", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=scm_pb.js.map