/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from enum gitpod.v1.SortOrder
 */
export declare enum SortOrder {
    /**
     * @generated from enum value: SORT_ORDER_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: SORT_ORDER_ASC = 1;
     */
    ASC = 1,
    /**
     * @generated from enum value: SORT_ORDER_DESC = 2;
     */
    DESC = 2
}
/**
 * @generated from message gitpod.v1.Sort
 */
export declare class Sort extends Message<Sort> {
    /**
     * Field name to sort by, in camelCase.
     *
     * @generated from field: string field = 1;
     */
    field: string;
    /**
     * @generated from field: gitpod.v1.SortOrder order = 2;
     */
    order: SortOrder;
    constructor(data?: PartialMessage<Sort>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.Sort";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Sort;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Sort;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Sort;
    static equals(a: Sort | PlainMessage<Sort> | undefined, b: Sort | PlainMessage<Sort> | undefined): boolean;
}
//# sourceMappingURL=sorting_pb.d.ts.map