"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sort = exports.SortOrder = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from enum gitpod.v1.SortOrder
 */
var SortOrder;
(function (SortOrder) {
    /**
     * @generated from enum value: SORT_ORDER_UNSPECIFIED = 0;
     */
    SortOrder[SortOrder["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: SORT_ORDER_ASC = 1;
     */
    SortOrder[SortOrder["ASC"] = 1] = "ASC";
    /**
     * @generated from enum value: SORT_ORDER_DESC = 2;
     */
    SortOrder[SortOrder["DESC"] = 2] = "DESC";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
// Retrieve enum metadata with: proto3.getEnumType(SortOrder)
protobuf_1.proto3.util.setEnumType(SortOrder, "gitpod.v1.SortOrder", [
    { no: 0, name: "SORT_ORDER_UNSPECIFIED" },
    { no: 1, name: "SORT_ORDER_ASC" },
    { no: 2, name: "SORT_ORDER_DESC" },
]);
/**
 * @generated from message gitpod.v1.Sort
 */
class Sort extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * Field name to sort by, in camelCase.
         *
         * @generated from field: string field = 1;
         */
        this.field = "";
        /**
         * @generated from field: gitpod.v1.SortOrder order = 2;
         */
        this.order = SortOrder.UNSPECIFIED;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Sort().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Sort().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Sort().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Sort, a, b);
    }
}
exports.Sort = Sort;
Sort.runtime = protobuf_1.proto3;
Sort.typeName = "gitpod.v1.Sort";
Sort.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "field", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "order", kind: "enum", T: protobuf_1.proto3.getEnumType(SortOrder) },
]);
//# sourceMappingURL=sorting_pb.js.map