/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { CreateSSHPublicKeyRequest, CreateSSHPublicKeyResponse, DeleteSSHPublicKeyRequest, DeleteSSHPublicKeyResponse, ListSSHPublicKeysRequest, ListSSHPublicKeysResponse } from "./ssh_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.SSHService
 */
export declare const SSHService: {
    readonly typeName: "gitpod.v1.SSHService";
    readonly methods: {
        /**
         * ListSSHPublicKeys returns all the ssh public keys for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.SSHService.ListSSHPublicKeys
         */
        readonly listSSHPublicKeys: {
            readonly name: "ListSSHPublicKeys";
            readonly I: typeof ListSSHPublicKeysRequest;
            readonly O: typeof ListSSHPublicKeysResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * CreateSSHPublicKeys creates an ssh public key for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.SSHService.CreateSSHPublicKey
         */
        readonly createSSHPublicKey: {
            readonly name: "CreateSSHPublicKey";
            readonly I: typeof CreateSSHPublicKeyRequest;
            readonly O: typeof CreateSSHPublicKeyResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteSSHPublicKeys deletes an ssh public key for the
         * authenticated user.
         *
         * @generated from rpc gitpod.v1.SSHService.DeleteSSHPublicKey
         */
        readonly deleteSSHPublicKey: {
            readonly name: "DeleteSSHPublicKey";
            readonly I: typeof DeleteSSHPublicKeyRequest;
            readonly O: typeof DeleteSSHPublicKeyResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=ssh_connect.d.ts.map