/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { PaginationRequest } from "./pagination_pb.js";
/**
 * @generated from message gitpod.v1.SSHPublicKey
 */
export declare class SSHPublicKey extends Message<SSHPublicKey> {
    /**
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * @generated from field: string name = 2;
     */
    name: string;
    /**
     * @generated from field: string key = 3;
     */
    key: string;
    /**
     * @generated from field: string fingerprint = 4;
     */
    fingerprint: string;
    /**
     * @generated from field: google.protobuf.Timestamp creation_time = 5;
     */
    creationTime?: Timestamp;
    /**
     * @generated from field: google.protobuf.Timestamp last_used_time = 6;
     */
    lastUsedTime?: Timestamp;
    constructor(data?: PartialMessage<SSHPublicKey>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SSHPublicKey";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SSHPublicKey;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SSHPublicKey;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SSHPublicKey;
    static equals(a: SSHPublicKey | PlainMessage<SSHPublicKey> | undefined, b: SSHPublicKey | PlainMessage<SSHPublicKey> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListSSHPublicKeysRequest
 */
export declare class ListSSHPublicKeysRequest extends Message<ListSSHPublicKeysRequest> {
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 1;
     */
    pagination?: PaginationRequest;
    constructor(data?: PartialMessage<ListSSHPublicKeysRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListSSHPublicKeysRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSSHPublicKeysRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSSHPublicKeysRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSSHPublicKeysRequest;
    static equals(a: ListSSHPublicKeysRequest | PlainMessage<ListSSHPublicKeysRequest> | undefined, b: ListSSHPublicKeysRequest | PlainMessage<ListSSHPublicKeysRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListSSHPublicKeysResponse
 */
export declare class ListSSHPublicKeysResponse extends Message<ListSSHPublicKeysResponse> {
    /**
     * @generated from field: repeated gitpod.v1.SSHPublicKey ssh_keys = 1;
     */
    sshKeys: SSHPublicKey[];
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 2;
     */
    pagination?: PaginationRequest;
    constructor(data?: PartialMessage<ListSSHPublicKeysResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListSSHPublicKeysResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListSSHPublicKeysResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListSSHPublicKeysResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListSSHPublicKeysResponse;
    static equals(a: ListSSHPublicKeysResponse | PlainMessage<ListSSHPublicKeysResponse> | undefined, b: ListSSHPublicKeysResponse | PlainMessage<ListSSHPublicKeysResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateSSHPublicKeyRequest
 */
export declare class CreateSSHPublicKeyRequest extends Message<CreateSSHPublicKeyRequest> {
    /**
     * @generated from field: string name = 1;
     */
    name: string;
    /**
     * @generated from field: string key = 2;
     */
    key: string;
    constructor(data?: PartialMessage<CreateSSHPublicKeyRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateSSHPublicKeyRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateSSHPublicKeyRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateSSHPublicKeyRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateSSHPublicKeyRequest;
    static equals(a: CreateSSHPublicKeyRequest | PlainMessage<CreateSSHPublicKeyRequest> | undefined, b: CreateSSHPublicKeyRequest | PlainMessage<CreateSSHPublicKeyRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateSSHPublicKeyResponse
 */
export declare class CreateSSHPublicKeyResponse extends Message<CreateSSHPublicKeyResponse> {
    /**
     * @generated from field: gitpod.v1.SSHPublicKey ssh_key = 1;
     */
    sshKey?: SSHPublicKey;
    constructor(data?: PartialMessage<CreateSSHPublicKeyResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateSSHPublicKeyResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateSSHPublicKeyResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateSSHPublicKeyResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateSSHPublicKeyResponse;
    static equals(a: CreateSSHPublicKeyResponse | PlainMessage<CreateSSHPublicKeyResponse> | undefined, b: CreateSSHPublicKeyResponse | PlainMessage<CreateSSHPublicKeyResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteSSHPublicKeyRequest
 */
export declare class DeleteSSHPublicKeyRequest extends Message<DeleteSSHPublicKeyRequest> {
    /**
     * @generated from field: string ssh_key_id = 1;
     */
    sshKeyId: string;
    constructor(data?: PartialMessage<DeleteSSHPublicKeyRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteSSHPublicKeyRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteSSHPublicKeyRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteSSHPublicKeyRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteSSHPublicKeyRequest;
    static equals(a: DeleteSSHPublicKeyRequest | PlainMessage<DeleteSSHPublicKeyRequest> | undefined, b: DeleteSSHPublicKeyRequest | PlainMessage<DeleteSSHPublicKeyRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteSSHPublicKeyResponse
 */
export declare class DeleteSSHPublicKeyResponse extends Message<DeleteSSHPublicKeyResponse> {
    constructor(data?: PartialMessage<DeleteSSHPublicKeyResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteSSHPublicKeyResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteSSHPublicKeyResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteSSHPublicKeyResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteSSHPublicKeyResponse;
    static equals(a: DeleteSSHPublicKeyResponse | PlainMessage<DeleteSSHPublicKeyResponse> | undefined, b: DeleteSSHPublicKeyResponse | PlainMessage<DeleteSSHPublicKeyResponse> | undefined): boolean;
}
//# sourceMappingURL=ssh_pb.d.ts.map