/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { BlockUserRequest, BlockUserResponse, DeleteUserRequest, DeleteUserResponse, GetAuthenticatedUserRequest, GetAuthenticatedUserResponse, GetUserRequest, GetUserResponse, ListUsersRequest, ListUsersResponse, SetRolesOrPermissionsRequest, SetRolesOrPermissionsResponse, SetWorkspaceAutoStartOptionsRequest, SetWorkspaceAutoStartOptionsResponse, UpdateUserRequest, UpdateUserResponse, VerifyUserRequest, VerifyUserResponse } from "./user_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.UserService
 */
export declare const UserService: {
    readonly typeName: "gitpod.v1.UserService";
    readonly methods: {
        /**
         * GetAuthenticatedUser allows to retrieve the current user.
         *
         * @generated from rpc gitpod.v1.UserService.GetAuthenticatedUser
         */
        readonly getAuthenticatedUser: {
            readonly name: "GetAuthenticatedUser";
            readonly I: typeof GetAuthenticatedUserRequest;
            readonly O: typeof GetAuthenticatedUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * UpdateUser updates the properties of a user.
         *
         * @generated from rpc gitpod.v1.UserService.UpdateUser
         */
        readonly updateUser: {
            readonly name: "UpdateUser";
            readonly I: typeof UpdateUserRequest;
            readonly O: typeof UpdateUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * SetWorkspaceAutoStartOptions updates the auto start options for the Gitpod Dashboard.
         * +internal - only used by the Gitpod Dashboard.
         *
         * @generated from rpc gitpod.v1.UserService.SetWorkspaceAutoStartOptions
         */
        readonly setWorkspaceAutoStartOptions: {
            readonly name: "SetWorkspaceAutoStartOptions";
            readonly I: typeof SetWorkspaceAutoStartOptionsRequest;
            readonly O: typeof SetWorkspaceAutoStartOptionsResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * DeleteUser deletes the specified user.
         *
         * @generated from rpc gitpod.v1.UserService.DeleteUser
         */
        readonly deleteUser: {
            readonly name: "DeleteUser";
            readonly I: typeof DeleteUserRequest;
            readonly O: typeof DeleteUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * VerifyUser markes the specified user as verified.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.VerifyUser
         */
        readonly verifyUser: {
            readonly name: "VerifyUser";
            readonly I: typeof VerifyUserRequest;
            readonly O: typeof VerifyUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * BlockUser markes the specified user as blocked.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.BlockUser
         */
        readonly blockUser: {
            readonly name: "BlockUser";
            readonly I: typeof BlockUserRequest;
            readonly O: typeof BlockUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * ListUsers markes the specified user as blocked.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.ListUsers
         */
        readonly listUsers: {
            readonly name: "ListUsers";
            readonly I: typeof ListUsersRequest;
            readonly O: typeof ListUsersResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * GetUser allows to retrieve the specified user.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.GetUser
         */
        readonly getUser: {
            readonly name: "GetUser";
            readonly I: typeof GetUserRequest;
            readonly O: typeof GetUserResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * SetRolesOrPermissions allows to set roles or permissions for the specified user.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.SetRolesOrPermissions
         */
        readonly setRolesOrPermissions: {
            readonly name: "SetRolesOrPermissions";
            readonly I: typeof SetRolesOrPermissionsRequest;
            readonly O: typeof SetRolesOrPermissionsResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=user_connect.d.ts.map