"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/user.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const user_pb_js_1 = require("./user_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.UserService
 */
exports.UserService = {
    typeName: "gitpod.v1.UserService",
    methods: {
        /**
         * GetAuthenticatedUser allows to retrieve the current user.
         *
         * @generated from rpc gitpod.v1.UserService.GetAuthenticatedUser
         */
        getAuthenticatedUser: {
            name: "GetAuthenticatedUser",
            I: user_pb_js_1.GetAuthenticatedUserRequest,
            O: user_pb_js_1.GetAuthenticatedUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateUser updates the properties of a user.
         *
         * @generated from rpc gitpod.v1.UserService.UpdateUser
         */
        updateUser: {
            name: "UpdateUser",
            I: user_pb_js_1.UpdateUserRequest,
            O: user_pb_js_1.UpdateUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * SetWorkspaceAutoStartOptions updates the auto start options for the Gitpod Dashboard.
         * +internal - only used by the Gitpod Dashboard.
         *
         * @generated from rpc gitpod.v1.UserService.SetWorkspaceAutoStartOptions
         */
        setWorkspaceAutoStartOptions: {
            name: "SetWorkspaceAutoStartOptions",
            I: user_pb_js_1.SetWorkspaceAutoStartOptionsRequest,
            O: user_pb_js_1.SetWorkspaceAutoStartOptionsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteUser deletes the specified user.
         *
         * @generated from rpc gitpod.v1.UserService.DeleteUser
         */
        deleteUser: {
            name: "DeleteUser",
            I: user_pb_js_1.DeleteUserRequest,
            O: user_pb_js_1.DeleteUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * VerifyUser markes the specified user as verified.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.VerifyUser
         */
        verifyUser: {
            name: "VerifyUser",
            I: user_pb_js_1.VerifyUserRequest,
            O: user_pb_js_1.VerifyUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * BlockUser markes the specified user as blocked.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.BlockUser
         */
        blockUser: {
            name: "BlockUser",
            I: user_pb_js_1.BlockUserRequest,
            O: user_pb_js_1.BlockUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListUsers markes the specified user as blocked.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.ListUsers
         */
        listUsers: {
            name: "ListUsers",
            I: user_pb_js_1.ListUsersRequest,
            O: user_pb_js_1.ListUsersResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetUser allows to retrieve the specified user.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.GetUser
         */
        getUser: {
            name: "GetUser",
            I: user_pb_js_1.GetUserRequest,
            O: user_pb_js_1.GetUserResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * SetRolesOrPermissions allows to set roles or permissions for the specified user.
         * +admin – only to be used by installation admins
         *
         * @generated from rpc gitpod.v1.UserService.SetRolesOrPermissions
         */
        setRolesOrPermissions: {
            name: "SetRolesOrPermissions",
            I: user_pb_js_1.SetRolesOrPermissionsRequest,
            O: user_pb_js_1.SetRolesOrPermissionsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=user_connect.js.map