/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Duration, FieldMask, Message, proto3, Timestamp } from "@bufbuild/protobuf";
import { EditorReference } from "./editor_pb.js";
import { PaginationRequest, PaginationResponse } from "./pagination_pb.js";
import { Sort } from "./sorting_pb.js";
/**
 * @generated from enum gitpod.v1.RoleOrPermission
 */
export declare enum RoleOrPermission {
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_DEVOPS = 1;
     */
    DEVOPS = 1,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_VIEWER = 2;
     */
    VIEWER = 2,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN = 3;
     */
    ADMIN = 3,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_DEVELOPER = 4;
     */
    DEVELOPER = 4,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_REGISTRY_ACCESS = 5;
     */
    REGISTRY_ACCESS = 5,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_PERMISSIONS = 6;
     */
    ADMIN_PERMISSIONS = 6,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_USERS = 7;
     */
    ADMIN_USERS = 7,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_WORKSPACE_CONTENT = 8;
     */
    ADMIN_WORKSPACE_CONTENT = 8,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_WORKSPACES = 9;
     */
    ADMIN_WORKSPACES = 9,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_PROJECTS = 10;
     */
    ADMIN_PROJECTS = 10,
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_NEW_WORKSPACE_CLUSTER = 11;
     */
    NEW_WORKSPACE_CLUSTER = 11
}
/**
 * @generated from message gitpod.v1.GetAuthenticatedUserRequest
 */
export declare class GetAuthenticatedUserRequest extends Message<GetAuthenticatedUserRequest> {
    constructor(data?: PartialMessage<GetAuthenticatedUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetAuthenticatedUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetAuthenticatedUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetAuthenticatedUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetAuthenticatedUserRequest;
    static equals(a: GetAuthenticatedUserRequest | PlainMessage<GetAuthenticatedUserRequest> | undefined, b: GetAuthenticatedUserRequest | PlainMessage<GetAuthenticatedUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetAuthenticatedUserResponse
 */
export declare class GetAuthenticatedUserResponse extends Message<GetAuthenticatedUserResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<GetAuthenticatedUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetAuthenticatedUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetAuthenticatedUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetAuthenticatedUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetAuthenticatedUserResponse;
    static equals(a: GetAuthenticatedUserResponse | PlainMessage<GetAuthenticatedUserResponse> | undefined, b: GetAuthenticatedUserResponse | PlainMessage<GetAuthenticatedUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsRequest
 */
export declare class SetWorkspaceAutoStartOptionsRequest extends Message<SetWorkspaceAutoStartOptionsRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * @generated from field: repeated gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption workspace_autostart_options = 2;
     */
    workspaceAutostartOptions: SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption[];
    constructor(data?: PartialMessage<SetWorkspaceAutoStartOptionsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SetWorkspaceAutoStartOptionsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsRequest;
    static equals(a: SetWorkspaceAutoStartOptionsRequest | PlainMessage<SetWorkspaceAutoStartOptionsRequest> | undefined, b: SetWorkspaceAutoStartOptionsRequest | PlainMessage<SetWorkspaceAutoStartOptionsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption
 */
export declare class SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption extends Message<SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption> {
    /**
     * @generated from field: string clone_url = 1;
     */
    cloneUrl: string;
    /**
     * @generated from field: string organization_id = 2;
     */
    organizationId: string;
    /**
     * @generated from field: optional string workspace_class = 3;
     */
    workspaceClass?: string;
    /**
     * @generated from field: optional gitpod.v1.EditorReference editor_settings = 4;
     */
    editorSettings?: EditorReference;
    /**
     * @generated from field: optional string region = 5;
     */
    region?: string;
    constructor(data?: PartialMessage<SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption;
    static equals(a: SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption | PlainMessage<SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption> | undefined, b: SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption | PlainMessage<SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsResponse
 */
export declare class SetWorkspaceAutoStartOptionsResponse extends Message<SetWorkspaceAutoStartOptionsResponse> {
    constructor(data?: PartialMessage<SetWorkspaceAutoStartOptionsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SetWorkspaceAutoStartOptionsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SetWorkspaceAutoStartOptionsResponse;
    static equals(a: SetWorkspaceAutoStartOptionsResponse | PlainMessage<SetWorkspaceAutoStartOptionsResponse> | undefined, b: SetWorkspaceAutoStartOptionsResponse | PlainMessage<SetWorkspaceAutoStartOptionsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserRequest
 */
export declare class UpdateUserRequest extends Message<UpdateUserRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * @generated from field: optional string name = 2;
     */
    name?: string;
    /**
     * @generated from field: optional string accepted_privacy_policy_date = 3;
     */
    acceptedPrivacyPolicyDate?: string;
    /**
     * @generated from field: optional gitpod.v1.UpdateUserRequest.ProfileDetails profile = 4;
     */
    profile?: UpdateUserRequest_ProfileDetails;
    /**
     * @generated from field: optional string email_address = 5;
     */
    emailAddress?: string;
    /**
     * @generated from field: optional gitpod.v1.EditorReference editor_settings = 6;
     */
    editorSettings?: EditorReference;
    /**
     * @generated from field: optional gitpod.v1.UpdateUserRequest.EmailNotificationSettings email_notification_settings = 7;
     */
    emailNotificationSettings?: UpdateUserRequest_EmailNotificationSettings;
    /**
     * @generated from field: optional gitpod.v1.UpdateUserRequest.WorkspaceTimeoutSettings workspace_timeout_settings = 8;
     */
    workspaceTimeoutSettings?: UpdateUserRequest_WorkspaceTimeoutSettings;
    /**
     * @generated from field: optional string dotfile_repo = 9;
     */
    dotfileRepo?: string;
    constructor(data?: PartialMessage<UpdateUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserRequest;
    static equals(a: UpdateUserRequest | PlainMessage<UpdateUserRequest> | undefined, b: UpdateUserRequest | PlainMessage<UpdateUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserRequest.ProfileDetails
 */
export declare class UpdateUserRequest_ProfileDetails extends Message<UpdateUserRequest_ProfileDetails> {
    /**
     * @generated from field: optional string last_updated_details_nudge = 1;
     */
    lastUpdatedDetailsNudge?: string;
    /**
     * @generated from field: optional string accepted_privacy_policy_date = 2;
     */
    acceptedPrivacyPolicyDate?: string;
    /**
     * @generated from field: optional string company_name = 3;
     */
    companyName?: string;
    /**
     * @generated from field: optional string email_address = 4;
     */
    emailAddress?: string;
    /**
     * @generated from field: optional string job_role = 5;
     */
    jobRole?: string;
    /**
     * @generated from field: optional string job_role_other = 6;
     */
    jobRoleOther?: string;
    /**
     * @generated from field: repeated string exploration_reasons = 7;
     */
    explorationReasons: string[];
    /**
     * @generated from field: repeated string signup_goals = 8;
     */
    signupGoals: string[];
    /**
     * @generated from field: optional string signup_goals_other = 10;
     */
    signupGoalsOther?: string;
    /**
     * @generated from field: optional string onboarded_timestamp = 11;
     */
    onboardedTimestamp?: string;
    /**
     * @generated from field: optional string company_size = 12;
     */
    companySize?: string;
    constructor(data?: PartialMessage<UpdateUserRequest_ProfileDetails>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserRequest.ProfileDetails";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserRequest_ProfileDetails;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserRequest_ProfileDetails;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserRequest_ProfileDetails;
    static equals(a: UpdateUserRequest_ProfileDetails | PlainMessage<UpdateUserRequest_ProfileDetails> | undefined, b: UpdateUserRequest_ProfileDetails | PlainMessage<UpdateUserRequest_ProfileDetails> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserRequest.EmailNotificationSettings
 */
export declare class UpdateUserRequest_EmailNotificationSettings extends Message<UpdateUserRequest_EmailNotificationSettings> {
    /**
     * @generated from field: optional bool allows_changelog_mail = 1;
     */
    allowsChangelogMail?: boolean;
    /**
     * @generated from field: optional bool allows_devx_mail = 2;
     */
    allowsDevxMail?: boolean;
    /**
     * @generated from field: optional bool allows_onboarding_mail = 3;
     */
    allowsOnboardingMail?: boolean;
    constructor(data?: PartialMessage<UpdateUserRequest_EmailNotificationSettings>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserRequest.EmailNotificationSettings";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserRequest_EmailNotificationSettings;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserRequest_EmailNotificationSettings;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserRequest_EmailNotificationSettings;
    static equals(a: UpdateUserRequest_EmailNotificationSettings | PlainMessage<UpdateUserRequest_EmailNotificationSettings> | undefined, b: UpdateUserRequest_EmailNotificationSettings | PlainMessage<UpdateUserRequest_EmailNotificationSettings> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserRequest.WorkspaceTimeoutSettings
 */
export declare class UpdateUserRequest_WorkspaceTimeoutSettings extends Message<UpdateUserRequest_WorkspaceTimeoutSettings> {
    /**
     * @generated from field: optional google.protobuf.Duration inactivity = 1;
     */
    inactivity?: Duration;
    /**
     * @generated from field: optional bool disabled_disconnected = 2;
     */
    disabledDisconnected?: boolean;
    constructor(data?: PartialMessage<UpdateUserRequest_WorkspaceTimeoutSettings>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserRequest.WorkspaceTimeoutSettings";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserRequest_WorkspaceTimeoutSettings;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserRequest_WorkspaceTimeoutSettings;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserRequest_WorkspaceTimeoutSettings;
    static equals(a: UpdateUserRequest_WorkspaceTimeoutSettings | PlainMessage<UpdateUserRequest_WorkspaceTimeoutSettings> | undefined, b: UpdateUserRequest_WorkspaceTimeoutSettings | PlainMessage<UpdateUserRequest_WorkspaceTimeoutSettings> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.UpdateUserResponse
 */
export declare class UpdateUserResponse extends Message<UpdateUserResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<UpdateUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.UpdateUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): UpdateUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): UpdateUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): UpdateUserResponse;
    static equals(a: UpdateUserResponse | PlainMessage<UpdateUserResponse> | undefined, b: UpdateUserResponse | PlainMessage<UpdateUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteUserRequest
 */
export declare class DeleteUserRequest extends Message<DeleteUserRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    constructor(data?: PartialMessage<DeleteUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteUserRequest;
    static equals(a: DeleteUserRequest | PlainMessage<DeleteUserRequest> | undefined, b: DeleteUserRequest | PlainMessage<DeleteUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.DeleteUserResponse
 */
export declare class DeleteUserResponse extends Message<DeleteUserResponse> {
    constructor(data?: PartialMessage<DeleteUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.DeleteUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): DeleteUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): DeleteUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): DeleteUserResponse;
    static equals(a: DeleteUserResponse | PlainMessage<DeleteUserResponse> | undefined, b: DeleteUserResponse | PlainMessage<DeleteUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.VerifyUserRequest
 */
export declare class VerifyUserRequest extends Message<VerifyUserRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    constructor(data?: PartialMessage<VerifyUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.VerifyUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): VerifyUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): VerifyUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): VerifyUserRequest;
    static equals(a: VerifyUserRequest | PlainMessage<VerifyUserRequest> | undefined, b: VerifyUserRequest | PlainMessage<VerifyUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.VerifyUserResponse
 */
export declare class VerifyUserResponse extends Message<VerifyUserResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<VerifyUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.VerifyUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): VerifyUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): VerifyUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): VerifyUserResponse;
    static equals(a: VerifyUserResponse | PlainMessage<VerifyUserResponse> | undefined, b: VerifyUserResponse | PlainMessage<VerifyUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.BlockUserRequest
 */
export declare class BlockUserRequest extends Message<BlockUserRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * @generated from field: bool blocked = 2;
     */
    blocked: boolean;
    constructor(data?: PartialMessage<BlockUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.BlockUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockUserRequest;
    static equals(a: BlockUserRequest | PlainMessage<BlockUserRequest> | undefined, b: BlockUserRequest | PlainMessage<BlockUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.BlockUserResponse
 */
export declare class BlockUserResponse extends Message<BlockUserResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<BlockUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.BlockUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): BlockUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): BlockUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): BlockUserResponse;
    static equals(a: BlockUserResponse | PlainMessage<BlockUserResponse> | undefined, b: BlockUserResponse | PlainMessage<BlockUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListUsersRequest
 */
export declare class ListUsersRequest extends Message<ListUsersRequest> {
    /**
     * @generated from field: string search_term = 1;
     */
    searchTerm: string;
    /**
     * @generated from field: gitpod.v1.PaginationRequest pagination = 2;
     */
    pagination?: PaginationRequest;
    /**
     * Users can be sorted by "creationDate"
     *
     * @generated from field: repeated gitpod.v1.Sort sort = 3;
     */
    sort: Sort[];
    constructor(data?: PartialMessage<ListUsersRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListUsersRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListUsersRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListUsersRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListUsersRequest;
    static equals(a: ListUsersRequest | PlainMessage<ListUsersRequest> | undefined, b: ListUsersRequest | PlainMessage<ListUsersRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.ListUsersResponse
 */
export declare class ListUsersResponse extends Message<ListUsersResponse> {
    /**
     * @generated from field: repeated gitpod.v1.User users = 1;
     */
    users: User[];
    /**
     * @generated from field: gitpod.v1.PaginationResponse pagination = 2;
     */
    pagination?: PaginationResponse;
    constructor(data?: PartialMessage<ListUsersResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.ListUsersResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): ListUsersResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): ListUsersResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): ListUsersResponse;
    static equals(a: ListUsersResponse | PlainMessage<ListUsersResponse> | undefined, b: ListUsersResponse | PlainMessage<ListUsersResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetUserRequest
 */
export declare class GetUserRequest extends Message<GetUserRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    constructor(data?: PartialMessage<GetUserRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetUserRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetUserRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetUserRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetUserRequest;
    static equals(a: GetUserRequest | PlainMessage<GetUserRequest> | undefined, b: GetUserRequest | PlainMessage<GetUserRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.GetUserResponse
 */
export declare class GetUserResponse extends Message<GetUserResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<GetUserResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.GetUserResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): GetUserResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): GetUserResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): GetUserResponse;
    static equals(a: GetUserResponse | PlainMessage<GetUserResponse> | undefined, b: GetUserResponse | PlainMessage<GetUserResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SetRolesOrPermissionsRequest
 */
export declare class SetRolesOrPermissionsRequest extends Message<SetRolesOrPermissionsRequest> {
    /**
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * @generated from field: repeated gitpod.v1.RoleOrPermission roles_or_permissions = 2;
     */
    rolesOrPermissions: RoleOrPermission[];
    /**
     * @generated from field: google.protobuf.FieldMask reset_mask = 3;
     */
    resetMask?: FieldMask;
    constructor(data?: PartialMessage<SetRolesOrPermissionsRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SetRolesOrPermissionsRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SetRolesOrPermissionsRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SetRolesOrPermissionsRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SetRolesOrPermissionsRequest;
    static equals(a: SetRolesOrPermissionsRequest | PlainMessage<SetRolesOrPermissionsRequest> | undefined, b: SetRolesOrPermissionsRequest | PlainMessage<SetRolesOrPermissionsRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SetRolesOrPermissionsResponse
 */
export declare class SetRolesOrPermissionsResponse extends Message<SetRolesOrPermissionsResponse> {
    /**
     * @generated from field: gitpod.v1.User user = 1;
     */
    user?: User;
    constructor(data?: PartialMessage<SetRolesOrPermissionsResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SetRolesOrPermissionsResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SetRolesOrPermissionsResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SetRolesOrPermissionsResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SetRolesOrPermissionsResponse;
    static equals(a: SetRolesOrPermissionsResponse | PlainMessage<SetRolesOrPermissionsResponse> | undefined, b: SetRolesOrPermissionsResponse | PlainMessage<SetRolesOrPermissionsResponse> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.User
 */
export declare class User extends Message<User> {
    /**
     * id is a UUID of the user
     *
     * @generated from field: string id = 1;
     */
    id: string;
    /**
     * organization_id is the id of the organization this account is owned by.
     *
     * +optional if not set, this account is owned by the installation.
     *
     * @generated from field: string organization_id = 2;
     */
    organizationId: string;
    /**
     * name is the full name of the user
     *
     * @generated from field: string name = 3;
     */
    name: string;
    /**
     * avatar_url is a link to the user avatar
     *
     * @generated from field: string avatar_url = 4;
     */
    avatarUrl: string;
    /**
     * created_at is the creation time
     *
     * @generated from field: google.protobuf.Timestamp created_at = 5;
     */
    createdAt?: Timestamp;
    /**
     * @generated from field: repeated gitpod.v1.Identity identities = 6;
     */
    identities: Identity[];
    /**
     * blocked indicates whether the account is blocked, e.g. due to vialoation of ToS.
     *
     * @generated from field: bool blocked = 7;
     */
    blocked: boolean;
    /**
     * last_verification_time is the last time this account was verified.
     *
     * +optional if not set, this account is not verified.
     *
     * @generated from field: google.protobuf.Timestamp last_verification_time = 8;
     */
    lastVerificationTime?: Timestamp;
    /**
     * verification_phone_number is the phone number used for the last verification.
     *
     * @generated from field: string verification_phone_number = 9;
     */
    verificationPhoneNumber: string;
    /**
     * user global workspace timeout settings
     *
     * +optional
     *
     * @generated from field: gitpod.v1.User.WorkspaceTimeoutSettings workspace_timeout_settings = 10;
     */
    workspaceTimeoutSettings?: User_WorkspaceTimeoutSettings;
    /**
     * +optional
     *
     * @generated from field: gitpod.v1.User.EmailNotificationSettings email_notification_settings = 11;
     */
    emailNotificationSettings?: User_EmailNotificationSettings;
    /**
     * +optional
     *
     * @generated from field: gitpod.v1.EditorReference editor_settings = 12;
     */
    editorSettings?: EditorReference;
    /**
     * Git clone URL pointing to the user's dotfile repo
     *
     * // +optional
     *
     * @generated from field: string dotfile_repo = 13;
     */
    dotfileRepo: string;
    /**
     * preferred workspace class
     *
     * +optional
     *
     * @generated from field: string workspace_class = 14;
     */
    workspaceClass: string;
    /**
     * additional user profile data
     *
     * +optional
     *
     * @generated from field: gitpod.v1.User.ProfileDetails profile = 15;
     */
    profile?: User_ProfileDetails;
    /**
     * remembered workspace auto start options
     *
     * +optional
     *
     * @generated from field: repeated gitpod.v1.User.WorkspaceAutostartOption workspace_autostart_options = 16;
     */
    workspaceAutostartOptions: User_WorkspaceAutostartOption[];
    /**
     * usage_attribution_id specifies the organization or account to which all of the
     * user's workspace usage is attributed to, e.g. for billing purposes
     *
     * @generated from field: string usage_attribution_id = 17;
     */
    usageAttributionId: string;
    /**
     * per-user settings to control workspace behavior
     *
     * @generated from field: repeated gitpod.v1.User.UserFeatureFlag workspace_feature_flags = 18;
     */
    workspaceFeatureFlags: User_UserFeatureFlag[];
    /**
     * specifies the permissions and/or roles the user has
     *
     * @generated from field: repeated gitpod.v1.RoleOrPermission roles_or_permissions = 19;
     */
    rolesOrPermissions: RoleOrPermission[];
    constructor(data?: PartialMessage<User>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.User";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User;
    static equals(a: User | PlainMessage<User> | undefined, b: User | PlainMessage<User> | undefined): boolean;
}
/**
 * @generated from enum gitpod.v1.User.UserFeatureFlag
 */
export declare enum User_UserFeatureFlag {
    /**
     * @generated from enum value: USER_FEATURE_FLAG_UNSPECIFIED = 0;
     */
    UNSPECIFIED = 0,
    /**
     * @generated from enum value: USER_FEATURE_FLAG_FULL_WORKSPACE_BACKUP = 1;
     */
    FULL_WORKSPACE_BACKUP = 1,
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_CLASS_LIMITING = 2;
     */
    WORKSPACE_CLASS_LIMITING = 2,
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_CONNECTION_LIMITING = 3;
     */
    WORKSPACE_CONNECTION_LIMITING = 3,
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_PSI = 4;
     */
    WORKSPACE_PSI = 4
}
/**
 * @generated from message gitpod.v1.User.WorkspaceTimeoutSettings
 */
export declare class User_WorkspaceTimeoutSettings extends Message<User_WorkspaceTimeoutSettings> {
    /**
     * inacitivity is the maximum time of inactivity before the workspace is stopped or paused
     *
     * @generated from field: google.protobuf.Duration inactivity = 1;
     */
    inactivity?: Duration;
    /**
     * control whether to enable the closed timeout of a workspace, i.e. close web ide, disconnect ssh connection
     *
     * +optional
     *
     * @generated from field: bool disabled_disconnected = 2;
     */
    disabledDisconnected: boolean;
    constructor(data?: PartialMessage<User_WorkspaceTimeoutSettings>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.User.WorkspaceTimeoutSettings";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User_WorkspaceTimeoutSettings;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User_WorkspaceTimeoutSettings;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User_WorkspaceTimeoutSettings;
    static equals(a: User_WorkspaceTimeoutSettings | PlainMessage<User_WorkspaceTimeoutSettings> | undefined, b: User_WorkspaceTimeoutSettings | PlainMessage<User_WorkspaceTimeoutSettings> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.User.EmailNotificationSettings
 */
export declare class User_EmailNotificationSettings extends Message<User_EmailNotificationSettings> {
    /**
     * +optional
     *
     * @generated from field: bool allows_changelog_mail = 1;
     */
    allowsChangelogMail: boolean;
    /**
     * +optional
     *
     * @generated from field: bool allows_devx_mail = 2;
     */
    allowsDevxMail: boolean;
    /**
     * +optional
     *
     * @generated from field: bool allows_onboarding_mail = 3;
     */
    allowsOnboardingMail: boolean;
    constructor(data?: PartialMessage<User_EmailNotificationSettings>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.User.EmailNotificationSettings";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User_EmailNotificationSettings;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User_EmailNotificationSettings;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User_EmailNotificationSettings;
    static equals(a: User_EmailNotificationSettings | PlainMessage<User_EmailNotificationSettings> | undefined, b: User_EmailNotificationSettings | PlainMessage<User_EmailNotificationSettings> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.User.ProfileDetails
 */
export declare class User_ProfileDetails extends Message<User_ProfileDetails> {
    /**
     * when was the last time the user updated their profile information or has been nudged to do so.
     *
     * +optional
     *
     * @generated from field: string last_updated_details_nudge = 1;
     */
    lastUpdatedDetailsNudge: string;
    /**
     * when was the last time the user has accepted our privacy policy
     *
     * +optional
     *
     * @generated from field: string accepted_privacy_policy_date = 2;
     */
    acceptedPrivacyPolicyDate: string;
    /**
     * the user's company name
     *
     * +optional
     *
     * @generated from field: string company_name = 3;
     */
    companyName: string;
    /**
     * the user's email
     *
     * +optional
     *
     * @generated from field: string email_address = 4;
     */
    emailAddress: string;
    /**
     * type of role user has in their job
     *
     * +optional
     *
     * @generated from field: string job_role = 5;
     */
    jobRole: string;
    /**
     * freeform entry for job role user works in (when jobRole is "other")
     *
     * +optional
     *
     * @generated from field: string job_role_other = 6;
     */
    jobRoleOther: string;
    /**
     * Reasons user is exploring Gitpod when they signed up
     *
     * +optional
     *
     * @generated from field: repeated string exploration_reasons = 7;
     */
    explorationReasons: string[];
    /**
     * what user hopes to accomplish when they signed up
     *
     * +optional
     *
     * @generated from field: repeated string signup_goals = 8;
     */
    signupGoals: string[];
    /**
     * freeform entry for signup goals (when signupGoals is "other")
     *
     * +optional
     *
     * @generated from field: string signup_goals_other = 10;
     */
    signupGoalsOther: string;
    /**
     * Set after a user completes the onboarding flow
     *
     * +optional
     *
     * @generated from field: string onboarded_timestamp = 11;
     */
    onboardedTimestamp: string;
    /**
     * Onboarding question about a user's company size
     *
     * +optional
     *
     * @generated from field: string company_size = 12;
     */
    companySize: string;
    constructor(data?: PartialMessage<User_ProfileDetails>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.User.ProfileDetails";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User_ProfileDetails;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User_ProfileDetails;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User_ProfileDetails;
    static equals(a: User_ProfileDetails | PlainMessage<User_ProfileDetails> | undefined, b: User_ProfileDetails | PlainMessage<User_ProfileDetails> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.User.WorkspaceAutostartOption
 */
export declare class User_WorkspaceAutostartOption extends Message<User_WorkspaceAutostartOption> {
    /**
     * @generated from field: string clone_url = 1;
     */
    cloneUrl: string;
    /**
     * @generated from field: string organization_id = 2;
     */
    organizationId: string;
    /**
     * @generated from field: string workspace_class = 3;
     */
    workspaceClass: string;
    /**
     * +optional
     *
     * @generated from field: gitpod.v1.EditorReference editor_settings = 4;
     */
    editorSettings?: EditorReference;
    /**
     * +optional
     *
     * @generated from field: string region = 5;
     */
    region: string;
    constructor(data?: PartialMessage<User_WorkspaceAutostartOption>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.User.WorkspaceAutostartOption";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): User_WorkspaceAutostartOption;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): User_WorkspaceAutostartOption;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): User_WorkspaceAutostartOption;
    static equals(a: User_WorkspaceAutostartOption | PlainMessage<User_WorkspaceAutostartOption> | undefined, b: User_WorkspaceAutostartOption | PlainMessage<User_WorkspaceAutostartOption> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.Identity
 */
export declare class Identity extends Message<Identity> {
    /**
     * The id of the auth provider this identity was created with.
     *
     * @generated from field: string auth_provider_id = 1;
     */
    authProviderId: string;
    /**
     * The external account id this identity was created for.
     *
     * @generated from field: string auth_id = 2;
     */
    authId: string;
    /**
     * The external account name this identity was created for.
     *
     * @generated from field: string auth_name = 3;
     */
    authName: string;
    /**
     * The primary email of the external account.
     *
     * @generated from field: string primary_email = 4;
     */
    primaryEmail: string;
    /**
     * The time of last signin.
     *
     * +optional
     *
     * @generated from field: google.protobuf.Timestamp last_signin_time = 6;
     */
    lastSigninTime?: Timestamp;
    constructor(data?: PartialMessage<Identity>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.Identity";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Identity;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Identity;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Identity;
    static equals(a: Identity | PlainMessage<Identity> | undefined, b: Identity | PlainMessage<Identity> | undefined): boolean;
}
//# sourceMappingURL=user_pb.d.ts.map