"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Identity = exports.User_WorkspaceAutostartOption = exports.User_ProfileDetails = exports.User_EmailNotificationSettings = exports.User_WorkspaceTimeoutSettings = exports.User_UserFeatureFlag = exports.User = exports.SetRolesOrPermissionsResponse = exports.SetRolesOrPermissionsRequest = exports.GetUserResponse = exports.GetUserRequest = exports.ListUsersResponse = exports.ListUsersRequest = exports.BlockUserResponse = exports.BlockUserRequest = exports.VerifyUserResponse = exports.VerifyUserRequest = exports.DeleteUserResponse = exports.DeleteUserRequest = exports.UpdateUserResponse = exports.UpdateUserRequest_WorkspaceTimeoutSettings = exports.UpdateUserRequest_EmailNotificationSettings = exports.UpdateUserRequest_ProfileDetails = exports.UpdateUserRequest = exports.SetWorkspaceAutoStartOptionsResponse = exports.SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption = exports.SetWorkspaceAutoStartOptionsRequest = exports.GetAuthenticatedUserResponse = exports.GetAuthenticatedUserRequest = exports.RoleOrPermission = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
const editor_pb_js_1 = require("./editor_pb.js");
const pagination_pb_js_1 = require("./pagination_pb.js");
const sorting_pb_js_1 = require("./sorting_pb.js");
/**
 * @generated from enum gitpod.v1.RoleOrPermission
 */
var RoleOrPermission;
(function (RoleOrPermission) {
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_UNSPECIFIED = 0;
     */
    RoleOrPermission[RoleOrPermission["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_DEVOPS = 1;
     */
    RoleOrPermission[RoleOrPermission["DEVOPS"] = 1] = "DEVOPS";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_VIEWER = 2;
     */
    RoleOrPermission[RoleOrPermission["VIEWER"] = 2] = "VIEWER";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN = 3;
     */
    RoleOrPermission[RoleOrPermission["ADMIN"] = 3] = "ADMIN";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_DEVELOPER = 4;
     */
    RoleOrPermission[RoleOrPermission["DEVELOPER"] = 4] = "DEVELOPER";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_REGISTRY_ACCESS = 5;
     */
    RoleOrPermission[RoleOrPermission["REGISTRY_ACCESS"] = 5] = "REGISTRY_ACCESS";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_PERMISSIONS = 6;
     */
    RoleOrPermission[RoleOrPermission["ADMIN_PERMISSIONS"] = 6] = "ADMIN_PERMISSIONS";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_USERS = 7;
     */
    RoleOrPermission[RoleOrPermission["ADMIN_USERS"] = 7] = "ADMIN_USERS";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_WORKSPACE_CONTENT = 8;
     */
    RoleOrPermission[RoleOrPermission["ADMIN_WORKSPACE_CONTENT"] = 8] = "ADMIN_WORKSPACE_CONTENT";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_WORKSPACES = 9;
     */
    RoleOrPermission[RoleOrPermission["ADMIN_WORKSPACES"] = 9] = "ADMIN_WORKSPACES";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_ADMIN_PROJECTS = 10;
     */
    RoleOrPermission[RoleOrPermission["ADMIN_PROJECTS"] = 10] = "ADMIN_PROJECTS";
    /**
     * @generated from enum value: ROLE_OR_PERMISSION_NEW_WORKSPACE_CLUSTER = 11;
     */
    RoleOrPermission[RoleOrPermission["NEW_WORKSPACE_CLUSTER"] = 11] = "NEW_WORKSPACE_CLUSTER";
})(RoleOrPermission = exports.RoleOrPermission || (exports.RoleOrPermission = {}));
// Retrieve enum metadata with: proto3.getEnumType(RoleOrPermission)
protobuf_1.proto3.util.setEnumType(RoleOrPermission, "gitpod.v1.RoleOrPermission", [
    { no: 0, name: "ROLE_OR_PERMISSION_UNSPECIFIED" },
    { no: 1, name: "ROLE_OR_PERMISSION_DEVOPS" },
    { no: 2, name: "ROLE_OR_PERMISSION_VIEWER" },
    { no: 3, name: "ROLE_OR_PERMISSION_ADMIN" },
    { no: 4, name: "ROLE_OR_PERMISSION_DEVELOPER" },
    { no: 5, name: "ROLE_OR_PERMISSION_REGISTRY_ACCESS" },
    { no: 6, name: "ROLE_OR_PERMISSION_ADMIN_PERMISSIONS" },
    { no: 7, name: "ROLE_OR_PERMISSION_ADMIN_USERS" },
    { no: 8, name: "ROLE_OR_PERMISSION_ADMIN_WORKSPACE_CONTENT" },
    { no: 9, name: "ROLE_OR_PERMISSION_ADMIN_WORKSPACES" },
    { no: 10, name: "ROLE_OR_PERMISSION_ADMIN_PROJECTS" },
    { no: 11, name: "ROLE_OR_PERMISSION_NEW_WORKSPACE_CLUSTER" },
]);
/**
 * @generated from message gitpod.v1.GetAuthenticatedUserRequest
 */
class GetAuthenticatedUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthenticatedUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthenticatedUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthenticatedUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetAuthenticatedUserRequest, a, b);
    }
}
exports.GetAuthenticatedUserRequest = GetAuthenticatedUserRequest;
GetAuthenticatedUserRequest.runtime = protobuf_1.proto3;
GetAuthenticatedUserRequest.typeName = "gitpod.v1.GetAuthenticatedUserRequest";
GetAuthenticatedUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.GetAuthenticatedUserResponse
 */
class GetAuthenticatedUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetAuthenticatedUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetAuthenticatedUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetAuthenticatedUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetAuthenticatedUserResponse, a, b);
    }
}
exports.GetAuthenticatedUserResponse = GetAuthenticatedUserResponse;
GetAuthenticatedUserResponse.runtime = protobuf_1.proto3;
GetAuthenticatedUserResponse.typeName = "gitpod.v1.GetAuthenticatedUserResponse";
GetAuthenticatedUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsRequest
 */
class SetWorkspaceAutoStartOptionsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * @generated from field: repeated gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption workspace_autostart_options = 2;
         */
        this.workspaceAutostartOptions = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SetWorkspaceAutoStartOptionsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SetWorkspaceAutoStartOptionsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SetWorkspaceAutoStartOptionsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SetWorkspaceAutoStartOptionsRequest, a, b);
    }
}
exports.SetWorkspaceAutoStartOptionsRequest = SetWorkspaceAutoStartOptionsRequest;
SetWorkspaceAutoStartOptionsRequest.runtime = protobuf_1.proto3;
SetWorkspaceAutoStartOptionsRequest.typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsRequest";
SetWorkspaceAutoStartOptionsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "workspace_autostart_options", kind: "message", T: SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption, repeated: true },
]);
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption
 */
class SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string clone_url = 1;
         */
        this.cloneUrl = "";
        /**
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption, a, b);
    }
}
exports.SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption = SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption;
SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption.runtime = protobuf_1.proto3;
SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption.typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsRequest.WorkspaceAutostartOption";
SetWorkspaceAutoStartOptionsRequest_WorkspaceAutostartOption.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "editor_settings", kind: "message", T: editor_pb_js_1.EditorReference, opt: true },
    { no: 5, name: "region", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.SetWorkspaceAutoStartOptionsResponse
 */
class SetWorkspaceAutoStartOptionsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SetWorkspaceAutoStartOptionsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SetWorkspaceAutoStartOptionsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SetWorkspaceAutoStartOptionsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SetWorkspaceAutoStartOptionsResponse, a, b);
    }
}
exports.SetWorkspaceAutoStartOptionsResponse = SetWorkspaceAutoStartOptionsResponse;
SetWorkspaceAutoStartOptionsResponse.runtime = protobuf_1.proto3;
SetWorkspaceAutoStartOptionsResponse.typeName = "gitpod.v1.SetWorkspaceAutoStartOptionsResponse";
SetWorkspaceAutoStartOptionsResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.UpdateUserRequest
 */
class UpdateUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserRequest, a, b);
    }
}
exports.UpdateUserRequest = UpdateUserRequest;
UpdateUserRequest.runtime = protobuf_1.proto3;
UpdateUserRequest.typeName = "gitpod.v1.UpdateUserRequest";
UpdateUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "accepted_privacy_policy_date", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "profile", kind: "message", T: UpdateUserRequest_ProfileDetails, opt: true },
    { no: 5, name: "email_address", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 6, name: "editor_settings", kind: "message", T: editor_pb_js_1.EditorReference, opt: true },
    { no: 7, name: "email_notification_settings", kind: "message", T: UpdateUserRequest_EmailNotificationSettings, opt: true },
    { no: 8, name: "workspace_timeout_settings", kind: "message", T: UpdateUserRequest_WorkspaceTimeoutSettings, opt: true },
    { no: 9, name: "dotfile_repo", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserRequest.ProfileDetails
 */
class UpdateUserRequest_ProfileDetails extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated string exploration_reasons = 7;
         */
        this.explorationReasons = [];
        /**
         * @generated from field: repeated string signup_goals = 8;
         */
        this.signupGoals = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserRequest_ProfileDetails().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserRequest_ProfileDetails().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserRequest_ProfileDetails().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserRequest_ProfileDetails, a, b);
    }
}
exports.UpdateUserRequest_ProfileDetails = UpdateUserRequest_ProfileDetails;
UpdateUserRequest_ProfileDetails.runtime = protobuf_1.proto3;
UpdateUserRequest_ProfileDetails.typeName = "gitpod.v1.UpdateUserRequest.ProfileDetails";
UpdateUserRequest_ProfileDetails.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "last_updated_details_nudge", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 2, name: "accepted_privacy_policy_date", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 3, name: "company_name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "email_address", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "job_role", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 6, name: "job_role_other", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 7, name: "exploration_reasons", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 8, name: "signup_goals", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 10, name: "signup_goals_other", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 11, name: "onboarded_timestamp", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 12, name: "company_size", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserRequest.EmailNotificationSettings
 */
class UpdateUserRequest_EmailNotificationSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserRequest_EmailNotificationSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserRequest_EmailNotificationSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserRequest_EmailNotificationSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserRequest_EmailNotificationSettings, a, b);
    }
}
exports.UpdateUserRequest_EmailNotificationSettings = UpdateUserRequest_EmailNotificationSettings;
UpdateUserRequest_EmailNotificationSettings.runtime = protobuf_1.proto3;
UpdateUserRequest_EmailNotificationSettings.typeName = "gitpod.v1.UpdateUserRequest.EmailNotificationSettings";
UpdateUserRequest_EmailNotificationSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "allows_changelog_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 2, name: "allows_devx_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
    { no: 3, name: "allows_onboarding_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserRequest.WorkspaceTimeoutSettings
 */
class UpdateUserRequest_WorkspaceTimeoutSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserRequest_WorkspaceTimeoutSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserRequest_WorkspaceTimeoutSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserRequest_WorkspaceTimeoutSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserRequest_WorkspaceTimeoutSettings, a, b);
    }
}
exports.UpdateUserRequest_WorkspaceTimeoutSettings = UpdateUserRequest_WorkspaceTimeoutSettings;
UpdateUserRequest_WorkspaceTimeoutSettings.runtime = protobuf_1.proto3;
UpdateUserRequest_WorkspaceTimeoutSettings.typeName = "gitpod.v1.UpdateUserRequest.WorkspaceTimeoutSettings";
UpdateUserRequest_WorkspaceTimeoutSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "inactivity", kind: "message", T: protobuf_1.Duration, opt: true },
    { no: 2, name: "disabled_disconnected", kind: "scalar", T: 8 /* ScalarType.BOOL */, opt: true },
]);
/**
 * @generated from message gitpod.v1.UpdateUserResponse
 */
class UpdateUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new UpdateUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new UpdateUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new UpdateUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(UpdateUserResponse, a, b);
    }
}
exports.UpdateUserResponse = UpdateUserResponse;
UpdateUserResponse.runtime = protobuf_1.proto3;
UpdateUserResponse.typeName = "gitpod.v1.UpdateUserResponse";
UpdateUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.DeleteUserRequest
 */
class DeleteUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteUserRequest, a, b);
    }
}
exports.DeleteUserRequest = DeleteUserRequest;
DeleteUserRequest.runtime = protobuf_1.proto3;
DeleteUserRequest.typeName = "gitpod.v1.DeleteUserRequest";
DeleteUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.DeleteUserResponse
 */
class DeleteUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new DeleteUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new DeleteUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new DeleteUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(DeleteUserResponse, a, b);
    }
}
exports.DeleteUserResponse = DeleteUserResponse;
DeleteUserResponse.runtime = protobuf_1.proto3;
DeleteUserResponse.typeName = "gitpod.v1.DeleteUserResponse";
DeleteUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => []);
/**
 * @generated from message gitpod.v1.VerifyUserRequest
 */
class VerifyUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new VerifyUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new VerifyUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new VerifyUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(VerifyUserRequest, a, b);
    }
}
exports.VerifyUserRequest = VerifyUserRequest;
VerifyUserRequest.runtime = protobuf_1.proto3;
VerifyUserRequest.typeName = "gitpod.v1.VerifyUserRequest";
VerifyUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.VerifyUserResponse
 */
class VerifyUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new VerifyUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new VerifyUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new VerifyUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(VerifyUserResponse, a, b);
    }
}
exports.VerifyUserResponse = VerifyUserResponse;
VerifyUserResponse.runtime = protobuf_1.proto3;
VerifyUserResponse.typeName = "gitpod.v1.VerifyUserResponse";
VerifyUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.BlockUserRequest
 */
class BlockUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * @generated from field: bool blocked = 2;
         */
        this.blocked = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(BlockUserRequest, a, b);
    }
}
exports.BlockUserRequest = BlockUserRequest;
BlockUserRequest.runtime = protobuf_1.proto3;
BlockUserRequest.typeName = "gitpod.v1.BlockUserRequest";
BlockUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "blocked", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.BlockUserResponse
 */
class BlockUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new BlockUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new BlockUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new BlockUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(BlockUserResponse, a, b);
    }
}
exports.BlockUserResponse = BlockUserResponse;
BlockUserResponse.runtime = protobuf_1.proto3;
BlockUserResponse.typeName = "gitpod.v1.BlockUserResponse";
BlockUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.ListUsersRequest
 */
class ListUsersRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string search_term = 1;
         */
        this.searchTerm = "";
        /**
         * Users can be sorted by "creationDate"
         *
         * @generated from field: repeated gitpod.v1.Sort sort = 3;
         */
        this.sort = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUsersRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUsersRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUsersRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListUsersRequest, a, b);
    }
}
exports.ListUsersRequest = ListUsersRequest;
ListUsersRequest.runtime = protobuf_1.proto3;
ListUsersRequest.typeName = "gitpod.v1.ListUsersRequest";
ListUsersRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "search_term", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationRequest },
    { no: 3, name: "sort", kind: "message", T: sorting_pb_js_1.Sort, repeated: true },
]);
/**
 * @generated from message gitpod.v1.ListUsersResponse
 */
class ListUsersResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: repeated gitpod.v1.User users = 1;
         */
        this.users = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new ListUsersResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new ListUsersResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new ListUsersResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(ListUsersResponse, a, b);
    }
}
exports.ListUsersResponse = ListUsersResponse;
ListUsersResponse.runtime = protobuf_1.proto3;
ListUsersResponse.typeName = "gitpod.v1.ListUsersResponse";
ListUsersResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "users", kind: "message", T: User, repeated: true },
    { no: 2, name: "pagination", kind: "message", T: pagination_pb_js_1.PaginationResponse },
]);
/**
 * @generated from message gitpod.v1.GetUserRequest
 */
class GetUserRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetUserRequest, a, b);
    }
}
exports.GetUserRequest = GetUserRequest;
GetUserRequest.runtime = protobuf_1.proto3;
GetUserRequest.typeName = "gitpod.v1.GetUserRequest";
GetUserRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.GetUserResponse
 */
class GetUserResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new GetUserResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new GetUserResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new GetUserResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(GetUserResponse, a, b);
    }
}
exports.GetUserResponse = GetUserResponse;
GetUserResponse.runtime = protobuf_1.proto3;
GetUserResponse.typeName = "gitpod.v1.GetUserResponse";
GetUserResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.SetRolesOrPermissionsRequest
 */
class SetRolesOrPermissionsRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * @generated from field: repeated gitpod.v1.RoleOrPermission roles_or_permissions = 2;
         */
        this.rolesOrPermissions = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SetRolesOrPermissionsRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SetRolesOrPermissionsRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SetRolesOrPermissionsRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SetRolesOrPermissionsRequest, a, b);
    }
}
exports.SetRolesOrPermissionsRequest = SetRolesOrPermissionsRequest;
SetRolesOrPermissionsRequest.runtime = protobuf_1.proto3;
SetRolesOrPermissionsRequest.typeName = "gitpod.v1.SetRolesOrPermissionsRequest";
SetRolesOrPermissionsRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "roles_or_permissions", kind: "enum", T: protobuf_1.proto3.getEnumType(RoleOrPermission), repeated: true },
    { no: 3, name: "reset_mask", kind: "message", T: protobuf_1.FieldMask },
]);
/**
 * @generated from message gitpod.v1.SetRolesOrPermissionsResponse
 */
class SetRolesOrPermissionsResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SetRolesOrPermissionsResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SetRolesOrPermissionsResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SetRolesOrPermissionsResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SetRolesOrPermissionsResponse, a, b);
    }
}
exports.SetRolesOrPermissionsResponse = SetRolesOrPermissionsResponse;
SetRolesOrPermissionsResponse.runtime = protobuf_1.proto3;
SetRolesOrPermissionsResponse.typeName = "gitpod.v1.SetRolesOrPermissionsResponse";
SetRolesOrPermissionsResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user", kind: "message", T: User },
]);
/**
 * @generated from message gitpod.v1.User
 */
class User extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * id is a UUID of the user
         *
         * @generated from field: string id = 1;
         */
        this.id = "";
        /**
         * organization_id is the id of the organization this account is owned by.
         *
         * +optional if not set, this account is owned by the installation.
         *
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        /**
         * name is the full name of the user
         *
         * @generated from field: string name = 3;
         */
        this.name = "";
        /**
         * avatar_url is a link to the user avatar
         *
         * @generated from field: string avatar_url = 4;
         */
        this.avatarUrl = "";
        /**
         * @generated from field: repeated gitpod.v1.Identity identities = 6;
         */
        this.identities = [];
        /**
         * blocked indicates whether the account is blocked, e.g. due to vialoation of ToS.
         *
         * @generated from field: bool blocked = 7;
         */
        this.blocked = false;
        /**
         * verification_phone_number is the phone number used for the last verification.
         *
         * @generated from field: string verification_phone_number = 9;
         */
        this.verificationPhoneNumber = "";
        /**
         * Git clone URL pointing to the user's dotfile repo
         *
         * // +optional
         *
         * @generated from field: string dotfile_repo = 13;
         */
        this.dotfileRepo = "";
        /**
         * preferred workspace class
         *
         * +optional
         *
         * @generated from field: string workspace_class = 14;
         */
        this.workspaceClass = "";
        /**
         * remembered workspace auto start options
         *
         * +optional
         *
         * @generated from field: repeated gitpod.v1.User.WorkspaceAutostartOption workspace_autostart_options = 16;
         */
        this.workspaceAutostartOptions = [];
        /**
         * usage_attribution_id specifies the organization or account to which all of the
         * user's workspace usage is attributed to, e.g. for billing purposes
         *
         * @generated from field: string usage_attribution_id = 17;
         */
        this.usageAttributionId = "";
        /**
         * per-user settings to control workspace behavior
         *
         * @generated from field: repeated gitpod.v1.User.UserFeatureFlag workspace_feature_flags = 18;
         */
        this.workspaceFeatureFlags = [];
        /**
         * specifies the permissions and/or roles the user has
         *
         * @generated from field: repeated gitpod.v1.RoleOrPermission roles_or_permissions = 19;
         */
        this.rolesOrPermissions = [];
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(User, a, b);
    }
}
exports.User = User;
User.runtime = protobuf_1.proto3;
User.typeName = "gitpod.v1.User";
User.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "avatar_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "created_at", kind: "message", T: protobuf_1.Timestamp },
    { no: 6, name: "identities", kind: "message", T: Identity, repeated: true },
    { no: 7, name: "blocked", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 8, name: "last_verification_time", kind: "message", T: protobuf_1.Timestamp },
    { no: 9, name: "verification_phone_number", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 10, name: "workspace_timeout_settings", kind: "message", T: User_WorkspaceTimeoutSettings },
    { no: 11, name: "email_notification_settings", kind: "message", T: User_EmailNotificationSettings },
    { no: 12, name: "editor_settings", kind: "message", T: editor_pb_js_1.EditorReference },
    { no: 13, name: "dotfile_repo", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 14, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 15, name: "profile", kind: "message", T: User_ProfileDetails },
    { no: 16, name: "workspace_autostart_options", kind: "message", T: User_WorkspaceAutostartOption, repeated: true },
    { no: 17, name: "usage_attribution_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 18, name: "workspace_feature_flags", kind: "enum", T: protobuf_1.proto3.getEnumType(User_UserFeatureFlag), repeated: true },
    { no: 19, name: "roles_or_permissions", kind: "enum", T: protobuf_1.proto3.getEnumType(RoleOrPermission), repeated: true },
]);
/**
 * @generated from enum gitpod.v1.User.UserFeatureFlag
 */
var User_UserFeatureFlag;
(function (User_UserFeatureFlag) {
    /**
     * @generated from enum value: USER_FEATURE_FLAG_UNSPECIFIED = 0;
     */
    User_UserFeatureFlag[User_UserFeatureFlag["UNSPECIFIED"] = 0] = "UNSPECIFIED";
    /**
     * @generated from enum value: USER_FEATURE_FLAG_FULL_WORKSPACE_BACKUP = 1;
     */
    User_UserFeatureFlag[User_UserFeatureFlag["FULL_WORKSPACE_BACKUP"] = 1] = "FULL_WORKSPACE_BACKUP";
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_CLASS_LIMITING = 2;
     */
    User_UserFeatureFlag[User_UserFeatureFlag["WORKSPACE_CLASS_LIMITING"] = 2] = "WORKSPACE_CLASS_LIMITING";
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_CONNECTION_LIMITING = 3;
     */
    User_UserFeatureFlag[User_UserFeatureFlag["WORKSPACE_CONNECTION_LIMITING"] = 3] = "WORKSPACE_CONNECTION_LIMITING";
    /**
     * @generated from enum value: USER_FEATURE_FLAG_WORKSPACE_PSI = 4;
     */
    User_UserFeatureFlag[User_UserFeatureFlag["WORKSPACE_PSI"] = 4] = "WORKSPACE_PSI";
})(User_UserFeatureFlag = exports.User_UserFeatureFlag || (exports.User_UserFeatureFlag = {}));
// Retrieve enum metadata with: proto3.getEnumType(User_UserFeatureFlag)
protobuf_1.proto3.util.setEnumType(User_UserFeatureFlag, "gitpod.v1.User.UserFeatureFlag", [
    { no: 0, name: "USER_FEATURE_FLAG_UNSPECIFIED" },
    { no: 1, name: "USER_FEATURE_FLAG_FULL_WORKSPACE_BACKUP" },
    { no: 2, name: "USER_FEATURE_FLAG_WORKSPACE_CLASS_LIMITING" },
    { no: 3, name: "USER_FEATURE_FLAG_WORKSPACE_CONNECTION_LIMITING" },
    { no: 4, name: "USER_FEATURE_FLAG_WORKSPACE_PSI" },
]);
/**
 * @generated from message gitpod.v1.User.WorkspaceTimeoutSettings
 */
class User_WorkspaceTimeoutSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * control whether to enable the closed timeout of a workspace, i.e. close web ide, disconnect ssh connection
         *
         * +optional
         *
         * @generated from field: bool disabled_disconnected = 2;
         */
        this.disabledDisconnected = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User_WorkspaceTimeoutSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User_WorkspaceTimeoutSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User_WorkspaceTimeoutSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(User_WorkspaceTimeoutSettings, a, b);
    }
}
exports.User_WorkspaceTimeoutSettings = User_WorkspaceTimeoutSettings;
User_WorkspaceTimeoutSettings.runtime = protobuf_1.proto3;
User_WorkspaceTimeoutSettings.typeName = "gitpod.v1.User.WorkspaceTimeoutSettings";
User_WorkspaceTimeoutSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "inactivity", kind: "message", T: protobuf_1.Duration },
    { no: 2, name: "disabled_disconnected", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.User.EmailNotificationSettings
 */
class User_EmailNotificationSettings extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * +optional
         *
         * @generated from field: bool allows_changelog_mail = 1;
         */
        this.allowsChangelogMail = false;
        /**
         * +optional
         *
         * @generated from field: bool allows_devx_mail = 2;
         */
        this.allowsDevxMail = false;
        /**
         * +optional
         *
         * @generated from field: bool allows_onboarding_mail = 3;
         */
        this.allowsOnboardingMail = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User_EmailNotificationSettings().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User_EmailNotificationSettings().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User_EmailNotificationSettings().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(User_EmailNotificationSettings, a, b);
    }
}
exports.User_EmailNotificationSettings = User_EmailNotificationSettings;
User_EmailNotificationSettings.runtime = protobuf_1.proto3;
User_EmailNotificationSettings.typeName = "gitpod.v1.User.EmailNotificationSettings";
User_EmailNotificationSettings.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "allows_changelog_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 2, name: "allows_devx_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
    { no: 3, name: "allows_onboarding_mail", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
/**
 * @generated from message gitpod.v1.User.ProfileDetails
 */
class User_ProfileDetails extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * when was the last time the user updated their profile information or has been nudged to do so.
         *
         * +optional
         *
         * @generated from field: string last_updated_details_nudge = 1;
         */
        this.lastUpdatedDetailsNudge = "";
        /**
         * when was the last time the user has accepted our privacy policy
         *
         * +optional
         *
         * @generated from field: string accepted_privacy_policy_date = 2;
         */
        this.acceptedPrivacyPolicyDate = "";
        /**
         * the user's company name
         *
         * +optional
         *
         * @generated from field: string company_name = 3;
         */
        this.companyName = "";
        /**
         * the user's email
         *
         * +optional
         *
         * @generated from field: string email_address = 4;
         */
        this.emailAddress = "";
        /**
         * type of role user has in their job
         *
         * +optional
         *
         * @generated from field: string job_role = 5;
         */
        this.jobRole = "";
        /**
         * freeform entry for job role user works in (when jobRole is "other")
         *
         * +optional
         *
         * @generated from field: string job_role_other = 6;
         */
        this.jobRoleOther = "";
        /**
         * Reasons user is exploring Gitpod when they signed up
         *
         * +optional
         *
         * @generated from field: repeated string exploration_reasons = 7;
         */
        this.explorationReasons = [];
        /**
         * what user hopes to accomplish when they signed up
         *
         * +optional
         *
         * @generated from field: repeated string signup_goals = 8;
         */
        this.signupGoals = [];
        /**
         * freeform entry for signup goals (when signupGoals is "other")
         *
         * +optional
         *
         * @generated from field: string signup_goals_other = 10;
         */
        this.signupGoalsOther = "";
        /**
         * Set after a user completes the onboarding flow
         *
         * +optional
         *
         * @generated from field: string onboarded_timestamp = 11;
         */
        this.onboardedTimestamp = "";
        /**
         * Onboarding question about a user's company size
         *
         * +optional
         *
         * @generated from field: string company_size = 12;
         */
        this.companySize = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User_ProfileDetails().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User_ProfileDetails().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User_ProfileDetails().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(User_ProfileDetails, a, b);
    }
}
exports.User_ProfileDetails = User_ProfileDetails;
User_ProfileDetails.runtime = protobuf_1.proto3;
User_ProfileDetails.typeName = "gitpod.v1.User.ProfileDetails";
User_ProfileDetails.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "last_updated_details_nudge", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "accepted_privacy_policy_date", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "company_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "email_address", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 5, name: "job_role", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "job_role_other", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 7, name: "exploration_reasons", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 8, name: "signup_goals", kind: "scalar", T: 9 /* ScalarType.STRING */, repeated: true },
    { no: 10, name: "signup_goals_other", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 11, name: "onboarded_timestamp", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 12, name: "company_size", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.User.WorkspaceAutostartOption
 */
class User_WorkspaceAutostartOption extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * @generated from field: string clone_url = 1;
         */
        this.cloneUrl = "";
        /**
         * @generated from field: string organization_id = 2;
         */
        this.organizationId = "";
        /**
         * @generated from field: string workspace_class = 3;
         */
        this.workspaceClass = "";
        /**
         * +optional
         *
         * @generated from field: string region = 5;
         */
        this.region = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new User_WorkspaceAutostartOption().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new User_WorkspaceAutostartOption().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new User_WorkspaceAutostartOption().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(User_WorkspaceAutostartOption, a, b);
    }
}
exports.User_WorkspaceAutostartOption = User_WorkspaceAutostartOption;
User_WorkspaceAutostartOption.runtime = protobuf_1.proto3;
User_WorkspaceAutostartOption.typeName = "gitpod.v1.User.WorkspaceAutostartOption";
User_WorkspaceAutostartOption.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "clone_url", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "organization_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "workspace_class", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "editor_settings", kind: "message", T: editor_pb_js_1.EditorReference },
    { no: 5, name: "region", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.Identity
 */
class Identity extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * The id of the auth provider this identity was created with.
         *
         * @generated from field: string auth_provider_id = 1;
         */
        this.authProviderId = "";
        /**
         * The external account id this identity was created for.
         *
         * @generated from field: string auth_id = 2;
         */
        this.authId = "";
        /**
         * The external account name this identity was created for.
         *
         * @generated from field: string auth_name = 3;
         */
        this.authName = "";
        /**
         * The primary email of the external account.
         *
         * @generated from field: string primary_email = 4;
         */
        this.primaryEmail = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new Identity().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new Identity().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new Identity().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(Identity, a, b);
    }
}
exports.Identity = Identity;
Identity.runtime = protobuf_1.proto3;
Identity.typeName = "gitpod.v1.Identity";
Identity.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "auth_provider_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "auth_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "auth_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 4, name: "primary_email", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 6, name: "last_signin_time", kind: "message", T: protobuf_1.Timestamp },
]);
//# sourceMappingURL=user_pb.js.map