/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import { SendPhoneNumberVerificationTokenRequest, SendPhoneNumberVerificationTokenResponse, VerifyPhoneNumberVerificationTokenRequest, VerifyPhoneNumberVerificationTokenResponse } from "./verification_pb.js";
import { MethodKind } from "@bufbuild/protobuf";
/**
 * @generated from service gitpod.v1.VerificationService
 */
export declare const VerificationService: {
    readonly typeName: "gitpod.v1.VerificationService";
    readonly methods: {
        /**
         * SendPhoneNumberVerificationToken sends a verification token to the
         * specified phone number.
         *
         * @generated from rpc gitpod.v1.VerificationService.SendPhoneNumberVerificationToken
         */
        readonly sendPhoneNumberVerificationToken: {
            readonly name: "SendPhoneNumberVerificationToken";
            readonly I: typeof SendPhoneNumberVerificationTokenRequest;
            readonly O: typeof SendPhoneNumberVerificationTokenResponse;
            readonly kind: MethodKind.Unary;
        };
        /**
         * VerifyPhoneNumberVerificationToken verifies the specified verification
         * token.
         *
         * @generated from rpc gitpod.v1.VerificationService.VerifyPhoneNumberVerificationToken
         */
        readonly verifyPhoneNumberVerificationToken: {
            readonly name: "VerifyPhoneNumberVerificationToken";
            readonly I: typeof VerifyPhoneNumberVerificationTokenRequest;
            readonly O: typeof VerifyPhoneNumberVerificationTokenResponse;
            readonly kind: MethodKind.Unary;
        };
    };
};
//# sourceMappingURL=verification_connect.d.ts.map