/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * Required fields:
 * - phone_number
 *
 * @generated from message gitpod.v1.SendPhoneNumberVerificationTokenRequest
 */
export declare class SendPhoneNumberVerificationTokenRequest extends Message<SendPhoneNumberVerificationTokenRequest> {
    /**
     * phone_number in E.164 format
     *
     * @generated from field: string phone_number = 1;
     */
    phoneNumber: string;
    constructor(data?: PartialMessage<SendPhoneNumberVerificationTokenRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SendPhoneNumberVerificationTokenRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendPhoneNumberVerificationTokenRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendPhoneNumberVerificationTokenRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendPhoneNumberVerificationTokenRequest;
    static equals(a: SendPhoneNumberVerificationTokenRequest | PlainMessage<SendPhoneNumberVerificationTokenRequest> | undefined, b: SendPhoneNumberVerificationTokenRequest | PlainMessage<SendPhoneNumberVerificationTokenRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.SendPhoneNumberVerificationTokenResponse
 */
export declare class SendPhoneNumberVerificationTokenResponse extends Message<SendPhoneNumberVerificationTokenResponse> {
    /**
     * verification_id is used to VerifyPhoneNumberVerificationToken
     *
     * @generated from field: string verification_id = 1;
     */
    verificationId: string;
    constructor(data?: PartialMessage<SendPhoneNumberVerificationTokenResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.SendPhoneNumberVerificationTokenResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): SendPhoneNumberVerificationTokenResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): SendPhoneNumberVerificationTokenResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): SendPhoneNumberVerificationTokenResponse;
    static equals(a: SendPhoneNumberVerificationTokenResponse | PlainMessage<SendPhoneNumberVerificationTokenResponse> | undefined, b: SendPhoneNumberVerificationTokenResponse | PlainMessage<SendPhoneNumberVerificationTokenResponse> | undefined): boolean;
}
/**
 * Required fields:
 * - phone_number
 * - verification_id
 * - token
 *
 * @generated from message gitpod.v1.VerifyPhoneNumberVerificationTokenRequest
 */
export declare class VerifyPhoneNumberVerificationTokenRequest extends Message<VerifyPhoneNumberVerificationTokenRequest> {
    /**
     * phone_number in E.164 format
     *
     * @generated from field: string phone_number = 1;
     */
    phoneNumber: string;
    /**
     * verification_id is returned by SendPhoneNumberVerificationToken
     *
     * @generated from field: string verification_id = 2;
     */
    verificationId: string;
    /**
     * token is the verification token from providers
     *
     * @generated from field: string token = 3;
     */
    token: string;
    constructor(data?: PartialMessage<VerifyPhoneNumberVerificationTokenRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.VerifyPhoneNumberVerificationTokenRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): VerifyPhoneNumberVerificationTokenRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): VerifyPhoneNumberVerificationTokenRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): VerifyPhoneNumberVerificationTokenRequest;
    static equals(a: VerifyPhoneNumberVerificationTokenRequest | PlainMessage<VerifyPhoneNumberVerificationTokenRequest> | undefined, b: VerifyPhoneNumberVerificationTokenRequest | PlainMessage<VerifyPhoneNumberVerificationTokenRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.VerifyPhoneNumberVerificationTokenResponse
 */
export declare class VerifyPhoneNumberVerificationTokenResponse extends Message<VerifyPhoneNumberVerificationTokenResponse> {
    /**
     * verified indicates if the verification was successful
     *
     * @generated from field: bool verified = 1;
     */
    verified: boolean;
    constructor(data?: PartialMessage<VerifyPhoneNumberVerificationTokenResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.VerifyPhoneNumberVerificationTokenResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): VerifyPhoneNumberVerificationTokenResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): VerifyPhoneNumberVerificationTokenResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): VerifyPhoneNumberVerificationTokenResponse;
    static equals(a: VerifyPhoneNumberVerificationTokenResponse | PlainMessage<VerifyPhoneNumberVerificationTokenResponse> | undefined, b: VerifyPhoneNumberVerificationTokenResponse | PlainMessage<VerifyPhoneNumberVerificationTokenResponse> | undefined): boolean;
}
//# sourceMappingURL=verification_pb.d.ts.map