"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyPhoneNumberVerificationTokenResponse = exports.VerifyPhoneNumberVerificationTokenRequest = exports.SendPhoneNumberVerificationTokenResponse = exports.SendPhoneNumberVerificationTokenRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * Required fields:
 * - phone_number
 *
 * @generated from message gitpod.v1.SendPhoneNumberVerificationTokenRequest
 */
class SendPhoneNumberVerificationTokenRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * phone_number in E.164 format
         *
         * @generated from field: string phone_number = 1;
         */
        this.phoneNumber = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendPhoneNumberVerificationTokenRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendPhoneNumberVerificationTokenRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendPhoneNumberVerificationTokenRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendPhoneNumberVerificationTokenRequest, a, b);
    }
}
exports.SendPhoneNumberVerificationTokenRequest = SendPhoneNumberVerificationTokenRequest;
SendPhoneNumberVerificationTokenRequest.runtime = protobuf_1.proto3;
SendPhoneNumberVerificationTokenRequest.typeName = "gitpod.v1.SendPhoneNumberVerificationTokenRequest";
SendPhoneNumberVerificationTokenRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "phone_number", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.SendPhoneNumberVerificationTokenResponse
 */
class SendPhoneNumberVerificationTokenResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * verification_id is used to VerifyPhoneNumberVerificationToken
         *
         * @generated from field: string verification_id = 1;
         */
        this.verificationId = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new SendPhoneNumberVerificationTokenResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new SendPhoneNumberVerificationTokenResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new SendPhoneNumberVerificationTokenResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(SendPhoneNumberVerificationTokenResponse, a, b);
    }
}
exports.SendPhoneNumberVerificationTokenResponse = SendPhoneNumberVerificationTokenResponse;
SendPhoneNumberVerificationTokenResponse.runtime = protobuf_1.proto3;
SendPhoneNumberVerificationTokenResponse.typeName = "gitpod.v1.SendPhoneNumberVerificationTokenResponse";
SendPhoneNumberVerificationTokenResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "verification_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * Required fields:
 * - phone_number
 * - verification_id
 * - token
 *
 * @generated from message gitpod.v1.VerifyPhoneNumberVerificationTokenRequest
 */
class VerifyPhoneNumberVerificationTokenRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * phone_number in E.164 format
         *
         * @generated from field: string phone_number = 1;
         */
        this.phoneNumber = "";
        /**
         * verification_id is returned by SendPhoneNumberVerificationToken
         *
         * @generated from field: string verification_id = 2;
         */
        this.verificationId = "";
        /**
         * token is the verification token from providers
         *
         * @generated from field: string token = 3;
         */
        this.token = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new VerifyPhoneNumberVerificationTokenRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new VerifyPhoneNumberVerificationTokenRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new VerifyPhoneNumberVerificationTokenRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(VerifyPhoneNumberVerificationTokenRequest, a, b);
    }
}
exports.VerifyPhoneNumberVerificationTokenRequest = VerifyPhoneNumberVerificationTokenRequest;
VerifyPhoneNumberVerificationTokenRequest.runtime = protobuf_1.proto3;
VerifyPhoneNumberVerificationTokenRequest.typeName = "gitpod.v1.VerifyPhoneNumberVerificationTokenRequest";
VerifyPhoneNumberVerificationTokenRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "phone_number", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "verification_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
/**
 * @generated from message gitpod.v1.VerifyPhoneNumberVerificationTokenResponse
 */
class VerifyPhoneNumberVerificationTokenResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * verified indicates if the verification was successful
         *
         * @generated from field: bool verified = 1;
         */
        this.verified = false;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new VerifyPhoneNumberVerificationTokenResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new VerifyPhoneNumberVerificationTokenResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new VerifyPhoneNumberVerificationTokenResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(VerifyPhoneNumberVerificationTokenResponse, a, b);
    }
}
exports.VerifyPhoneNumberVerificationTokenResponse = VerifyPhoneNumberVerificationTokenResponse;
VerifyPhoneNumberVerificationTokenResponse.runtime = protobuf_1.proto3;
VerifyPhoneNumberVerificationTokenResponse.typeName = "gitpod.v1.VerifyPhoneNumberVerificationTokenResponse";
VerifyPhoneNumberVerificationTokenResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "verified", kind: "scalar", T: 8 /* ScalarType.BOOL */ },
]);
//# sourceMappingURL=verification_pb.js.map