"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspaceService = void 0;
// @generated by protoc-gen-connect-es v1.1.2 with parameter "target=ts"
// @generated from file gitpod/v1/workspace.proto (package gitpod.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck
const workspace_pb_js_1 = require("./workspace_pb.js");
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from service gitpod.v1.WorkspaceService
 */
exports.WorkspaceService = {
    typeName: "gitpod.v1.WorkspaceService",
    methods: {
        /**
         * GetWorkspace returns a single workspace.
         *
         * +return NOT_FOUND User does not have access to a workspace with the given
         * ID +return NOT_FOUND Workspace does not exist
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspace
         */
        getWorkspace: {
            name: "GetWorkspace",
            I: workspace_pb_js_1.GetWorkspaceRequest,
            O: workspace_pb_js_1.GetWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * WatchWorkspaceStatus watches the workspaces status changes
         *
         * workspace_id +return NOT_FOUND Workspace does not exist
         *
         * @generated from rpc gitpod.v1.WorkspaceService.WatchWorkspaceStatus
         */
        watchWorkspaceStatus: {
            name: "WatchWorkspaceStatus",
            I: workspace_pb_js_1.WatchWorkspaceStatusRequest,
            O: workspace_pb_js_1.WatchWorkspaceStatusResponse,
            kind: protobuf_1.MethodKind.ServerStreaming,
        },
        /**
         * ListWorkspaces returns a list of workspaces that match the query.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ListWorkspaces
         */
        listWorkspaces: {
            name: "ListWorkspaces",
            I: workspace_pb_js_1.ListWorkspacesRequest,
            O: workspace_pb_js_1.ListWorkspacesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateAndStartWorkspace creates a new workspace and starts it.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.CreateAndStartWorkspace
         */
        createAndStartWorkspace: {
            name: "CreateAndStartWorkspace",
            I: workspace_pb_js_1.CreateAndStartWorkspaceRequest,
            O: workspace_pb_js_1.CreateAndStartWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * StartWorkspace starts an existing workspace.
         * If the specified workspace is not in stopped phase, this will return the workspace as is.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.StartWorkspace
         */
        startWorkspace: {
            name: "StartWorkspace",
            I: workspace_pb_js_1.StartWorkspaceRequest,
            O: workspace_pb_js_1.StartWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateWorkspace updates the workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.UpdateWorkspace
         */
        updateWorkspace: {
            name: "UpdateWorkspace",
            I: workspace_pb_js_1.UpdateWorkspaceRequest,
            O: workspace_pb_js_1.UpdateWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * StopWorkspace stops a running workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.StopWorkspace
         */
        stopWorkspace: {
            name: "StopWorkspace",
            I: workspace_pb_js_1.StopWorkspaceRequest,
            O: workspace_pb_js_1.StopWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * DeleteWorkspace deletes a workspace.
         * When the workspace is running, it will be stopped as well.
         * Deleted workspaces cannot be started again.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.DeleteWorkspace
         */
        deleteWorkspace: {
            name: "DeleteWorkspace",
            I: workspace_pb_js_1.DeleteWorkspaceRequest,
            O: workspace_pb_js_1.DeleteWorkspaceResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ListWorkspaceClasses enumerates all available workspace classes.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ListWorkspaceClasses
         */
        listWorkspaceClasses: {
            name: "ListWorkspaceClasses",
            I: workspace_pb_js_1.ListWorkspaceClassesRequest,
            O: workspace_pb_js_1.ListWorkspaceClassesResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * ParseContextURL parses a context URL and returns the workspace metadata and spec.
         * Not implemented yet.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.ParseContextURL
         */
        parseContextURL: {
            name: "ParseContextURL",
            I: workspace_pb_js_1.ParseContextURLRequest,
            O: workspace_pb_js_1.ParseContextURLResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetWorkspaceDefaultImage returns the default workspace image of specified
         * workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceDefaultImage
         */
        getWorkspaceDefaultImage: {
            name: "GetWorkspaceDefaultImage",
            I: workspace_pb_js_1.GetWorkspaceDefaultImageRequest,
            O: workspace_pb_js_1.GetWorkspaceDefaultImageResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * SendHeartBeat sends a heartbeat to activate the workspace
         *
         * @generated from rpc gitpod.v1.WorkspaceService.SendHeartBeat
         */
        sendHeartBeat: {
            name: "SendHeartBeat",
            I: workspace_pb_js_1.SendHeartBeatRequest,
            O: workspace_pb_js_1.SendHeartBeatResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetWorkspaceOwnerToken returns an owner token of workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceOwnerToken
         */
        getWorkspaceOwnerToken: {
            name: "GetWorkspaceOwnerToken",
            I: workspace_pb_js_1.GetWorkspaceOwnerTokenRequest,
            O: workspace_pb_js_1.GetWorkspaceOwnerTokenResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * GetWorkspaceEditorCredentials returns an credentials that is used in editor
         * to encrypt and decrypt secrets
         *
         * @generated from rpc gitpod.v1.WorkspaceService.GetWorkspaceEditorCredentials
         */
        getWorkspaceEditorCredentials: {
            name: "GetWorkspaceEditorCredentials",
            I: workspace_pb_js_1.GetWorkspaceEditorCredentialsRequest,
            O: workspace_pb_js_1.GetWorkspaceEditorCredentialsResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * CreateWorkspaceSnapshot creates a snapshot of the workspace that can be
         * shared with others.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.CreateWorkspaceSnapshot
         */
        createWorkspaceSnapshot: {
            name: "CreateWorkspaceSnapshot",
            I: workspace_pb_js_1.CreateWorkspaceSnapshotRequest,
            O: workspace_pb_js_1.CreateWorkspaceSnapshotResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * WaitWorkspaceSnapshot waits for the snapshot to be available or failed.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.WaitForWorkspaceSnapshot
         */
        waitForWorkspaceSnapshot: {
            name: "WaitForWorkspaceSnapshot",
            I: workspace_pb_js_1.WaitForWorkspaceSnapshotRequest,
            O: workspace_pb_js_1.WaitForWorkspaceSnapshotResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
        /**
         * UpdateWorkspacePort updates the port of workspace.
         *
         * @generated from rpc gitpod.v1.WorkspaceService.UpdateWorkspacePort
         */
        updateWorkspacePort: {
            name: "UpdateWorkspacePort",
            I: workspace_pb_js_1.UpdateWorkspacePortRequest,
            O: workspace_pb_js_1.UpdateWorkspacePortResponse,
            kind: protobuf_1.MethodKind.Unary,
        },
    }
};
//# sourceMappingURL=workspace_connect.js.map